!******************************************************************************!
!                                                                              !
!    ctparameter51.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter51.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter51
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter51()
  if (dZbL_QED2_scheme .eq. 1) then
    dZbL_QED2 = (2d0*Ten670*coupl(nGC_1)**2d0 + 2d0*Ten671*coupl(nGC_209)**2d0 &
                 + Ten672*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_373)**2d0) + 2d0&
                *Ten676*coupl(nGC_1)**2d0 + 2d0*Ten677*coupl(nGC_209)**2d0 +   &
                Ten678*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_373)**2d0) - Ten679&
                *coupl(nGC_370)**2d0 - 4d0*Ten687*cMB_reg**2d0*coupl(nGC_1)**  &
                2d0 + 4d0*Ten694*cMB_reg**2d0*coupl(nGC_1)**2d0 + pi**2d0*(-   &
                coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_197)**2d0/pi**2d0 - coupl&
                (nGC_209)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter51
end module ctparameter51
