!******************************************************************************!
!                                                                              !
!    currents_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info6
  implicit none
  contains
  subroutine fill_current_6(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_A, P_G0, P_WMinus, P_HPlus, 9009, check)
    call createCurrent(P_d, P_dAnti, P_AQ, 3226, check)
    call createCurrent(P_WQPlus, P_ghAAnti, P_ghWm, 6235, check)
    call createCurrent(P_HPlus, P_HMinus, P_GPlus, P_GMinus, 2564, check)
    call createCurrent(P_GPlus, P_Ha, P_A, P_WMinus, 10205, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hl, 8912, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HhQ, 5291, check)
    call createCurrent(P_HaQ, P_WMinus, P_Hl, P_WQPlus, 7360, check)
    call createCurrent(P_HQPlus, P_HPlus, P_HMinus, P_HQMinus, 7034, check)
    call createCurrent(P_WQMinus, P_A, P_WPlus, P_AQ, 5852, check)
    call createCurrent(P_HhQ, P_Hh, P_ghWm, P_ghWmAnti, 674, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, 8507, check)
    call createCurrent(P_GQPlus, P_Ha, P_Hh, P_HQMinus, 4719, check)
    call createCurrent(P_Hh, P_Ha, P_HPlus, P_HMinus, 9617, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Hh, 5297, check)
    call createCurrent(P_G0, P_G0, P_ghZAnti, P_ghZ, 6957, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_Ha, P_ghWm, 3382, check)
    call createCurrent(P_Z, P_ghWmAnti, P_A, P_ghWm, 6839, check)
    call createCurrent(P_GQMinus, P_GPlus, P_WMinus, P_WQPlus, 8286, check)
    call createCurrent(P_GQ0, P_dAnti, P_d, 6048, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 4520, check)
    call createCurrent(P_GQ0, P_HPlus, P_GMinus, P_GQ0, 5379, check)
    call createCurrent(P_Ha, P_u, P_uAnti, 113, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghZ, P_GMinus, 9538, check)
    call createCurrent(P_HPlus, P_Ha, P_ghWm, P_ghZAnti, 623, check)
    call createCurrent(P_ghZ, P_Hh, P_GPlus, P_ghWpAnti, 3587, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Ha, P_HhQ, 3470, check)
    call createCurrent(P_GQ0, P_Ha, P_HPlus, P_GQMinus, 7294, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HMinus, P_HPlus, 2247, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, P_A, 5073, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_Hl, 10168, check)
    call createCurrent(P_G0, P_ghZ, P_G0, P_ghZAnti, 2253, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Ha, 3164, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_HPlus, 2915, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_HPlus, P_ghA, 6250, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_GPlus, 6660, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghZ, 298, check)
    call createCurrent(P_G0, P_ghWp, P_HMinus, P_ghZAnti, 9281, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_GMinus, P_ghWp, 5844, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hl, 8976, check)
    call createCurrent(P_HlQ, P_muPlus, P_muMinus, 5668, check)
    call createCurrent(P_ghA, P_Ha, P_HPlus, P_ghWpAnti, 8073, check)
    call createCurrent(P_GQMinus, P_ghA, P_Hh, P_ghWmAnti, 1492, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_HMinus, 6033, check)
    call createCurrent(P_ghZ, P_G0, P_ghWpAnti, P_HPlus, 10208, check)
    call createCurrent(P_HlQ, P_Z, P_GMinus, P_WQPlus, 4823, check)
    call createCurrent(P_Ha, P_HMinus, P_A, P_WPlus, 884, check)
    call createCurrent(P_Hl, P_HPlus, P_Hh, P_GMinus, 121, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_HMinus, 2936, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_Hh, 136, check)
    call createCurrent(P_HhQ, P_Hl, P_HMinus, P_GQPlus, 3924, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_Hh, 6461, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, 5159, check)
    call createCurrent(P_A, P_A, P_HPlus, P_GMinus, 10320, check)
    call createCurrent(P_GQ0, P_Hl, P_GPlus, P_HQMinus, 3949, check)
    call createCurrent(P_Hh, P_HMinus, P_G0, P_HPlus, 8918, check)
    call createCurrent(P_WMinus, P_GPlus, 9672, check)
    call createCurrent(P_G0, P_g, P_Ha, P_g, 10786, check)
    call createCurrent(P_Ha, P_WPlus, P_GMinus, P_Z, 9669, check)
    call createCurrent(P_G0, P_HMinus, P_WPlus, 9346, check)
    call createCurrent(P_ghZ, P_Z, P_WMinus, P_ghWmAnti, 5389, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_HPlus, 6983, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_Hh, 8646, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_GPlus, 10134, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghZAnti, P_GPlus, 4760, check)
    call createCurrent(P_ZQ, P_Z, P_GMinus, P_GQPlus, 2096, check)
    call createCurrent(P_HlQ, P_G0, P_GPlus, P_HQMinus, 6961, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghA, P_ghZAnti, 8441, check)
    call createCurrent(P_u, P_uAnti, P_gQ, 4972, check)
    call createCurrent(P_G0, P_A, 9365, check)
    call createCurrent(P_HPlus, P_Hh, P_ghZAnti, P_ghWm, 5689, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghZAnti, P_ghA, 9929, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_Hl, 3111, check)
    call createCurrent(P_HQPlus, P_G0, P_GQMinus, 8718, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, 9960, check)
    call createCurrent(P_HaQ, P_GPlus, P_GMinus, P_GQ0, 3040, check)
    call createCurrent(P_HlQ, P_ghWm, P_Hl, P_ghWmAnti, 8130, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_GMinus, 1518, check)
    call createCurrent(P_Hl, P_A, P_WMinus, P_HPlus, 5644, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 2464, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hl, P_ghZAnti, 3586, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Z, P_WPlus, 4268, check)
    call createCurrent(P_HhQ, P_Hl, P_G0, P_HaQ, 4277, check)
    call createCurrent(P_ghWp, P_Ha, P_ghZAnti, P_HQMinus, 8032, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_A, 6633, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_HPlus, 1920, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghAAnti, P_ghA, 10332, check)
    call createCurrent(P_HPlus, P_cAnti, P_s, 1968, check)
    call createCurrent(P_HMinus, P_ghWp, P_Hl, P_ghZAnti, 6354, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_GPlus, 10432, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_Hl, 918, check)
    call createCurrent(P_ghWp, P_Ha, P_GMinus, P_ghAAnti, 9416, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hl, 10710, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_G0, 8112, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 5193, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghZ, P_G0, 9341, check)
    call createCurrent(P_Hh, P_Ha, P_Hh, P_Hh, 10528, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghA, P_WPlus, 946, check)
    call createCurrent(P_Hl, P_Z, P_A, 9871, check)
    call createCurrent(P_ZQ, P_A, P_WMinus, P_WQPlus, 5445, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 10566, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_G0, P_ghWm, 2815, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_GMinus, P_ghZ, 7052, check)
    call createCurrent(P_HQPlus, P_G0, P_Ha, P_HQMinus, 2738, check)
    call createCurrent(P_GMinus, P_Z, P_HPlus, P_A, 10319, check)
    call createCurrent(P_GQPlus, P_Z, P_A, P_GQMinus, 1802, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HlQ, 5018, check)
    call createCurrent(P_HQMinus, P_ghWp, P_ghZAnti, 7350, check)
    call createCurrent(P_Hh, P_A, P_A, 10699, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_Hl, 6916, check)
    call createCurrent(P_bAnti, P_Hh, P_b, 920, check)
    call createCurrent(P_A, P_A, P_Hh, 10775, check)
    call createCurrent(P_ghAAnti, P_A, P_WPlus, P_ghWm, 5304, check)
    call createCurrent(P_cAnti, P_c, P_Ha, 3048, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hl, 9480, check)
    call createCurrent(P_HaQ, P_WMinus, P_Hh, P_WQPlus, 3835, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, P_Z, 2333, check)
    call createCurrent(P_ghWp, P_Hl, P_HMinus, P_ghAAnti, 2761, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, P_HlQ, 7774, check)
    call createCurrent(P_HaQ, P_GMinus, P_HPlus, P_GQ0, 459, check)
    call createCurrent(P_HhQ, P_Ha, P_HMinus, P_GQPlus, 8344, check)
    call createCurrent(P_Hl, P_Hh, P_WPlus, P_WMinus, 10422, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_GQ0, 360, check)
    call createCurrent(P_HMinus, P_ghZ, P_G0, P_ghWmAnti, 10415, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, P_G0, 4124, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, 9448, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_GMinus, P_ghZ, 965, check)
    call createCurrent(P_ghWmAnti, P_G0, P_Ha, P_ghWm, 9969, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, 8234, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_G0, 9882, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_Hl, P_ghWp, 1836, check)
    call createCurrent(P_WQPlus, P_Z, P_HMinus, P_HaQ, 8229, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_ZQ, 1750, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_A, P_WPlus, 1169, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWp, P_WMinus, 2353, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_HQMinus, 1725, check)
    call createCurrent(P_ghWp, P_Hh, P_ghWpAnti, P_GQ0, 8450, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 6422, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_G0, 10344, check)
    call createCurrent(P_tAnti, P_t, 9874, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_HaQ, 4914, check)
    call createCurrent(P_GQMinus, P_G0, P_ghA, P_ghWmAnti, 1398, check)
    call createCurrent(P_A, P_Hl, P_Z, 9801, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_A, 9867, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghAAnti, P_WPlus, 2510, check)
    call createCurrent(P_HQMinus, P_Hh, P_HQPlus, 7570, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_Z, P_ghWp, 3941, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hh, 5587, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWm, P_ghAAnti, 8236, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Ha, 2779, check)
    call createCurrent(P_HaQ, P_HMinus, P_GPlus, P_HaQ, 2359, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_HaQ, 314, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, 5631, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_HPlus, 9309, check)
    call createCurrent(P_HQPlus, P_Ha, P_GMinus, P_HhQ, 6187, check)
    call createCurrent(P_Z, P_Hl, P_WPlus, P_HMinus, 4748, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Hh, 10517, check)
    call createCurrent(P_HQMinus, P_WPlus, P_A, P_HlQ, 3371, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_Z, 3399, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghAAnti, 1617, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_Z, 7695, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hh, 606, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hh, 1855, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Z, P_WPlus, 4511, check)
    call createCurrent(P_WMinus, P_Hh, P_A, P_HPlus, 3977, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWp, P_HQMinus, 6345, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, P_Hl, 9324, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 361, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_HPlus, 707, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_HMinus, P_Hh, 4228, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghZ, 5448, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_GMinus, 9775, check)
    call createCurrent(P_GQ0, P_Hh, P_WMinus, P_WQPlus, 3597, check)
    call createCurrent(P_HlQ, P_G0, P_ghWpAnti, P_ghWp, 7381, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HPlus, P_GMinus, 10152, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 2076, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_ZQ, 5928, check)
    call createCurrent(P_HMinus, P_ghWm, P_HPlus, P_ghWmAnti, 5595, check)
    call createCurrent(P_uAnti, P_HPlus, P_d, 926, check)
    call createCurrent(P_d, P_dAnti, P_ZQ, 4969, check)
    call createCurrent(P_HaQ, P_GMinus, P_HPlus, P_HaQ, 3906, check)
    call createCurrent(P_HaQ, P_A, P_HPlus, P_WQMinus, 6506, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Ha, P_ZQ, 3876, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hl, 798, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_G0, 9643, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WPlus, 3679, check)
    call createCurrent(P_A, P_ghZAnti, P_WMinus, P_ghWp, 1700, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWmAnti, P_GQMinus, 3998, check)
    call createCurrent(P_Z, P_Z, P_ghWp, P_ghWpAnti, 1537, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_A, 4014, check)
    call createCurrent(P_HlQ, P_GMinus, P_HPlus, P_GQ0, 5414, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_HMinus, 8164, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hh, P_HaQ, 1178, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hl, 10339, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hh, 6981, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_ghWp, 5277, check)
    call createCurrent(P_Ha, P_GMinus, P_Hl, P_GPlus, 10183, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_G0, 9137, check)
    call createCurrent(P_AQ, P_WPlus, P_HQMinus, 4948, check)
    call createCurrent(P_WQPlus, P_A, P_HMinus, P_HhQ, 2178, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_GPlus, 3129, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghWp, P_WMinus, 2514, check)
    call createCurrent(P_GMinus, P_ghA, P_ghZAnti, P_HPlus, 10391, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hl, 10117, check)
    call createCurrent(P_HQPlus, P_Hh, P_Ha, P_GQMinus, 1964, check)
    call createCurrent(P_WPlus, P_GPlus, P_HMinus, P_WMinus, 10382, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWp, P_ghWmAnti, 7476, check)
    call createCurrent(P_ghWm, P_Ha, P_Ha, P_ghWmAnti, 1459, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, 6842, check)
    call createCurrent(P_HQPlus, P_Ha, P_HMinus, P_HlQ, 1342, check)
    call createCurrent(P_GQMinus, P_HPlus, P_HlQ, 4446, check)
    call createCurrent(P_GQ0, P_Ha, P_HPlus, P_HQMinus, 3114, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_GPlus, P_ghWp, 6414, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, P_A, 10105, check)
    call createCurrent(P_GQMinus, P_t, P_bAnti, 1666, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 3968, check)
    call createCurrent(P_ghWm, P_Ha, P_HPlus, P_ghAAnti, 7237, check)
    call createCurrent(P_G0, P_ghWm, P_G0, P_ghWmAnti, 5837, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_HQPlus, 4112, check)
    call createCurrent(P_A, P_u, P_uAnti, 8406, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Hh, P_AQ, 4940, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 10548, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hh, 10080, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_G0, 9249, check)
    call createCurrent(P_HQPlus, P_Hl, P_HMinus, P_HaQ, 7854, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_HhQ, 3338, check)
    call createCurrent(P_ghWpAnti, P_Z, P_A, P_ghWp, 7560, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_HMinus, 4044, check)
    call createCurrent(P_Z, P_GPlus, P_HMinus, P_A, 9622, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZAnti, P_ghZ, 1597, check)
    call createCurrent(P_HhQ, P_Ha, P_ZQ, 5091, check)
    call createCurrent(P_A, P_WPlus, P_ghZAnti, P_ghWm, 7092, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 5210, check)
    call createCurrent(P_HMinus, P_GPlus, 9029, check)
    call createCurrent(P_G0, P_ghAAnti, P_GMinus, P_ghWp, 2974, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_GQ0, 6495, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghWmAnti, P_GMinus, 10440, check)
    call createCurrent(P_ghA, P_HPlus, P_ghZAnti, P_HMinus, 4383, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 4591, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghWm, P_ghZAnti, 2789, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghZ, P_ghAAnti, 2245, check)
    call createCurrent(P_HMinus, P_Hh, P_ghWp, P_ghAAnti, 5872, check)
    call createCurrent(P_g, P_HMinus, P_g, P_GPlus, 10663, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hl, P_AQ, 3422, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 7813, check)
    call createCurrent(P_WQMinus, P_ghAAnti, P_WPlus, P_ghA, 7559, check)
    call createCurrent(P_Ha, P_ghAAnti, P_HPlus, P_ghWm, 7446, check)
    call createCurrent(P_GQMinus, P_bAnti, P_t, 1024, check)
    call createCurrent(P_HMinus, P_Ha, P_ghWmAnti, P_ghZ, 153, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_GPlus, 10448, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_HPlus, P_ghA, 4630, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_G0, 3057, check)
    call createCurrent(P_GQPlus, P_ghWmAnti, P_GMinus, P_ghWm, 1124, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghZAnti, 5195, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_G0, P_HMinus, 9226, check)
    call createCurrent(P_Hh, P_ePlus, P_eMinus, 57, check)
    call createCurrent(P_HPlus, P_ghZ, P_HMinus, P_ghZAnti, 6389, check)
    call createCurrent(P_uAnti, P_u, P_HaQ, 172, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_Z, 10758, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 3814, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghZAnti, P_ghA, 3847, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GPlus, 8638, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghAAnti, 6532, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_GMinus, 6910, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghZ, P_GMinus, 8757, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 4603, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_GPlus, 1206, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Z, P_AQ, 1412, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_Z, 453, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_G0, 6386, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 5214, check)
    call createCurrent(P_HQMinus, P_ghA, P_HPlus, P_ghAAnti, 323, check)
    call createCurrent(P_HhQ, P_WPlus, P_HQMinus, 6128, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GQPlus, 8533, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_A, 33, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_HMinus, P_ghZ, 10377, check)
    call createCurrent(P_A, P_WMinus, P_ghA, P_ghWmAnti, 7095, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_Hl, 7610, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_HlQ, 5618, check)
    call createCurrent(P_d, P_uAnti, P_GQPlus, 2367, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_G0, P_ghWm, 2419, check)
    call createCurrent(P_GMinus, P_WPlus, P_Ha, P_A, 9335, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_G0, 9756, check)
    call createCurrent(P_c, P_Hl, P_cAnti, 2012, check)
    call createCurrent(P_G0, P_Ha, P_ghWp, P_ghWpAnti, 8995, check)
    call createCurrent(P_A, P_Ha, P_A, P_G0, 10742, check)
    call createCurrent(P_Hl, P_GPlus, P_Ha, P_HMinus, 8561, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Z, P_HaQ, 2995, check)
    call createCurrent(P_HMinus, P_ghA, P_HPlus, P_ghZAnti, 7719, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_Hl, 10465, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghAAnti, P_ghWm, 3384, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 10491, check)
    call createCurrent(P_WQPlus, P_ghA, P_WMinus, P_ghAAnti, 3157, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZAnti, P_ghZ, 763, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Ha, 6991, check)
    call createCurrent(P_Ha, P_tauPlus, P_tauMinus, 8782, check)
    call createCurrent(P_Hh, P_GMinus, P_ghWp, P_ghAAnti, 7281, check)
    call createCurrent(P_muPlus, P_nu_mu, P_HMinus, 8381, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghZAnti, P_ghWm, 2237, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_HMinus, P_ghWp, 1521, check)
    call createCurrent(P_GMinus, P_Hh, P_ghZ, P_ghWmAnti, 4724, check)
    call createCurrent(P_g, P_g, P_HMinus, P_GPlus, 10673, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 3987, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 3981, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Ha, P_HlQ, 2126, check)
    call createCurrent(P_GQ0, P_GMinus, P_G0, P_GQPlus, 531, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghAAnti, 5798, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_Ha, 9600, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, P_A, 3858, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_G0, 8476, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hl, 9989, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWp, P_HMinus, 8328, check)
    call createCurrent(P_AQ, P_bAnti, P_b, 7897, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghZ, P_GPlus, 4031, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 10608, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghZAnti, 5497, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Ha, 8000, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_Hh, 4564, check)
    call createCurrent(P_ghAAnti, P_G0, P_ghWm, P_GPlus, 1340, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_HPlus, 7130, check)
    call createCurrent(P_Z, P_Ha, P_G0, P_Z, 9505, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 10626, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_HPlus, 9548, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWm, P_HPlus, 9656, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_HMinus, P_ghZ, 9662, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, P_Hl, 7364, check)
    call createCurrent(P_Hl, P_GPlus, P_ghA, P_ghWpAnti, 5658, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_Ha, 9483, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_HaQ, 5097, check)
    call createCurrent(P_ghWm, P_Hl, P_Hl, P_ghWmAnti, 2700, check)
    call createCurrent(P_HhQ, P_Z, P_GPlus, P_WQMinus, 8091, check)
    call createCurrent(P_G0, P_Z, P_HPlus, P_WMinus, 10206, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, 5793, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_HaQ, 392, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, 5518, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_HPlus, 10111, check)
    call createCurrent(P_WPlus, P_A, P_ghA, P_ghWpAnti, 2090, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hh, P_ghA, 1747, check)
    call createCurrent(P_GQPlus, P_Ha, P_HQMinus, 5310, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_Ha, 9082, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HaQ, 575, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghZ, P_ghWmAnti, 1347, check)
    call createCurrent(P_HhQ, P_uAnti, P_u, 8105, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, 7822, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_HhQ, 2713, check)
    call createCurrent(P_HlQ, P_Hh, P_HMinus, P_GQPlus, 2122, check)
    call createCurrent(P_WMinus, P_ghZ, P_A, P_ghWmAnti, 7748, check)
    call createCurrent(P_G0, P_GMinus, P_ghZAnti, P_ghWp, 4933, check)
    call createCurrent(P_GQMinus, P_Ha, P_HPlus, P_HaQ, 5204, check)
    call createCurrent(P_GQPlus, P_muMinus, P_nu_muAnti, 838, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghAAnti, P_HMinus, 9339, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_GPlus, 9627, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWpAnti, P_ghWp, 7956, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_GPlus, P_ghA, 5442, check)
    call createCurrent(P_GQMinus, P_HMinus, P_HPlus, P_GQPlus, 3409, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hh, P_ghA, 342, check)
    call createCurrent(P_Hl, P_Z, P_HPlus, P_WMinus, 5800, check)
    call createCurrent(P_ZQ, P_GMinus, P_Hh, P_WQPlus, 5558, check)
    call createCurrent(P_GQPlus, P_ghA, P_Hl, P_ghWpAnti, 6081, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWm, P_ghZAnti, 2062, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_GQ0, 4780, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 4155, check)
    call createCurrent(P_uAnti, P_u, P_G0, 5959, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 7823, check)
    call createCurrent(P_s, P_HPlus, P_cAnti, 3394, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hl, 5491, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, P_Ha, 3944, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_WPlus, P_ghZ, 1077, check)
    call createCurrent(P_AQ, P_WPlus, P_Hh, P_HQMinus, 4023, check)
    call createCurrent(P_HMinus, P_Ha, P_ghWp, P_ghAAnti, 5847, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghWpAnti, P_GPlus, 4474, check)
    call createCurrent(P_Hh, P_GPlus, P_A, P_WMinus, 4544, check)
    call createCurrent(P_GPlus, P_G0, P_ghZAnti, P_ghWm, 4628, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghZ, P_GPlus, 9990, check)
    call createCurrent(P_GPlus, P_Ha, P_Z, P_WMinus, 9006, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWp, P_ghWpAnti, 3691, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, 9533, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 2092, check)
    call createCurrent(P_ghA, P_Hh, P_GPlus, P_ghWpAnti, 7166, check)
    call createCurrent(P_Hh, P_HMinus, P_ghWp, P_ghAAnti, 4128, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghZ, P_HQMinus, 6469, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_HPlus, 9761, check)
    call createCurrent(P_tAnti, P_t, P_Hl, 5486, check)
    call createCurrent(P_GQMinus, P_A, P_GPlus, P_ZQ, 1566, check)
    call createCurrent(P_GMinus, P_HPlus, P_A, P_Z, 9629, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghA, P_ghZAnti, 7889, check)
    call createCurrent(P_GQMinus, P_HPlus, P_G0, P_HlQ, 69, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_A, 10109, check)
    call createCurrent(P_Hl, P_GMinus, P_G0, P_HPlus, 2194, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, P_Hh, 5848, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_GQ0, 6947, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWpAnti, P_ghA, 6478, check)
    call createCurrent(P_GPlus, P_Hh, P_Z, P_WMinus, 6087, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 8583, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_GQ0, 7006, check)
    call createCurrent(P_WPlus, P_Ha, P_Z, P_GMinus, 9734, check)
    call createCurrent(P_GQMinus, P_G0, P_G0, P_GQPlus, 2523, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_Hh, P_ghWm, 1540, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghZAnti, P_ghZ, 9032, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Ha, P_ghZ, 1016, check)
    call createCurrent(P_ghWp, P_HPlus, P_ghWpAnti, P_HQMinus, 6326, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_Hh, 4536, check)
    call createCurrent(P_Z, P_G0, P_Ha, P_Z, 9900, check)
    call createCurrent(P_Hh, P_A, P_Z, P_Hl, 10495, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_Z, 6372, check)
    call createCurrent(P_cAnti, P_c, P_HlQ, 6040, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 949, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_HMinus, P_ghZ, 4430, check)
    call createCurrent(P_ZQ, P_Ha, P_HMinus, P_WQPlus, 6373, check)
    call createCurrent(P_A, P_ghWmAnti, P_A, P_ghWm, 4262, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_HPlus, 1934, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_HPlus, 2665, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghAAnti, 8223, check)
    call createCurrent(P_Hl, P_Hl, P_ghZ, P_ghZAnti, 1021, check)
    call createCurrent(P_HhQ, P_HPlus, P_GMinus, P_HhQ, 4003, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 2529, check)
    call createCurrent(P_HhQ, P_GMinus, P_HPlus, P_HaQ, 6702, check)
    call createCurrent(P_HQMinus, P_Hl, P_HPlus, P_GQ0, 5951, check)
    call createCurrent(P_ghZ, P_A, P_ghWmAnti, P_WMinus, 5470, check)
    call createCurrent(P_HlQ, P_t, P_tAnti, 6381, check)
    call createCurrent(P_GQ0, P_HMinus, P_GQPlus, 5874, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghA, P_HPlus, 4737, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Hh, 7855, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_GQ0, 5356, check)
    call createCurrent(P_Hh, P_HMinus, P_Z, P_WPlus, 757, check)
    call createCurrent(P_Hl, P_tAnti, P_t, 1862, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_G0, P_HPlus, 9737, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 10761, check)
    call createCurrent(P_GQ0, P_Hl, P_GQ0, 3192, check)
    call createCurrent(P_Ha, P_ghZ, P_HMinus, P_ghWmAnti, 7299, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWmAnti, P_ghZ, 8644, check)
    call createCurrent(P_HhQ, P_HPlus, P_Ha, P_GQMinus, 8133, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, 4215, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_GMinus, 4400, check)
    call createCurrent(P_GQ0, P_Hh, P_GMinus, P_GQPlus, 1095, check)
    call createCurrent(P_GQPlus, P_Hl, P_GQMinus, 4999, check)
    call createCurrent(P_GMinus, P_g, P_g, P_HPlus, 10709, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghWpAnti, P_HPlus, 7359, check)
    call createCurrent(P_Z, P_sAnti, P_s, 3588, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_Hh, 8876, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_HMinus, 897, check)
    call createCurrent(P_ghA, P_Hl, P_ghWpAnti, P_GPlus, 4987, check)
    call createCurrent(P_WQMinus, P_WMinus, P_ghWmAnti, P_ghWp, 3541, check)
    call createCurrent(P_GMinus, P_ghA, P_ghAAnti, P_GPlus, 2114, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Ha, 10728, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_GQMinus, 6091, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_Z, 3468, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_G0, 10552, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_HPlus, 10277, check)
    call createCurrent(P_ghWp, P_Ha, P_ghZAnti, P_HMinus, 3564, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_Ha, 1452, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_AQ, 2917, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HPlus, P_HQMinus, 743, check)
    call createCurrent(P_WQMinus, P_G0, P_Z, P_GQPlus, 8595, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, 1591, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_GPlus, 6568, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_HMinus, 3385, check)
    call createCurrent(P_ZQ, P_HPlus, P_HQMinus, 1713, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 21, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_ZQ, 4289, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_HMinus, P_ghZ, 2574, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hl, 2598, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 5920, check)
    call createCurrent(P_WQPlus, P_WPlus, P_ghWm, P_ghWpAnti, 2892, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghWpAnti, P_ghWp, 4335, check)
    call createCurrent(P_HhQ, P_t, P_tAnti, 4365, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 7667, check)
    call createCurrent(P_Ha, P_HPlus, P_ghZ, P_ghWpAnti, 530, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 10102, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 4629, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_G0, 8435, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_G0, 6388, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 6730, check)
    call createCurrent(P_GQPlus, P_Hl, P_Hh, P_HQMinus, 3008, check)
    call createCurrent(P_HhQ, P_HMinus, P_A, P_WQPlus, 783, check)
    call createCurrent(P_HQMinus, P_HPlus, P_WMinus, P_WQPlus, 6110, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghA, P_HQMinus, 6340, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, 10044, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghWm, P_HhQ, 1495, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_HMinus, 9127, check)
    call createCurrent(P_ghWp, P_Ha, P_GMinus, P_ghZAnti, 9764, check)
    call createCurrent(P_sAnti, P_Hl, P_s, 1441, check)
    call createCurrent(P_ghAAnti, P_Ha, P_GMinus, P_ghWp, 10029, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghZAnti, P_ghWp, 6668, check)
    call createCurrent(P_HaQ, P_Ha, P_Hl, P_HlQ, 5861, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Z, P_HhQ, 2677, check)
    call createCurrent(P_HaQ, P_WPlus, P_Hh, P_WQMinus, 3393, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, P_A, 10459, check)
    call createCurrent(P_WMinus, P_WPlus, 8959, check)
    call createCurrent(P_HPlus, P_WMinus, P_GMinus, P_WPlus, 9838, check)
    call createCurrent(P_GMinus, P_Hh, P_ghA, P_ghWmAnti, 4521, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, 9109, check)
    call createCurrent(P_HhQ, P_ghWm, P_Hh, P_ghWmAnti, 7242, check)
    call createCurrent(P_A, P_WMinus, P_Ha, P_HPlus, 5557, check)
    call createCurrent(P_Hh, P_GMinus, P_G0, P_GPlus, 8907, check)
    call createCurrent(P_WPlus, P_Hh, P_Hl, P_WMinus, 10023, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hh, P_GQPlus, 6121, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_G0, P_GMinus, 1758, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Ha, 4589, check)
    call createCurrent(P_Hh, P_Hl, P_ghWpAnti, P_ghWp, 9728, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_ZQ, 3153, check)
    call createCurrent(P_HhQ, P_Ha, P_Hh, P_GQ0, 8660, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Ha, P_HMinus, 6252, check)
    call createCurrent(P_d, P_dAnti, P_Hh, 4455, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_A, 4915, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WQPlus, 5131, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_Hh, 8442, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_GQPlus, 6102, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 4445, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Hh, 6201, check)
    call createCurrent(P_HhQ, P_GMinus, P_Z, P_WQPlus, 4229, check)
    call createCurrent(P_WQPlus, P_Hl, P_HQMinus, 2841, check)
    call createCurrent(P_HlQ, P_Hl, P_WPlus, P_WQMinus, 7837, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WQPlus, 3182, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 5300, check)
    call createCurrent(P_GQPlus, P_Z, P_Hl, P_WQMinus, 721, check)
    call createCurrent(P_c, P_A, P_cAnti, 5117, check)
    call createCurrent(P_sAnti, P_s, P_HaQ, 6642, check)
    call createCurrent(P_GMinus, P_G0, P_ghZ, P_ghWmAnti, 23, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, 2067, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 2234, check)
    call createCurrent(P_GQMinus, P_ghWp, P_Hh, P_ghZAnti, 2548, check)
    call createCurrent(P_Ha, P_G0, P_Hl, 2118, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 2660, check)
    call createCurrent(P_A, P_GMinus, P_Hl, P_WPlus, 6028, check)
    call createCurrent(P_c, P_Hh, P_cAnti, 5523, check)
    call createCurrent(P_GQPlus, P_Z, P_Z, P_GQMinus, 3760, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_HMinus, P_ghA, 3778, check)
    call createCurrent(P_A, P_WPlus, P_ghZ, P_ghWpAnti, 6113, check)
    call createCurrent(P_GQPlus, P_ghAAnti, P_GMinus, P_ghZ, 868, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_HlQ, 2999, check)
    call createCurrent(P_Ha, P_Hl, P_HPlus, P_GMinus, 3086, check)
    call createCurrent(P_GQPlus, P_s, P_cAnti, 5058, check)
    call createCurrent(P_HMinus, P_Hh, P_ghAAnti, P_ghWp, 613, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_Z, 8801, check)
    call createCurrent(P_ghWm, P_HMinus, P_ghWmAnti, P_HPlus, 1882, check)
    call createCurrent(P_t, P_tAnti, P_Z, 2533, check)
    call createCurrent(P_A, P_WMinus, P_ghWmAnti, P_ghZ, 865, check)
    call createCurrent(P_G0, P_GPlus, P_ghA, P_ghWpAnti, 1529, check)
    call createCurrent(P_ghZ, P_G0, P_HPlus, P_ghWpAnti, 10474, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 4359, check)
    call createCurrent(P_ghA, P_GMinus, P_GPlus, P_ghZAnti, 3006, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_HMinus, 7313, check)
    call createCurrent(P_HMinus, P_Ha, P_Z, P_WPlus, 5279, check)
    call createCurrent(P_GQPlus, P_G0, P_Ha, P_GQMinus, 5712, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_HMinus, 6420, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_G0, P_HPlus, 10084, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 5891, check)
    call createCurrent(P_GQ0, P_Hh, P_GQ0, 8040, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Hl, P_ZQ, 559, check)
    call createCurrent(P_GQPlus, P_Hh, P_HMinus, P_HhQ, 2590, check)
    call createCurrent(P_Z, P_Hh, P_A, 9000, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 170, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_HaQ, 7588, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_G0, 10350, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghA, P_ghZAnti, 726, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 729, check)
    call createCurrent(P_AQ, P_HPlus, P_Ha, P_WQMinus, 5381, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WPlus, 3744, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWp, P_GMinus, 5086, check)
    call createCurrent(P_GPlus, P_Hh, P_ghZ, P_ghWpAnti, 3776, check)
    call createCurrent(P_HhQ, P_Ha, P_WMinus, P_WQPlus, 1436, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, P_A, 9917, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, 466, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, 9058, check)
    call createCurrent(P_Hl, P_WPlus, P_Z, P_GMinus, 8023, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, P_G0, 10256, check)
    call createCurrent(P_WPlus, P_ghZ, P_WMinus, P_ghAAnti, 8331, check)
    call createCurrent(P_ghA, P_G0, P_GMinus, P_ghWmAnti, 7985, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Ha, P_HQMinus, 4181, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_G0, 8880, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghZ, 7716, check)
    call createCurrent(P_ghZ, P_Ha, P_ghZAnti, P_HaQ, 8258, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_GQ0, 7554, check)
    call createCurrent(P_HaQ, P_GMinus, P_Hl, P_GQPlus, 2742, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hl, P_GPlus, 6703, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_GMinus, 8421, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_GQ0, 5311, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_Hl, 2882, check)
    call createCurrent(P_gQ, P_cAnti, P_c, 8160, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_Hh, 6124, check)
    call createCurrent(P_GQ0, P_Hh, P_HPlus, P_HQMinus, 2569, check)
    call createCurrent(P_t, P_bAnti, P_HMinus, 5153, check)
    call createCurrent(P_HlQ, P_WPlus, P_Hl, P_WQMinus, 4306, check)
    call createCurrent(P_HMinus, P_ghA, P_ghAAnti, P_HPlus, 3227, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 6697, check)
    call createCurrent(P_Ha, P_ghAAnti, P_ghWp, P_HMinus, 6357, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, 5327, check)
    call createCurrent(P_s, P_sAnti, P_G0, 1638, check)
    call createCurrent(P_ghZAnti, P_Ha, P_Ha, P_ghZ, 6643, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WMinus, P_WQPlus, 1100, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_GPlus, 4017, check)
    call createCurrent(P_HlQ, P_GMinus, P_G0, P_GQPlus, 4685, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 6199, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghA, 2008, check)
    call createCurrent(P_ghWp, P_HMinus, P_GPlus, P_ghWpAnti, 9519, check)
    call createCurrent(P_Hh, P_A, P_Ha, 9991, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 3629, check)
    call createCurrent(P_ZQ, P_G0, P_GMinus, P_WQPlus, 394, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 4675, check)
    call createCurrent(P_HhQ, P_Hl, P_GMinus, P_GQPlus, 5655, check)
    call createCurrent(P_G0, P_ghWmAnti, P_GMinus, P_ghZ, 6684, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hh, 3846, check)
    call createCurrent(P_HaQ, P_WPlus, P_Ha, P_WQMinus, 2921, check)
    call createCurrent(P_HMinus, P_Hh, P_G0, P_GPlus, 602, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, 5135, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, P_Ha, 1096, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_ZQ, 1547, check)
    call createCurrent(P_HhQ, P_GPlus, P_HMinus, P_GQ0, 7215, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghA, P_GPlus, 3873, check)
    call createCurrent(P_WMinus, P_ghA, P_ghAAnti, P_WPlus, 2265, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghZAnti, P_ghWm, 7291, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_Z, P_ghWm, 8522, check)
    call createCurrent(P_HQPlus, P_HPlus, P_GMinus, P_HQMinus, 6544, check)
    call createCurrent(P_HhQ, P_HMinus, P_GPlus, P_GQ0, 7952, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_HhQ, 5660, check)
    call createCurrent(P_GMinus, P_Ha, P_Ha, P_GPlus, 593, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_HlQ, 329, check)
    call createCurrent(P_A, P_HMinus, P_Hh, P_WPlus, 7304, check)
    call createCurrent(P_ZQ, P_G0, P_WPlus, P_GQMinus, 8177, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_AQ, 1293, check)
    call createCurrent(P_HQMinus, P_Ha, P_Ha, P_HQPlus, 4427, check)
    call createCurrent(P_GMinus, P_Hh, P_G0, P_GPlus, 10148, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZ, P_ghAAnti, 4957, check)
    call createCurrent(P_WQPlus, P_ghZ, P_A, P_ghWpAnti, 1930, check)
    call createCurrent(P_d, P_dAnti, P_Ha, 6059, check)
    call createCurrent(P_Ha, P_GPlus, P_Ha, P_GMinus, 3865, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, 5, check)
    call createCurrent(P_Ha, P_A, P_GMinus, P_WPlus, 10175, check)
    call createCurrent(P_HQMinus, P_Z, P_HPlus, P_ZQ, 5189, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hl, P_HPlus, 4198, check)
    call createCurrent(P_Ha, P_HMinus, P_Hh, P_GPlus, 433, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 4712, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_HlQ, 3853, check)
    call createCurrent(P_HQPlus, P_ghWm, P_HMinus, P_ghWmAnti, 2201, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_HlQ, 5878, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Hl, 2801, check)
    call createCurrent(P_GQ0, P_WMinus, P_Z, P_GQPlus, 6627, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghZAnti, 1789, check)
    call createCurrent(P_Hl, P_ghWm, P_ghZAnti, P_GPlus, 2227, check)
    call createCurrent(P_ghWm, P_HMinus, P_GPlus, P_ghWmAnti, 9108, check)
    call createCurrent(P_HQMinus, P_GMinus, P_GPlus, P_GQPlus, 3569, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghA, P_GPlus, 10174, check)
    call createCurrent(P_HhQ, P_G0, P_WMinus, P_WQPlus, 7751, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_HPlus, P_ghZ, 9343, check)
    call createCurrent(P_AQ, P_cAnti, P_c, 7018, check)
    call createCurrent(P_HhQ, P_HPlus, P_ghWm, P_ghAAnti, 2694, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_ghWm, 2136, check)
    call createCurrent(P_Hl, P_ghWm, P_GPlus, P_ghZAnti, 7959, check)
    call createCurrent(P_GQ0, P_ghWp, P_G0, P_ghWpAnti, 4422, check)
    call createCurrent(P_HhQ, P_Hl, P_Hh, P_HlQ, 5439, check)
    call createCurrent(P_AQ, P_dAnti, P_d, 7463, check)
    call createCurrent(P_GMinus, P_ghA, P_Hh, P_ghWmAnti, 2887, check)
    call createCurrent(P_WQMinus, P_Hh, P_WQPlus, 8271, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Ha, P_GPlus, 8924, check)
    call createCurrent(P_GQPlus, P_WMinus, P_GQ0, 8157, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_G0, 4480, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_HPlus, 10054, check)
    call createCurrent(P_ZQ, P_Z, P_Hl, P_HlQ, 856, check)
    call createCurrent(P_HMinus, P_ghWp, P_Ha, P_ghAAnti, 5348, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_Z, 4788, check)
    call createCurrent(P_HlQ, P_ghWm, P_Ha, P_ghWmAnti, 4615, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_Hl, 7416, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Ha, 4475, check)
    call createCurrent(P_HlQ, P_Z, P_GQ0, 7690, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GQPlus, 2983, check)
    call createCurrent(P_G0, P_ghZ, P_GMinus, P_ghWmAnti, 3017, check)
    call createCurrent(P_HMinus, P_ghZ, P_Hl, P_ghWmAnti, 2455, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_HMinus, 10158, check)
    call createCurrent(P_HlQ, P_Z, P_HMinus, P_WQPlus, 5912, check)
    call createCurrent(P_WMinus, P_GPlus, P_HMinus, P_WPlus, 9932, check)
    call createCurrent(P_Hl, P_GPlus, P_Z, P_WMinus, 2273, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_ghZ, 3584, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Ha, 5257, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_Ha, 5529, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_Ha, 6019, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Ha, P_HMinus, 4324, check)
    call createCurrent(P_HQPlus, P_A, P_WMinus, P_HlQ, 4027, check)
    call createCurrent(P_HhQ, P_Z, P_WPlus, P_HQMinus, 4764, check)
    call createCurrent(P_HlQ, P_HMinus, P_Hl, P_GQPlus, 3830, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, 3297, check)
    call createCurrent(P_ghZAnti, P_Ha, P_GPlus, P_ghWm, 8928, check)
    call createCurrent(P_Ha, P_GPlus, P_ghWpAnti, P_ghZ, 9733, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_G0, 6249, check)
    call createCurrent(P_GMinus, P_ghA, P_HPlus, P_ghZAnti, 9369, check)
    call createCurrent(P_GQMinus, P_G0, P_Ha, P_GQPlus, 3108, check)
    call createCurrent(P_HaQ, P_ePlus, P_eMinus, 4516, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 813, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_G0, 7609, check)
    call createCurrent(P_Z, P_Ha, P_WMinus, P_GPlus, 8952, check)
    call createCurrent(P_HlQ, P_G0, P_Hl, P_HaQ, 3904, check)
    call createCurrent(P_ghZAnti, P_Hl, P_HPlus, P_ghWm, 141, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Z, P_HaQ, 5376, check)
    call createCurrent(P_A, P_Hl, P_G0, 9337, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_Hh, 2106, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, P_Hl, 5666, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_G0, P_ghA, 9843, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_HhQ, 810, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Hh, 2133, check)
    call createCurrent(P_Hl, P_ePlus, P_eMinus, 2158, check)
    call createCurrent(P_WQPlus, P_Hh, P_WMinus, P_GQ0, 1402, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_Hl, P_ghWm, 1133, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_A, P_WQMinus, 1657, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hl, 5318, check)
    call createCurrent(P_HPlus, P_HMinus, 9125, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Ha, 6144, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghZ, P_ghWmAnti, 4040, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hh, 9156, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hh, 111, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_Hh, 2266, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Ha, P_HaQ, 7946, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 2485, check)
    call createCurrent(P_Ha, P_GMinus, P_ghZAnti, P_ghWp, 9102, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_AQ, 4687, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghWpAnti, P_ghWp, 5745, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_HlQ, 5067, check)
    call createCurrent(P_HhQ, P_WMinus, P_WPlus, P_HhQ, 4877, check)
    call createCurrent(P_GQPlus, P_Z, P_G0, P_WQMinus, 6543, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 7880, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghZ, P_GPlus, 9093, check)
    call createCurrent(P_Ha, P_GMinus, P_Hh, P_HPlus, 4408, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 10620, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_G0, 10011, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Ha, P_HQMinus, 2671, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_A, 9074, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Ha, P_AQ, 1382, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_WPlus, P_WQMinus, 8339, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghA, P_GPlus, 9057, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_Hl, 8147, check)
    call createCurrent(P_A, P_A, 10484, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_HlQ, 168, check)
    call createCurrent(P_ghWm, P_WPlus, P_A, P_ghAAnti, 3368, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghAAnti, P_ghWp, 4469, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghA, P_ghWpAnti, 2407, check)
    call createCurrent(P_GQPlus, P_WPlus, P_GMinus, P_WQMinus, 5221, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_AQ, 5992, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_Ha, 9594, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Ha, P_GPlus, 9683, check)
    call createCurrent(P_HhQ, P_ghWp, P_Hh, P_ghWpAnti, 5778, check)
    call createCurrent(P_tAnti, P_g, P_t, 5177, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 5017, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_WPlus, P_ghZ, 5040, check)
    call createCurrent(P_Hl, P_GPlus, P_ghZ, P_ghWpAnti, 2019, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_HMinus, 9345, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WQPlus, 3171, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Hh, P_HMinus, 7926, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 1795, check)
    call createCurrent(P_HQMinus, P_G0, P_GPlus, P_HhQ, 4029, check)
    call createCurrent(P_WQMinus, P_Ha, P_WPlus, P_HaQ, 970, check)
    call createCurrent(P_ZQ, P_HPlus, P_Ha, P_WQMinus, 6822, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, P_Ha, 5213, check)
    call createCurrent(P_cAnti, P_s, P_HPlus, 255, check)
    call createCurrent(P_ZQ, P_Hl, P_GQ0, 6813, check)
    call createCurrent(P_G0, P_HMinus, P_Hh, P_HPlus, 9045, check)
    call createCurrent(P_c, P_cAnti, P_ZQ, 853, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghWpAnti, P_GPlus, 9634, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghWmAnti, P_ghZ, 5664, check)
    call createCurrent(P_tAnti, P_HPlus, P_b, 3945, check)
    call createCurrent(P_Hl, P_HMinus, P_Hl, P_GPlus, 4473, check)
    call createCurrent(P_Ha, P_GPlus, P_WMinus, P_Z, 9163, check)
    call createCurrent(P_GQ0, P_Hl, P_Hl, P_HaQ, 6057, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_ghA, 8386, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 2250, check)
    call createCurrent(P_GPlus, P_ghZ, P_G0, P_ghWpAnti, 980, check)
    call createCurrent(P_WPlus, P_Hh, P_A, P_HMinus, 1825, check)
    call createCurrent(P_Hl, P_Hl, P_ghWpAnti, P_ghWp, 2031, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_HPlus, 7868, check)
    call createCurrent(P_HMinus, P_ghWm, P_GPlus, P_ghWmAnti, 9005, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HMinus, P_GPlus, 9490, check)
    call createCurrent(P_GQ0, P_HPlus, P_Hh, P_GQMinus, 7248, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_A, 10640, check)
    call createCurrent(P_HhQ, P_GMinus, P_G0, P_HQPlus, 47, check)
    call createCurrent(P_HQPlus, P_Ha, P_HMinus, P_HhQ, 5586, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_Z, 6775, check)
    call createCurrent(P_Ha, P_Ha, P_ghWpAnti, P_ghWp, 4193, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_WMinus, P_ghZ, 8326, check)
    call createCurrent(P_t, P_bAnti, P_WQMinus, 8478, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_G0, 5070, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_ZQ, 1913, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghZ, 5816, check)
    call createCurrent(P_G0, P_ghZ, P_ghWmAnti, P_GMinus, 3618, check)
    call createCurrent(P_G0, P_WMinus, P_Ha, P_WPlus, 9472, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Ha, P_Ha, 8565, check)
    call createCurrent(P_Hl, P_muPlus, P_muMinus, 1966, check)
    call createCurrent(P_HhQ, P_HPlus, P_WQMinus, 5466, check)
    call createCurrent(P_HQPlus, P_Hh, P_HMinus, P_GQ0, 464, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Ha, P_HQPlus, 2356, check)
    call createCurrent(P_AQ, P_HMinus, P_A, P_HQPlus, 6364, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_Ha, 3790, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_GPlus, 5390, check)
  end subroutine fill_current_6
end module currents_info6
