!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  implicit none
  contains
  subroutine fill_vertices_mdl24()
    use class_vertices
    use class_couplings
    allocate(vertices(2102)%branchR2(0:0))
    call avR2(2102, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(9338)%branchR2(0:0))
    call avR2(9338, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(10751)%branchR2(0:0))
    call avR2(10751, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22012])

    allocate(vertices(4321)%branchR2(0:0))
    call avR2(4321, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(1562)%branchR2(0:0))
    call avR2(1562, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22192])

    allocate(vertices(2642)%branchR2(0:0))
    call avR2(2642, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10445)%branchR2(0:0))
    call avR2(10445, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(8509)%branchR2(0:0))
    call avR2(8509, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22164, nGC_22163])

    allocate(vertices(10752)%branchR2(0:0))
    call avR2(10752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(9967)%branchR2(0:0))
    call avR2(9967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(1156)%branchR2(0:0))
    call avR2(1156, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(3256)%branchR2(0:3))
    call avR2(3256, 0, 118, 1, 0, VFaF0, 0, [1, 2], [nGC_22297, nGC_22296])

    call avR2(3256, 1, 118, 1, 0, VFaF0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(3256, 2, 119, 1, 0, VFaF0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(3256, 3, 119, 1, 0, VFaF0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(307)%branchR2(0:1))
    call avR2(307, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22113, nGC_22115])

    call avR2(307, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22114, nGC_22116])

    allocate(vertices(6420)%branchR2(0:0))
    call avR2(6420, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(3388)%branchR2(0:0))
    call avR2(3388, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22145])

    allocate(vertices(9842)%branchR2(0:0))
    call avR2(9842, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(1530)%branchR2(0:0))
    call avR2(1530, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58903])

    allocate(vertices(10753)%branchR2(0:0))
    call avR2(10753, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22326,      &
    nGC_22326])

    allocate(vertices(9210)%branchR2(0:0))
    call avR2(9210, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22074])

    allocate(vertices(4056)%branchR2(0:0))
    call avR2(4056, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(10213)%branchR2(0:0))
    call avR2(10213, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57446])

    allocate(vertices(10132)%branchR2(0:1))
    call avR2(10132, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21985, nGC_21984,     &
    nGC_21982, nGC_21982])

    call avR2(10132, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21979, nGC_21979,     &
    nGC_21983, nGC_21983])

    allocate(vertices(443)%branchR2(0:0))
    call avR2(443, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22216, nGC_22215])

    allocate(vertices(2075)%branchR2(0:0))
    call avR2(2075, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(1494)%branchR2(0:0))
    call avR2(1494, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(9470)%branchR2(0:0))
    call avR2(9470, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(3940)%branchR2(0:0))
    call avR2(3940, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(1645)%branchR2(0:0))
    call avR2(1645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(3865)%branchR2(0:0))
    call avR2(3865, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(6545)%branchR2(0:0))
    call avR2(6545, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(10754)%branchR2(0:0))
    call avR2(10754, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(10225)%branchR2(0:0))
    call avR2(10225, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(4443)%branchR2(0:3))
    call avR2(4443, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22289, nGC_22287])

    call avR2(4443, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(4443, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22286, nGC_22284])

    call avR2(4443, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10755)%branchR2(0:0))
    call avR2(10755, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(5360)%branchR2(0:0))
    call avR2(5360, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(2135)%branchR2(0:0))
    call avR2(2135, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(5077)%branchR2(0:0))
    call avR2(5077, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(6033)%branchR2(0:0))
    call avR2(6033, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(2648)%branchR2(0:0))
    call avR2(2648, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22009])

    allocate(vertices(10165)%branchR2(0:0))
    call avR2(10165, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(10756)%branchR2(0:0))
    call avR2(10756, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22320])

    allocate(vertices(4282)%branchR2(0:0))
    call avR2(4282, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(8763)%branchR2(0:1))
    call avR2(8763, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(8763, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(3831)%branchR2(0:0))
    call avR2(3831, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(1360)%branchR2(0:0))
    call avR2(1360, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10143)%branchR2(0:0))
    call avR2(10143, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(8002)%branchR2(0:0))
    call avR2(8002, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22271, nGC_22272])

    allocate(vertices(6325)%branchR2(0:0))
    call avR2(6325, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9738)%branchR2(0:0))
    call avR2(9738, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(1257)%branchR2(0:1))
    call avR2(1257, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22223, nGC_22224])

    call avR2(1257, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22225, nGC_22225])

    allocate(vertices(4344)%branchR2(0:0))
    call avR2(4344, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22015])

    allocate(vertices(8949)%branchR2(0:0))
    call avR2(8949, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57962])

    allocate(vertices(5054)%branchR2(0:1))
    call avR2(5054, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22202, nGC_22202])

    call avR2(5054, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22200, nGC_22201])

    allocate(vertices(6974)%branchR2(0:0))
    call avR2(6974, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(7544)%branchR2(0:0))
    call avR2(7544, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22478,        &
    nGC_22477])

    allocate(vertices(10179)%branchR2(0:0))
    call avR2(10179, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(3556)%branchR2(0:0))
    call avR2(3556, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6611)%branchR2(0:0))
    call avR2(6611, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(1005)%branchR2(0:0))
    call avR2(1005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9087)%branchR2(0:0))
    call avR2(9087, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(3886)%branchR2(0:0))
    call avR2(3886, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22466])

    allocate(vertices(6392)%branchR2(0:0))
    call avR2(6392, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(6035)%branchR2(0:0))
    call avR2(6035, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(8507)%branchR2(0:0))
    call avR2(8507, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(7302)%branchR2(0:0))
    call avR2(7302, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10757)%branchR2(0:0))
    call avR2(10757, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22481, nGC_22481,      &
    nGC_22481])

    allocate(vertices(2529)%branchR2(0:0))
    call avR2(2529, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57890])

    allocate(vertices(5965)%branchR2(0:0))
    call avR2(5965, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(1853)%branchR2(0:0))
    call avR2(1853, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22156])

    allocate(vertices(10758)%branchR2(0:0))
    call avR2(10758, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(3518)%branchR2(0:0))
    call avR2(3518, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(1681)%branchR2(0:0))
    call avR2(1681, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(3682)%branchR2(0:0))
    call avR2(3682, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6949)%branchR2(0:1))
    call avR2(6949, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22037, nGC_22036])

    call avR2(6949, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(5127)%branchR2(0:0))
    call avR2(5127, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(882)%branchR2(0:0))
    call avR2(882, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(9941)%branchR2(0:0))
    call avR2(9941, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(8836)%branchR2(0:0))
    call avR2(8836, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(9460)%branchR2(0:0))
    call avR2(9460, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22016])

    allocate(vertices(268)%branchR2(0:0))
    call avR2(268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5613)%branchR2(0:0))
    call avR2(5613, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(5328)%branchR2(0:0))
    call avR2(5328, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(5371)%branchR2(0:0))
    call avR2(5371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(6855)%branchR2(0:0))
    call avR2(6855, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(7145)%branchR2(0:0))
    call avR2(7145, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22054])

    allocate(vertices(8087)%branchR2(0:0))
    call avR2(8087, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(10371)%branchR2(0:0))
    call avR2(10371, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(8113)%branchR2(0:0))
    call avR2(8113, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(9254)%branchR2(0:0))
    call avR2(9254, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(4243)%branchR2(0:0))
    call avR2(4243, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10759)%branchR2(0:0))
    call avR2(10759, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(7602)%branchR2(0:0))
    call avR2(7602, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

    allocate(vertices(9605)%branchR2(0:0))
    call avR2(9605, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(5017)%branchR2(0:0))
    call avR2(5017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(3537)%branchR2(0:0))
    call avR2(3537, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22316])

    allocate(vertices(7596)%branchR2(0:0))
    call avR2(7596, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(5535)%branchR2(0:0))
    call avR2(5535, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(7047)%branchR2(0:0))
    call avR2(7047, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(275)%branchR2(0:1))
    call avR2(275, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22101, nGC_22103])

    call avR2(275, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22102, nGC_22104])

    allocate(vertices(8293)%branchR2(0:0))
    call avR2(8293, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(9117)%branchR2(0:0))
    call avR2(9117, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7187)%branchR2(0:0))
    call avR2(7187, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22069])

    allocate(vertices(9418)%branchR2(0:0))
    call avR2(9418, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2810)%branchR2(0:0))
    call avR2(2810, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(10760)%branchR2(0:0))
    call avR2(10760, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(9397)%branchR2(0:0))
    call avR2(9397, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(1064)%branchR2(0:0))
    call avR2(1064, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(258)%branchR2(0:0))
    call avR2(258, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22206, nGC_22205])

    allocate(vertices(2380)%branchR2(0:0))
    call avR2(2380, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(2916)%branchR2(0:0))
    call avR2(2916, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(6183)%branchR2(0:0))
    call avR2(6183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(9133)%branchR2(0:0))
    call avR2(9133, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22029, nGC_22030])

    allocate(vertices(1643)%branchR2(0:0))
    call avR2(1643, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(3385)%branchR2(0:0))
    call avR2(3385, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(4715)%branchR2(0:0))
    call avR2(4715, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(9266)%branchR2(0:0))
    call avR2(9266, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(2398)%branchR2(0:0))
    call avR2(2398, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22144])

    allocate(vertices(3136)%branchR2(0:0))
    call avR2(3136, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22358,       &
    nGC_22357])

    allocate(vertices(9274)%branchR2(0:0))
    call avR2(9274, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(5382)%branchR2(0:0))
    call avR2(5382, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(8957)%branchR2(0:0))
    call avR2(8957, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(2695)%branchR2(0:0))
    call avR2(2695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(10761)%branchR2(0:1))
    call avR2(10761, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,    &
    nGC_22485])

    call avR2(10761, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22484, nGC_22484,    &
    nGC_22484])

    allocate(vertices(10762)%branchR2(0:0))
    call avR2(10762, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22368, nGC_22368,      &
    nGC_22368])

    allocate(vertices(4479)%branchR2(0:0))
    call avR2(4479, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(5971)%branchR2(0:0))
    call avR2(5971, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22071])

    allocate(vertices(6217)%branchR2(0:0))
    call avR2(6217, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(8739)%branchR2(0:0))
    call avR2(8739, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(10246)%branchR2(0:0))
    call avR2(10246, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22468])

    allocate(vertices(1476)%branchR2(0:0))
    call avR2(1476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(7965)%branchR2(0:0))
    call avR2(7965, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(3314)%branchR2(0:0))
    call avR2(3314, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3981)%branchR2(0:0))
    call avR2(3981, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22478,       &
    nGC_22477])

    allocate(vertices(10763)%branchR2(0:0))
    call avR2(10763, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(5830)%branchR2(0:0))
    call avR2(5830, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(7053)%branchR2(0:0))
    call avR2(7053, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(1316)%branchR2(0:0))
    call avR2(1316, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(9366)%branchR2(0:0))
    call avR2(9366, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(9276)%branchR2(0:0))
    call avR2(9276, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60371])

    allocate(vertices(8302)%branchR2(0:0))
    call avR2(8302, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(5145)%branchR2(0:0))
    call avR2(5145, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22128])

    allocate(vertices(1559)%branchR2(0:0))
    call avR2(1559, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22010])

    allocate(vertices(2145)%branchR2(0:0))
    call avR2(2145, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22067])

    allocate(vertices(7246)%branchR2(0:0))
    call avR2(7246, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(9999)%branchR2(0:0))
    call avR2(9999, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8813)%branchR2(0:0))
    call avR2(8813, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22108, nGC_22107])

    allocate(vertices(8134)%branchR2(0:0))
    call avR2(8134, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(4801)%branchR2(0:0))
    call avR2(4801, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(131)%branchR2(0:0))
    call avR2(131, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(10229)%branchR2(0:0))
    call avR2(10229, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22033])

    allocate(vertices(9469)%branchR2(0:0))
    call avR2(9469, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2035)%branchR2(0:0))
    call avR2(2035, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(7536)%branchR2(0:0))
    call avR2(7536, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(6676)%branchR2(0:0))
    call avR2(6676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(4163)%branchR2(0:1))
    call avR2(4163, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22219, nGC_22219])

    call avR2(4163, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22217, nGC_22218])

    allocate(vertices(9372)%branchR2(0:0))
    call avR2(9372, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(9926)%branchR2(0:0))
    call avR2(9926, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59206])

    allocate(vertices(708)%branchR2(0:0))
    call avR2(708, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(8707)%branchR2(0:0))
    call avR2(8707, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(9296)%branchR2(0:0))
    call avR2(9296, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22032])

    allocate(vertices(10028)%branchR2(0:0))
    call avR2(10028, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(3133)%branchR2(0:3))
    call avR2(3133, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22313, nGC_22312])

    call avR2(3133, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(3133, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22311, nGC_22310])

    call avR2(3133, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(6263)%branchR2(0:0))
    call avR2(6263, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(6366)%branchR2(0:0))
    call avR2(6366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3799)%branchR2(0:1))
    call avR2(3799, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22119, nGC_22121])

    call avR2(3799, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22120, nGC_22122])

    allocate(vertices(5531)%branchR2(0:0))
    call avR2(5531, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(6180)%branchR2(0:0))
    call avR2(6180, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22189])

    allocate(vertices(7183)%branchR2(0:0))
    call avR2(7183, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22128])

    allocate(vertices(9625)%branchR2(0:0))
    call avR2(9625, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(4404)%branchR2(0:0))
    call avR2(4404, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22466])

    allocate(vertices(4843)%branchR2(0:0))
    call avR2(4843, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(6828)%branchR2(0:0))
    call avR2(6828, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(6047)%branchR2(0:0))
    call avR2(6047, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(10764)%branchR2(0:0))
    call avR2(10764, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22013])

    allocate(vertices(10486)%branchR2(0:0))
    call avR2(10486, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(8865)%branchR2(0:0))
    call avR2(8865, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(3683)%branchR2(0:0))
    call avR2(3683, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22069])

    allocate(vertices(10765)%branchR2(0:1))
    call avR2(10765, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22393])

    call avR2(10765, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22394])

    allocate(vertices(7866)%branchR2(0:0))
    call avR2(7866, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(1259)%branchR2(0:0))
    call avR2(1259, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22018])

    allocate(vertices(1454)%branchR2(0:0))
    call avR2(1454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(10362)%branchR2(0:0))
    call avR2(10362, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(4307)%branchR2(0:0))
    call avR2(4307, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10766)%branchR2(0:1))
    call avR2(10766, 0, 129, 1, 0, VVS0, 0, [2, 1], [nGC_22207])

    call avR2(10766, 1, 130, 1, 0, VVS0, 0, [2, 1], [nGC_22208])

    allocate(vertices(10482)%branchR2(0:0))
    call avR2(10482, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

    allocate(vertices(7014)%branchR2(0:0))
    call avR2(7014, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(1263)%branchR2(0:0))
    call avR2(1263, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58907])

    allocate(vertices(9828)%branchR2(0:0))
    call avR2(9828, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

    allocate(vertices(9026)%branchR2(0:0))
    call avR2(9026, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(10767)%branchR2(0:1))
    call avR2(10767, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22475])

    call avR2(10767, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22476])

    allocate(vertices(984)%branchR2(0:0))
    call avR2(984, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6939)%branchR2(0:0))
    call avR2(6939, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(356)%branchR2(0:0))
    call avR2(356, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10422)%branchR2(0:0))
    call avR2(10422, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(1625)%branchR2(0:0))
    call avR2(1625, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(1258)%branchR2(0:0))
    call avR2(1258, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(1981)%branchR2(0:0))
    call avR2(1981, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(891)%branchR2(0:1))
    call avR2(891, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22060, nGC_22062])

    call avR2(891, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22080, nGC_22081])

    allocate(vertices(9682)%branchR2(0:0))
    call avR2(9682, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5)%branchR2(0:0))
    call avR2(5, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(2501)%branchR2(0:0))
    call avR2(2501, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22233, nGC_22232])

    allocate(vertices(1850)%branchR2(0:0))
    call avR2(1850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(10768)%branchR2(0:0))
    call avR2(10768, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(9627)%branchR2(0:0))
    call avR2(9627, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2559)%branchR2(0:1))
    call avR2(2559, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22138, nGC_22140])

    call avR2(2559, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22139, nGC_22141])

    allocate(vertices(9591)%branchR2(0:0))
    call avR2(9591, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(6691)%branchR2(0:1))
    call avR2(6691, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22219, nGC_22219])

    call avR2(6691, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22217, nGC_22218])

    allocate(vertices(10769)%branchR2(0:0))
    call avR2(10769, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22319])

    allocate(vertices(10167)%branchR2(0:0))
    call avR2(10167, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22088])

    allocate(vertices(7459)%branchR2(0:0))
    call avR2(7459, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(2390)%branchR2(0:0))
    call avR2(2390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(7545)%branchR2(0:0))
    call avR2(7545, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22356,       &
    nGC_22358])

    allocate(vertices(4818)%branchR2(0:0))
    call avR2(4818, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

    allocate(vertices(897)%branchR2(0:0))
    call avR2(897, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10770)%branchR2(0:0))
    call avR2(10770, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22084])

    allocate(vertices(8754)%branchR2(0:0))
    call avR2(8754, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22472])

    allocate(vertices(3154)%branchR2(0:0))
    call avR2(3154, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22068])

    allocate(vertices(4642)%branchR2(0:0))
    call avR2(4642, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60072])

    allocate(vertices(9686)%branchR2(0:0))
    call avR2(9686, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(8687)%branchR2(0:1))
    call avR2(8687, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22251])

    call avR2(8687, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22255])

    allocate(vertices(2361)%branchR2(0:0))
    call avR2(2361, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9402)%branchR2(0:0))
    call avR2(9402, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(1809)%branchR2(0:1))
    call avR2(1809, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22217, nGC_22218])

    call avR2(1809, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22219, nGC_22219])

    allocate(vertices(8960)%branchR2(0:0))
    call avR2(8960, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(1862)%branchR2(0:1))
    call avR2(1862, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22241, nGC_22242])

    call avR2(1862, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22243, nGC_22243])

    allocate(vertices(7503)%branchR2(0:0))
    call avR2(7503, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22316])

    allocate(vertices(4894)%branchR2(0:0))
    call avR2(4894, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(9692)%branchR2(0:0))
    call avR2(9692, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(4049)%branchR2(0:0))
    call avR2(4049, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22273])

    allocate(vertices(4423)%branchR2(0:0))
    call avR2(4423, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22477, nGC_22478,       &
    nGC_22478])

    allocate(vertices(2279)%branchR2(0:1))
    call avR2(2279, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(2279, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(4419)%branchR2(0:0))
    call avR2(4419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(9002)%branchR2(0:0))
    call avR2(9002, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(10771)%branchR2(0:0))
    call avR2(10771, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(7725)%branchR2(0:1))
    call avR2(7725, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22185, nGC_22187])

    call avR2(7725, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22186, nGC_22188])

    allocate(vertices(10166)%branchR2(0:0))
    call avR2(10166, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(1162)%branchR2(0:0))
    call avR2(1162, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22158])

    allocate(vertices(6242)%branchR2(0:0))
    call avR2(6242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(2429)%branchR2(0:0))
    call avR2(2429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(7420)%branchR2(0:0))
    call avR2(7420, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(5793)%branchR2(0:0))
    call avR2(5793, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(8700)%branchR2(0:0))
    call avR2(8700, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22148])

    allocate(vertices(2503)%branchR2(0:0))
    call avR2(2503, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(6244)%branchR2(0:1))
    call avR2(6244, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22169, nGC_22171])

    call avR2(6244, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22170, nGC_22172])

    allocate(vertices(10772)%branchR2(0:1))
    call avR2(10772, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10772, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(10773)%branchR2(0:1))
    call avR2(10773, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22447])

    call avR2(10773, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22446])

    allocate(vertices(5316)%branchR2(0:0))
    call avR2(5316, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(9009)%branchR2(0:0))
    call avR2(9009, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7228)%branchR2(0:0))
    call avR2(7228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(6916)%branchR2(0:0))
    call avR2(6916, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(1967)%branchR2(0:0))
    call avR2(1967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2424)%branchR2(0:0))
    call avR2(2424, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5993)%branchR2(0:0))
    call avR2(5993, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(8329)%branchR2(0:0))
    call avR2(8329, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(6824)%branchR2(0:0))
    call avR2(6824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(8492)%branchR2(0:0))
    call avR2(8492, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22090])

    allocate(vertices(2250)%branchR2(0:0))
    call avR2(2250, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22322,       &
    nGC_22323])

    allocate(vertices(1608)%branchR2(0:0))
    call avR2(1608, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2965)%branchR2(0:0))
    call avR2(2965, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(7193)%branchR2(0:0))
    call avR2(7193, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22316])

    allocate(vertices(5109)%branchR2(0:0))
    call avR2(5109, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(5041)%branchR2(0:0))
    call avR2(5041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(5052)%branchR2(0:0))
    call avR2(5052, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(445)%branchR2(0:0))
    call avR2(445, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(2782)%branchR2(0:0))
    call avR2(2782, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(2543)%branchR2(0:0))
    call avR2(2543, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(9766)%branchR2(0:0))
    call avR2(9766, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(4955)%branchR2(0:0))
    call avR2(4955, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22144])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(10774)%branchR2(0:1))
    call avR2(10774, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22394])

    call avR2(10774, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(7029)%branchR2(0:0))
    call avR2(7029, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22091])

    allocate(vertices(2808)%branchR2(0:0))
    call avR2(2808, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(2311)%branchR2(0:0))
    call avR2(2311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(5526)%branchR2(0:0))
    call avR2(5526, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(7502)%branchR2(0:0))
    call avR2(7502, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(10775)%branchR2(0:0))
    call avR2(10775, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22013])

    allocate(vertices(10776)%branchR2(0:1))
    call avR2(10776, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22393])

    call avR2(10776, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22394])

    allocate(vertices(4026)%branchR2(0:1))
    call avR2(4026, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(4026, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22041, nGC_22040])

    allocate(vertices(9472)%branchR2(0:0))
    call avR2(9472, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(8165)%branchR2(0:0))
    call avR2(8165, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(9971)%branchR2(0:0))
    call avR2(9971, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21958, nGC_21957])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(9896)%branchR2(0:0))
    call avR2(9896, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_21975, nGC_21974,        &
    nGC_21976])

    allocate(vertices(326)%branchR2(0:0))
    call avR2(326, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(5741)%branchR2(0:0))
    call avR2(5741, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22257])

    allocate(vertices(5609)%branchR2(0:0))
    call avR2(5609, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(9474)%branchR2(0:0))
    call avR2(9474, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(4304)%branchR2(0:0))
    call avR2(4304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(120)%branchR2(0:1))
    call avR2(120, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22202, nGC_22202])

    call avR2(120, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22200, nGC_22201])

    allocate(vertices(10777)%branchR2(0:0))
    call avR2(10777, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(3156)%branchR2(0:0))
    call avR2(3156, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22467])

    allocate(vertices(5879)%branchR2(0:1))
    call avR2(5879, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22113, nGC_22115])

    call avR2(5879, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22114, nGC_22116])

    allocate(vertices(7127)%branchR2(0:0))
    call avR2(7127, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10778)%branchR2(0:1))
    call avR2(10778, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22447])

    call avR2(10778, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22446])

    allocate(vertices(2216)%branchR2(0:0))
    call avR2(2216, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(6070)%branchR2(0:0))
    call avR2(6070, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(5400)%branchR2(0:0))
    call avR2(5400, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(1175, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(17)%branchR2(0:0))
    call avR2(17, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(7493)%branchR2(0:0))
    call avR2(7493, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2362)%branchR2(0:0))
    call avR2(2362, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(3297)%branchR2(0:0))
    call avR2(3297, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(9998)%branchR2(0:0))
    call avR2(9998, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(7960)%branchR2(0:0))
    call avR2(7960, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(7199)%branchR2(0:0))
    call avR2(7199, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22467])

    allocate(vertices(10470)%branchR2(0:0))
    call avR2(10470, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22032])

    allocate(vertices(2714)%branchR2(0:0))
    call avR2(2714, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(2370)%branchR2(0:0))
    call avR2(2370, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(6458)%branchR2(0:0))
    call avR2(6458, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60125])

    allocate(vertices(5587)%branchR2(0:0))
    call avR2(5587, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(8330)%branchR2(0:0))
    call avR2(8330, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(3394)%branchR2(0:1))
    call avR2(3394, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22136, nGC_22134])

    call avR2(3394, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22137, nGC_22135])

    allocate(vertices(2447)%branchR2(0:0))
    call avR2(2447, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(8932)%branchR2(0:0))
    call avR2(8932, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(10779)%branchR2(0:1))
    call avR2(10779, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10779, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(4830)%branchR2(0:0))
    call avR2(4830, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22015])

    allocate(vertices(10780)%branchR2(0:0))
    call avR2(10780, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(4021)%branchR2(0:1))
    call avR2(4021, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(4021, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(5656)%branchR2(0:0))
    call avR2(5656, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22053])

    allocate(vertices(8158)%branchR2(0:0))
    call avR2(8158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(2352)%branchR2(0:0))
    call avR2(2352, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22142])

    allocate(vertices(10781)%branchR2(0:0))
    call avR2(10781, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(7190)%branchR2(0:0))
    call avR2(7190, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22108, nGC_22107])

    allocate(vertices(7986)%branchR2(0:0))
    call avR2(7986, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(9316)%branchR2(0:0))
    call avR2(9316, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5101)%branchR2(0:0))
    call avR2(5101, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(901)%branchR2(0:0))
    call avR2(901, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(4392)%branchR2(0:0))
    call avR2(4392, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(7542)%branchR2(0:0))
    call avR2(7542, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(1452)%branchR2(0:0))
    call avR2(1452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(5662)%branchR2(0:0))
    call avR2(5662, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(6512)%branchR2(0:1))
    call avR2(6512, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22223, nGC_22224])

    call avR2(6512, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22225, nGC_22225])

    allocate(vertices(8179)%branchR2(0:0))
    call avR2(8179, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(858)%branchR2(0:1))
    call avR2(858, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22250])

    call avR2(858, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22251])

    allocate(vertices(3442)%branchR2(0:0))
    call avR2(3442, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(8406)%branchR2(0:1))
    call avR2(8406, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22041, nGC_22040])

    call avR2(8406, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(2896)%branchR2(0:0))
    call avR2(2896, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(9770)%branchR2(0:0))
    call avR2(9770, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(9966)%branchR2(0:0))
    call avR2(9966, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22091])

    allocate(vertices(8600)%branchR2(0:0))
    call avR2(8600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(5078)%branchR2(0:0))
    call avR2(5078, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(1557)%branchR2(0:1))
    call avR2(1557, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22246, nGC_22247])

    call avR2(1557, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22248, nGC_22248])

    allocate(vertices(1333)%branchR2(0:0))
    call avR2(1333, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(2781)%branchR2(0:0))
    call avR2(2781, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22142])

    allocate(vertices(3605)%branchR2(0:0))
    call avR2(3605, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(9776)%branchR2(0:0))
    call avR2(9776, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2128)%branchR2(0:0))
    call avR2(2128, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(176)%branchR2(0:0))
    call avR2(176, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22245, nGC_22244])

    allocate(vertices(2899)%branchR2(0:0))
    call avR2(2899, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(9626)%branchR2(0:0))
    call avR2(9626, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2698)%branchR2(0:0))
    call avR2(2698, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59910])

    allocate(vertices(557)%branchR2(0:0))
    call avR2(557, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(10782)%branchR2(0:0))
    call avR2(10782, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22328, nGC_22328,      &
    nGC_22328])

    allocate(vertices(9074)%branchR2(0:0))
    call avR2(9074, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22359])

    allocate(vertices(9441)%branchR2(0:0))
    call avR2(9441, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(7848)%branchR2(0:0))
    call avR2(7848, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22014])

    allocate(vertices(2397)%branchR2(0:0))
    call avR2(2397, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3894)%branchR2(0:0))
    call avR2(3894, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(9511)%branchR2(0:0))
    call avR2(9511, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(1615)%branchR2(0:0))
    call avR2(1615, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(2032)%branchR2(0:0))
    call avR2(2032, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22128])

    allocate(vertices(4187)%branchR2(0:0))
    call avR2(4187, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(1781)%branchR2(0:0))
    call avR2(1781, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22144])

    allocate(vertices(7530)%branchR2(0:0))
    call avR2(7530, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(4075)%branchR2(0:0))
    call avR2(4075, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(10417)%branchR2(0:0))
    call avR2(10417, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(1845)%branchR2(0:0))
    call avR2(1845, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(2449)%branchR2(0:0))
    call avR2(2449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(5385)%branchR2(0:0))
    call avR2(5385, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(2625)%branchR2(0:0))
    call avR2(2625, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22184, nGC_22183])

    allocate(vertices(10783)%branchR2(0:0))
    call avR2(10783, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(4978)%branchR2(0:0))
    call avR2(4978, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

    allocate(vertices(3641)%branchR2(0:0))
    call avR2(3641, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58696])

    allocate(vertices(6159)%branchR2(0:0))
    call avR2(6159, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(9481)%branchR2(0:0))
    call avR2(9481, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(1416)%branchR2(0:0))
    call avR2(1416, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22358,       &
    nGC_22357])

    allocate(vertices(6852)%branchR2(0:0))
    call avR2(6852, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4794)%branchR2(0:0))
    call avR2(4794, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(6063)%branchR2(0:0))
    call avR2(6063, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(9458)%branchR2(0:0))
    call avR2(9458, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58860])

    allocate(vertices(5287)%branchR2(0:0))
    call avR2(5287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(10784)%branchR2(0:1))
    call avR2(10784, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22351, nGC_22351,    &
    nGC_22351])

    call avR2(10784, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22350, nGC_22350,    &
    nGC_22350])

    allocate(vertices(10232)%branchR2(0:1))
    call avR2(10232, 0, 15, 1, 0, VV0, 0, [2, 0], [nGC_21992, nGC_21991,       &
    nGC_21993])

    call avR2(10232, 1, 16, 1, 0, VV0, 0, [2, 0], [nGC_21995, nGC_21994,       &
    nGC_21996])

    allocate(vertices(3449)%branchR2(0:0))
    call avR2(3449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(5736)%branchR2(0:0))
    call avR2(5736, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(3330)%branchR2(0:0))
    call avR2(3330, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(4620)%branchR2(0:1))
    call avR2(4620, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22251])

    call avR2(4620, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22255])

    allocate(vertices(7211)%branchR2(0:0))
    call avR2(7211, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

    allocate(vertices(5324)%branchR2(0:0))
    call avR2(5324, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22216, nGC_22215])

    allocate(vertices(10785)%branchR2(0:0))
    call avR2(10785, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22319])

    allocate(vertices(7249)%branchR2(0:1))
    call avR2(7249, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22194, nGC_22195])

    call avR2(7249, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22196, nGC_22196])

    allocate(vertices(7786)%branchR2(0:0))
    call avR2(7786, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(6028)%branchR2(0:0))
    call avR2(6028, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(4983)%branchR2(0:0))
    call avR2(4983, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10344)%branchR2(0:0))
    call avR2(10344, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(5769)%branchR2(0:0))
    call avR2(5769, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22478,       &
    nGC_22477])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59910])

    allocate(vertices(6337)%branchR2(0:0))
    call avR2(6337, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(8712)%branchR2(0:0))
    call avR2(8712, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22069])

    allocate(vertices(10786)%branchR2(0:1))
    call avR2(10786, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22441])

    call avR2(10786, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22440])

    allocate(vertices(8922)%branchR2(0:0))
    call avR2(8922, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22074])

    allocate(vertices(6991)%branchR2(0:0))
    call avR2(6991, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(879)%branchR2(0:0))
    call avR2(879, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22118, nGC_22117])

    allocate(vertices(2394)%branchR2(0:0))
    call avR2(2394, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22477,       &
    nGC_22478])

    allocate(vertices(4567)%branchR2(0:0))
    call avR2(4567, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(8758)%branchR2(0:0))
    call avR2(8758, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(7116)%branchR2(0:3))
    call avR2(7116, 0, 114, 1, 0, FaFV0, 0, [1, 2], [nGC_22289, nGC_22287])

    call avR2(7116, 1, 114, 1, 0, FaFV0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(7116, 2, 115, 1, 0, FaFV0, 0, [1, 2], [nGC_22286, nGC_22284])

    call avR2(7116, 3, 115, 1, 0, FaFV0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(2685)%branchR2(0:0))
    call avR2(2685, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(9290)%branchR2(0:0))
    call avR2(9290, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(6174)%branchR2(0:0))
    call avR2(6174, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22254])

    allocate(vertices(9771)%branchR2(0:0))
    call avR2(9771, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(8371)%branchR2(0:0))
    call avR2(8371, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22374])

    allocate(vertices(6467)%branchR2(0:0))
    call avR2(6467, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5857)%branchR2(0:0))
    call avR2(5857, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(8554)%branchR2(0:0))
    call avR2(8554, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(10787)%branchR2(0:0))
    call avR2(10787, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22318])

    allocate(vertices(6249)%branchR2(0:0))
    call avR2(6249, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(2948)%branchR2(0:0))
    call avR2(2948, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(2564)%branchR2(0:0))
    call avR2(2564, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(4653)%branchR2(0:0))
    call avR2(4653, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22192])

    allocate(vertices(2224)%branchR2(0:0))
    call avR2(2224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(6284)%branchR2(0:0))
    call avR2(6284, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

    allocate(vertices(6442)%branchR2(0:0))
    call avR2(6442, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22221])

    allocate(vertices(8003)%branchR2(0:0))
    call avR2(8003, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(2796)%branchR2(0:0))
    call avR2(2796, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22174, nGC_22173])

    allocate(vertices(410)%branchR2(0:0))
    call avR2(410, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(4645)%branchR2(0:0))
    call avR2(4645, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(6193)%branchR2(0:1))
    call avR2(6193, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22061, nGC_22059])

    call avR2(6193, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22062, nGC_22060])

    allocate(vertices(9243)%branchR2(0:0))
    call avR2(9243, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(2788)%branchR2(0:0))
    call avR2(2788, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22068])

    allocate(vertices(1697)%branchR2(0:0))
    call avR2(1697, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(3285)%branchR2(0:3))
    call avR2(3285, 0, 116, 1, 0, VFFa0, 0, [1, 2], [nGC_22289, nGC_22287])

    call avR2(3285, 1, 116, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(3285, 2, 117, 1, 0, VFFa0, 0, [1, 2], [nGC_22286, nGC_22284])

    call avR2(3285, 3, 117, 1, 0, VFFa0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(6806)%branchR2(0:0))
    call avR2(6806, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(7568)%branchR2(0:0))
    call avR2(7568, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8080)%branchR2(0:0))
    call avR2(8080, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58950])

    allocate(vertices(7152)%branchR2(0:0))
    call avR2(7152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22358,        &
    nGC_22357])

    allocate(vertices(6969)%branchR2(0:0))
    call avR2(6969, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(5258)%branchR2(0:0))
    call avR2(5258, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22157])

    allocate(vertices(10788)%branchR2(0:0))
    call avR2(10788, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(10365)%branchR2(0:0))
    call avR2(10365, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22432])

    allocate(vertices(1871)%branchR2(0:0))
    call avR2(1871, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22077])

    allocate(vertices(5232)%branchR2(0:0))
    call avR2(5232, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(10789)%branchR2(0:1))
    call avR2(10789, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22394])

    call avR2(10789, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(4941)%branchR2(0:1))
    call avR2(4941, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22225, nGC_22225])

    call avR2(4941, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22223, nGC_22224])

    allocate(vertices(8102)%branchR2(0:0))
    call avR2(8102, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(1386)%branchR2(0:1))
    call avR2(1386, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(1386, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(2179)%branchR2(0:0))
    call avR2(2179, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(2303)%branchR2(0:0))
    call avR2(2303, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(1527)%branchR2(0:0))
    call avR2(1527, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(3596)%branchR2(0:0))
    call avR2(3596, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(7948)%branchR2(0:1))
    call avR2(7948, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22135, nGC_22137])

    call avR2(7948, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22149, nGC_22150])

    allocate(vertices(7023)%branchR2(0:0))
    call avR2(7023, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(3819)%branchR2(0:0))
    call avR2(3819, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2757)%branchR2(0:0))
    call avR2(2757, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22129])

    allocate(vertices(2726)%branchR2(0:0))
    call avR2(2726, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(4242)%branchR2(0:0))
    call avR2(4242, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22357,       &
    nGC_22358])

    allocate(vertices(4428)%branchR2(0:0))
    call avR2(4428, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22092])

    allocate(vertices(8182)%branchR2(0:0))
    call avR2(8182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22465])

    allocate(vertices(630)%branchR2(0:0))
    call avR2(630, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(6096)%branchR2(0:0))
    call avR2(6096, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22358,       &
    nGC_22356])

    allocate(vertices(5083)%branchR2(0:1))
    call avR2(5083, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(5083, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22268, nGC_22267])

    allocate(vertices(1000)%branchR2(0:0))
    call avR2(1000, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6447)%branchR2(0:0))
    call avR2(6447, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(8934)%branchR2(0:0))
    call avR2(8934, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2820)%branchR2(0:0))
    call avR2(2820, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(3016)%branchR2(0:0))
    call avR2(3016, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22147])

    allocate(vertices(4593)%branchR2(0:0))
    call avR2(4593, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22164, nGC_22163])

    allocate(vertices(2633)%branchR2(0:0))
    call avR2(2633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(4731)%branchR2(0:0))
    call avR2(4731, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(1814)%branchR2(0:0))
    call avR2(1814, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(9594)%branchR2(0:0))
    call avR2(9594, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(5005)%branchR2(0:0))
    call avR2(5005, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(1791)%branchR2(0:0))
    call avR2(1791, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(920)%branchR2(0:1))
    call avR2(920, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22196, nGC_22196])

    call avR2(920, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22194, nGC_22195])

    allocate(vertices(121)%branchR2(0:0))
    call avR2(121, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10098)%branchR2(0:0))
    call avR2(10098, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22016])

    allocate(vertices(4301)%branchR2(0:0))
    call avR2(4301, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22257])

    allocate(vertices(7753)%branchR2(0:0))
    call avR2(7753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4678)%branchR2(0:0))
    call avR2(4678, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(3204)%branchR2(0:0))
    call avR2(3204, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(4074)%branchR2(0:0))
    call avR2(4074, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22067])

    allocate(vertices(9204)%branchR2(0:0))
    call avR2(9204, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1581)%branchR2(0:0))
    call avR2(1581, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22220])

    allocate(vertices(5673)%branchR2(0:0))
    call avR2(5673, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(5562)%branchR2(0:0))
    call avR2(5562, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(4538)%branchR2(0:0))
    call avR2(4538, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(823)%branchR2(0:3))
    call avR2(823, 0, 120, 1, 0, FVFa0, 0, [1, 2], [nGC_22289, nGC_22287])

    call avR2(823, 1, 120, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(823, 2, 121, 1, 0, FVFa0, 0, [1, 2], [nGC_22286, nGC_22284])

    call avR2(823, 3, 121, 1, 0, FVFa0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(707)%branchR2(0:0))
    call avR2(707, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2322)%branchR2(0:0))
    call avR2(2322, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22235, nGC_22234])

    allocate(vertices(3474)%branchR2(0:0))
    call avR2(3474, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

  end subroutine fill_vertices_mdl24
end module vertices_info24
