!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_22213) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339)*&
                       coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(   &
                       nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(    &
                       nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl(  &
                       nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22210) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334)*&
                       coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(   &
                       nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(    &
                       nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl(  &
                       nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22211) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22214) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22215) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(      &
                       nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22218) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_384) - coupl(nGC_346)*&
                       coupl(nGC_348)*coupl(nGC_382) - coupl(nGC_348)*coupl(   &
                       nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(    &
                       nGC_384) - coupl(nGC_383)**2d0*coupl(nGC_384) - coupl(  &
                       nGC_384)**3d0 - coupl(nGC_384)*coupl(nGC_386)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22219) = coupl(nGC_13)**2d0*coupl(nGC_384)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32643) = coupl(nGC_367)*dZGMinus/2d0
    coupl(nGC_22367) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0 + &
                       10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 + 20d0* &
                       Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)*coupl(  &
                       nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_366)** &
                       2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)**2d0 + &
                       10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_373)**2d0 + 20d0* &
                       Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_372)*coupl(  &
                       nGC_373) + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_372)** &
                       2d0 + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_349)**2d0 + &
                       10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_385)**2d0 + 20d0* &
                       Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_384)*coupl(  &
                       nGC_385) + 10d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_384)** &
                       2d0 + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_367)**2d0 + &
                       10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0* &
                       Nc*coupl(nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*&
                       coupl(nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 &
                        + 10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0* &
                       coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(   &
                       nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22365) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                       10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + 10d0* &
                       Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*Nc*   &
                       coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(&
                       nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(      &
                       nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)**&
                       2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 &
                        + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0*   &
                       coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl(   &
                       nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379  &
                       )**2d0)/(48d0*pi**2d0)
    coupl(nGC_22362) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 +  &
                       Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl(  &
                       nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)** &
                       2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl( &
                       nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)** &
                       2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl(  &
                       nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0*&
                       coupl(nGC_379)**2d0)/(24d0*pi**2d0)
    coupl(nGC_44114) = -coupl(nGC_37304)
    coupl(nGC_22360) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340 &
                       )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(     &
                       nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*    &
                       coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*    &
                       coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*    &
                       coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*coupl&
                       (nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi**2d0)
    coupl(nGC_22361) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*   &
                       coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)* &
                       coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367)**&
                       3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*coupl( &
                       nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*coupl(    &
                       nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**3d0 +    &
                       coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0)
    coupl(nGC_22369) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_337&
                       )**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(    &
                       nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*   &
                       coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_336)*  &
                       coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*&
                       Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*coupl(nGC_342) +  &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_369)*    &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*  &
                       coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_340)**2d0*coupl( &
                       nGC_369)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340)*coupl(  &
                       nGC_342)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_345)*coupl(nGC_348)*coupl(nGC_349)**2d0 + 5d0*Nc*   &
                       coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_385)**2d0 + 5d0*&
                       Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_384)*coupl(  &
                       nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(  &
                       nGC_381)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_349)**2d0*   &
                       coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_366)*coupl(nGC_367)**2d0 + 5d0*Nc*coupl(      &
                       nGC_369)*coupl(nGC_372)*coupl(nGC_373)**2d0 + 5d0*Nc*   &
                       coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_385)**2d0 + 6d0*&
                       coupl(nGC_174)*coupl(nGC_180) + 6d0*coupl(nGC_21)*coupl(&
                       nGC_23) + 5d0*coupl(nGC_351)*coupl(nGC_354)*coupl(      &
                       nGC_355)**2d0 + 5d0*coupl(nGC_357)*coupl(nGC_360)*coupl(&
                       nGC_361)**2d0 + 5d0*coupl(nGC_375)*coupl(nGC_378)*coupl(&
                       nGC_379)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22548) = coupl(nGC_21881)*dl3_QED4 + coupl(nGC_21882)*dl1_QED4 + &
                       coupl(nGC_21883)*dl2_QED4 + coupl(nGC_21884)*dl5_QED4 + &
                       coupl(nGC_21885)*dl4_QED4 + coupl(nGC_21886)*db_QED2
    coupl(nGC_22549) = coupl(nGC_21889)*dl3_QED4 + coupl(nGC_21890)*dl1_QED4 + &
                       coupl(nGC_21891)*dl2_QED4 + coupl(nGC_21892)*dl5_QED4 + &
                       coupl(nGC_21893)*dl4_QED4 + coupl(nGC_21894)*db_QED2
    coupl(nGC_22546) = coupl(nGC_21904)*dl3_QED4 + coupl(nGC_21905)*dl1_QED4 + &
                       coupl(nGC_21906)*dl2_QED4 + coupl(nGC_21907)*dl5_QED4 + &
                       coupl(nGC_21908)*dl4_QED4 + coupl(nGC_21909)*db_QED2
    coupl(nGC_22547) = coupl(nGC_21852)*dl3_QED4 + coupl(nGC_21853)*dl1_QED4 + &
                       coupl(nGC_21854)*dl2_QED4 + coupl(nGC_21855)*dl5_QED4 + &
                       coupl(nGC_21856)*dl4_QED4 + coupl(nGC_21857)*db_QED2
    coupl(nGC_22544) = coupl(nGC_21845)*dl3_QED4 + coupl(nGC_21846)*db_QED2 +  &
                       coupl(nGC_21847)*dl2_QED4 + coupl(nGC_21848)*dl5_QED4 + &
                       coupl(nGC_21849)*dl4_QED4 + coupl(nGC_21850)*dl1_QED4 + &
                       coupl(nGC_21851)*da_QED2
    coupl(nGC_22545) = coupl(nGC_21775)*dl3_QED4 + coupl(nGC_21776)*db_QED2 +  &
                       coupl(nGC_21777)*dl2_QED4 + coupl(nGC_21778)*dl5_QED4 + &
                       coupl(nGC_21779)*dl4_QED4 + coupl(nGC_21780)*dl1_QED4 + &
                       coupl(nGC_21781)*da_QED2
    coupl(nGC_22542) = coupl(nGC_21502)*dl3_QED4 + coupl(nGC_21503)*db_QED2 +  &
                       coupl(nGC_21504)*dl2_QED4 + coupl(nGC_21505)*dl5_QED4 + &
                       coupl(nGC_21506)*dl4_QED4 + coupl(nGC_21507)*dl1_QED4 + &
                       coupl(nGC_21508)*da_QED2
    coupl(nGC_22543) = coupl(nGC_21828)*db_QED2 + coupl(nGC_21829)*dl5_QED4 +  &
                       coupl(nGC_21830)*dl4_QED4 + coupl(nGC_21831)*da_QED2
    coupl(nGC_22540) = coupl(nGC_21835)*db_QED2 + coupl(nGC_21836)*dl5_QED4 +  &
                       coupl(nGC_21837)*dl4_QED4 + coupl(nGC_21838)*da_QED2
    coupl(nGC_22541) = coupl(nGC_21688)*dl3_QED4 + coupl(nGC_21689)*db_QED2 +  &
                       coupl(nGC_21690)*dl2_QED4 + coupl(nGC_21691)*dl5_QED4 + &
                       coupl(nGC_21692)*dl4_QED4 + coupl(nGC_21693)*dl1_QED4 + &
                       coupl(nGC_21694)*da_QED2
    coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32346) = coupl(nGC_22548) + coupl(nGC_57)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)*  &
                       dZHMinusGMinus_QED2 + coupl(nGC_74)*dZHMinusGMinus_QED2/&
                       2d0
    coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35420) = coupl(nGC_22541) + coupl(nGC_37)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_37)*dZHh_QED2 + coupl(nGC_42)*                &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_44)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2
    coupl(nGC_32342) = 3d0*coupl(nGC_57)*dZGMinus/2d0
    coupl(nGC_35429) = coupl(nGC_386)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_35428) = coupl(nGC_386)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_22148) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) -  &
                       Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) - Nc&
                       *cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) + Nc* &
                       cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) + Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) + Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) + Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) + Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) + cME* &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*coupl(     &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima*coupl(&
                       nGC_1213)*coupl(nGC_321) + 2d0*cima*coupl(nGC_194)*coupl&
                       (nGC_231) + 2d0*coupl(nGC_199)*coupl(nGC_231)*coupl(    &
                       nGC_3419) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(      &
                       nGC_3419))/(16d0*pi**2d0)
    coupl(nGC_22142) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22143) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22140) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(   &
                       nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346)*&
                       coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(   &
                       nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22141) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22146) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc* &
                       coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(&
                       nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl( &
                       nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(      &
                       nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(nGC_358&
                       )*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378))/(24d0*&
                       pi**2d0)
    coupl(nGC_22147) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc* &
                       coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl(&
                       nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl( &
                       nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(      &
                       nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(nGC_357&
                       )*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376))/(24d0*&
                       pi**2d0)
    coupl(nGC_22144) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22145) = coupl(nGC_197)*(Nc*coupl(nGC_1415)*coupl(nGC_343) + Nc* &
                       coupl(nGC_1449)*coupl(nGC_364) + Nc*coupl(nGC_2573)*    &
                       coupl(nGC_346) - Nc*coupl(nGC_334)*coupl(nGC_335) - Nc* &
                       coupl(nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(&
                       nGC_383) + coupl(nGC_1233)*coupl(nGC_376) + coupl(      &
                       nGC_3367)*coupl(nGC_358) + coupl(nGC_352)*coupl(nGC_917 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_22649) = coupl(nGC_21310)*db_QED2 + coupl(nGC_21311)*dye2_QED3 + &
                       coupl(nGC_21312)*dye1_QED3
    coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22132) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(   &
                       nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341)*&
                       coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(   &
                       nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344)*&
                       coupl(nGC_371))/(32d0*pi**2d0)
    coupl(nGC_32235) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_22646) = coupl(nGC_21898)*db_QED2 + coupl(nGC_21899)*dye2_QED3 + &
                       coupl(nGC_21900)*dye1_QED3
    coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22640) = coupl(nGC_21089)*dydo2_QED1_QCD2 + coupl(nGC_21091)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22642) = coupl(nGC_21380)*dyd12x2_QED1_QCD2 + coupl(nGC_21381)*  &
                       dys2_QED1_QCD2
    coupl(nGC_36958) = coupl(nGC_22561) + coupl(nGC_328)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_331)*dZHh_QED2/2d0
    coupl(nGC_35605) = coupl(nGC_73)*dZG0
    coupl(nGC_39385) = coupl(nGC_257)*dZGMinus/2d0
    coupl(nGC_39387) = coupl(nGC_22570) + coupl(nGC_248)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_257)*dZHMinus_QED2/2d0 + coupl(nGC_257)*      &
                       dZHa_QED2/2d0 + coupl(nGC_TS_GC_52_Hl) + coupl(         &
                       nGC_TS_GC_62_Hh)
    coupl(nGC_35352) = coupl(nGC_339)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_35351) = coupl(nGC_339)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_39673) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*           &
                       dZnu_tauL_QED2 + coupl(nGC_22735)
    coupl(nGC_35773) = coupl(nGC_345)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_35774) = coupl(nGC_345)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_33343) = coupl(nGC_207)*dZtR_QCD2
    coupl(nGC_33340) = coupl(nGC_210)*dZtL_QCD2
    coupl(nGC_33344) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZtL_QED2  &
                        + coupl(nGC_22732)
    coupl(nGC_34550) = coupl(nGC_13)*dZdR_QED2
    coupl(nGC_34551) = coupl(nGC_13)*dZdR_QCD2
    coupl(nGC_32502) = coupl(nGC_35)*dZG0
    coupl(nGC_35373) = coupl(nGC_207)*dZcR_QCD2
    coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
    coupl(nGC_43629) = coupl(nGC_173)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
    coupl(nGC_33121) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22596)
    coupl(nGC_33126) = 2d0*coupl(nGC_33121)
    coupl(nGC_56572) = coupl(nGC_MMW_GF)*dZGMinus/2d0
    coupl(nGC_56575) = coupl(nGC_22866) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_22205) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(      &
                       nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_32726) = coupl(nGC_375)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_22207) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC* &
                       coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366 &
                       ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi** &
                       2d0)
    coupl(nGC_22206) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_2221)**2d0 - coupl(nGC_3367)**2d0 - coupl(    &
                       nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22201) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345  &
                       )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)*  &
                       coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) -   &
                       coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)**2d0&
                        - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(32d0* &
                       pi**2d0)
    coupl(nGC_22203) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(      &
                       nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22202) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_21957) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0 + &
                       Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc*   &
                       coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl(   &
                       nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)**  &
                       2d0)/(48d0*pi**2d0)
    coupl(nGC_22209) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) - coupl(nGC_1449  &
                       )**2d0*coupl(nGC_366) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_336)*coupl( &
                       nGC_364) - coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_367  &
                       ) - coupl(nGC_363)**2d0*coupl(nGC_366) - coupl(nGC_366  &
                       )**3d0 - coupl(nGC_366)*coupl(nGC_4113)**2d0)/(32d0*pi**&
                       2d0)
    coupl(nGC_22446) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0  &
                        - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl(   &
                       nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)**  &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22444) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_342&
                       )*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl(     &
                       nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_381 &
                       )*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl(     &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_369 &
                       )*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl(     &
                       nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_363 &
                       )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl(     &
                       nGC_382) + 6d0*cima*coupl(nGC_1213)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*  &
                       coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_351)*coupl(nGC_352) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_357)*coupl(nGC_358) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_375)*  &
                       coupl(nGC_376) + 6d0*coupl(nGC_180)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_23&
                       ))/(48d0*pi**2d0)
    coupl(nGC_33758) = coupl(nGC_360)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_33748) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
    coupl(nGC_33751) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_33756) = coupl(nGC_22844) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                       nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
    coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22378) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0 + &
                       coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl(      &
                       nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)**  &
                       2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_32658) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_22370) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0 + &
                       10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 + 20d0* &
                       Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*coupl(  &
                       nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)** &
                       2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_342)**2d0 + &
                       10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_369)**2d0 + 20d0* &
                       Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_369)*coupl(  &
                       nGC_373) + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_373)** &
                       2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_349)**2d0 + &
                       10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_385)**2d0 + 20d0* &
                       Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_381)*coupl(  &
                       nGC_385) + 10d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)** &
                       2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_367)**2d0 + &
                       10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0* &
                       Nc*coupl(nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0&
                       *coupl(nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229  &
                       ) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*&
                       coupl(nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(   &
                       nGC_375)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
    coupl(nGC_45745) = -coupl(nGC_38214)
    coupl(nGC_22374) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_340)**2d0 - &
                       4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_349)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_367)**2d0 +   &
                       5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340 &
                       )**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl&
                       (nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                       nGC_210)*coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(nGC_207&
                       )**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*&
                       coupl(nGC_209)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_207)*coupl(nGC_209)*coupl(nGC_373)**2d0 + 5d0*Nc*   &
                       cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_337)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_373)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_385)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_340)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_349)**2d0  &
                        - 4d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_367)**2d0  &
                        + 3d0*cima*coupl(nGC_100)*coupl(nGC_195) - 4d0*cima*   &
                       coupl(nGC_208)**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl&
                       (nGC_208)**2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(    &
                       nGC_208)**2d0*coupl(nGC_379)**2d0 + 5d0*cima*coupl(     &
                       nGC_208)*coupl(nGC_212)*coupl(nGC_355)**2d0 + 5d0*cima* &
                       coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)**2d0 + 5d0*&
                       cima*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)**2d0  &
                        - 4d0*cima*coupl(nGC_212)**2d0*coupl(nGC_355)**2d0 -   &
                       4d0*cima*coupl(nGC_212)**2d0*coupl(nGC_361)**2d0 - 4d0* &
                       cima*coupl(nGC_212)**2d0*coupl(nGC_379)**2d0 + 3d0*coupl&
                       (nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl&
                       (nGC_3419)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22377) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0  &
                        - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl(   &
                       nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)**  &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_38299) = -coupl(nGC_38294)
    coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22551) = coupl(nGC_21873)*dl3_QED4 + coupl(nGC_21874)*dl1_QED4 + &
                       coupl(nGC_21875)*dl2_QED4 + coupl(nGC_21876)*dl5_QED4 + &
                       coupl(nGC_21877)*dl4_QED4 + coupl(nGC_21878)*db_QED2
    coupl(nGC_22550) = coupl(nGC_21839)*dl3_QED4 + coupl(nGC_21840)*dl1_QED4 + &
                       coupl(nGC_21841)*dl2_QED4 + coupl(nGC_21842)*dl5_QED4 + &
                       coupl(nGC_21843)*dl4_QED4 + coupl(nGC_21844)*db_QED2
    coupl(nGC_22553) = coupl(nGC_21357)*dsw_QED2 + coupl(nGC_21358)*dZee_QED2
    coupl(nGC_22552) = coupl(nGC_20793)*dsw_QED2 + coupl(nGC_20794)*dZee_QED2
    coupl(nGC_22555) = coupl(nGC_20688)*dsw_QED2 + coupl(nGC_20689)*dZee_QED2
    coupl(nGC_22554) = coupl(nGC_21887)*dsw_QED2 + coupl(nGC_21888)*dZee_QED2
    coupl(nGC_22557) = coupl(nGC_21482)*dsw_QED2 + coupl(nGC_21483)*db_QED2 +  &
                       coupl(nGC_21484)*dZee_QED2 + coupl(nGC_21485)*da_QED2
    coupl(nGC_22556) = coupl(nGC_21662)*dsw_QED2 + coupl(nGC_21663)*dcw_QED2 + &
                       coupl(nGC_21664)*dZee_QED2
    coupl(nGC_22559) = coupl(nGC_21061)*dsw_QED2 + coupl(nGC_21062)*db_QED2 +  &
                       coupl(nGC_21063)*dZee_QED2 + coupl(nGC_21064)*da_QED2
    coupl(nGC_22558) = coupl(nGC_21085)*dsw_QED2 + coupl(nGC_21086)*db_QED2 +  &
                       coupl(nGC_21087)*dZee_QED2 + coupl(nGC_21088)*da_QED2
    coupl(nGC_22151) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(   &
                       nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341)*&
                       coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl(   &
                       nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(nGC_370)*&
                       coupl(nGC_371))/(32d0*pi**2d0)
    coupl(nGC_22150) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(   &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334)*&
                       coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl(   &
                       nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_338)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_22153) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(   &
                       nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347)*&
                       coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl(   &
                       nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(nGC_382)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32247) = coupl(nGC_22587) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_53872) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_53873) = -coupl(nGC_53872)
    coupl(nGC_32883) = coupl(nGC_22682) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                       nGC_386)*dZG0Ha_QED2/2d0
    coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32396) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_186)*dZHa_QED2/2d0 + coupl&
                       (nGC_186)*dZWMinus_QED2/2d0 + coupl(nGC_22555) + coupl( &
                       nGC_30)*dZZA_QED2/2d0
    coupl(nGC_32392) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_35388) = coupl(nGC_172)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_32867) = coupl(nGC_180)*dZGMinus/2d0
    coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34540) = coupl(nGC_22653) + coupl(nGC_359)*dZHaG0_QED2/2d0
    coupl(nGC_34549) = coupl(nGC_13)*dZdL_QCD2
    coupl(nGC_34548) = coupl(nGC_13)*dZdL_QED2
    coupl(nGC_35013) = coupl(nGC_365)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_35014) = coupl(nGC_365)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_35015) = coupl(nGC_22643) + coupl(nGC_365)*dZHa_QED2/2d0 + coupl(&
                       nGC_368)*dZG0Ha_QED2/2d0
    coupl(nGC_35016) = -coupl(nGC_35013) - coupl(nGC_35015)
    coupl(nGC_35017) = coupl(nGC_35013) + coupl(nGC_35015)
    coupl(nGC_32531) = coupl(nGC_22590) + coupl(nGC_5)*dZWMinus_QED2/2d0
    coupl(nGC_47332) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_33282) = coupl(nGC_366)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_33281) = coupl(nGC_366)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_22060) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_43632) = coupl(nGC_179)*dZGMinus/2d0
    coupl(nGC_43634) = coupl(nGC_173)*dZHlHh_QED2/2d0 + coupl(nGC_179)*        &
                       dZHh_QED2/2d0 + coupl(nGC_179)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_22694)
    coupl(nGC_43325) = coupl(nGC_22573) + coupl(nGC_242)*dZHl_QED2/2d0 + coupl(&
                       nGC_250)*dZHhHl_QED2/2d0 + coupl(nGC_253)*dZHaG0_QED2 + &
                       coupl(nGC_TS_GC_35_Hh) + coupl(nGC_TS_GC_49_Hl)
    coupl(nGC_43322) = coupl(nGC_242)*dZG0
    coupl(nGC_22065) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(   &
                       nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347)*&
                       coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl(   &
                       nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(nGC_350)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22064) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22066) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_34833) = coupl(nGC_200)*dZWMinus_QED2/2d0 + coupl(nGC_22594)
    coupl(nGC_32401) = coupl(nGC_174)*dZHMinus_QED2/2d0 + coupl(nGC_174)*      &
                       dZHh_QED2/2d0 + coupl(nGC_181)*dZGMinusHMinus_QED2/2d0  &
                        + coupl(nGC_181)*dZHlHh_QED2/2d0 + coupl(nGC_22559)
    coupl(nGC_33135) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/2d0
    coupl(nGC_32409) = coupl(nGC_71)*dZGMinus
    coupl(nGC_40085) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_33072) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_32713) = coupl(nGC_209)*dZdL_QCD2
    coupl(nGC_32710) = coupl(nGC_206)*dZdR_QCD2
    coupl(nGC_32714) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZdR_QED2  &
                        + coupl(nGC_22734)
    coupl(nGC_32715) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZdL_QED2  &
                        + coupl(nGC_22733)
    coupl(nGC_40078) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_40079) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_21948) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc*  &
                       cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*   &
                       coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(      &
                       nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*   &
                       coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(      &
                       nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) -  &
                       Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0*&
                       coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(      &
                       nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*   &
                       coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(      &
                       nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM &
                       **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl(  &
                       nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(     &
                       nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi**&
                       2d0)
    coupl(nGC_21947) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(      &
                       nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(      &
                       nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl( &
                       nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(      &
                       nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_358&
                       )*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379))/(48d0*&
                       pi**2d0)
    coupl(nGC_40077) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_22096) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22304) = coupl(nGC_13)*sq2*(-coupl(nGC_1185)*coupl(nGC_371) -    &
                       coupl(nGC_1467)*coupl(nGC_374) - 4d0*coupl(nGC_197)**2d0&
                        - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 -    &
                       coupl(nGC_340)**2d0 - coupl(nGC_343)**2d0 - coupl(      &
                       nGC_369)**2d0 - coupl(nGC_372)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22305) = coupl(nGC_13)*sq2*(-coupl(nGC_1185)*coupl(nGC_371) -    &
                       coupl(nGC_1467)*coupl(nGC_374) - 4d0*coupl(nGC_2)**2d0  &
                        - 4d0*coupl(nGC_207)**2d0 - coupl(nGC_369)**2d0 - coupl&
                       (nGC_370)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_373)** &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22306) = coupl(nGC_13)*sq2*(coupl(nGC_1185)*coupl(nGC_371) +     &
                       coupl(nGC_1467)*coupl(nGC_374) + 4d0*coupl(nGC_197)**2d0&
                        + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 +    &
                       coupl(nGC_340)**2d0 + coupl(nGC_343)**2d0 + coupl(      &
                       nGC_369)**2d0 + coupl(nGC_372)**2d0)/(64d0*pi**2d0)
    coupl(nGC_32665) = coupl(nGC_I)*dZHMinus_QED2
    coupl(nGC_22301) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(       &
                       nGC_1449)*coupl(nGC_365) + 4d0*coupl(nGC_197)**2d0 + 4d0&
                       *coupl(nGC_209)**2d0 + coupl(nGC_334)**2d0 + coupl(     &
                       nGC_337)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_366)**  &
                       2d0 + coupl(nGC_368)*coupl(nGC_4113))/(64d0*pi**2d0)
    coupl(nGC_22302) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(       &
                       nGC_1449)*coupl(nGC_365) + 4d0*coupl(nGC_206)**2d0 +    &
                       coupl(nGC_363)**2d0 + coupl(nGC_364)**2d0 + coupl(      &
                       nGC_366)**2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*   &
                       coupl(nGC_4113))/(64d0*pi**2d0)
    coupl(nGC_45178) = coupl(nGC_43)*dZG0
    coupl(nGC_22524) = coupl(nGC_21182)*dl3_QED4 + coupl(nGC_21183)*dl1_QED4 + &
                       coupl(nGC_21184)*dl2_QED4 + coupl(nGC_21185)*dl5_QED4 + &
                       coupl(nGC_21186)*dl4_QED4 + coupl(nGC_21187)*db_QED2
    coupl(nGC_22525) = coupl(nGC_21716)*dl3_QED4 + coupl(nGC_21717)*db_QED2 +  &
                       coupl(nGC_21718)*dl2_QED4 + coupl(nGC_21719)*dl5_QED4 + &
                       coupl(nGC_21720)*dl4_QED4 + coupl(nGC_21721)*dl1_QED4 + &
                       coupl(nGC_21722)*da_QED2
    coupl(nGC_22526) = coupl(nGC_21328)*dl3_QED4 + coupl(nGC_21329)*dl1_QED4 + &
                       coupl(nGC_21330)*dl2_QED4 + coupl(nGC_21331)*dl5_QED4 + &
                       coupl(nGC_21332)*dl4_QED4 + coupl(nGC_21333)*db_QED2
    coupl(nGC_22527) = coupl(nGC_21211)*db_QED2 + coupl(nGC_21212)*dl5_QED4 +  &
                       coupl(nGC_21213)*dl4_QED4 + coupl(nGC_21214)*da_QED2
    coupl(nGC_22520) = coupl(nGC_21782)*dl3_QED4 + coupl(nGC_21783)*db_QED2 +  &
                       coupl(nGC_21784)*dl2_QED4 + coupl(nGC_21785)*dl5_QED4 + &
                       coupl(nGC_21786)*dl4_QED4 + coupl(nGC_21787)*dl1_QED4 + &
                       coupl(nGC_21788)*da_QED2
    coupl(nGC_22522) = coupl(nGC_21732)*dl3_QED4 + coupl(nGC_21733)*db_QED2 +  &
                       coupl(nGC_21734)*dl2_QED4 + coupl(nGC_21735)*dl5_QED4 + &
                       coupl(nGC_21736)*dl4_QED4 + coupl(nGC_21737)*dl1_QED4 + &
                       coupl(nGC_21738)*da_QED2
    coupl(nGC_22523) = coupl(nGC_21466)*dl3_QED4 + coupl(nGC_21467)*dl1_QED4 + &
                       coupl(nGC_21468)*dl2_QED4 + coupl(nGC_21469)*dl5_QED4 + &
                       coupl(nGC_21470)*dl4_QED4 + coupl(nGC_21471)*da_QED2
    coupl(nGC_46195) = coupl(nGC_22663) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                       nGC_380)*dZG0Ha_QED2/2d0
    coupl(nGC_22528) = coupl(nGC_21204)*db_QED2 + coupl(nGC_21205)*dl5_QED4 +  &
                       coupl(nGC_21206)*dl4_QED4 + coupl(nGC_21207)*da_QED2
    coupl(nGC_22529) = coupl(nGC_21757)*dl3_QED4 + coupl(nGC_21758)*db_QED2 +  &
                       coupl(nGC_21759)*dl2_QED4 + coupl(nGC_21760)*dl5_QED4 + &
                       coupl(nGC_21761)*dl4_QED4 + coupl(nGC_21762)*dl1_QED4 + &
                       coupl(nGC_21763)*da_QED2
    coupl(nGC_46191) = coupl(nGC_377)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_33435) = coupl(nGC_99)*dZGMinus
    coupl(nGC_36159) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_32236) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl(   &
                       nGC_22730)
    coupl(nGC_41307) = coupl(nGC_250)*dZG0
    coupl(nGC_22638) = coupl(nGC_20690)*dyd13x3_QED1_QCD2 + coupl(nGC_20692)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22639) = coupl(nGC_20690)*dyd13x3_QED3 + coupl(nGC_20691)*da_QED2&
                        + coupl(nGC_20692)*dyb2_QED3
    coupl(nGC_22630) = coupl(nGC_21712)*dys2_QED1_QCD2 + coupl(nGC_21713)*     &
                       dyd12x2_QED1_QCD2
    coupl(nGC_22631) = coupl(nGC_21712)*dys2_QED3 + coupl(nGC_21713)*          &
                       dyd12x2_QED3 + coupl(nGC_21714)*da_QED2
    coupl(nGC_22632) = coupl(nGC_21092)*dyd13x3_QED1_QCD2 + coupl(nGC_21094)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22633) = coupl(nGC_21092)*dyd13x3_QED3 + coupl(nGC_21093)*da_QED2&
                        + coupl(nGC_21094)*dyb2_QED3
    coupl(nGC_22634) = coupl(nGC_21832)*dydo1_QED1_QCD2 + coupl(nGC_21833)*    &
                       dydo2_QED1_QCD2
    coupl(nGC_22635) = coupl(nGC_21832)*dydo1_QED3 + coupl(nGC_21833)*         &
                       dydo2_QED3 + coupl(nGC_21834)*da_QED2
    coupl(nGC_22636) = coupl(nGC_21486)*dys2_QED1_QCD2 + coupl(nGC_21487)*     &
                       dyd12x2_QED1_QCD2
    coupl(nGC_22637) = coupl(nGC_21486)*dys2_QED3 + coupl(nGC_21487)*          &
                       dyd12x2_QED3 + coupl(nGC_21488)*da_QED2
    coupl(nGC_32257) = coupl(nGC_23)*dZGMinus/2d0
    coupl(nGC_32254) = coupl(nGC_174)*dZA_QED2/2d0 + coupl(nGC_174)*dZHl_QED2/ &
                       2d0 + coupl(nGC_174)*dZWMinus_QED2/2d0 + coupl(nGC_180)*&
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZHhHl_QED2/2d0&
                        + coupl(nGC_21)*dZZA_QED2/2d0 + coupl(nGC_22559)
    coupl(nGC_45229) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
    coupl(nGC_39236) = coupl(nGC_205)*dZZA_QED2
    coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34710) = coupl(nGC_22659) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                       nGC_360)*dZHhHl_QED2/2d0
    coupl(nGC_34711) = coupl(nGC_34709) + coupl(nGC_34710)
    coupl(nGC_35376) = coupl(nGC_210)*dZcL_QCD2
    coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
    coupl(nGC_36572) = coupl(nGC_22519) + coupl(nGC_54)*dZHaG0_QED2 + coupl(   &
                       nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*            &
                       dZHMinus_QED2
    coupl(nGC_32899) = coupl(nGC_22650) + coupl(nGC_358)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*    &
                       dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2/ &
                       2d0
    coupl(nGC_35378) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZcL_QED2  &
                        + coupl(nGC_22732)
    coupl(nGC_32381) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_32384) = coupl(nGC_47)*dZG0/2d0
    coupl(nGC_32878) = coupl(nGC_383)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_38297) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*        &
                       dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl( &
                       nGC_215)*dZZ_QED2/2d0 + coupl(nGC_22711)
    coupl(nGC_35392) = coupl(nGC_172)*dZHhHl_QED2/2d0 + coupl(nGC_179)*        &
                       dZHMinus_QED2/2d0 + coupl(nGC_179)*dZHl_QED2/2d0 + coupl&
                       (nGC_179)*dZWMinus_QED2/2d0 + coupl(nGC_22694)
    coupl(nGC_32877) = coupl(nGC_383)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_46458) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_46459) = coupl(nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
    coupl(nGC_34153) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_34156) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34538) = coupl(nGC_362)*dZG0/2d0
    coupl(nGC_34539) = coupl(nGC_362)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_32418) = coupl(nGC_21)*dZGMinus/2d0
    coupl(nGC_32410) = coupl(nGC_22524) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_71)*      &
                       dZHMinus_QED2
    coupl(nGC_32415) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl(   &
                       nGC_22730)
    coupl(nGC_32414) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_37368) = dZHMinusGMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/2d0
    coupl(nGC_37360) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_37363) = coupl(nGC_22852) + coupl(nGC_37358)
    coupl(nGC_32707) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_21970) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_363&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_357  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(nGC_224) + 2d0* &
                       cima*coupl(nGC_261)**2d0 + cima*coupl(nGC_329)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_33650) = coupl(nGC_33014) + coupl(nGC_33644)
    coupl(nGC_21977) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(    &
                       nGC_209))/(8d0*pi**2d0)
    coupl(nGC_21974) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(nGC_207&
                       )**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*coupl(     &
                       nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl(nGC_208 &
                       )**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(nGC_212)** &
                       2d0 - coupl(nGC_3419)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22198) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333  &
                       )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)*  &
                       coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) -   &
                       coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)**2d0&
                        - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(32d0* &
                       pi**2d0)
    coupl(nGC_21978) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_21979) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_21998) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0*&
                       pi**2d0)
    coupl(nGC_21999) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(    &
                       nGC_209))/(8d0*pi**2d0)
    coupl(nGC_21990) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_21993) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
    coupl(nGC_21996) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
    coupl(nGC_21997) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_22082) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(   &
                       nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347)*&
                       coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl(   &
                       nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(nGC_385)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22081) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) + 8d0*    &
                       coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl(   &
                       nGC_333)*coupl(nGC_337)*coupl(nGC_363) - coupl(nGC_335)*&
                       coupl(nGC_337)*coupl(nGC_365) - coupl(nGC_336)*coupl(   &
                       nGC_337)*coupl(nGC_366) - coupl(nGC_337)*coupl(nGC_338)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_32673) = coupl(nGC_62)*dZGMinus/2d0
    coupl(nGC_32676) = coupl(nGC_22528) + coupl(nGC_52)*dZG0Ha_QED2/2d0 + coupl&
                       (nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_62)*dZHa_QED2/2d0 + coupl(nGC_62)*      &
                       dZHh_QED2/2d0
    coupl(nGC_22314) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl(   &
                       nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*coupl&
                       (nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_346)*    &
                       coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_364 &
                       )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(      &
                       nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)**2d0*coupl&
                       (nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                       nGC_2)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(    &
                       nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343) + 5d0*&
                       Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)*coupl(      &
                       nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(      &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1)*coupl(    &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(    &
                       nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_385) - 4d0*&
                       Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0&
                       *Nc*coupl(nGC_2)**2d0*coupl(nGC_340)*coupl(nGC_343) -   &
                       4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_346)*coupl(nGC_349   &
                       ) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_364)*coupl(      &
                       nGC_367) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_370)*coupl&
                       (nGC_373) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_382)*    &
                       coupl(nGC_385) - 4d0*coupl(nGC_352)*coupl(nGC_355)*coupl&
                       (nGC_4)**2d0 - 4d0*coupl(nGC_358)*coupl(nGC_361)*coupl( &
                       nGC_4)**2d0 - 4d0*coupl(nGC_376)*coupl(nGC_379)*coupl(  &
                       nGC_4)**2d0)/(24d0*pi**2d0)
    coupl(nGC_22313) = coupl(nGC_13)*sq2*(coupl(nGC_1649)*coupl(nGC_383) + 4d0*&
                       coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 + coupl(    &
                       nGC_2147)*coupl(nGC_386) + coupl(nGC_381)**2d0 + coupl( &
                       nGC_382)**2d0 + coupl(nGC_384)**2d0 + coupl(nGC_385)**  &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_22312) = coupl(nGC_13)*sq2*(coupl(nGC_1649)*coupl(nGC_383) + 4d0*&
                       coupl(nGC_197)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(&
                       nGC_210)**2d0 + coupl(nGC_2147)*coupl(nGC_386) + coupl( &
                       nGC_346)**2d0 + coupl(nGC_349)**2d0 + coupl(nGC_381)**  &
                       2d0 + coupl(nGC_384)**2d0)/(64d0*pi**2d0)
    coupl(nGC_22311) = coupl(nGC_13)*sq2*(-coupl(nGC_1649)*coupl(nGC_383) - 4d0&
                       *coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 - coupl(   &
                       nGC_2147)*coupl(nGC_386) - coupl(nGC_381)**2d0 - coupl( &
                       nGC_382)**2d0 - coupl(nGC_384)**2d0 - coupl(nGC_385)**  &
                       2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_36164) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_36167) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
