!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_36166) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
    coupl(nGC_22537) = coupl(nGC_21632)*dl3_QED4 + coupl(nGC_21633)*db_QED2 +  &
                       coupl(nGC_21634)*dl2_QED4 + coupl(nGC_21635)*dl5_QED4 + &
                       coupl(nGC_21636)*dl4_QED4 + coupl(nGC_21637)*dl1_QED4 + &
                       coupl(nGC_21638)*da_QED2
    coupl(nGC_22536) = coupl(nGC_21424)*dl3_QED4 + coupl(nGC_21425)*dl1_QED4 + &
                       coupl(nGC_21426)*dl2_QED4 + coupl(nGC_21427)*dl5_QED4 + &
                       coupl(nGC_21428)*dl4_QED4 + coupl(nGC_21429)*da_QED2
    coupl(nGC_22535) = coupl(nGC_21436)*dl3_QED4 + coupl(nGC_21437)*db_QED2 +  &
                       coupl(nGC_21438)*dl2_QED4 + coupl(nGC_21439)*dl5_QED4 + &
                       coupl(nGC_21440)*dl4_QED4 + coupl(nGC_21441)*dl1_QED4 + &
                       coupl(nGC_21442)*da_QED2
    coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22533) = coupl(nGC_21478)*dcw_QED2 + coupl(nGC_21479)*db_QED2 +  &
                       coupl(nGC_21480)*dZee_QED2 + coupl(nGC_21481)*da_QED2
    coupl(nGC_22532) = coupl(nGC_21112)*dcw_QED2 + coupl(nGC_21113)*db_QED2 +  &
                       coupl(nGC_21114)*dZee_QED2 + coupl(nGC_21115)*da_QED2
    coupl(nGC_22531) = coupl(nGC_21351)*dl3_QED4 + coupl(nGC_21352)*dl1_QED4 + &
                       coupl(nGC_21353)*dl2_QED4 + coupl(nGC_21354)*dl5_QED4 + &
                       coupl(nGC_21355)*dl4_QED4 + coupl(nGC_21356)*db_QED2
    coupl(nGC_22530) = coupl(nGC_21764)*dl3_QED4 + coupl(nGC_21765)*db_QED2 +  &
                       coupl(nGC_21766)*dl2_QED4 + coupl(nGC_21767)*dl5_QED4 + &
                       coupl(nGC_21768)*dl4_QED4 + coupl(nGC_21769)*dl1_QED4 + &
                       coupl(nGC_21770)*da_QED2
    coupl(nGC_22580) = coupl(nGC_21555)*dl3_QED4 + coupl(nGC_21556)*db_QED2 +  &
                       coupl(nGC_21557)*dl2_QED4 + coupl(nGC_21558)*dl5_QED4 + &
                       coupl(nGC_21559)*dvev2_QED1 + coupl(nGC_21560)*         &
                       dvev1_QED1 + coupl(nGC_21561)*dl1_QED4 + coupl(nGC_21562&
                       )*dl4_QED4 + coupl(nGC_21563)*da_QED2
    coupl(nGC_22539) = coupl(nGC_21383)*dl3_QED4 + coupl(nGC_21384)*db_QED2 +  &
                       coupl(nGC_21385)*dl2_QED4 + coupl(nGC_21386)*dl5_QED4 + &
                       coupl(nGC_21387)*dl4_QED4 + coupl(nGC_21388)*dl1_QED4 + &
                       coupl(nGC_21389)*da_QED2
    coupl(nGC_22538) = coupl(nGC_21418)*dl3_QED4 + coupl(nGC_21419)*dl1_QED4 + &
                       coupl(nGC_21420)*dl2_QED4 + coupl(nGC_21421)*dl5_QED4 + &
                       coupl(nGC_21422)*dl4_QED4 + coupl(nGC_21423)*da_QED2
    coupl(nGC_58239) = -coupl(nGC_22145)
    coupl(nGC_33934) = coupl(nGC_22566) + coupl(nGC_233)*dZHhHl_QED2 + coupl(  &
                       nGC_234)*dZHlHh_QED2/2d0 + coupl(nGC_236)*dZHh_QED2/2d0 &
                        + coupl(nGC_236)*dZHl_QED2 + coupl(nGC_TS_GC_16_Hl) +  &
                       coupl(nGC_TS_GC_20_Hh)
    coupl(nGC_22403) = cima*(5d0*Nc*coupl(nGC_1185)*coupl(nGC_340)*coupl(      &
                       nGC_342)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1185)*coupl( &
                       nGC_340)*coupl(nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl(  &
                       nGC_1185)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373   &
                       ) + 5d0*Nc*coupl(nGC_1415)*coupl(nGC_340)*coupl(nGC_342 &
                       )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1415)*coupl(nGC_340 &
                       )*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1415 &
                       )*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_1449)*coupl(nGC_333)*coupl(nGC_334)*coupl(    &
                       nGC_367) + 5d0*Nc*coupl(nGC_1449)*coupl(nGC_334)*coupl( &
                       nGC_337)*coupl(nGC_363) + 5d0*Nc*coupl(nGC_1449)*coupl( &
                       nGC_363)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_1649)*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382   &
                       ) + 5d0*Nc*coupl(nGC_1649)*coupl(nGC_346)*coupl(nGC_349 &
                       )*coupl(nGC_381) + 5d0*Nc*coupl(nGC_1649)*coupl(nGC_381 &
                       )*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_2573 &
                       )*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*&
                       coupl(nGC_2573)*coupl(nGC_345)*coupl(nGC_382)*coupl(    &
                       nGC_385) + 5d0*Nc*coupl(nGC_2573)*coupl(nGC_349)*coupl( &
                       nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_333)*coupl(  &
                       nGC_334)*coupl(nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(  &
                       nGC_333)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_849) + &
                       5d0*Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_364)*    &
                       coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*  &
                       coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_333)*  &
                       coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_849) + 5d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(     &
                       nGC_365) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_363)*coupl(  &
                       nGC_367)*coupl(nGC_849) + 5d0*Nc*coupl(nGC_335)*coupl(  &
                       nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(  &
                       nGC_340)*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*    &
                       coupl(nGC_371) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343)*  &
                       coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*  &
                       coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*  &
                       coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_369)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(  &
                       nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(  &
                       nGC_346)*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_345)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_381)*    &
                       coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*  &
                       coupl(nGC_381)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_371)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(  &
                       nGC_383)*coupl(nGC_385) + 5d0*coupl(nGC_1233)*coupl(    &
                       nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 6d0*coupl(     &
                       nGC_174)*coupl(nGC_186) + 6d0*coupl(nGC_21)*coupl(nGC_30&
                       ) + 5d0*coupl(nGC_3367)*coupl(nGC_357)*coupl(nGC_358)*  &
                       coupl(nGC_361) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl&
                       (nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_351)*coupl(    &
                       nGC_352)*coupl(nGC_355)*coupl(nGC_917) + 5d0*coupl(     &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361) + &
                       5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl( &
                       nGC_379))/(48d0*pi**2d0)
    coupl(nGC_22402) = cima*(5d0*Nc*coupl(nGC_1185)*coupl(nGC_339)*coupl(      &
                       nGC_340)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1185)*coupl( &
                       nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl(  &
                       nGC_1185)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373   &
                       ) + 5d0*Nc*coupl(nGC_1415)*coupl(nGC_339)*coupl(nGC_340 &
                       )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1415)*coupl(nGC_339 &
                       )*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1415 &
                       )*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*&
                       coupl(nGC_1449)*coupl(nGC_334)*coupl(nGC_336)*coupl(    &
                       nGC_367) + 5d0*Nc*coupl(nGC_1449)*coupl(nGC_334)*coupl( &
                       nGC_337)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_1449)*coupl( &
                       nGC_364)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_1649)*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384   &
                       ) + 5d0*Nc*coupl(nGC_1649)*coupl(nGC_348)*coupl(nGC_349 &
                       )*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1649)*coupl(nGC_382 &
                       )*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_2573 &
                       )*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                       coupl(nGC_2573)*coupl(nGC_348)*coupl(nGC_382)*coupl(    &
                       nGC_385) + 5d0*Nc*coupl(nGC_2573)*coupl(nGC_349)*coupl( &
                       nGC_382)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_334)*coupl(  &
                       nGC_335)*coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(  &
                       nGC_334)*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_849) + &
                       5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365)*    &
                       coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_366)*  &
                       coupl(nGC_367)*coupl(nGC_849) + 5d0*Nc*coupl(nGC_335)*  &
                       coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*coupl(     &
                       nGC_366) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(  &
                       nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_336)*coupl(  &
                       nGC_364)*coupl(nGC_367)*coupl(nGC_849) + 5d0*Nc*coupl(  &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_371)*    &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_344)*  &
                       coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*  &
                       coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_372) + 5d0*Nc*  &
                       coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_372)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(  &
                       nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(  &
                       nGC_347)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_346)*coupl(nGC_348)*coupl(nGC_383)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383)*    &
                       coupl(nGC_384) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_348)*  &
                       coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_364)*  &
                       coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_372)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_383)*coupl(  &
                       nGC_384)*coupl(nGC_385) + 5d0*coupl(nGC_1233)*coupl(    &
                       nGC_376)*coupl(nGC_378)*coupl(nGC_379) + 6d0*coupl(     &
                       nGC_180)*coupl(nGC_186) + 6d0*coupl(nGC_23)*coupl(nGC_30&
                       ) + 5d0*coupl(nGC_3367)*coupl(nGC_358)*coupl(nGC_360)*  &
                       coupl(nGC_361) + 5d0*coupl(nGC_352)*coupl(nGC_353)*coupl&
                       (nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_352)*coupl(    &
                       nGC_354)*coupl(nGC_355)*coupl(nGC_917) + 5d0*coupl(     &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_361) + &
                       5d0*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl( &
                       nGC_379))/(48d0*pi**2d0)
    coupl(nGC_22401) = 5d0*cima*(Nc*coupl(nGC_1185)*coupl(nGC_1415)*coupl(     &
                       nGC_340)*coupl(nGC_370) + Nc*coupl(nGC_1185)*coupl(     &
                       nGC_340)*coupl(nGC_343)*coupl(nGC_371) + Nc*coupl(      &
                       nGC_1185)*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373   &
                       ) + Nc*coupl(nGC_1415)*coupl(nGC_340)*coupl(nGC_343)*   &
                       coupl(nGC_344) + Nc*coupl(nGC_1415)*coupl(nGC_344)*coupl&
                       (nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1449)*coupl(    &
                       nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*coupl(      &
                       nGC_1449)*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_849   &
                       ) + Nc*coupl(nGC_1449)*coupl(nGC_364)*coupl(nGC_365)*   &
                       coupl(nGC_367) + Nc*coupl(nGC_1649)*coupl(nGC_2573)*    &
                       coupl(nGC_349)*coupl(nGC_382) + Nc*coupl(nGC_1649)*coupl&
                       (nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*coupl(     &
                       nGC_1649)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385   &
                       ) + Nc*coupl(nGC_2573)*coupl(nGC_346)*coupl(nGC_347)*   &
                       coupl(nGC_349) + Nc*coupl(nGC_2573)*coupl(nGC_347)*coupl&
                       (nGC_382)*coupl(nGC_385) + Nc*coupl(nGC_334)*coupl(     &
                       nGC_335)*coupl(nGC_337)*coupl(nGC_849) + Nc*coupl(      &
                       nGC_335)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_365) + &
                       Nc*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367)*coupl(  &
                       nGC_849) + Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(      &
                       nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_346)*coupl(      &
                       nGC_347)*coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_1233 &
                       )*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379) + coupl( &
                       nGC_3367)*coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361   &
                       ) + coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355)*coupl( &
                       nGC_917))/(24d0*pi**2d0)
    coupl(nGC_22407) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1415)*coupl(      &
                       nGC_206)*coupl(nGC_340) - 4d0*Nc*coupl(nGC_1415)*coupl( &
                       nGC_209)*coupl(nGC_340) - 4d0*Nc*coupl(nGC_1415)*coupl( &
                       nGC_210)*coupl(nGC_340) + 5d0*Nc*coupl(nGC_1449)*coupl( &
                       nGC_206)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1449)*coupl( &
                       nGC_209)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1449)*coupl( &
                       nGC_210)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_2573)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_207)*coupl( &
                       nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_2573)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_209)*coupl( &
                       nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_2573)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_210)*coupl( &
                       nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_383)*coupl(nGC_385) + 5d0*coupl(nGC_1233)*coupl(    &
                       nGC_208)*coupl(nGC_379) - 4d0*coupl(nGC_1233)*coupl(    &
                       nGC_211)*coupl(nGC_379) - 4d0*coupl(nGC_1233)*coupl(    &
                       nGC_212)*coupl(nGC_379) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_3367)*coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(    &
                       nGC_355)*coupl(nGC_917) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_3367)*coupl(nGC_361) - 4d0*coupl(nGC_211)*coupl(    &
                       nGC_355)*coupl(nGC_917) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_3367)*coupl(nGC_361) - 4d0*coupl(nGC_212)*coupl(    &
                       nGC_355)*coupl(nGC_917))/(48d0*pi**2d0)
    coupl(nGC_22406) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_22405) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_22404) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
    coupl(nGC_22409) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340&
                       )*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_381 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl(     &
                       nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_369 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_363 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1213)*coupl(nGC_174) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_351)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_357)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_375)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_174)*coupl(nGC_3)*coupl( &
                       nGC_3419) + 6d0*coupl(nGC_199)*coupl(nGC_21)*coupl(     &
                       nGC_3419))/(48d0*pi**2d0)
    coupl(nGC_22408) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_339&
                       )*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_384 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl(     &
                       nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_372 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_366 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1213)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_360)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_378)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_180)*coupl(nGC_3)*coupl( &
                       nGC_3419) + 6d0*coupl(nGC_199)*coupl(nGC_23)*coupl(     &
                       nGC_3419))/(48d0*pi**2d0)
    coupl(nGC_22629) = coupl(nGC_21406)*dydo1_QED3 + coupl(nGC_21407)*         &
                       dydo2_QED3 + coupl(nGC_21408)*da_QED2
    coupl(nGC_22628) = coupl(nGC_21406)*dydo1_QED1_QCD2 + coupl(nGC_21407)*    &
                       dydo2_QED1_QCD2
    coupl(nGC_22621) = coupl(nGC_20907)*dyd13x3_QED1_QCD2 + coupl(nGC_20908)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22620) = coupl(nGC_20906)*db_QED2 + coupl(nGC_20907)*dyd13x3_QED3&
                        + coupl(nGC_20908)*dyb2_QED3
    coupl(nGC_22627) = coupl(nGC_20813)*dyd13x3_QED1_QCD2 + coupl(nGC_20814)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22626) = coupl(nGC_20812)*db_QED2 + coupl(nGC_20813)*dyd13x3_QED3&
                        + coupl(nGC_20814)*dyb2_QED3
    coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
    coupl(nGC_35546) = coupl(nGC_338)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_32267) = coupl(nGC_174)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_175)*&
                       dZHlHh_QED2/2d0 + coupl(nGC_181)*dZHh_QED2/2d0 + coupl( &
                       nGC_22557)
    coupl(nGC_32264) = coupl(nGC_181)*dZGMinus/2d0
    coupl(nGC_32559) = 3d0*coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*        &
                       dZHl_QED2/2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + 3d0*    &
                       coupl(nGC_20)*dZHlHh_QED2/2d0 + coupl(nGC_22536)
    coupl(nGC_53385) = -coupl(nGC_34918)
    coupl(nGC_36703) = coupl(nGC_13)*dZtL_QCD2
    coupl(nGC_36702) = coupl(nGC_13)*dZtL_QED2
    coupl(nGC_36705) = coupl(nGC_33014) + coupl(nGC_36703)
    coupl(nGC_45232) = coupl(nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
    coupl(nGC_46149) = -coupl(nGC_40816)
    coupl(nGC_35495) = coupl(nGC_207)*dZuR_QCD2
    coupl(nGC_35496) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZuL_QED2  &
                        + coupl(nGC_22732)
    coupl(nGC_35142) = coupl(nGC_22572) + coupl(nGC_328)*dZHl_QED2/2d0 + coupl(&
                       nGC_331)*dZHhHl_QED2/2d0
    coupl(nGC_35149) = coupl(nGC_22535) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl( &
                       nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0 + &
                       coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*          &
                       dZHMinusGMinus_QED2
    coupl(nGC_39359) = coupl(nGC_39355) + coupl(nGC_39357)
    coupl(nGC_39358) = -coupl(nGC_39355) - coupl(nGC_39357)
    coupl(nGC_32848) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
    coupl(nGC_34632) = coupl(nGC_385)*dZGMinus/2d0
    coupl(nGC_32289) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*           &
                       dZnu_muL_QED2 + coupl(nGC_22735)
    coupl(nGC_32281) = coupl(nGC_28)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_38171) = coupl(nGC_22858) + coupl(nGC_38162)
    coupl(nGC_35920) = coupl(nGC_16)*dZHlHh_QED2 + coupl(nGC_17)*dZHhHl_QED2 + &
                       coupl(nGC_20)*dZHh_QED2 + coupl(nGC_20)*dZHl_QED2 +     &
                       coupl(nGC_22523)
    coupl(nGC_35402) = coupl(nGC_172)*dZHMinus_QED2/2d0 + coupl(nGC_172)*      &
                       dZHh_QED2/2d0 + coupl(nGC_172)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_179)*dZHlHh_QED2/2d0 + coupl(nGC_22699)
    coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
    coupl(nGC_33391) = coupl(nGC_22638) + coupl(nGC_33390)
    coupl(nGC_33392) = coupl(nGC_22639) + coupl(nGC_339)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_342)*dZHl_QED2/2d0
    coupl(nGC_33647) = coupl(nGC_13)*dZbR_QED2
    coupl(nGC_21964) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_1415)*coupl(nGC_344) - &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_335)*coupl(nGC_849) - 4d0&
                       *Nc*cMD**2d0*cima*coupl(nGC_2573)*coupl(nGC_347) - 4d0* &
                       Nc*cMS**2d0*cima*coupl(nGC_1449)*coupl(nGC_365) - 4d0*Nc&
                       *cMT**2d0*cima*coupl(nGC_1185)*coupl(nGC_371) - 4d0*Nc* &
                       cMU**2d0*cima*coupl(nGC_1649)*coupl(nGC_383) - 4d0*cME**&
                       2d0*cima*coupl(nGC_353)*coupl(nGC_917) - 4d0*cMM**2d0*  &
                       cima*coupl(nGC_3367)*coupl(nGC_359) - 4d0*cMTA**2d0*cima&
                       *coupl(nGC_1233)*coupl(nGC_377) - 2d0*cMW**2d0*coupl(   &
                       nGC_100) - cMZ**2d0*coupl(nGC_230))/(16d0*pi**2d0)
    coupl(nGC_21967) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(      &
                       nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(      &
                       nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl( &
                       nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(      &
                       nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(nGC_357&
                       )*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378))/(24d0*&
                       pi**2d0)
    coupl(nGC_33643) = coupl(nGC_13)*dZbL_QED2
    coupl(nGC_21960) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*    &
                       coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(   &
                       16d0*pi**2d0)
    coupl(nGC_21963) = cima*(Nc*coupl(nGC_1185)*coupl(nGC_371) + Nc*coupl(     &
                       nGC_1415)*coupl(nGC_344) + Nc*coupl(nGC_1449)*coupl(    &
                       nGC_365) + Nc*coupl(nGC_1649)*coupl(nGC_383) + Nc*coupl(&
                       nGC_2573)*coupl(nGC_347) + Nc*coupl(nGC_335)*coupl(     &
                       nGC_849) + coupl(nGC_1233)*coupl(nGC_377) + coupl(      &
                       nGC_3367)*coupl(nGC_359) + coupl(nGC_353)*coupl(nGC_917 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_21969) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0 + &
                       Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc*   &
                       coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl(   &
                       nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_21968) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) -  &
                       4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc* &
                       cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**2d0&
                       *coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*coupl( &
                       nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl(nGC_381 &
                       )*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)*coupl(   &
                       nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(nGC_360) - &
                       4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378) + 2d0*coupl(&
                       nGC_261)*coupl(nGC_272) + coupl(nGC_329)*coupl(nGC_332  &
                       ))/(16d0*pi**2d0)
    coupl(nGC_33648) = coupl(nGC_13)*dZbR_QCD2
    coupl(nGC_21989) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 + coupl(&
                       nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_21988) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_21983) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_21982) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(    &
                       nGC_210))/(8d0*pi**2d0)
    coupl(nGC_21981) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_21980) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl( &
                       nGC_209)**2d0)/(16d0*pi**2d0)
    coupl(nGC_21986) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(    &
                       nGC_209))/(8d0*pi**2d0)
    coupl(nGC_21985) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_21984) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl( &
                       nGC_210)**2d0)/(16d0*pi**2d0)
    coupl(nGC_22515) = coupl(nGC_20827)*dl3_QED4 + coupl(nGC_20828)*dl1_QED4 + &
                       coupl(nGC_20829)*dl2_QED4 + coupl(nGC_20830)*dl5_QED4 + &
                       coupl(nGC_20831)*dl4_QED4 + coupl(nGC_20832)*db_QED2
    coupl(nGC_22514) = coupl(nGC_21443)*dl3_QED4 + coupl(nGC_21444)*dl1_QED4 + &
                       coupl(nGC_21445)*dl2_QED4 + coupl(nGC_21446)*dl5_QED4 + &
                       coupl(nGC_21447)*dl4_QED4 + coupl(nGC_21448)*da_QED2
    coupl(nGC_22517) = coupl(nGC_21244)*dl3_QED4 + coupl(nGC_21245)*dl1_QED4 + &
                       coupl(nGC_21246)*dl2_QED4 + coupl(nGC_21247)*dl5_QED4 + &
                       coupl(nGC_21248)*dl4_QED4 + coupl(nGC_21249)*db_QED2
    coupl(nGC_22324) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_339)*coupl(nGC_342&
                       ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_345)*coupl(nGC_348   &
                       ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_363)*coupl(nGC_366   &
                       ) - Nc*coupl(nGC_2)**2d0*coupl(nGC_333)*coupl(nGC_336   &
                       ) - Nc*coupl(nGC_2)**2d0*coupl(nGC_369)*coupl(nGC_372   &
                       ) - Nc*coupl(nGC_2)**2d0*coupl(nGC_381)*coupl(nGC_384   &
                       ) - coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4)**2d0 -   &
                       coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4)**2d0 - coupl(&
                       nGC_375)*coupl(nGC_378)*coupl(nGC_4)**2d0)/(4d0*pi**2d0)
    coupl(nGC_22047) = (Nc*cMB*coupl(nGC_1185)*coupl(nGC_343)*coupl(nGC_373) + &
                       Nc*cMB*coupl(nGC_1415)*coupl(nGC_340)*coupl(nGC_343) +  &
                       Nc*cMB*coupl(nGC_1415)*coupl(nGC_370)*coupl(nGC_373) +  &
                       Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + Nc&
                       *cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_371) + Nc* &
                       cMB*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                       cMC*coupl(nGC_1449)*coupl(nGC_337)*coupl(nGC_364) + Nc* &
                       cMC*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*  &
                       cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_849) + Nc*  &
                       cMC*coupl(nGC_334)*coupl(nGC_365)*coupl(nGC_367) + Nc*  &
                       cMC*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367) + Nc*  &
                       cMC*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_849) + Nc*  &
                       cMD*coupl(nGC_1649)*coupl(nGC_346)*coupl(nGC_385) + Nc* &
                       cMD*coupl(nGC_2573)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMD*coupl(nGC_2573)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMD*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_349) + Nc*  &
                       cMD*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + Nc*  &
                       cMD*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_383) + Nc*  &
                       cMS*coupl(nGC_1449)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMS*coupl(nGC_1449)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMS*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_367) + Nc*  &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*  &
                       cMS*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_849) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + Nc*  &
                       cMT*coupl(nGC_1185)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                       cMT*coupl(nGC_1185)*coupl(nGC_370)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_1415)*coupl(nGC_343)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371) + Nc*  &
                       cMT*coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_370) + Nc*  &
                       cMT*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + Nc*  &
                       cMU*coupl(nGC_1649)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMU*coupl(nGC_1649)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_2573)*coupl(nGC_346)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*  &
                       cMU*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_382) + Nc*  &
                       cMU*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + cME* &
                       coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355) + cME*coupl&
                       (nGC_352)*coupl(nGC_355)*coupl(nGC_917) + cMM*coupl(    &
                       nGC_3367)*coupl(nGC_358)*coupl(nGC_361) + cMM*coupl(    &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + cMTA*coupl(    &
                       nGC_1233)*coupl(nGC_376)*coupl(nGC_379) + cMTA*coupl(   &
                       nGC_376)*coupl(nGC_377)*coupl(nGC_379) + 2d0*cima*coupl(&
                       nGC_187)*coupl(nGC_324) + 2d0*cima*coupl(nGC_237)*coupl(&
                       nGC_31))/(16d0*pi**2d0)
    coupl(nGC_22329) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1467)*coupl(nGC_197&
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl(      &
                       nGC_197)*coupl(nGC_2147)*coupl(nGC_385) - 4d0*Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337)*coupl(nGC_791&
                       ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_340)* &
                       coupl(nGC_341) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*   &
                       coupl(nGC_349)*coupl(nGC_350) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_367)*coupl(nGC_368) + Nc*cima* &
                       coupl(nGC_1467)*coupl(nGC_197)*coupl(nGC_2)*coupl(      &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_2147)*coupl(nGC_385) + Nc*cima*coupl(nGC_197)*coupl(&
                       nGC_2)*coupl(nGC_337)*coupl(nGC_791) - 4d0*Nc*cima*coupl&
                       (nGC_197)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_341) -  &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349)* &
                       coupl(nGC_350) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_367)*coupl(nGC_368) + 6d0*cima*coupl(nGC_186&
                       )*coupl(nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_355)* &
                       coupl(nGC_356)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(&
                       nGC_361)*coupl(nGC_362)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_379)*coupl(nGC_380)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(      &
                       nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
    coupl(nGC_59910) = -coupl(nGC_22147)
    coupl(nGC_22513) = coupl(nGC_21695)*dl3_QED4 + coupl(nGC_21696)*db_QED2 +  &
                       coupl(nGC_21697)*dl2_QED4 + coupl(nGC_21698)*dl5_QED4 + &
                       coupl(nGC_21699)*dl4_QED4 + coupl(nGC_21700)*dl1_QED4 + &
                       coupl(nGC_21701)*da_QED2
    coupl(nGC_22512) = coupl(nGC_21250)*dl3_QED4 + coupl(nGC_21251)*dl1_QED4 + &
                       coupl(nGC_21252)*dl2_QED4 + coupl(nGC_21253)*dl5_QED4 + &
                       coupl(nGC_21254)*dl4_QED4 + coupl(nGC_21255)*db_QED2
    coupl(nGC_TS_GC_332_Hh) = -coupl(nGC_332)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32118) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_22597)
    coupl(nGC_22187) = (-coupl(nGC_1649)*coupl(nGC_381)**2d0 - coupl(nGC_1649)*&
                       coupl(nGC_383)**2d0 - coupl(nGC_1649)*coupl(nGC_384)**  &
                       2d0 - coupl(nGC_1649)*coupl(nGC_386)**2d0 + 8d0*coupl(  &
                       nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(nGC_207)*coupl(  &
                       nGC_210)*coupl(nGC_383) - coupl(nGC_2573)*coupl(nGC_346 &
                       )*coupl(nGC_382) - coupl(nGC_2573)*coupl(nGC_349)*coupl(&
                       nGC_385))/(32d0*pi**2d0)
    coupl(nGC_36174) = coupl(nGC_384)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_36175) = coupl(nGC_384)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_22182) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22183) = (-coupl(nGC_1233)*coupl(nGC_375)**2d0 - coupl(nGC_1233)*&
                       coupl(nGC_377)**2d0 - coupl(nGC_1233)*coupl(nGC_378)**  &
                       2d0 - coupl(nGC_1233)*coupl(nGC_380)**2d0 + 8d0*coupl(  &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_377) + 8d0*coupl(     &
                       nGC_377)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22180) = coupl(nGC_1185)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22181) = (-coupl(nGC_1185)*coupl(nGC_369)**2d0 - coupl(nGC_1185)*&
                       coupl(nGC_371)**2d0 - coupl(nGC_1185)*coupl(nGC_372)**  &
                       2d0 - coupl(nGC_1185)*coupl(nGC_374)**2d0 - coupl(      &
                       nGC_1415)*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_1415&
                       )*coupl(nGC_343)*coupl(nGC_370) + 8d0*coupl(nGC_2)**2d0*&
                       coupl(nGC_371) + 8d0*coupl(nGC_207)*coupl(nGC_210)*coupl&
                       (nGC_371))/(32d0*pi**2d0)
    coupl(nGC_22188) = coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22189) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*coupl(      &
                       nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 + 4d0*cMTA* &
                       coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*coupl(nGC_332 &
                       ) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0&
                       )
    coupl(nGC_22436) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl(  &
                       nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(  &
                       nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl(  &
                       nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)**  &
                       2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334&
                       )*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*&
                       coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343)**2d0 + 5d0*&
                       Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_370)**2d0 +  &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369)*    &
                       coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343)*  &
                       coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_343)** &
                       2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_345&
                       )*coupl(nGC_346)**2d0*coupl(nGC_348) + 5d0*Nc*coupl(    &
                       nGC_345)*coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_384) + &
                       5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_382)**2d0&
                        + 5d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_381)*coupl(     &
                       nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(  &
                       nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_363)*coupl(  &
                       nGC_364)**2d0*coupl(nGC_366) + 5d0*Nc*coupl(nGC_369)*   &
                       coupl(nGC_370)**2d0*coupl(nGC_372) + 5d0*Nc*coupl(      &
                       nGC_381)*coupl(nGC_382)**2d0*coupl(nGC_384) + 6d0*coupl(&
                       nGC_175)*coupl(nGC_180) + 6d0*coupl(nGC_22)*coupl(nGC_23&
                       ) + 5d0*coupl(nGC_351)*coupl(nGC_352)**2d0*coupl(nGC_354&
                       ) + 5d0*coupl(nGC_357)*coupl(nGC_358)**2d0*coupl(nGC_360&
                       ) + 5d0*coupl(nGC_375)*coupl(nGC_376)**2d0*coupl(nGC_378&
                       ))/(24d0*pi**2d0)
    coupl(nGC_22437) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0 + &
                       10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 + 20d0* &
                       Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*coupl(  &
                       nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_363)** &
                       2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_343)**2d0 + &
                       10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_370)**2d0 + 20d0* &
                       Nc*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_369)*coupl(  &
                       nGC_370) + 10d0*Nc*coupl(nGC_343)**2d0*coupl(nGC_369)** &
                       2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_346)**2d0 + &
                       10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_382)**2d0 + 20d0* &
                       Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_381)*coupl(  &
                       nGC_382) + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_381)** &
                       2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_364)**2d0 + &
                       10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0* &
                       Nc*coupl(nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*&
                       coupl(nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 &
                        + 10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0* &
                       coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(   &
                       nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22434) = cima*(10d0*Nc*coupl(nGC_1185)*coupl(nGC_1415)*coupl(    &
                       nGC_343)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_1185)*coupl(&
                       nGC_343)**2d0*coupl(nGC_371) + 10d0*Nc*coupl(nGC_1185)* &
                       coupl(nGC_370)**2d0*coupl(nGC_371) + 10d0*Nc*coupl(     &
                       nGC_1415)*coupl(nGC_343)**2d0*coupl(nGC_344) + 10d0*Nc* &
                       coupl(nGC_1415)*coupl(nGC_344)*coupl(nGC_370)**2d0 +    &
                       10d0*Nc*coupl(nGC_1449)*coupl(nGC_334)**2d0*coupl(      &
                       nGC_365) + 10d0*Nc*coupl(nGC_1449)*coupl(nGC_334)*coupl(&
                       nGC_364)*coupl(nGC_849) + 10d0*Nc*coupl(nGC_1449)*coupl(&
                       nGC_364)**2d0*coupl(nGC_365) + 10d0*Nc*coupl(nGC_1649)* &
                       coupl(nGC_2573)*coupl(nGC_346)*coupl(nGC_382) + 10d0*Nc*&
                       coupl(nGC_1649)*coupl(nGC_346)**2d0*coupl(nGC_383) +    &
                       10d0*Nc*coupl(nGC_1649)*coupl(nGC_382)**2d0*coupl(      &
                       nGC_383) + 10d0*Nc*coupl(nGC_2573)*coupl(nGC_346)**2d0* &
                       coupl(nGC_347) + 10d0*Nc*coupl(nGC_2573)*coupl(nGC_347)*&
                       coupl(nGC_382)**2d0 + 10d0*Nc*coupl(nGC_334)**2d0*coupl(&
                       nGC_335)*coupl(nGC_849) + 10d0*Nc*coupl(nGC_334)*coupl( &
                       nGC_335)*coupl(nGC_364)*coupl(nGC_365) + 10d0*Nc*coupl( &
                       nGC_335)*coupl(nGC_364)**2d0*coupl(nGC_849) + 10d0*Nc*  &
                       coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_370)*coupl(     &
                       nGC_371) + 10d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl( &
                       nGC_382)*coupl(nGC_383) + 6d0*coupl(nGC_100)**2d0 + 10d0&
                       *coupl(nGC_1233)*coupl(nGC_376)**2d0*coupl(nGC_377) +   &
                       12d0*coupl(nGC_186)*coupl(nGC_187) + 3d0*coupl(nGC_229)*&
                       coupl(nGC_230) + 12d0*coupl(nGC_30)*coupl(nGC_31) + 10d0&
                       *coupl(nGC_3367)*coupl(nGC_358)**2d0*coupl(nGC_359) +   &
                       10d0*coupl(nGC_352)**2d0*coupl(nGC_353)*coupl(nGC_917   &
                       ))/(48d0*pi**2d0)
    coupl(nGC_22435) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0 + &
                       10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 + 20d0* &
                       Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*coupl(  &
                       nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_364)** &
                       2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_343)**2d0 + &
                       10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)**2d0 + 20d0* &
                       Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_370)*coupl(  &
                       nGC_372) + 10d0*Nc*coupl(nGC_343)**2d0*coupl(nGC_372)** &
                       2d0 + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_348)**2d0 + &
                       10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_384)**2d0 + 20d0* &
                       Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_382)*coupl(  &
                       nGC_384) + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_382)** &
                       2d0 + 10d0*Nc*coupl(nGC_364)**2d0*coupl(nGC_366)**2d0 + &
                       10d0*Nc*coupl(nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0* &
                       Nc*coupl(nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl( &
                       nGC_100)*coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0&
                       *coupl(nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229  &
                       ) + 10d0*coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*&
                       coupl(nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(   &
                       nGC_376)**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
    coupl(nGC_22433) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343 &
                       )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(     &
                       nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*    &
                       coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*    &
                       coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*    &
                       coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*coupl&
                       (nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi**2d0)
    coupl(nGC_22439) = (5d0*Nc*cima*coupl(nGC_1185)*coupl(nGC_197)*coupl(      &
                       nGC_207)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1185)*  &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) - 4d0*Nc*  &
                       cima*coupl(nGC_1185)*coupl(nGC_197)*coupl(nGC_210)*coupl&
                       (nGC_370) + 5d0*Nc*cima*coupl(nGC_1649)*coupl(nGC_197)* &
                       coupl(nGC_207)*coupl(nGC_382) - 4d0*Nc*cima*coupl(      &
                       nGC_1649)*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382   &
                       ) - 4d0*Nc*cima*coupl(nGC_1649)*coupl(nGC_197)*coupl(   &
                       nGC_210)*coupl(nGC_382) + 5d0*Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_206)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*  &
                       cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346)*coupl(&
                       nGC_347) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*   &
                       coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_849) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334 &
                       )*coupl(nGC_849) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_343)*coupl(nGC_344) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346)*coupl(     &
                       nGC_347) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_364)*coupl(nGC_365) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl(nGC_849) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343 &
                       )*coupl(nGC_344) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364)*coupl(     &
                       nGC_365) + 6d0*cima*coupl(nGC_1213)*coupl(nGC_186) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_353) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*  &
                       coupl(nGC_359) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_353) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*coupl(     &
                       nGC_359) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_352)*coupl(nGC_353) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_359) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376)*  &
                       coupl(nGC_377) + 6d0*coupl(nGC_186)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_30&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22618) = coupl(nGC_21616)*db_QED2 + coupl(nGC_21617)*dyt1_QED3 + &
                       coupl(nGC_21618)*dyt2_QED3
    coupl(nGC_22619) = coupl(nGC_21617)*dyt1_QED1_QCD2 + coupl(nGC_21618)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_22616) = coupl(nGC_21702)*dyd12x2_QED1_QCD2 + coupl(nGC_21703)*  &
                       dys2_QED1_QCD2
    coupl(nGC_22617) = coupl(nGC_21702)*dyd12x2_QED3 + coupl(nGC_21703)*       &
                       dys2_QED3 + coupl(nGC_21704)*db_QED2
    coupl(nGC_22614) = coupl(nGC_21045)*db_QED2 + coupl(nGC_21046)*dyc1_QED3 + &
                       coupl(nGC_21047)*dyc2_QED3
    coupl(nGC_22615) = coupl(nGC_21046)*dyc1_QED1_QCD2 + coupl(nGC_21047)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_22612) = coupl(nGC_21910)*db_QED2 + coupl(nGC_21911)*dyup1_QED3  &
                        + coupl(nGC_21912)*dyup2_QED3
    coupl(nGC_22610) = coupl(nGC_20864)*dydo2_QED1_QCD2 + coupl(nGC_20866)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22611) = coupl(nGC_20864)*dydo2_QED3 + coupl(nGC_20865)*db_QED2  &
                        + coupl(nGC_20866)*dydo1_QED3
    coupl(nGC_32275) = coupl(nGC_22526) + coupl(nGC_54)*dZHMinusGMinus_QED2/2d0&
                        + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*       &
                       dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/2d0 &
                        + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*     &
                       dZHa_QED2/2d0
    coupl(nGC_35556) = coupl(nGC_53)*dZGMinus/2d0
    coupl(nGC_35559) = coupl(nGC_22540) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/  &
                       2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*    &
                       dZHhHl_QED2/2d0
    coupl(nGC_22058) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22059) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(   &
                       nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335)*&
                       coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl(   &
                       nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(nGC_367)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_22508) = coupl(nGC_21285)*dl3_QED4 + coupl(nGC_21286)*dl1_QED4 + &
                       coupl(nGC_21287)*dl2_QED4 + coupl(nGC_21288)*dl5_QED4 + &
                       coupl(nGC_21289)*dl4_QED4 + coupl(nGC_21290)*db_QED2
    coupl(nGC_22509) = coupl(nGC_21705)*dl3_QED4 + coupl(nGC_21706)*db_QED2 +  &
                       coupl(nGC_21707)*dl2_QED4 + coupl(nGC_21708)*dl5_QED4 + &
                       coupl(nGC_21709)*dl4_QED4 + coupl(nGC_21710)*dl1_QED4 + &
                       coupl(nGC_21711)*da_QED2
    coupl(nGC_22050) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc*  &
                       coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(&
                       nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(      &
                       nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(      &
                       nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(      &
                       nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208)*&
                       coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(   &
                       nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376)*&
                       coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                       nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361  &
                       ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22503) = coupl(nGC_21659)*dsw_QED2 + coupl(nGC_21660)*dcw_QED2 + &
                       coupl(nGC_21661)*dZee_QED2
    coupl(nGC_22500) = coupl(nGC_21575)*dcw_QED2 + coupl(nGC_21576)*dZee_QED2
    coupl(nGC_22053) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc*  &
                       coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl(&
                       nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl( &
                       nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(      &
                       nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(nGC_357&
                       )*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22506) = coupl(nGC_21291)*dl3_QED4 + coupl(nGC_21292)*dl1_QED4 + &
                       coupl(nGC_21293)*dl2_QED4 + coupl(nGC_21294)*dl5_QED4 + &
                       coupl(nGC_21295)*dl4_QED4 + coupl(nGC_21296)*db_QED2
    coupl(nGC_22055) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) - coupl(  &
                       nGC_1185)*coupl(nGC_1415)*coupl(nGC_373) - coupl(       &
                       nGC_1467)*coupl(nGC_1711)*coupl(nGC_373) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(nGC_339)*&
                       coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_342)*coupl(   &
                       nGC_369)*coupl(nGC_373))/(32d0*pi**2d0)
    coupl(nGC_22504) = coupl(nGC_21498)*dcw_QED2 + coupl(nGC_21499)*db_QED2 +  &
                       coupl(nGC_21500)*dZee_QED2 + coupl(nGC_21501)*da_QED2
    coupl(nGC_22505) = coupl(nGC_21606)*dsw_QED2 + coupl(nGC_21607)*dcw_QED2 + &
                       coupl(nGC_21608)*dZee_QED2
    coupl(nGC_58860) = -coupl(nGC_22050)
    coupl(nGC_39587) = coupl(nGC_22521) + coupl(nGC_35)*dZHhHl_QED2 + coupl(   &
                       nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
    coupl(nGC_34738) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusR_QED2
    coupl(nGC_34739) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusL_QED2
    coupl(nGC_35158) = coupl(nGC_224)*dZHh_QED2 + coupl(nGC_224)*dZZ_QED2 +    &
                       coupl(nGC_22722)
    coupl(nGC_35155) = coupl(nGC_22564) + 3d0*coupl(nGC_233)*dZHlHh_QED2/2d0 + &
                       3d0*coupl(nGC_235)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_17_Hl&
                       ) + coupl(nGC_TS_GC_19_Hh)
    coupl(nGC_32852) = coupl(nGC_22547) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl( &
                       nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/2d0 &
                        + coupl(nGC_72)*dZHMinusGMinus_QED2
    coupl(nGC_39360) = -coupl(nGC_39354)
    coupl(nGC_32223) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusL_QED2
    coupl(nGC_34604) = coupl(nGC_22610) + coupl(nGC_346)*dZdR_QCD2/2d0 + coupl(&
                       nGC_346)*dZuL_QCD2/2d0
    coupl(nGC_34602) = coupl(nGC_22611) + coupl(nGC_346)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*dZuL_QED2/&
                       2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_34603) = coupl(nGC_22613) + coupl(nGC_382)*dZdL_QCD2/2d0 + coupl(&
                       nGC_382)*dZuR_QCD2/2d0
    coupl(nGC_34601) = coupl(nGC_22612) + coupl(nGC_382)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*dZuR_QED2/&
                       2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_38349) = coupl(nGC_200)*dZZA_QED2/2d0 + coupl(nGC_22591) + coupl(&
                       nGC_6)*dZA_QED2/2d0
    coupl(nGC_32294) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_38169) = coupl(nGC_22857) + coupl(nGC_TS_GC_345_Hl) + coupl(     &
                       nGC_TS_GC_348_Hh)
    coupl(nGC_34199) = coupl(nGC_22580) + coupl(nGC_245)*dZHa_QED2/2d0 + coupl(&
                       nGC_245)*dZHh_QED2/2d0 + coupl(nGC_250)*dZG0Ha_QED2/2d0 &
                        + coupl(nGC_253)*dZHlHh_QED2/2d0 + coupl(nGC_254)*     &
                       dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_39_Hh) + coupl(       &
                       nGC_TS_GC_47_Hl)
    coupl(nGC_34195) = coupl(nGC_245)*dZG0/2d0
    coupl(nGC_22697) = coupl(nGC_20780)*dZee_QED2
    coupl(nGC_34510) = coupl(nGC_22619) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                       nGC_370)*dZtR_QCD2/2d0
    coupl(nGC_34511) = coupl(nGC_22621) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                       nGC_343)*dZtL_QCD2/2d0
    coupl(nGC_33252) = coupl(nGC_22549) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +    &
                       coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*      &
                       dZG0Ha_QED2/2d0
    coupl(nGC_40465) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*           &
                       dZnu_eL_QED2 + coupl(nGC_22735)
    coupl(nGC_43662) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_43667) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_43669) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
    coupl(nGC_32477) = coupl(nGC_193)*dZZA_QED2/2d0 + coupl(nGC_203)*dZA_QED2/ &
                       2d0 + coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_22689&
                       )
    coupl(nGC_32470) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_22056) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22310) = coupl(nGC_13)*sq2*(-coupl(nGC_1649)*coupl(nGC_383) - 4d0&
                       *coupl(nGC_197)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl&
                       (nGC_210)**2d0 - coupl(nGC_2147)*coupl(nGC_386) - coupl(&
                       nGC_346)**2d0 - coupl(nGC_349)**2d0 - coupl(nGC_381)**  &
                       2d0 - coupl(nGC_384)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_33670) = -coupl(nGC_33666)
    coupl(nGC_33078) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_22728)
    coupl(nGC_33079) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
    coupl(nGC_40080) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_40087) = coupl(nGC_22855) + coupl(nGC_TS_GC_369_Hl) + coupl(     &
                       nGC_TS_GC_372_Hh)
    coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
    coupl(nGC_40089) = coupl(nGC_22856) + coupl(nGC_40080)
    coupl(nGC_40088) = coupl(nGC_40079) + coupl(nGC_40087)
    coupl(nGC_33075) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_33077) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
    coupl(nGC_22534) = coupl(nGC_21609)*dl3_QED4 + coupl(nGC_21610)*db_QED2 +  &
                       coupl(nGC_21611)*dl2_QED4 + coupl(nGC_21612)*dl5_QED4 + &
                       coupl(nGC_21613)*dl4_QED4 + coupl(nGC_21614)*dl1_QED4 + &
                       coupl(nGC_21615)*da_QED2
    coupl(nGC_22335) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1415)*   &
                       coupl(nGC_340) + Nc*coupl(nGC_1)*coupl(nGC_1449)*coupl( &
                       nGC_367) + Nc*coupl(nGC_1)*coupl(nGC_2573)*coupl(nGC_349&
                       ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_335)*coupl(nGC_337) - &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(nGC_373) - 4d0*&
                       Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(nGC_385) - 4d0*Nc* &
                       coupl(nGC_1415)*coupl(nGC_2)*coupl(nGC_340) - 4d0*Nc*   &
                       coupl(nGC_1449)*coupl(nGC_2)*coupl(nGC_367) - 4d0*Nc*   &
                       coupl(nGC_2)*coupl(nGC_2573)*coupl(nGC_349) + Nc*coupl( &
                       nGC_2)*coupl(nGC_335)*coupl(nGC_337) + Nc*coupl(nGC_2)* &
                       coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_2)*coupl(  &
                       nGC_383)*coupl(nGC_385) + coupl(nGC_1233)*coupl(nGC_379 &
                       )*coupl(nGC_4) + coupl(nGC_3367)*coupl(nGC_361)*coupl(  &
                       nGC_4) + coupl(nGC_355)*coupl(nGC_4)*coupl(nGC_917))/(  &
                       48d0*pi**2d0)
    coupl(nGC_22331) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340 &
                       )*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*  &
                       coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(nGC_1)*    &
                       coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337&
                       ) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_370)*  &
                       coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*    &
                       coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl(nGC_1)*    &
                       coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) - 8d0*Nc*  &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373&
                       ) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_382)*  &
                       coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*    &
                       coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1)*    &
                       coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*  &
                       coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367&
                       ) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_340)*  &
                       coupl(nGC_343) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*    &
                       coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) - 8d0*Nc*  &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337&
                       ) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_370)*  &
                       coupl(nGC_373) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*    &
                       coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*  &
                       coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373&
                       ) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_382)*  &
                       coupl(nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*    &
                       coupl(nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*  &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367&
                       ) - 8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_355)*   &
                       coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(nGC_358)*coupl( &
                       nGC_361)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(nGC_376&
                       )*coupl(nGC_379)*coupl(nGC_4) + 5d0*coupl(nGC_212)*coupl&
                       (nGC_352)*coupl(nGC_355)*coupl(nGC_4) + 5d0*coupl(      &
                       nGC_212)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_4) +   &
                       5d0*coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379)*coupl( &
                       nGC_4))/(48d0*pi**2d0)
    coupl(nGC_22330) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_1185&
                       )*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_1649)* &
                       coupl(nGC_385) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_337)*    &
                       coupl(nGC_849) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl(  &
                       nGC_344) + Nc*coupl(nGC_1)*coupl(nGC_347)*coupl(nGC_349 &
                       ) + Nc*coupl(nGC_1)*coupl(nGC_365)*coupl(nGC_367) + Nc* &
                       coupl(nGC_1185)*coupl(nGC_2)*coupl(nGC_373) + Nc*coupl( &
                       nGC_1649)*coupl(nGC_2)*coupl(nGC_385) + Nc*coupl(nGC_2)*&
                       coupl(nGC_337)*coupl(nGC_849) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_365)*coupl(nGC_367) + coupl(nGC_353)*coupl(   &
                       nGC_355)*coupl(nGC_4) + coupl(nGC_359)*coupl(nGC_361)*  &
                       coupl(nGC_4) + coupl(nGC_377)*coupl(nGC_379)*coupl(nGC_4&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22333) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340)* &
                       coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(      &
                       nGC_174)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_21)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22332) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_366)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_372)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_384)*coupl(nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_354)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_360)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_32619) = coupl(nGC_24)*dZGMinus/2d0
    coupl(nGC_22199) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_36168) = coupl(nGC_34321) + coupl(nGC_36167)
    coupl(nGC_22191) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0* &
                       Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc*cMD*&
                       coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS*coupl( &
                       nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl(nGC_369&
                       )**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(nGC_381)**2d0*&
                       coupl(nGC_384) + 12d0*cME*coupl(nGC_351)**2d0*coupl(    &
                       nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0*coupl(nGC_360   &
                       ) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl(nGC_378) + cima*&
                       coupl(nGC_224)*coupl(nGC_332) + 2d0*cima*coupl(nGC_272)*&
                       coupl(nGC_77))/(16d0*pi**2d0)
    coupl(nGC_22190) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0* &
                       Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc*cMD*&
                       coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS*coupl( &
                       nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl(nGC_369&
                       )*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(nGC_381)*coupl&
                       (nGC_384)**2d0 + 12d0*cME*coupl(nGC_351)*coupl(nGC_354  &
                       )**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(nGC_360)**2d0 +  &
                       12d0*cMTA*coupl(nGC_375)*coupl(nGC_378)**2d0 + cima*    &
                       coupl(nGC_224)*coupl(nGC_329) + 2d0*cima*coupl(nGC_261)*&
                       coupl(nGC_77))/(16d0*pi**2d0)
    coupl(nGC_22193) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_339) + 2d0*Nc&
                       *cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339) - 2d0*&
                       Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_339) - 2d0*Nc*cMC* &
                       coupl(nGC_207)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*coupl(  &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_336) - 2d0*Nc*cMC*    &
                       coupl(nGC_210)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl(  &
                       nGC_206)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(nGC_206 &
                       )*coupl(nGC_209)*coupl(nGC_348) - 2d0*Nc*cMD*coupl(     &
                       nGC_209)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_206 &
                       )**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_366) - 2d0*Nc*cMS*coupl(nGC_209)**2d0&
                       *coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_207)**2d0*coupl( &
                       nGC_372) + 2d0*Nc*cMT*coupl(nGC_207)*coupl(nGC_210)*    &
                       coupl(nGC_372) - 2d0*Nc*cMT*coupl(nGC_210)**2d0*coupl(  &
                       nGC_372) - 2d0*Nc*cMU*coupl(nGC_207)**2d0*coupl(nGC_384 &
                       ) + 2d0*Nc*cMU*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_384) - 2d0*Nc*cMU*coupl(nGC_210)**2d0*coupl(nGC_384 &
                       ) - 2d0*cME*coupl(nGC_208)**2d0*coupl(nGC_354) + 2d0*cME&
                       *coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_354) - 2d0*cME*&
                       coupl(nGC_211)**2d0*coupl(nGC_354) - 2d0*cMM*coupl(     &
                       nGC_208)**2d0*coupl(nGC_360) + 2d0*cMM*coupl(nGC_208)*  &
                       coupl(nGC_211)*coupl(nGC_360) - 2d0*cMM*coupl(nGC_211)**&
                       2d0*coupl(nGC_360) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(&
                       nGC_378) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(&
                       nGC_378) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_378   &
                       ) + cima*coupl(nGC_195)*coupl(nGC_272) + coupl(nGC_199  &
                       )**2d0*coupl(nGC_272) + coupl(nGC_272)*coupl(nGC_3419)**&
                       2d0)/(8d0*pi**2d0)
    coupl(nGC_22195) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339  &
                       )**3d0 - coupl(nGC_339)*coupl(nGC_341)**2d0 - coupl(    &
                       nGC_339)*coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(    &
                       nGC_344)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(    &
                       nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22194) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) - coupl(nGC_1415  &
                       )**2d0*coupl(nGC_339) - coupl(nGC_1711)**2d0*coupl(     &
                       nGC_339) + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(     &
                       nGC_339) - coupl(nGC_339)**3d0 - coupl(nGC_339)*coupl(  &
                       nGC_342)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(    &
                       nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22197) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333  &
                       )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)*  &
                       coupl(nGC_366) - coupl(nGC_336)**3d0 - coupl(nGC_336)*  &
                       coupl(nGC_791)**2d0 - coupl(nGC_336)*coupl(nGC_849)**2d0&
                        - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(32d0* &
                       pi**2d0)
    coupl(nGC_22196) = coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22421) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1467)*coupl(      &
                       nGC_207)*coupl(nGC_370) - 4d0*Nc*coupl(nGC_1467)*coupl( &
                       nGC_209)*coupl(nGC_370) - 4d0*Nc*coupl(nGC_1467)*coupl( &
                       nGC_210)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_346)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_2147)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_207)*coupl( &
                       nGC_334)*coupl(nGC_791) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_2147)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_209)*coupl( &
                       nGC_334)*coupl(nGC_791) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_364)*coupl(nGC_368) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_2147)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_210)*coupl( &
                       nGC_334)*coupl(nGC_791) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_364)*coupl(nGC_368) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_352)*coupl(nGC_356) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_358)*coupl(nGC_362) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_211)*coupl(     &
                       nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_212)*coupl(     &
                       nGC_376)*coupl(nGC_380))/(48d0*pi**2d0)
    coupl(nGC_TS_GC_249_Hh) = -coupl(nGC_249)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22603) = coupl(nGC_20775)*dyd12x2_QED3 + coupl(nGC_20776)*       &
                       dys2_QED3 + coupl(nGC_20777)*db_QED2
    coupl(nGC_22602) = coupl(nGC_20775)*dyd12x2_QED1_QCD2 + coupl(nGC_20776)*  &
                       dys2_QED1_QCD2
    coupl(nGC_22605) = coupl(nGC_20697)*dyc1_QED1_QCD2 + coupl(nGC_20698)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_22604) = coupl(nGC_20696)*db_QED2 + coupl(nGC_20697)*dyc1_QED3 + &
                       coupl(nGC_20698)*dyc2_QED3
    coupl(nGC_22606) = coupl(nGC_21194)*db_QED2 + coupl(nGC_21195)*dyt1_QED3 + &
                       coupl(nGC_21196)*dyt2_QED3
    coupl(nGC_22609) = coupl(nGC_21573)*dyd13x3_QED1_QCD2 + coupl(nGC_21574)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22608) = coupl(nGC_21572)*db_QED2 + coupl(nGC_21573)*dyd13x3_QED3&
                        + coupl(nGC_21574)*dyb2_QED3
    coupl(nGC_39028) = coupl(nGC_22585) + coupl(nGC_260)*dZHl_QED2/2d0 + coupl(&
                       nGC_271)*dZHhHl_QED2/2d0
    coupl(nGC_22049) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343 &
                       ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370  &
                       ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(     &
                       nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl(  &
                       nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*    &
                       coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_364&
                       )*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(nGC_363)*&
                       coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(nGC_363)*  &
                       coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_346&
                       )*coupl(nGC_349) + 2d0*Nc*cMD*coupl(nGC_345)*coupl(     &
                       nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346)*coupl(  &
                       nGC_381)*coupl(nGC_385) + Nc*cMD*coupl(nGC_349)*coupl(  &
                       nGC_381)*coupl(nGC_382) + Nc*cMS*coupl(nGC_333)*coupl(  &
                       nGC_334)*coupl(nGC_367) + Nc*cMS*coupl(nGC_333)*coupl(  &
                       nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*coupl(nGC_334)*    &
                       coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                       )*coupl(nGC_364)*coupl(nGC_367) + Nc*cMT*coupl(nGC_340)*&
                       coupl(nGC_342)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(nGC_340&
                       )*coupl(nGC_343)*coupl(nGC_369) + Nc*cMT*coupl(nGC_342)*&
                       coupl(nGC_343)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369&
                       )*coupl(nGC_370)*coupl(nGC_373) + Nc*cMU*coupl(nGC_345)*&
                       coupl(nGC_346)*coupl(nGC_385) + Nc*cMU*coupl(nGC_345)*  &
                       coupl(nGC_349)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346&
                       )*coupl(nGC_349)*coupl(nGC_381) + 2d0*Nc*cMU*coupl(     &
                       nGC_381)*coupl(nGC_382)*coupl(nGC_385) + 2d0*cME*coupl( &
                       nGC_351)*coupl(nGC_352)*coupl(nGC_355) + 2d0*cMM*coupl( &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_361) + 2d0*cMTA*coupl(&
                       nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 2d0*cima*coupl(&
                       nGC_174)*coupl(nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(&
                       nGC_324) + 2d0*cima*coupl(nGC_21)*coupl(nGC_231) + 2d0* &
                       cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
    coupl(nGC_22048) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343 &
                       ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(     &
                       nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(  &
                       nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl(  &
                       nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*    &
                       coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)*  &
                       coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_364&
                       )*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(nGC_364)*&
                       coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*coupl(nGC_348&
                       )*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)*coupl(nGC_384)*&
                       coupl(nGC_385) + 2d0*Nc*cMD*coupl(nGC_348)*coupl(nGC_382&
                       )*coupl(nGC_385) + Nc*cMD*coupl(nGC_349)*coupl(nGC_382)*&
                       coupl(nGC_384) + Nc*cMS*coupl(nGC_334)*coupl(nGC_336)*  &
                       coupl(nGC_367) + 2d0*Nc*cMS*coupl(nGC_334)*coupl(nGC_337&
                       )*coupl(nGC_366) + Nc*cMS*coupl(nGC_336)*coupl(nGC_337)*&
                       coupl(nGC_364) + 2d0*Nc*cMS*coupl(nGC_364)*coupl(nGC_366&
                       )*coupl(nGC_367) + Nc*cMT*coupl(nGC_339)*coupl(nGC_340)*&
                       coupl(nGC_370) + Nc*cMT*coupl(nGC_339)*coupl(nGC_343)*  &
                       coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_343&
                       )*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_370)*coupl(     &
                       nGC_372)*coupl(nGC_373) + Nc*cMU*coupl(nGC_346)*coupl(  &
                       nGC_348)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_346)*    &
                       coupl(nGC_349)*coupl(nGC_384) + Nc*cMU*coupl(nGC_348)*  &
                       coupl(nGC_349)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382&
                       )*coupl(nGC_384)*coupl(nGC_385) + 2d0*cME*coupl(nGC_352 &
                       )*coupl(nGC_354)*coupl(nGC_355) + 2d0*cMM*coupl(nGC_358 &
                       )*coupl(nGC_360)*coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376&
                       )*coupl(nGC_378)*coupl(nGC_379) + 2d0*cima*coupl(nGC_175&
                       )*coupl(nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321&
                       ) + 2d0*cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*   &
                       coupl(nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
    coupl(nGC_22518) = coupl(nGC_21340)*dl3_QED4 + coupl(nGC_21341)*dl1_QED4 + &
                       coupl(nGC_21342)*dl2_QED4 + coupl(nGC_21343)*dl5_QED4 + &
                       coupl(nGC_21344)*dl4_QED4 + coupl(nGC_21345)*db_QED2
    coupl(nGC_22043) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc*&
                       cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0* &
                       Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(  &
                       nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337 &
                       )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(     &
                       nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345 &
                       )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl(&
                       nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*    &
                       coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(nGC_337&
                       )**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363)*coupl(&
                       nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*coupl(   &
                       nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_342)*    &
                       coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_373&
                       )**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(&
                       nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**2d0*coupl(nGC_381 &
                       ) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_385)**2d0 + 2d0*&
                       cME*coupl(nGC_351)*coupl(nGC_355)**2d0 + 2d0*cMM*coupl( &
                       nGC_357)*coupl(nGC_361)**2d0 + 2d0*cMTA*coupl(nGC_375)* &
                       coupl(nGC_379)**2d0 + 2d0*cima*coupl(nGC_100)*coupl(    &
                       nGC_261) + 4d0*cima*coupl(nGC_174)*coupl(nGC_324) + 4d0*&
                       cima*coupl(nGC_21)*coupl(nGC_237) + cima*coupl(nGC_229)*&
                       coupl(nGC_329))/(16d0*pi**2d0)
    coupl(nGC_22042) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*    &
                       coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc*  &
                       cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*    &
                       coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(  &
                       nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*    &
                       coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349 &
                       )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(     &
                       nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*    &
                       coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(  &
                       nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339 &
                       )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(     &
                       nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372 &
                       )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl(&
                       nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**2d0&
                       *coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(      &
                       nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)** &
                       2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0* &
                       cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*coupl&
                       (nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180)*coupl&
                       (nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332) + 4d0*   &
                       cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
    coupl(nGC_22041) = (coupl(nGC_1)*coupl(nGC_382)**2d0 + coupl(nGC_1)*coupl( &
                       nGC_385)**2d0 + coupl(nGC_1649)*coupl(nGC_2)*coupl(     &
                       nGC_383) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*    &
                       coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_2147)*coupl&
                       (nGC_386) + coupl(nGC_2)*coupl(nGC_381)**2d0 + coupl(   &
                       nGC_2)*coupl(nGC_384)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22040) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*   &
                       coupl(nGC_346)**2d0 + coupl(nGC_1)*coupl(nGC_349)**2d0  &
                        + coupl(nGC_1649)*coupl(nGC_2)*coupl(nGC_383) + 2d0*   &
                       coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(nGC_2)* &
                       coupl(nGC_2147)*coupl(nGC_386) + coupl(nGC_2)*coupl(    &
                       nGC_381)**2d0 + coupl(nGC_2)*coupl(nGC_384)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22511) = coupl(nGC_21918)*dl3_QED4 + coupl(nGC_21919)*dl1_QED4 + &
                       coupl(nGC_21920)*dl2_QED4 + coupl(nGC_21921)*dl5_QED4 + &
                       coupl(nGC_21922)*dl4_QED4 + coupl(nGC_21923)*da_QED2
    coupl(nGC_22046) = coupl(nGC_197)*(Nc*coupl(nGC_1467)*coupl(nGC_373) + Nc* &
                       coupl(nGC_2147)*coupl(nGC_385) + Nc*coupl(nGC_337)*coupl&
                       (nGC_791) - Nc*coupl(nGC_340)*coupl(nGC_341) - Nc*coupl(&
                       nGC_349)*coupl(nGC_350) - Nc*coupl(nGC_367)*coupl(      &
                       nGC_368) - coupl(nGC_355)*coupl(nGC_356) - coupl(nGC_361&
                       )*coupl(nGC_362) - coupl(nGC_379)*coupl(nGC_380))/(24d0*&
                       pi**2d0)
    coupl(nGC_22044) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(      &
                       nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl( &
                       nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0 - &
                       Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(nGC_207&
                       )*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_337 &
                       )**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0 + Nc*    &
                       coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(nGC_210)* &
                       coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_349)**&
                       2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0 + coupl(    &
                       nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*coupl(    &
                       nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 -    &
                       coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(nGC_212)*    &
                       coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(nGC_379)**2d0&
                       )/(24d0*pi**2d0)
    coupl(nGC_36907) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_34727) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl(   &
                       nGC_22730)
    coupl(nGC_34726) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_36611) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_36617) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
    coupl(nGC_36616) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
    coupl(nGC_36614) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_36619) = coupl(nGC_34321) + coupl(nGC_36616)
    coupl(nGC_36618) = coupl(nGC_34321) + coupl(nGC_36617)
    coupl(nGC_32827) = coupl(nGC_22636) + coupl(nGC_32826)
    coupl(nGC_33830) = coupl(nGC_194)*dZZA_QED2/2d0 + coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_32828) = coupl(nGC_22637) + coupl(nGC_363)*dZHl_QED2/2d0 + coupl(&
                       nGC_366)*dZHhHl_QED2/2d0
    coupl(nGC_32829) = coupl(nGC_32825) + coupl(nGC_32828)
    coupl(nGC_33831) = coupl(nGC_205)*dZA_QED2/2d0 + coupl(nGC_205)*           &
                       dZWMinus_QED2 + coupl(nGC_205)*dZZ_QED2/2d0 + coupl(    &
                       nGC_22719)
    coupl(nGC_48742) = coupl(nGC_22863) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                       nGC_TS_GC_329_Hl) + coupl(nGC_TS_GC_332_Hh)
    coupl(nGC_48743) = -coupl(nGC_48737)
    coupl(nGC_33832) = -2d0*coupl(nGC_33830) + coupl(nGC_33831)
    coupl(nGC_33833) = coupl(nGC_33830) - coupl(nGC_33831)/2d0
    coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32910) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*          &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/2d0&
                        + coupl(nGC_22558)
    coupl(nGC_34180) = coupl(nGC_201)*dZWMinus_QED2/2d0 + coupl(nGC_22593)
    coupl(nGC_34509) = coupl(nGC_22620) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                       2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343)*&
                       dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
    coupl(nGC_34508) = coupl(nGC_22618) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2/&
                       2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_33081) = coupl(nGC_33078) + coupl(nGC_33079)
    coupl(nGC_33080) = coupl(nGC_33077) + coupl(nGC_33078)
    coupl(nGC_33246) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_43670) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
    coupl(nGC_43672) = coupl(nGC_33078) + coupl(nGC_43669)
    coupl(nGC_34872) = coupl(nGC_201)*dZZA_QED2/2d0 + coupl(nGC_22590) + coupl(&
                       nGC_5)*dZA_QED2/2d0
    coupl(nGC_40251) = -coupl(nGC_40245) + coupl(nGC_40250)
    coupl(nGC_40524) = coupl(nGC_22626) + coupl(nGC_344)*dZHaG0_QED2/2d0
    coupl(nGC_40525) = -coupl(nGC_40522) - coupl(nGC_40524)
    coupl(nGC_40526) = coupl(nGC_40522) + coupl(nGC_40524)
    coupl(nGC_40528) = -coupl(nGC_22627) - coupl(nGC_40523)
    coupl(nGC_40529) = coupl(nGC_22627) + coupl(nGC_40523)
    coupl(nGC_35547) = coupl(nGC_338)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_35545) = coupl(nGC_338)*dZG0/2d0
    coupl(nGC_32590) = coupl(nGC_22550) + coupl(nGC_54)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_54)*dZHa_QED2 + coupl(nGC_64)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*                &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_72)*dZG0Ha_QED2
    coupl(nGC_33061) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_32622) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)*  &
                       dZHlHh_QED2/2d0 + coupl(nGC_22504) + coupl(nGC_24)*     &
                       dZHh_QED2/2d0
    coupl(nGC_41690) = coupl(nGC_I)*dZHa_QED2
    coupl(nGC_36700) = coupl(nGC_13)*dZtR_QED2
    coupl(nGC_33478) = coupl(nGC_325)*dZGMinus/2d0
    coupl(nGC_33479) = coupl(nGC_22586) + coupl(nGC_322)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_22458) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(      &
                       nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc*  &
                       coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 + 20d0&
                       *Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0 + 20d0&
                       *coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0 + 20d0* &
                       coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0)/(16d0*pi**&
                       2d0)
    coupl(nGC_22459) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0 +   &
                       6d0*cima*coupl(nGC_1079)*coupl(nGC_77) + 3d0*cima*coupl(&
                       nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(nGC_197)**2d0* &
                       coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_360)**2d0 - 8d0*cima*coupl(nGC_197)**2d0*coupl(    &
                       nGC_378)**2d0 + 6d0*coupl(nGC_1055)*coupl(nGC_4)*coupl( &
                       nGC_77) + 6d0*coupl(nGC_1201)*coupl(nGC_199)*coupl(     &
                       nGC_224) + 6d0*coupl(nGC_198)*coupl(nGC_3419)*coupl(    &
                       nGC_77))/(48d0*pi**2d0)
    coupl(nGC_32136) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*          &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_22504) + coupl(     &
                       nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*dZHl_QED2/2d0
    coupl(nGC_22455) = (-8d0*Nc*cima*coupl(nGC_1185)*coupl(nGC_207)**2d0*coupl(&
                       nGC_371) + 10d0*Nc*cima*coupl(nGC_1185)*coupl(nGC_207)* &
                       coupl(nGC_210)*coupl(nGC_371) - 8d0*Nc*cima*coupl(      &
                       nGC_1185)*coupl(nGC_210)**2d0*coupl(nGC_371) - 8d0*Nc*  &
                       cima*coupl(nGC_1415)*coupl(nGC_206)**2d0*coupl(nGC_344  &
                       ) + 10d0*Nc*cima*coupl(nGC_1415)*coupl(nGC_206)*coupl(  &
                       nGC_209)*coupl(nGC_344) - 8d0*Nc*cima*coupl(nGC_1415)*  &
                       coupl(nGC_209)**2d0*coupl(nGC_344) - 8d0*Nc*cima*coupl( &
                       nGC_1449)*coupl(nGC_206)**2d0*coupl(nGC_365) + 10d0*Nc* &
                       cima*coupl(nGC_1449)*coupl(nGC_206)*coupl(nGC_209)*coupl&
                       (nGC_365) - 8d0*Nc*cima*coupl(nGC_1449)*coupl(nGC_209)**&
                       2d0*coupl(nGC_365) - 8d0*Nc*cima*coupl(nGC_1649)*coupl( &
                       nGC_207)**2d0*coupl(nGC_383) + 10d0*Nc*cima*coupl(      &
                       nGC_1649)*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_383   &
                       ) - 8d0*Nc*cima*coupl(nGC_1649)*coupl(nGC_210)**2d0*    &
                       coupl(nGC_383) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl( &
                       nGC_2573)*coupl(nGC_347) + 10d0*Nc*cima*coupl(nGC_206)* &
                       coupl(nGC_209)*coupl(nGC_2573)*coupl(nGC_347) - 8d0*Nc* &
                       cima*coupl(nGC_207)**2d0*coupl(nGC_335)*coupl(nGC_849   &
                       ) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                       nGC_335)*coupl(nGC_849) - 8d0*Nc*cima*coupl(nGC_209)**  &
                       2d0*coupl(nGC_2573)*coupl(nGC_347) - 8d0*Nc*cima*coupl( &
                       nGC_210)**2d0*coupl(nGC_335)*coupl(nGC_849) + 3d0*cima* &
                       coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_1233 &
                       )*coupl(nGC_208)**2d0*coupl(nGC_377) + 10d0*cima*coupl( &
                       nGC_1233)*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377   &
                       ) - 8d0*cima*coupl(nGC_1233)*coupl(nGC_211)**2d0*coupl( &
                       nGC_377) - 8d0*cima*coupl(nGC_208)**2d0*coupl(nGC_3367)*&
                       coupl(nGC_359) - 8d0*cima*coupl(nGC_208)**2d0*coupl(    &
                       nGC_353)*coupl(nGC_917) + 10d0*cima*coupl(nGC_208)*coupl&
                       (nGC_211)*coupl(nGC_3367)*coupl(nGC_359) + 10d0*cima*   &
                       coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353)*coupl(     &
                       nGC_917) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_3367)*&
                       coupl(nGC_359) - 8d0*cima*coupl(nGC_211)**2d0*coupl(    &
                       nGC_353)*coupl(nGC_917) + 3d0*coupl(nGC_100)*coupl(     &
                       nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3419)**2d0 &
                       )/(24d0*pi**2d0)
    coupl(nGC_22456) = 5d0*cima*(Nc*coupl(nGC_1185)*coupl(nGC_369)**3d0 + Nc*  &
                       coupl(nGC_1415)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_1449 &
                       )*coupl(nGC_363)**3d0 + Nc*coupl(nGC_1649)*coupl(nGC_381&
                       )**3d0 + Nc*coupl(nGC_2573)*coupl(nGC_345)**3d0 + Nc*   &
                       coupl(nGC_333)**3d0*coupl(nGC_335) + Nc*coupl(nGC_333)**&
                       3d0*coupl(nGC_849) + Nc*coupl(nGC_342)**3d0*coupl(      &
                       nGC_344) + Nc*coupl(nGC_345)**3d0*coupl(nGC_347) + Nc*  &
                       coupl(nGC_363)**3d0*coupl(nGC_365) + Nc*coupl(nGC_369)**&
                       3d0*coupl(nGC_371) + Nc*coupl(nGC_381)**3d0*coupl(      &
                       nGC_383) + coupl(nGC_1233)*coupl(nGC_375)**3d0 + coupl( &
                       nGC_3367)*coupl(nGC_357)**3d0 + coupl(nGC_351)**3d0*    &
                       coupl(nGC_353) + coupl(nGC_351)**3d0*coupl(nGC_917) +   &
                       coupl(nGC_357)**3d0*coupl(nGC_359) + coupl(nGC_375)**3d0&
                       *coupl(nGC_377))/(8d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
