!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_32948) = coupl(nGC_32944) + coupl(nGC_32947)
    coupl(nGC_58903) = -coupl(nGC_22249)
    coupl(nGC_32324) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22501) + coupl(&
                       nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*dZHa_QED2/2d0 &
                        + coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*     &
                       dZZ_QED2/2d0
    coupl(nGC_22138) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) - coupl(  &
                       nGC_1033)*coupl(nGC_2147)*coupl(nGC_382) - coupl(       &
                       nGC_1649)*coupl(nGC_2573)*coupl(nGC_382) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(nGC_345)*&
                       coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348)*coupl(   &
                       nGC_382)*coupl(nGC_384))/(32d0*pi**2d0)
    coupl(nGC_35775) = coupl(nGC_22634) + coupl(nGC_35774)
    coupl(nGC_32286) = coupl(nGC_22647) + coupl(nGC_358)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(nGC_361&
                       )*dZnu_muL_QED2/2d0
    coupl(nGC_35776) = coupl(nGC_22635) + coupl(nGC_345)*dZHl_QED2/2d0 + coupl(&
                       nGC_348)*dZHhHl_QED2/2d0
    coupl(nGC_32194) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_22688) + coupl(&
                       nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
    coupl(nGC_22295) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_1033)*coupl(nGC_350) + 4d0*coupl(nGC_206)**2d0 +    &
                       coupl(nGC_2573)*coupl(nGC_347) + coupl(nGC_345)**2d0 +  &
                       coupl(nGC_346)**2d0 + coupl(nGC_348)**2d0 + coupl(      &
                       nGC_349)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_22257) = coupl(nGC_197)*(-coupl(nGC_1201)*coupl(nGC_211) - coupl(&
                       nGC_198)*coupl(nGC_212) + 2d0*coupl(nGC_211)*coupl(     &
                       nGC_212) - coupl(nGC_4)*coupl(nGC_4267))/(16d0*pi**2d0)
    coupl(nGC_39237) = coupl(nGC_22707) + coupl(nGC_8)*dZA_QED2 + coupl(nGC_8)*&
                       dZWMinus_QED2
    coupl(nGC_33347) = coupl(nGC_33337) + coupl(nGC_33344)
    coupl(nGC_57852) = -coupl(nGC_22128)
    coupl(nGC_33345) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZtR_QED2  &
                        + coupl(nGC_22731)
    coupl(nGC_35380) = coupl(nGC_33337) + coupl(nGC_35378)
    coupl(nGC_34092) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22721) + coupl(    &
                       nGC_229)*dZZ_QED2
    coupl(nGC_22339) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340)* &
                       coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_174)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
    coupl(nGC_39238) = coupl(nGC_39236) - 2d0*coupl(nGC_39237)
    coupl(nGC_39239) = -coupl(nGC_39236)/2d0 + coupl(nGC_39237)
    coupl(nGC_41634) = coupl(nGC_34936) - coupl(nGC_34937)
    coupl(nGC_37512) = -coupl(nGC_37511)
    coupl(nGC_32261) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHlHh_QED2&
                       /2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/2d0 + coupl(   &
                       nGC_22715) + coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23 &
                       )*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0
    coupl(nGC_34715) = coupl(nGC_22720) + coupl(nGC_230)*dZZ_QED2
    coupl(nGC_35548) = coupl(nGC_22666) + coupl(nGC_335)*dZHaG0_QED2/2d0
    coupl(nGC_22303) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_3993&
                       ) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
    coupl(nGC_33667) = coupl(nGC_22652) + coupl(nGC_353)*dZHaG0_QED2/2d0
    coupl(nGC_22334) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1033)*coupl(nGC_197)*   &
                       coupl(nGC_349) + Nc*cima*coupl(nGC_1)*coupl(nGC_1711)*  &
                       coupl(nGC_197)*coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_1 &
                       )*coupl(nGC_197)*coupl(nGC_337)*coupl(nGC_338) + Nc*cima&
                       *coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(      &
                       nGC_4113) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                       coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_1 &
                       )*coupl(nGC_197)*coupl(nGC_385)*coupl(nGC_386) - 4d0*Nc*&
                       cima*coupl(nGC_1033)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                       nGC_349) - 4d0*Nc*cima*coupl(nGC_1711)*coupl(nGC_197)*  &
                       coupl(nGC_2)*coupl(nGC_340) + Nc*cima*coupl(nGC_197)*   &
                       coupl(nGC_2)*coupl(nGC_337)*coupl(nGC_338) - 4d0*Nc*cima&
                       *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367)*coupl(      &
                       nGC_4113) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(  &
                       nGC_373)*coupl(nGC_374) + Nc*cima*coupl(nGC_197)*coupl( &
                       nGC_2)*coupl(nGC_385)*coupl(nGC_386) + cima*coupl(      &
                       nGC_1313)*coupl(nGC_197)*coupl(nGC_355)*coupl(nGC_4) +  &
                       6d0*cima*coupl(nGC_187)*coupl(nGC_2053) + cima*coupl(   &
                       nGC_197)*coupl(nGC_2221)*coupl(nGC_361)*coupl(nGC_4) +  &
                       cima*coupl(nGC_197)*coupl(nGC_3763)*coupl(nGC_379)*coupl&
                       (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*  &
                       coupl(nGC_1055)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(&
                       nGC_1055)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
    coupl(nGC_35377) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZcR_QED2  &
                        + coupl(nGC_22731)
    coupl(nGC_22336) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*coupl( &
                       nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(nGC_2)**&
                       2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(nGC_1055)**2d0*&
                       coupl(nGC_3419)**2d0 + cima*coupl(nGC_195)*coupl(nGC_9  &
                       ) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3)**2d0 +    &
                       cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima*coupl(&
                       nGC_211)**2d0*coupl(nGC_4)**2d0 + coupl(nGC_1055)**2d0* &
                       coupl(nGC_195) + coupl(nGC_195)*coupl(nGC_3)**2d0 +     &
                       coupl(nGC_199)**2d0*coupl(nGC_9) + coupl(nGC_3419)**2d0*&
                       coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_35069) = coupl(nGC_35063) + coupl(nGC_35067)
    coupl(nGC_35068) = -coupl(nGC_35063) - coupl(nGC_35067)
    coupl(nGC_32893) = coupl(nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_175)*&
                       dZHhHl_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 + coupl(  &
                       nGC_180)*dZHMinus_QED2/2d0 + coupl(nGC_180)*dZHl_QED2/  &
                       2d0 + coupl(nGC_180)*dZWMinus_QED2/2d0 + coupl(nGC_22690&
                       ) + coupl(nGC_23)*dZZA_QED2/2d0
    coupl(nGC_53384) = coupl(nGC_34915) - coupl(nGC_34920)
    coupl(nGC_22338) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_366)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_372)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_384)*coupl(nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_354)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_360)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_180)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
    coupl(nGC_22482) = (-30d0*Nc*cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(    &
                       nGC_1055)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(      &
                       nGC_1055)*coupl(nGC_1201)*coupl(nGC_198)*coupl(nGC_3) - &
                       8d0*cima*coupl(nGC_1055)*coupl(nGC_198)*coupl(nGC_3419)*&
                       coupl(nGC_4) - 8d0*cima*coupl(nGC_1055)*coupl(nGC_3)*   &
                       coupl(nGC_4)*coupl(nGC_4267) - 4d0*cima*coupl(nGC_1201  &
                       )**2d0*coupl(nGC_199)**2d0 - 8d0*cima*coupl(nGC_1201)*  &
                       coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_3419) - 8d0*cima&
                       *coupl(nGC_1201)*coupl(nGC_199)*coupl(nGC_3)*coupl(     &
                       nGC_4267) + 3d0*cima*coupl(nGC_192)**2d0 - 30d0*cima*   &
                       coupl(nGC_197)**4d0 - 4d0*cima*coupl(nGC_198)**2d0*coupl&
                       (nGC_3419)**2d0 - 8d0*cima*coupl(nGC_199)*coupl(nGC_3419&
                       )*coupl(nGC_4)*coupl(nGC_4267) - 4d0*cima*coupl(nGC_3)**&
                       2d0*coupl(nGC_4267)**2d0 + 6d0*coupl(nGC_1055)*coupl(   &
                       nGC_192)*coupl(nGC_3) + 6d0*coupl(nGC_1201)*coupl(      &
                       nGC_192)*coupl(nGC_198) + 6d0*coupl(nGC_192)*coupl(     &
                       nGC_199)*coupl(nGC_3419) + 6d0*coupl(nGC_192)*coupl(    &
                       nGC_4)*coupl(nGC_4267))/(48d0*pi**2d0)
    coupl(nGC_35379) = coupl(nGC_33337) + coupl(nGC_35377)
    coupl(nGC_34162) = -coupl(nGC_34156)
    coupl(nGC_34161) = coupl(nGC_22864) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                       nGC_TS_GC_261_Hl) + coupl(nGC_TS_GC_272_Hh)
    coupl(nGC_35497) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZuR_QED2  &
                        + coupl(nGC_22731)
    coupl(nGC_35700) = coupl(nGC_22668) + coupl(nGC_35694)
    coupl(nGC_41522) = coupl(nGC_41515) + coupl(nGC_41521)
    coupl(nGC_22430) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1033)*coupl(&
                       nGC_350) + coupl(nGC_1467)*coupl(nGC_374) + coupl(      &
                       nGC_1711)*coupl(nGC_341) + coupl(nGC_2147)*coupl(nGC_386&
                       ) + coupl(nGC_338)*coupl(nGC_791) + coupl(nGC_368)*coupl&
                       (nGC_4113))/(16d0*pi**2d0*Nc)
    coupl(nGC_22431) = 5d0*cima*(Nc*coupl(nGC_1033)*coupl(nGC_345)**3d0 + Nc*  &
                       coupl(nGC_1467)*coupl(nGC_369)**3d0 + Nc*coupl(nGC_1711 &
                       )*coupl(nGC_342)**3d0 + Nc*coupl(nGC_2147)*coupl(nGC_381&
                       )**3d0 + Nc*coupl(nGC_333)**3d0*coupl(nGC_338) + Nc*    &
                       coupl(nGC_333)**3d0*coupl(nGC_791) + Nc*coupl(nGC_341)* &
                       coupl(nGC_342)**3d0 + Nc*coupl(nGC_345)**3d0*coupl(     &
                       nGC_350) + Nc*coupl(nGC_363)**3d0*coupl(nGC_368) + Nc*  &
                       coupl(nGC_363)**3d0*coupl(nGC_4113) + Nc*coupl(nGC_369  &
                       )**3d0*coupl(nGC_374) + Nc*coupl(nGC_381)**3d0*coupl(   &
                       nGC_386) + coupl(nGC_1313)*coupl(nGC_351)**3d0 + coupl( &
                       nGC_2221)*coupl(nGC_357)**3d0 + coupl(nGC_351)**3d0*    &
                       coupl(nGC_356) + coupl(nGC_357)**3d0*coupl(nGC_362) +   &
                       coupl(nGC_375)**3d0*coupl(nGC_3763) + coupl(nGC_375)**  &
                       3d0*coupl(nGC_380))/(8d0*pi**2d0)
    coupl(nGC_32389) = coupl(nGC_22530) + coupl(nGC_35)*dZG0Ha_QED2/2d0 + coupl&
                       (nGC_36)*dZHaG0_QED2/2d0 + coupl(nGC_38)*dZHlHh_QED2/2d0&
                        + coupl(nGC_39)*dZHhHl_QED2/2d0 + coupl(nGC_47)*       &
                       dZHa_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/2d0 + coupl(    &
                       nGC_47)*dZHl_QED2/2d0
    coupl(nGC_22255) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                       nGC_1)*coupl(nGC_4267) - coupl(nGC_1201)*coupl(nGC_209  &
                       ) - coupl(nGC_198)*coupl(nGC_210) - coupl(nGC_2)*coupl( &
                       nGC_4) + 2d0*coupl(nGC_209)*coupl(nGC_210))/(16d0*pi**  &
                       2d0)
    coupl(nGC_34552) = coupl(nGC_33014) + coupl(nGC_34551)
    coupl(nGC_34553) = coupl(nGC_33014) + coupl(nGC_34549)
    coupl(nGC_22438) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_334)**2d0 - &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_343)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_346)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_364)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_370)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_382)**2d0 +   &
                       6d0*cima*coupl(nGC_100)*coupl(nGC_1079) + 3d0*cima*coupl&
                       (nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_358)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*coupl(    &
                       nGC_376)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(nGC_221   &
                       ) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*coupl(    &
                       nGC_100)*coupl(nGC_1055)*coupl(nGC_4) + 6d0*coupl(      &
                       nGC_100)*coupl(nGC_198)*coupl(nGC_3419) + 6d0*coupl(    &
                       nGC_1201)*coupl(nGC_199)*coupl(nGC_229) + 6d0*coupl(    &
                       nGC_1201)*coupl(nGC_221)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_199)*coupl(nGC_221)*coupl(nGC_4267) + 6d0*coupl(    &
                       nGC_29)*coupl(nGC_3)*coupl(nGC_4267))/(48d0*pi**2d0)
    coupl(nGC_50429) = -coupl(nGC_37154)
    coupl(nGC_57185) = -coupl(nGC_56576)
    coupl(nGC_35393) = -coupl(nGC_35388) + coupl(nGC_35392)
    coupl(nGC_38298) = -coupl(nGC_38297)
    coupl(nGC_32871) = coupl(nGC_174)*dZHlHh_QED2/2d0 + coupl(nGC_175)*        &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 + &
                       coupl(nGC_180)*dZHh_QED2/2d0 + coupl(nGC_180)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_22690) + coupl(nGC_23)*   &
                       dZZA_QED2/2d0
    coupl(nGC_22337) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*coupl( &
                       nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(nGC_2)**&
                       2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(nGC_1055)**2d0*&
                       coupl(nGC_3419)**2d0 - 2d0*cima*coupl(nGC_199)**2d0*    &
                       coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**2d0 + cima*    &
                       coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima*coupl(     &
                       nGC_211)**2d0*coupl(nGC_4)**2d0 + 2d0*coupl(nGC_1055)*  &
                       coupl(nGC_205)*coupl(nGC_3419) + 2d0*coupl(nGC_199)*    &
                       coupl(nGC_205)*coupl(nGC_3))/(8d0*pi**2d0)
    coupl(nGC_32303) = coupl(nGC_32297) + coupl(nGC_32302)
    coupl(nGC_32874) = coupl(nGC_22503) + coupl(nGC_228)*dZHMinus_QED2
    coupl(nGC_36169) = coupl(nGC_34321) + coupl(nGC_36166)
    coupl(nGC_32614) = coupl(nGC_22501) + coupl(nGC_30)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_30)*dZHa_QED2/2d0
    coupl(nGC_35551) = -coupl(nGC_35545)
    coupl(nGC_35550) = coupl(nGC_35546) + coupl(nGC_35548)
    coupl(nGC_35553) = coupl(nGC_22667) + coupl(nGC_35547)
    coupl(nGC_35552) = -coupl(nGC_22667) - coupl(nGC_35547)
    coupl(nGC_22192) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0*Nc&
                       *cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*   &
                       coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(  &
                       nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_197 &
                       )**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_197)**2d0* &
                       coupl(nGC_384) - 2d0*cME*coupl(nGC_197)**2d0*coupl(     &
                       nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_360) - &
                       2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_378) + 2d0*cima* &
                       coupl(nGC_1079)*coupl(nGC_272) + cima*coupl(nGC_195)*   &
                       coupl(nGC_332) + 2d0*coupl(nGC_1055)*coupl(nGC_272)*    &
                       coupl(nGC_4) + 2d0*coupl(nGC_1201)*coupl(nGC_199)*coupl(&
                       nGC_332) + 2d0*coupl(nGC_198)*coupl(nGC_272)*coupl(     &
                       nGC_3419))/(16d0*pi**2d0)
    coupl(nGC_33405) = coupl(nGC_22531) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)*      &
                       dZHMinus_QED2
    coupl(nGC_34701) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22500) + coupl(&
                       nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*dZZ_QED2/2d0
    coupl(nGC_22429) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1033)*coupl&
                       (nGC_350) - coupl(nGC_1467)*coupl(nGC_374) - coupl(     &
                       nGC_1711)*coupl(nGC_341) - coupl(nGC_2147)*coupl(nGC_386&
                       ) - coupl(nGC_338)*coupl(nGC_791) - coupl(nGC_368)*coupl&
                       (nGC_4113))/(16d0*pi**2d0)
    coupl(nGC_22428) = 5d0*cima*(Nc*coupl(nGC_1033)*coupl(nGC_2573)*coupl(     &
                       nGC_345)**2d0 + 2d0*Nc*coupl(nGC_1033)*coupl(nGC_345)** &
                       2d0*coupl(nGC_347) + Nc*coupl(nGC_1185)*coupl(nGC_1467)*&
                       coupl(nGC_369)**2d0 + 2d0*Nc*coupl(nGC_1185)*coupl(     &
                       nGC_369)**2d0*coupl(nGC_374) + Nc*coupl(nGC_1415)*coupl(&
                       nGC_1711)*coupl(nGC_342)**2d0 + 2d0*Nc*coupl(nGC_1415)* &
                       coupl(nGC_341)*coupl(nGC_342)**2d0 + 2d0*Nc*coupl(      &
                       nGC_1449)*coupl(nGC_363)**2d0*coupl(nGC_368) + Nc*coupl(&
                       nGC_1449)*coupl(nGC_363)**2d0*coupl(nGC_4113) + 2d0*Nc* &
                       coupl(nGC_1467)*coupl(nGC_369)**2d0*coupl(nGC_371) + Nc*&
                       coupl(nGC_1649)*coupl(nGC_2147)*coupl(nGC_381)**2d0 +   &
                       2d0*Nc*coupl(nGC_1649)*coupl(nGC_381)**2d0*coupl(nGC_386&
                       ) + 2d0*Nc*coupl(nGC_1711)*coupl(nGC_342)**2d0*coupl(   &
                       nGC_344) + 2d0*Nc*coupl(nGC_2147)*coupl(nGC_381)**2d0*  &
                       coupl(nGC_383) + 2d0*Nc*coupl(nGC_2573)*coupl(nGC_345)**&
                       2d0*coupl(nGC_350) + Nc*coupl(nGC_333)**2d0*coupl(      &
                       nGC_335)*coupl(nGC_338) + 2d0*Nc*coupl(nGC_333)**2d0*   &
                       coupl(nGC_335)*coupl(nGC_791) + 2d0*Nc*coupl(nGC_333)** &
                       2d0*coupl(nGC_338)*coupl(nGC_849) + Nc*coupl(nGC_333)** &
                       2d0*coupl(nGC_791)*coupl(nGC_849) + Nc*coupl(nGC_341)*  &
                       coupl(nGC_342)**2d0*coupl(nGC_344) + Nc*coupl(nGC_345)**&
                       2d0*coupl(nGC_347)*coupl(nGC_350) + Nc*coupl(nGC_363)** &
                       2d0*coupl(nGC_365)*coupl(nGC_368) + 2d0*Nc*coupl(nGC_363&
                       )**2d0*coupl(nGC_365)*coupl(nGC_4113) + Nc*coupl(nGC_369&
                       )**2d0*coupl(nGC_371)*coupl(nGC_374) + Nc*coupl(nGC_381 &
                       )**2d0*coupl(nGC_383)*coupl(nGC_386) + coupl(nGC_1233)* &
                       coupl(nGC_375)**2d0*coupl(nGC_3763) + 2d0*coupl(nGC_1233&
                       )*coupl(nGC_375)**2d0*coupl(nGC_380) + 2d0*coupl(       &
                       nGC_1313)*coupl(nGC_351)**2d0*coupl(nGC_353) + coupl(   &
                       nGC_1313)*coupl(nGC_351)**2d0*coupl(nGC_917) + coupl(   &
                       nGC_2221)*coupl(nGC_3367)*coupl(nGC_357)**2d0 + 2d0*    &
                       coupl(nGC_2221)*coupl(nGC_357)**2d0*coupl(nGC_359) + 2d0&
                       *coupl(nGC_3367)*coupl(nGC_357)**2d0*coupl(nGC_362) +   &
                       coupl(nGC_351)**2d0*coupl(nGC_353)*coupl(nGC_356) + 2d0*&
                       coupl(nGC_351)**2d0*coupl(nGC_356)*coupl(nGC_917) +     &
                       coupl(nGC_357)**2d0*coupl(nGC_359)*coupl(nGC_362) + 2d0*&
                       coupl(nGC_375)**2d0*coupl(nGC_3763)*coupl(nGC_377) +    &
                       coupl(nGC_375)**2d0*coupl(nGC_377)*coupl(nGC_380))/(24d0&
                       *pi**2d0)
    coupl(nGC_36677) = -2d0*coupl(nGC_36676)
    coupl(nGC_33763) = coupl(nGC_33758) + coupl(nGC_33762)
    coupl(nGC_34155) = coupl(nGC_22583) + coupl(nGC_248)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_257)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_52_Hh  &
                       ) + coupl(nGC_TS_GC_63_Hl)
    coupl(nGC_22420) = 5d0*cima*(Nc*coupl(nGC_1033)*coupl(nGC_1649)*coupl(     &
                       nGC_346)*coupl(nGC_382) + Nc*coupl(nGC_1033)*coupl(     &
                       nGC_346)**2d0*coupl(nGC_347) + Nc*coupl(nGC_1033)*coupl(&
                       nGC_347)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_1185)*coupl(&
                       nGC_1711)*coupl(nGC_343)*coupl(nGC_370) + Nc*coupl(     &
                       nGC_1185)*coupl(nGC_343)**2d0*coupl(nGC_374) + Nc*coupl(&
                       nGC_1185)*coupl(nGC_370)**2d0*coupl(nGC_374) + Nc*coupl(&
                       nGC_1415)*coupl(nGC_1467)*coupl(nGC_343)*coupl(nGC_370  &
                       ) + Nc*coupl(nGC_1415)*coupl(nGC_341)*coupl(nGC_343)**  &
                       2d0 + Nc*coupl(nGC_1415)*coupl(nGC_341)*coupl(nGC_370)**&
                       2d0 + Nc*coupl(nGC_1449)*coupl(nGC_334)**2d0*coupl(     &
                       nGC_368) + Nc*coupl(nGC_1449)*coupl(nGC_334)*coupl(     &
                       nGC_364)*coupl(nGC_791) + Nc*coupl(nGC_1449)*coupl(     &
                       nGC_364)**2d0*coupl(nGC_368) + Nc*coupl(nGC_1467)*coupl(&
                       nGC_343)**2d0*coupl(nGC_371) + Nc*coupl(nGC_1467)*coupl(&
                       nGC_370)**2d0*coupl(nGC_371) + Nc*coupl(nGC_1649)*coupl(&
                       nGC_346)**2d0*coupl(nGC_386) + Nc*coupl(nGC_1649)*coupl(&
                       nGC_382)**2d0*coupl(nGC_386) + Nc*coupl(nGC_1711)*coupl(&
                       nGC_343)**2d0*coupl(nGC_344) + Nc*coupl(nGC_1711)*coupl(&
                       nGC_344)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_2147)*coupl(&
                       nGC_2573)*coupl(nGC_346)*coupl(nGC_382) + Nc*coupl(     &
                       nGC_2147)*coupl(nGC_346)**2d0*coupl(nGC_383) + Nc*coupl(&
                       nGC_2147)*coupl(nGC_382)**2d0*coupl(nGC_383) + Nc*coupl(&
                       nGC_2573)*coupl(nGC_346)**2d0*coupl(nGC_350) + Nc*coupl(&
                       nGC_2573)*coupl(nGC_350)*coupl(nGC_382)**2d0 + Nc*coupl(&
                       nGC_334)**2d0*coupl(nGC_335)*coupl(nGC_791) + Nc*coupl( &
                       nGC_334)**2d0*coupl(nGC_338)*coupl(nGC_849) + Nc*coupl( &
                       nGC_334)**2d0*coupl(nGC_365)*coupl(nGC_4113) + Nc*coupl(&
                       nGC_334)*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_368) + &
                       Nc*coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_364)*coupl(  &
                       nGC_365) + Nc*coupl(nGC_334)*coupl(nGC_364)*coupl(      &
                       nGC_4113)*coupl(nGC_849) + Nc*coupl(nGC_335)*coupl(     &
                       nGC_364)**2d0*coupl(nGC_791) + Nc*coupl(nGC_338)*coupl( &
                       nGC_364)**2d0*coupl(nGC_849) + Nc*coupl(nGC_341)*coupl( &
                       nGC_343)*coupl(nGC_370)*coupl(nGC_371) + Nc*coupl(      &
                       nGC_343)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_374) + &
                       Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_382)*coupl(  &
                       nGC_386) + Nc*coupl(nGC_346)*coupl(nGC_350)*coupl(      &
                       nGC_382)*coupl(nGC_383) + Nc*coupl(nGC_364)**2d0*coupl( &
                       nGC_365)*coupl(nGC_4113) + coupl(nGC_1233)*coupl(nGC_376&
                       )**2d0*coupl(nGC_380) + coupl(nGC_1313)*coupl(nGC_352)**&
                       2d0*coupl(nGC_353) + coupl(nGC_2221)*coupl(nGC_358)**2d0&
                       *coupl(nGC_359) + coupl(nGC_3367)*coupl(nGC_358)**2d0*  &
                       coupl(nGC_362) + coupl(nGC_352)**2d0*coupl(nGC_356)*    &
                       coupl(nGC_917) + coupl(nGC_376)**2d0*coupl(nGC_3763)*   &
                       coupl(nGC_377))/(48d0*pi**2d0)
    coupl(nGC_22423) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1033)*coupl(      &
                       nGC_206)*coupl(nGC_346) - 4d0*Nc*coupl(nGC_1033)*coupl( &
                       nGC_209)*coupl(nGC_346) - 4d0*Nc*coupl(nGC_1033)*coupl( &
                       nGC_210)*coupl(nGC_346) + 5d0*Nc*coupl(nGC_1711)*coupl( &
                       nGC_206)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_1711)*coupl( &
                       nGC_209)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_1711)*coupl( &
                       nGC_210)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_364)*coupl(nGC_4113) + 5d0*Nc*coupl(nGC_207)*coupl( &
                       nGC_334)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_207)*coupl(  &
                       nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_364)*coupl(nGC_4113) - 4d0*Nc*coupl(nGC_209)*coupl( &
                       nGC_370)*coupl(nGC_374) - 4d0*Nc*coupl(nGC_209)*coupl(  &
                       nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_364)*coupl(nGC_4113) - 4d0*Nc*coupl(nGC_210)*coupl( &
                       nGC_370)*coupl(nGC_374) - 4d0*Nc*coupl(nGC_210)*coupl(  &
                       nGC_382)*coupl(nGC_386) + 5d0*coupl(nGC_1313)*coupl(    &
                       nGC_208)*coupl(nGC_352) - 4d0*coupl(nGC_1313)*coupl(    &
                       nGC_211)*coupl(nGC_352) - 4d0*coupl(nGC_1313)*coupl(    &
                       nGC_212)*coupl(nGC_352) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_2221)*coupl(nGC_358) + 5d0*coupl(nGC_208)*coupl(    &
                       nGC_376)*coupl(nGC_3763) - 4d0*coupl(nGC_211)*coupl(    &
                       nGC_2221)*coupl(nGC_358) - 4d0*coupl(nGC_211)*coupl(    &
                       nGC_376)*coupl(nGC_3763) - 4d0*coupl(nGC_212)*coupl(    &
                       nGC_2221)*coupl(nGC_358) - 4d0*coupl(nGC_212)*coupl(    &
                       nGC_376)*coupl(nGC_3763))/(48d0*pi**2d0)
    coupl(nGC_22422) = (-8d0*Nc*cima*coupl(nGC_1033)*coupl(nGC_206)**2d0*coupl(&
                       nGC_350) + 10d0*Nc*cima*coupl(nGC_1033)*coupl(nGC_206)* &
                       coupl(nGC_209)*coupl(nGC_350) - 8d0*Nc*cima*coupl(      &
                       nGC_1033)*coupl(nGC_209)**2d0*coupl(nGC_350) - 8d0*Nc*  &
                       cima*coupl(nGC_1467)*coupl(nGC_207)**2d0*coupl(nGC_374  &
                       ) + 10d0*Nc*cima*coupl(nGC_1467)*coupl(nGC_207)*coupl(  &
                       nGC_210)*coupl(nGC_374) - 8d0*Nc*cima*coupl(nGC_1467)*  &
                       coupl(nGC_210)**2d0*coupl(nGC_374) - 8d0*Nc*cima*coupl( &
                       nGC_1711)*coupl(nGC_206)**2d0*coupl(nGC_341) + 10d0*Nc* &
                       cima*coupl(nGC_1711)*coupl(nGC_206)*coupl(nGC_209)*coupl&
                       (nGC_341) - 8d0*Nc*cima*coupl(nGC_1711)*coupl(nGC_209)**&
                       2d0*coupl(nGC_341) - 8d0*Nc*cima*coupl(nGC_206)**2d0*   &
                       coupl(nGC_368)*coupl(nGC_4113) + 10d0*Nc*cima*coupl(    &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_368)*coupl(nGC_4113   &
                       ) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(nGC_2147)*    &
                       coupl(nGC_386) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl( &
                       nGC_338)*coupl(nGC_791) + 10d0*Nc*cima*coupl(nGC_207)*  &
                       coupl(nGC_210)*coupl(nGC_2147)*coupl(nGC_386) + 10d0*Nc*&
                       cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_338)*coupl(&
                       nGC_791) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_368&
                       )*coupl(nGC_4113) - 8d0*Nc*cima*coupl(nGC_210)**2d0*    &
                       coupl(nGC_2147)*coupl(nGC_386) - 8d0*Nc*cima*coupl(     &
                       nGC_210)**2d0*coupl(nGC_338)*coupl(nGC_791) + 3d0*cima* &
                       coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_1313 &
                       )*coupl(nGC_208)**2d0*coupl(nGC_356) + 10d0*cima*coupl( &
                       nGC_1313)*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356   &
                       ) - 8d0*cima*coupl(nGC_1313)*coupl(nGC_211)**2d0*coupl( &
                       nGC_356) - 8d0*cima*coupl(nGC_208)**2d0*coupl(nGC_2221)*&
                       coupl(nGC_362) - 8d0*cima*coupl(nGC_208)**2d0*coupl(    &
                       nGC_3763)*coupl(nGC_380) + 10d0*cima*coupl(nGC_208)*    &
                       coupl(nGC_211)*coupl(nGC_2221)*coupl(nGC_362) + 10d0*   &
                       cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_3763)*coupl&
                       (nGC_380) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_2221 &
                       )*coupl(nGC_362) - 8d0*cima*coupl(nGC_211)**2d0*coupl(  &
                       nGC_3763)*coupl(nGC_380) + 3d0*coupl(nGC_100)*coupl(    &
                       nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3419)**2d0 &
                       )/(24d0*pi**2d0)
    coupl(nGC_22425) = 5d0*cima*(Nc*coupl(nGC_1033)*coupl(nGC_2573)*coupl(     &
                       nGC_348)**2d0 + 2d0*Nc*coupl(nGC_1033)*coupl(nGC_347)*  &
                       coupl(nGC_348)**2d0 + Nc*coupl(nGC_1185)*coupl(nGC_1467 &
                       )*coupl(nGC_372)**2d0 + 2d0*Nc*coupl(nGC_1185)*coupl(   &
                       nGC_372)**2d0*coupl(nGC_374) + Nc*coupl(nGC_1415)*coupl(&
                       nGC_1711)*coupl(nGC_339)**2d0 + 2d0*Nc*coupl(nGC_1415)* &
                       coupl(nGC_339)**2d0*coupl(nGC_341) + 2d0*Nc*coupl(      &
                       nGC_1449)*coupl(nGC_366)**2d0*coupl(nGC_368) + Nc*coupl(&
                       nGC_1449)*coupl(nGC_366)**2d0*coupl(nGC_4113) + 2d0*Nc* &
                       coupl(nGC_1467)*coupl(nGC_371)*coupl(nGC_372)**2d0 + Nc*&
                       coupl(nGC_1649)*coupl(nGC_2147)*coupl(nGC_384)**2d0 +   &
                       2d0*Nc*coupl(nGC_1649)*coupl(nGC_384)**2d0*coupl(nGC_386&
                       ) + 2d0*Nc*coupl(nGC_1711)*coupl(nGC_339)**2d0*coupl(   &
                       nGC_344) + 2d0*Nc*coupl(nGC_2147)*coupl(nGC_383)*coupl( &
                       nGC_384)**2d0 + 2d0*Nc*coupl(nGC_2573)*coupl(nGC_348)** &
                       2d0*coupl(nGC_350) + Nc*coupl(nGC_335)*coupl(nGC_336)** &
                       2d0*coupl(nGC_338) + 2d0*Nc*coupl(nGC_335)*coupl(nGC_336&
                       )**2d0*coupl(nGC_791) + 2d0*Nc*coupl(nGC_336)**2d0*coupl&
                       (nGC_338)*coupl(nGC_849) + Nc*coupl(nGC_336)**2d0*coupl(&
                       nGC_791)*coupl(nGC_849) + Nc*coupl(nGC_339)**2d0*coupl( &
                       nGC_341)*coupl(nGC_344) + Nc*coupl(nGC_347)*coupl(      &
                       nGC_348)**2d0*coupl(nGC_350) + Nc*coupl(nGC_365)*coupl( &
                       nGC_366)**2d0*coupl(nGC_368) + 2d0*Nc*coupl(nGC_365)*   &
                       coupl(nGC_366)**2d0*coupl(nGC_4113) + Nc*coupl(nGC_371)*&
                       coupl(nGC_372)**2d0*coupl(nGC_374) + Nc*coupl(nGC_383)* &
                       coupl(nGC_384)**2d0*coupl(nGC_386) + coupl(nGC_1233)*   &
                       coupl(nGC_3763)*coupl(nGC_378)**2d0 + 2d0*coupl(nGC_1233&
                       )*coupl(nGC_378)**2d0*coupl(nGC_380) + 2d0*coupl(       &
                       nGC_1313)*coupl(nGC_353)*coupl(nGC_354)**2d0 + coupl(   &
                       nGC_1313)*coupl(nGC_354)**2d0*coupl(nGC_917) + coupl(   &
                       nGC_2221)*coupl(nGC_3367)*coupl(nGC_360)**2d0 + 2d0*    &
                       coupl(nGC_2221)*coupl(nGC_359)*coupl(nGC_360)**2d0 + 2d0&
                       *coupl(nGC_3367)*coupl(nGC_360)**2d0*coupl(nGC_362) +   &
                       coupl(nGC_353)*coupl(nGC_354)**2d0*coupl(nGC_356) + 2d0*&
                       coupl(nGC_354)**2d0*coupl(nGC_356)*coupl(nGC_917) +     &
                       coupl(nGC_359)*coupl(nGC_360)**2d0*coupl(nGC_362) + 2d0*&
                       coupl(nGC_3763)*coupl(nGC_377)*coupl(nGC_378)**2d0 +    &
                       coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(nGC_380))/(24d0&
                       *pi**2d0)
    coupl(nGC_22424) = 5d0*cima*(Nc*coupl(nGC_1033)*coupl(nGC_2573)*coupl(     &
                       nGC_347)**2d0 + Nc*coupl(nGC_1185)**2d0*coupl(nGC_371)* &
                       coupl(nGC_374) + Nc*coupl(nGC_1185)*coupl(nGC_1467)*    &
                       coupl(nGC_371)**2d0 + Nc*coupl(nGC_1415)**2d0*coupl(    &
                       nGC_341)*coupl(nGC_344) + Nc*coupl(nGC_1415)*coupl(     &
                       nGC_1711)*coupl(nGC_344)**2d0 + Nc*coupl(nGC_1449)**2d0*&
                       coupl(nGC_365)*coupl(nGC_368) + Nc*coupl(nGC_1449)*coupl&
                       (nGC_365)**2d0*coupl(nGC_4113) + Nc*coupl(nGC_1649)**2d0&
                       *coupl(nGC_383)*coupl(nGC_386) + Nc*coupl(nGC_1649)*    &
                       coupl(nGC_2147)*coupl(nGC_383)**2d0 + Nc*coupl(nGC_2573 &
                       )**2d0*coupl(nGC_347)*coupl(nGC_350) + Nc*coupl(nGC_335 &
                       )**2d0*coupl(nGC_791)*coupl(nGC_849) + Nc*coupl(nGC_335 &
                       )*coupl(nGC_338)*coupl(nGC_849)**2d0 + coupl(nGC_1233)**&
                       2d0*coupl(nGC_377)*coupl(nGC_380) + coupl(nGC_1233)*    &
                       coupl(nGC_3763)*coupl(nGC_377)**2d0 + coupl(nGC_1313)*  &
                       coupl(nGC_353)**2d0*coupl(nGC_917) + coupl(nGC_2221)*   &
                       coupl(nGC_3367)*coupl(nGC_359)**2d0 + coupl(nGC_3367)** &
                       2d0*coupl(nGC_359)*coupl(nGC_362) + coupl(nGC_353)*coupl&
                       (nGC_356)*coupl(nGC_917)**2d0)/(8d0*pi**2d0)
    coupl(nGC_22427) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_1033)*coupl(    &
                       nGC_347) - Nc*coupl(nGC_1185)*coupl(nGC_374) - Nc*coupl(&
                       nGC_1415)*coupl(nGC_341) - Nc*coupl(nGC_1449)*coupl(    &
                       nGC_368) - Nc*coupl(nGC_1467)*coupl(nGC_371) - Nc*coupl(&
                       nGC_1649)*coupl(nGC_386) - Nc*coupl(nGC_1711)*coupl(    &
                       nGC_344) - Nc*coupl(nGC_2147)*coupl(nGC_383) - Nc*coupl(&
                       nGC_2573)*coupl(nGC_350) - Nc*coupl(nGC_335)*coupl(     &
                       nGC_791) - Nc*coupl(nGC_338)*coupl(nGC_849) - Nc*coupl( &
                       nGC_365)*coupl(nGC_4113) - coupl(nGC_1233)*coupl(nGC_380&
                       ) - coupl(nGC_1313)*coupl(nGC_353) - coupl(nGC_2221)*   &
                       coupl(nGC_359) - coupl(nGC_3367)*coupl(nGC_362) - coupl(&
                       nGC_356)*coupl(nGC_917) - coupl(nGC_3763)*coupl(nGC_377 &
                       ))/(12d0*pi**2d0)
    coupl(nGC_22426) = 5d0*cima*(Nc*coupl(nGC_1033)*coupl(nGC_2573)*coupl(     &
                       nGC_345)*coupl(nGC_348) + 2d0*Nc*coupl(nGC_1033)*coupl( &
                       nGC_345)*coupl(nGC_347)*coupl(nGC_348) + Nc*coupl(      &
                       nGC_1185)*coupl(nGC_1467)*coupl(nGC_369)*coupl(nGC_372  &
                       ) + 2d0*Nc*coupl(nGC_1185)*coupl(nGC_369)*coupl(nGC_372 &
                       )*coupl(nGC_374) + Nc*coupl(nGC_1415)*coupl(nGC_1711)*  &
                       coupl(nGC_339)*coupl(nGC_342) + 2d0*Nc*coupl(nGC_1415)* &
                       coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_342) + 2d0*Nc*  &
                       coupl(nGC_1449)*coupl(nGC_363)*coupl(nGC_366)*coupl(    &
                       nGC_368) + Nc*coupl(nGC_1449)*coupl(nGC_363)*coupl(     &
                       nGC_366)*coupl(nGC_4113) + 2d0*Nc*coupl(nGC_1467)*coupl(&
                       nGC_369)*coupl(nGC_371)*coupl(nGC_372) + Nc*coupl(      &
                       nGC_1649)*coupl(nGC_2147)*coupl(nGC_381)*coupl(nGC_384  &
                       ) + 2d0*Nc*coupl(nGC_1649)*coupl(nGC_381)*coupl(nGC_384 &
                       )*coupl(nGC_386) + 2d0*Nc*coupl(nGC_1711)*coupl(nGC_339 &
                       )*coupl(nGC_342)*coupl(nGC_344) + 2d0*Nc*coupl(nGC_2147 &
                       )*coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_384) + 2d0*Nc*&
                       coupl(nGC_2573)*coupl(nGC_345)*coupl(nGC_348)*coupl(    &
                       nGC_350) + Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(      &
                       nGC_336)*coupl(nGC_338) + 2d0*Nc*coupl(nGC_333)*coupl(  &
                       nGC_335)*coupl(nGC_336)*coupl(nGC_791) + 2d0*Nc*coupl(  &
                       nGC_333)*coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_849) + &
                       Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_791)*coupl(  &
                       nGC_849) + Nc*coupl(nGC_339)*coupl(nGC_341)*coupl(      &
                       nGC_342)*coupl(nGC_344) + Nc*coupl(nGC_345)*coupl(      &
                       nGC_347)*coupl(nGC_348)*coupl(nGC_350) + Nc*coupl(      &
                       nGC_363)*coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_368) + &
                       2d0*Nc*coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_366)*    &
                       coupl(nGC_4113) + Nc*coupl(nGC_369)*coupl(nGC_371)*coupl&
                       (nGC_372)*coupl(nGC_374) + Nc*coupl(nGC_381)*coupl(     &
                       nGC_383)*coupl(nGC_384)*coupl(nGC_386) + coupl(nGC_1233 &
                       )*coupl(nGC_375)*coupl(nGC_3763)*coupl(nGC_378) + 2d0*  &
                       coupl(nGC_1233)*coupl(nGC_375)*coupl(nGC_378)*coupl(    &
                       nGC_380) + 2d0*coupl(nGC_1313)*coupl(nGC_351)*coupl(    &
                       nGC_353)*coupl(nGC_354) + coupl(nGC_1313)*coupl(nGC_351 &
                       )*coupl(nGC_354)*coupl(nGC_917) + coupl(nGC_2221)*coupl(&
                       nGC_3367)*coupl(nGC_357)*coupl(nGC_360) + 2d0*coupl(    &
                       nGC_2221)*coupl(nGC_357)*coupl(nGC_359)*coupl(nGC_360   &
                       ) + 2d0*coupl(nGC_3367)*coupl(nGC_357)*coupl(nGC_360)*  &
                       coupl(nGC_362) + coupl(nGC_351)*coupl(nGC_353)*coupl(   &
                       nGC_354)*coupl(nGC_356) + 2d0*coupl(nGC_351)*coupl(     &
                       nGC_354)*coupl(nGC_356)*coupl(nGC_917) + coupl(nGC_357)*&
                       coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_362) + 2d0*coupl&
                       (nGC_375)*coupl(nGC_3763)*coupl(nGC_377)*coupl(nGC_378  &
                       ) + coupl(nGC_375)*coupl(nGC_377)*coupl(nGC_378)*coupl( &
                       nGC_380))/(24d0*pi**2d0)
    coupl(nGC_35018) = -coupl(nGC_22642) - coupl(nGC_35014)
    coupl(nGC_58208) = -coupl(nGC_22018)
    coupl(nGC_34543) = -coupl(nGC_34538)
    coupl(nGC_34542) = coupl(nGC_34539) + coupl(nGC_34540)
    coupl(nGC_41695) = coupl(nGC_22846) + coupl(nGC_MHA)*dZHa_QED2 + coupl(    &
                       nGC_TS_GC_246_Hl) + coupl(nGC_TS_GC_254_Hh)
    coupl(nGC_33794) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_22588)
    coupl(nGC_35498) = coupl(nGC_33337) + coupl(nGC_35497)
    coupl(nGC_35499) = coupl(nGC_33337) + coupl(nGC_35496)
    coupl(nGC_22491) = (-Nc*cima*coupl(nGC_14)*coupl(nGC_14649) - Nc*cima*coupl&
                       (nGC_14649)*coupl(nGC_9303) + Nc*cima*coupl(nGC_3993)** &
                       4d0*sq2**4d0 + Nc*coupl(nGC_14)*coupl(nGC_3993)**2d0*sq2&
                       **2d0 + Nc*coupl(nGC_14649)*coupl(nGC_3993)**2d0*sq2**  &
                       2d0 + Nc*coupl(nGC_3993)**2d0*coupl(nGC_9303)*sq2**2d0  &
                        - cima*coupl(nGC_13)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_35836) = coupl(nGC_35830) + coupl(nGC_35834)
    coupl(nGC_57796) = -coupl(nGC_22158)
    coupl(nGC_60371) = -coupl(nGC_22087)
    coupl(nGC_33806) = -coupl(nGC_33801) - coupl(nGC_33805)
    coupl(nGC_33346) = coupl(nGC_33337) + coupl(nGC_33345)
    coupl(nGC_35777) = coupl(nGC_35773) + coupl(nGC_35776)
    coupl(nGC_46181) = -coupl(nGC_44187) + coupl(nGC_44188)
    coupl(nGC_58696) = -coupl(nGC_22092)
    coupl(nGC_35355) = coupl(nGC_35351) + coupl(nGC_35354)
    coupl(nGC_57962) = -coupl(nGC_22088)
    coupl(nGC_33807) = coupl(nGC_33801) + coupl(nGC_33805)
    coupl(nGC_33288) = coupl(nGC_33281) + coupl(nGC_33287)
    coupl(nGC_35937) = -coupl(nGC_35935) - coupl(nGC_35936)
    coupl(nGC_59874) = -coupl(nGC_22071)
    coupl(nGC_33668) = -coupl(nGC_33663) - coupl(nGC_33667)
    coupl(nGC_35549) = -coupl(nGC_35546) - coupl(nGC_35548)
    coupl(nGC_57692) = -coupl(nGC_22309)
    coupl(nGC_33669) = coupl(nGC_33663) + coupl(nGC_33667)
    coupl(nGC_57690) = -coupl(nGC_22308)
    coupl(nGC_57545) = -coupl(nGC_22157)
    coupl(nGC_35582) = coupl(nGC_35576) + coupl(nGC_35580)
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
