!******************************************************************************!
!                                                                              !
!    fill_currents.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_currents.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_currents
  implicit none
  contains
  subroutine fill_currents_mdl(check)
    use currents_info1, only: fill_current_1
    use currents_info2, only: fill_current_2
    use currents_info3, only: fill_current_3
    use currents_info4, only: fill_current_4
    use currents_info5, only: fill_current_5
    use currents_info6, only: fill_current_6
    logical, intent(in) :: check
    call fill_current_1(check)
    call fill_current_2(check)
    call fill_current_3(check)
    call fill_current_4(check)
    call fill_current_5(check)
    call fill_current_6(check)
  end subroutine fill_currents_mdl
end module fill_currents
