!******************************************************************************!
!                                                                              !
!    vertices_info20.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info20.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info20
  implicit none
  contains
  subroutine fill_vertices_mdl20()
    use class_vertices
    use class_couplings
    allocate(vertices(10407)%branchCT(0:0))
    call avCT(10407, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32228])

    allocate(vertices(7974)%branchCT(0:0))
    call avCT(7974, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32755])

    allocate(vertices(10408)%branchCT(0:0))
    call avCT(10408, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32902])

    allocate(vertices(8638)%branchCT(0:1))
    call avCT(8638, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_22556])

    call avCT(8638, 1, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_32771])

    allocate(vertices(10409)%branchCT(0:0))
    call avCT(10409, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32478])

    allocate(vertices(8791)%branchCT(0:0))
    call avCT(8791, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_33794])

    allocate(vertices(8641)%branchCT(0:0))
    call avCT(8641, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32316])

    allocate(vertices(7586)%branchCT(0:0))
    call avCT(7586, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32495])

    allocate(vertices(1732)%branchCT(0:0))
    call avCT(1732, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32173])

    allocate(vertices(4041)%branchCT(0:0))
    call avCT(4041, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_34883])

    allocate(vertices(10410)%branchCT(0:0))
    call avCT(10410, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_33061])

    allocate(vertices(2530)%branchCT(0:1))
    call avCT(2530, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_36466, nGC_36467])

    call avCT(2530, 1, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_36468, nGC_36464])

    allocate(vertices(4044)%branchCT(0:1))
    call avCT(4044, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32346])

    call avCT(4044, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32342])

    allocate(vertices(10411)%branchCT(0:0))
    call avCT(10411, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_32487])

    allocate(vertices(4045)%branchCT(0:0))
    call avCT(4045, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_32333, nGC_32334])

    allocate(vertices(10412)%branchCT(0:0))
    call avCT(10412, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32281])

    allocate(vertices(6408)%branchCT(0:1))
    call avCT(6408, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32622])

    call avCT(6408, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32619])

    allocate(vertices(4047)%branchCT(0:1))
    call avCT(4047, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32182])

    call avCT(4047, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32179])

    allocate(vertices(4048)%branchCT(0:1))
    call avCT(4048, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32910])

    call avCT(4048, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_32907])

    allocate(vertices(4296)%branchCT(0:0))
    call avCT(4296, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32173])

    allocate(vertices(5997)%branchCT(0:0))
    call avCT(5997, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32160])

    allocate(vertices(4049)%branchCT(0:0))
    call avCT(4049, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_40465])

    allocate(vertices(7976)%branchCT(0:1))
    call avCT(7976, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32676])

    call avCT(7976, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32673])

    allocate(vertices(10413)%branchCT(0:0))
    call avCT(10413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32381])

    allocate(vertices(2423)%branchCT(0:0))
    call avCT(2423, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32157])

    allocate(vertices(6410)%branchCT(0:1))
    call avCT(6410, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32267])

    call avCT(6410, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32264])

    allocate(vertices(8651)%branchCT(0:0))
    call avCT(8651, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32465])

    allocate(vertices(8652)%branchCT(0:0))
    call avCT(8652, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_36016])

    allocate(vertices(6385)%branchCT(0:1))
    call avCT(6385, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_55196])

    call avCT(6385, 1, 1, 1, 0, SVS0, 0, [0, 1], [nGC_55197])

    allocate(vertices(4878)%branchCT(0:0))
    call avCT(4878, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32572])

    allocate(vertices(4056)%branchCT(0:1))
    call avCT(4056, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32871])

    call avCT(4056, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32867])

    allocate(vertices(2928)%branchCT(0:0))
    call avCT(2928, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_33523])

    allocate(vertices(8656)%branchCT(0:1))
    call avCT(8656, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32622])

    call avCT(8656, 1, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_32619])

    allocate(vertices(8657)%branchCT(0:0))
    call avCT(8657, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_33042])

    allocate(vertices(1371)%branchCT(0:0))
    call avCT(1371, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32339])

    allocate(vertices(4059)%branchCT(0:1))
    call avCT(4059, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32622])

    call avCT(4059, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_32619])

    allocate(vertices(10414)%branchCT(0:0))
    call avCT(10414, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32484])

    allocate(vertices(10415)%branchCT(0:0))
    call avCT(10415, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32381])

    allocate(vertices(8661)%branchCT(0:0))
    call avCT(8661, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32465])

    allocate(vertices(10416)%branchCT(0:0))
    call avCT(10416, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32684])

    allocate(vertices(2771)%branchCT(0:1))
    call avCT(2771, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_22552])

    call avCT(2771, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_33435])

    allocate(vertices(8665)%branchCT(0:1))
    call avCT(8665, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32254])

    call avCT(8665, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32250])

    allocate(vertices(492)%branchCT(0:1))
    call avCT(492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34085])

    call avCT(492, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34081])

    allocate(vertices(8206)%branchCT(0:0))
    call avCT(8206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32893])

    allocate(vertices(10417)%branchCT(0:0))
    call avCT(10417, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32470])

    allocate(vertices(10418)%branchCT(0:0))
    call avCT(10418, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32365])

    allocate(vertices(1343)%branchCT(0:0))
    call avCT(1343, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32396])

    allocate(vertices(4065)%branchCT(0:0))
    call avCT(4065, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_39239, nGC_39239,       &
    nGC_39238])

    allocate(vertices(8143)%branchCT(0:1))
    call avCT(8143, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32182])

    call avCT(8143, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32179])

    allocate(vertices(10419)%branchCT(0:0))
    call avCT(10419, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32583])

    allocate(vertices(10420)%branchCT(0:0))
    call avCT(10420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32902])

    allocate(vertices(8667)%branchCT(0:0))
    call avCT(8667, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_33794])

    allocate(vertices(4070)%branchCT(0:1))
    call avCT(4070, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32795])

    call avCT(4070, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32794])

    allocate(vertices(8668)%branchCT(0:1))
    call avCT(8668, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32267])

    call avCT(8668, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32264])

    allocate(vertices(8669)%branchCT(0:0))
    call avCT(8669, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32477])

    allocate(vertices(4072)%branchCT(0:0))
    call avCT(4072, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32614])

    allocate(vertices(10421)%branchCT(0:0))
    call avCT(10421, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32478])

    allocate(vertices(4073)%branchCT(0:1))
    call avCT(4073, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32871])

    call avCT(4073, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32867])

    allocate(vertices(4074)%branchCT(0:1))
    call avCT(4074, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_36987])

    call avCT(4074, 1, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_36985])

    allocate(vertices(4075)%branchCT(0:1))
    call avCT(4075, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32310])

    call avCT(4075, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32306])

    allocate(vertices(10422)%branchCT(0:0))
    call avCT(10422, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32473])

    allocate(vertices(7875)%branchCT(0:0))
    call avCT(7875, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32187])

    allocate(vertices(10423)%branchCT(0:0))
    call avCT(10423, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32392])

    allocate(vertices(4479)%branchCT(0:1))
    call avCT(4479, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32795])

    call avCT(4479, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_33698])

    allocate(vertices(10424)%branchCT(0:0))
    call avCT(10424, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32902])

    allocate(vertices(10425)%branchCT(0:0))
    call avCT(10425, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32365])

    allocate(vertices(8675)%branchCT(0:0))
    call avCT(8675, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32339])

    allocate(vertices(4078)%branchCT(0:2))
    call avCT(4078, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_34642, nGC_34641])

    call avCT(4078, 1, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_34638, nGC_34632])

    call avCT(4078, 2, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_34644, nGC_34643])

    allocate(vertices(10426)%branchCT(0:0))
    call avCT(10426, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32478])

    allocate(vertices(10427)%branchCT(0:0))
    call avCT(10427, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32228])

    allocate(vertices(10428)%branchCT(0:1))
    call avCT(10428, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_56575, nGC_56576])

    call avCT(10428, 1, 13, 1, 0, SV1, 0, [0, 0], [nGC_56572])

    allocate(vertices(6850)%branchCT(0:1))
    call avCT(6850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32275])

    call avCT(6850, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32270])

    allocate(vertices(2904)%branchCT(0:1))
    call avCT(2904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33278])

    call avCT(2904, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33274])

    allocate(vertices(8677)%branchCT(0:0))
    call avCT(8677, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32465])

    allocate(vertices(10429)%branchCT(0:0))
    call avCT(10429, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32470])

    allocate(vertices(10430)%branchCT(0:0))
    call avCT(10430, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33748])

    allocate(vertices(6971)%branchCT(0:0))
    call avCT(6971, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33523])

    allocate(vertices(8683)%branchCT(0:1))
    call avCT(8683, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_22554])

    call avCT(8683, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_32658])

    allocate(vertices(1809)%branchCT(0:1))
    call avCT(1809, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_36182, nGC_36182])

    call avCT(1809, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_36181, nGC_36181])

    allocate(vertices(4084)%branchCT(0:0))
    call avCT(4084, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_33564])

    allocate(vertices(6420)%branchCT(0:0))
    call avCT(6420, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_34275])

    allocate(vertices(10431)%branchCT(0:0))
    call avCT(10431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34175])

    allocate(vertices(8687)%branchCT(0:1))
    call avCT(8687, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_34727])

    call avCT(8687, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_34726])

    allocate(vertices(10432)%branchCT(0:0))
    call avCT(10432, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32684])

    allocate(vertices(10433)%branchCT(0:0))
    call avCT(10433, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32190])

    allocate(vertices(4488)%branchCT(0:1))
    call avCT(4488, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_36088])

    call avCT(4488, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32799])

    allocate(vertices(8690)%branchCT(0:0))
    call avCT(8690, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32160])

    allocate(vertices(10434)%branchCT(0:0))
    call avCT(10434, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_39326])

    allocate(vertices(10435)%branchCT(0:0))
    call avCT(10435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33748])

    allocate(vertices(6106)%branchCT(0:1))
    call avCT(6106, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_36168, nGC_36169])

    call avCT(6106, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_36164, nGC_36159])

    allocate(vertices(5818)%branchCT(0:0))
    call avCT(5818, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32214])

    allocate(vertices(6421)%branchCT(0:0))
    call avCT(6421, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_35158])

    allocate(vertices(8693)%branchCT(0:1))
    call avCT(8693, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_22552])

    call avCT(8693, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_32467])

    allocate(vertices(2089)%branchCT(0:1))
    call avCT(2089, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_33289, nGC_33289])

    call avCT(2089, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_33288, nGC_33288])

    allocate(vertices(10436)%branchCT(0:0))
    call avCT(10436, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32551])

    allocate(vertices(2777)%branchCT(0:0))
    call avCT(2777, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32572])

    allocate(vertices(10437)%branchCT(0:0))
    call avCT(10437, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32365])

    allocate(vertices(10438)%branchCT(0:0))
    call avCT(10438, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32381])

    allocate(vertices(1614)%branchCT(0:1))
    call avCT(1614, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32267])

    call avCT(1614, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32264])

    allocate(vertices(4093)%branchCT(0:0))
    call avCT(4093, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_34444])

    allocate(vertices(8047)%branchCT(0:1))
    call avCT(8047, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_36088])

    call avCT(8047, 1, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_32799])

    allocate(vertices(8050)%branchCT(0:5))
    call avCT(8050, 0, 4, 7, 0, UaUVV0, 0, [4, 0], [nGC_33126])

    call avCT(8050, 1, 5, 7, 0, UaUVV0, 0, [4, 0], [nGC_33126])

    call avCT(8050, 2, 6, 6, 0, UaUVV0, 0, [4, 0], [nGC_33121])

    call avCT(8050, 3, 7, 6, 0, UaUVV0, 0, [4, 0], [nGC_33121])

    call avCT(8050, 4, 8, 6, 0, UaUVV0, 0, [4, 0], [nGC_33121])

    call avCT(8050, 5, 9, 6, 0, UaUVV0, 0, [4, 0], [nGC_33121])

    allocate(vertices(8700)%branchCT(0:0))
    call avCT(8700, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_34105])

    allocate(vertices(8814)%branchCT(0:0))
    call avCT(8814, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33837])

    allocate(vertices(10439)%branchCT(0:0))
    call avCT(10439, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32365])

    allocate(vertices(6481)%branchCT(0:0))
    call avCT(6481, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_34134])

    allocate(vertices(8701)%branchCT(0:0))
    call avCT(8701, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32401])

    allocate(vertices(8067)%branchCT(0:1))
    call avCT(8067, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_22552])

    call avCT(8067, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_33435])

    allocate(vertices(8703)%branchCT(0:0))
    call avCT(8703, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_32247])

    allocate(vertices(10440)%branchCT(0:0))
    call avCT(10440, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32583])

    allocate(vertices(7233)%branchCT(0:1))
    call avCT(7233, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32182])

    call avCT(7233, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_32179])

    allocate(vertices(8705)%branchCT(0:0))
    call avCT(8705, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32614])

    allocate(vertices(10441)%branchCT(0:0))
    call avCT(10441, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32551])

    allocate(vertices(2091)%branchCT(0:0))
    call avCT(2091, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_35022])

    allocate(vertices(8712)%branchCT(0:1))
    call avCT(8712, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_35084])

    call avCT(8712, 1, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_35082])

    allocate(vertices(7027)%branchCT(0:0))
    call avCT(7027, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32173])

    allocate(vertices(8237)%branchCT(0:0))
    call avCT(8237, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32465])

    allocate(vertices(5620)%branchCT(0:1))
    call avCT(5620, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32871])

    call avCT(5620, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32867])

    allocate(vertices(4102)%branchCT(0:0))
    call avCT(4102, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32214])

    allocate(vertices(10442)%branchCT(0:0))
    call avCT(10442, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32484])

    allocate(vertices(611)%branchCT(0:1))
    call avCT(611, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_22552])

    call avCT(611, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_33435])

    allocate(vertices(4105)%branchCT(0:1))
    call avCT(4105, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32738])

    call avCT(4105, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32734])

    allocate(vertices(8716)%branchCT(0:0))
    call avCT(8716, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32742])

    allocate(vertices(6845)%branchCT(0:0))
    call avCT(6845, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32339])

    allocate(vertices(10443)%branchCT(0:0))
    call avCT(10443, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32484])

    allocate(vertices(8719)%branchCT(0:0))
    call avCT(8719, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_34883])

    allocate(vertices(8721)%branchCT(0:0))
    call avCT(8721, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_34180])

    allocate(vertices(7201)%branchCT(0:1))
    call avCT(7201, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32910])

    call avCT(7201, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32907])

    allocate(vertices(10444)%branchCT(0:0))
    call avCT(10444, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32228])

    allocate(vertices(7120)%branchCT(0:0))
    call avCT(7120, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32477])

    allocate(vertices(10445)%branchCT(0:0))
    call avCT(10445, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32470])

    allocate(vertices(10446)%branchCT(0:0))
    call avCT(10446, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32370])

    allocate(vertices(8723)%branchCT(0:1))
    call avCT(8723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35132])

    call avCT(8723, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35129])

    allocate(vertices(6175)%branchCT(0:0))
    call avCT(6175, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_32173])

    allocate(vertices(4114)%branchCT(0:1))
    call avCT(4114, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32267])

    call avCT(4114, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_32264])

    allocate(vertices(8726)%branchCT(0:1))
    call avCT(8726, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_46181])

    call avCT(8726, 1, 1, 1, 0, VSS1, 0, [0, 1], [nGC_44185])

    allocate(vertices(10447)%branchCT(0:0))
    call avCT(10447, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32484])

    allocate(vertices(10448)%branchCT(0:0))
    call avCT(10448, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32684])

    allocate(vertices(3468)%branchCT(0:0))
    call avCT(3468, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_33897])

    allocate(vertices(10449)%branchCT(0:0))
    call avCT(10449, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32473])

    allocate(vertices(8731)%branchCT(0:0))
    call avCT(8731, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32742])

    allocate(vertices(6398)%branchCT(0:0))
    call avCT(6398, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_33523])

    allocate(vertices(4118)%branchCT(0:1))
    call avCT(4118, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34218])

    call avCT(4118, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34215])

    allocate(vertices(6045)%branchCT(0:1))
    call avCT(6045, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34218])

    call avCT(6045, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34215])

    allocate(vertices(8735)%branchCT(0:0))
    call avCT(8735, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32477])

    allocate(vertices(8736)%branchCT(0:2))
    call avCT(8736, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_35699, nGC_35700])

    call avCT(8736, 1, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_35698, nGC_35692])

    call avCT(8736, 2, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_35696, nGC_35697])

    allocate(vertices(10450)%branchCT(0:0))
    call avCT(10450, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_39326])

    allocate(vertices(5841)%branchCT(0:1))
    call avCT(5841, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32128])

    call avCT(5841, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32123])

    allocate(vertices(8254)%branchCT(0:1))
    call avCT(8254, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_41112, nGC_41112])

    call avCT(8254, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_41114, nGC_41114])

    allocate(vertices(8739)%branchCT(0:1))
    call avCT(8739, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32261])

    call avCT(8739, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32257])

    allocate(vertices(4086)%branchCT(0:0))
    call avCT(4086, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32720])

    allocate(vertices(10451)%branchCT(0:0))
    call avCT(10451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32551])

    allocate(vertices(4125)%branchCT(0:1))
    call avCT(4125, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35606])

    call avCT(4125, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35605])

    allocate(vertices(8742)%branchCT(0:1))
    call avCT(8742, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32182])

    call avCT(8742, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32179])

    allocate(vertices(6964)%branchCT(0:0))
    call avCT(6964, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32490])

    allocate(vertices(10452)%branchCT(0:0))
    call avCT(10452, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32392])

    allocate(vertices(8745)%branchCT(0:0))
    call avCT(8745, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_35937, nGC_35938])

    allocate(vertices(673)%branchCT(0:1))
    call avCT(673, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_22500])

    call avCT(673, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32809])

    allocate(vertices(8746)%branchCT(0:1))
    call avCT(8746, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33974])

    call avCT(8746, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33970])

    allocate(vertices(10453)%branchCT(0:0))
    call avCT(10453, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32484])

    allocate(vertices(8310)%branchCT(0:0))
    call avCT(8310, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_32490])

    allocate(vertices(74)%branchCT(0:0))
    call avCT(74, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32214])

    allocate(vertices(6265)%branchCT(0:1))
    call avCT(6265, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32267])

    call avCT(6265, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_32264])

    allocate(vertices(4130)%branchCT(0:0))
    call avCT(4130, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32572])

    allocate(vertices(10454)%branchCT(0:0))
    call avCT(10454, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_39326])

    allocate(vertices(10455)%branchCT(0:0))
    call avCT(10455, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32392])

    allocate(vertices(8752)%branchCT(0:0))
    call avCT(8752, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_33042])

    allocate(vertices(1837)%branchCT(0:0))
    call avCT(1837, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32495])

    allocate(vertices(10456)%branchCT(0:0))
    call avCT(10456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33748])

    allocate(vertices(4133)%branchCT(0:0))
    call avCT(4133, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_32320])

    allocate(vertices(8754)%branchCT(0:0))
    call avCT(8754, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32752])

    allocate(vertices(8756)%branchCT(0:0))
    call avCT(8756, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33837])

    allocate(vertices(4136)%branchCT(0:1))
    call avCT(4136, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32261])

    call avCT(4136, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32257])

    allocate(vertices(10457)%branchCT(0:0))
    call avCT(10457, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32281])

    allocate(vertices(8758)%branchCT(0:1))
    call avCT(8758, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32275])

    call avCT(8758, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32270])

    allocate(vertices(6433)%branchCT(0:1))
    call avCT(6433, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_33803, nGC_33804])

    call avCT(6433, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_33806, nGC_33807])

    allocate(vertices(8760)%branchCT(0:1))
    call avCT(8760, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_22554])

    call avCT(8760, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32658])

    allocate(vertices(4141)%branchCT(0:0))
    call avCT(4141, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32572])

    allocate(vertices(8761)%branchCT(0:0))
    call avCT(8761, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_33204])

    allocate(vertices(10458)%branchCT(0:0))
    call avCT(10458, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_33371])

    allocate(vertices(8763)%branchCT(0:2))
    call avCT(8763, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_40525, nGC_40526])

    call avCT(8763, 1, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_40527, nGC_40520])

    call avCT(8763, 2, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_40528, nGC_40529])

    allocate(vertices(10459)%branchCT(0:0))
    call avCT(10459, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32481])

    allocate(vertices(675)%branchCT(0:1))
    call avCT(675, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_22552])

    call avCT(675, 1, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_33435])

    allocate(vertices(4145)%branchCT(0:0))
    call avCT(4145, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32572])

    allocate(vertices(676)%branchCT(0:1))
    call avCT(676, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_32925])

    call avCT(676, 1, 1, 1, 0, SVV0, 0, [0, 1], [nGC_32922])

    allocate(vertices(10460)%branchCT(0:0))
    call avCT(10460, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_32487])

    allocate(vertices(4377)%branchCT(0:1))
    call avCT(4377, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_36572])

    call avCT(4377, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_36571])

    allocate(vertices(4547)%branchCT(0:1))
    call avCT(4547, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32128])

    call avCT(4547, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32123])

    allocate(vertices(10461)%branchCT(0:0))
    call avCT(10461, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32684])

    allocate(vertices(5909)%branchCT(0:1))
    call avCT(5909, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_43671, nGC_43672])

    call avCT(5909, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_43667, nGC_43662])

    allocate(vertices(4119)%branchCT(0:0))
    call avCT(4119, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32173])

    allocate(vertices(5906)%branchCT(0:0))
    call avCT(5906, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32316])

    allocate(vertices(6636)%branchCT(0:0))
    call avCT(6636, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32187])

    allocate(vertices(1643)%branchCT(0:1))
    call avCT(1643, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32389])

    call avCT(1643, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32384])

    allocate(vertices(2411)%branchCT(0:0))
    call avCT(2411, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_36727])

    allocate(vertices(10462)%branchCT(0:0))
    call avCT(10462, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32281])

    allocate(vertices(4154)%branchCT(0:0))
    call avCT(4154, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32742])

    allocate(vertices(10463)%branchCT(0:0))
    call avCT(10463, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_33061])

    allocate(vertices(10464)%branchCT(0:0))
    call avCT(10464, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32190])

    allocate(vertices(8777)%branchCT(0:1))
    call avCT(8777, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_36618, nGC_36619])

    call avCT(8777, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_36614, nGC_36611])

    allocate(vertices(8510)%branchCT(0:0))
    call avCT(8510, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32339])

    allocate(vertices(8511)%branchCT(0:0))
    call avCT(8511, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_35182])

    allocate(vertices(8780)%branchCT(0:0))
    call avCT(8780, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32752])

    allocate(vertices(10465)%branchCT(0:0))
    call avCT(10465, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32975])

    allocate(vertices(8782)%branchCT(0:0))
    call avCT(8782, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_46196, nGC_46197])

    allocate(vertices(4157)%branchCT(0:1))
    call avCT(4157, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_37306])

    call avCT(4157, 1, 1, 1, 0, SVS0, 0, [0, 1], [nGC_37304])

    allocate(vertices(4158)%branchCT(0:1))
    call avCT(4158, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32622])

    call avCT(4158, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32619])

    allocate(vertices(8785)%branchCT(0:0))
    call avCT(8785, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_34711, nGC_34711])

    allocate(vertices(10466)%branchCT(0:0))
    call avCT(10466, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_33371])

    allocate(vertices(4159)%branchCT(0:1))
    call avCT(4159, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32622])

    call avCT(4159, 1, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_32619])

    allocate(vertices(8787)%branchCT(0:1))
    call avCT(8787, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33048])

    call avCT(8787, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_33045])

    allocate(vertices(7214)%branchCT(0:0))
    call avCT(7214, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_32465])

    allocate(vertices(4161)%branchCT(0:1))
    call avCT(4161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35132])

    call avCT(4161, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35129])

    allocate(vertices(8452)%branchCT(0:1))
    call avCT(8452, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32660])

    call avCT(8452, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32658])

    allocate(vertices(3234)%branchCT(0:0))
    call avCT(3234, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32572])

    allocate(vertices(8788)%branchCT(0:1))
    call avCT(8788, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_22552])

    call avCT(8788, 1, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_33435])

    allocate(vertices(7891)%branchCT(0:1))
    call avCT(7891, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_35084])

    call avCT(7891, 1, 1, 1, 0, FaSF0, 0, [0, 1], [nGC_35082])

    allocate(vertices(4163)%branchCT(0:1))
    call avCT(4163, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_36182, nGC_36182])

    call avCT(4163, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_36181, nGC_36181])

    allocate(vertices(3247)%branchCT(0:0))
    call avCT(3247, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_33794])

    allocate(vertices(8584)%branchCT(0:1))
    call avCT(8584, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_22552])

    call avCT(8584, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32467])

    allocate(vertices(8587)%branchCT(0:0))
    call avCT(8587, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_35182])

    allocate(vertices(4796)%branchCT(0:1))
    call avCT(4796, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34218])

    call avCT(4796, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34215])

    allocate(vertices(8794)%branchCT(0:1))
    call avCT(8794, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_34904, nGC_34904])

    call avCT(8794, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_34902, nGC_34902])

    allocate(vertices(4165)%branchCT(0:1))
    call avCT(4165, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32346])

    call avCT(4165, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32342])

    allocate(vertices(8600)%branchCT(0:1))
    call avCT(8600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33545])

    call avCT(8600, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33542])

    allocate(vertices(4166)%branchCT(0:0))
    call avCT(4166, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_35182])

    allocate(vertices(6494)%branchCT(0:1))
    call avCT(6494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35132])

    call avCT(6494, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35129])

    allocate(vertices(8796)%branchCT(0:1))
    call avCT(8796, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32182])

    call avCT(8796, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32179])

    allocate(vertices(5667)%branchCT(0:1))
    call avCT(5667, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32261])

    call avCT(5667, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32257])

    allocate(vertices(10467)%branchCT(0:0))
    call avCT(10467, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33305])

    allocate(vertices(8797)%branchCT(0:1))
    call avCT(8797, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32422])

    call avCT(8797, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32418])

    allocate(vertices(8798)%branchCT(0:1))
    call avCT(8798, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_22503])

    call avCT(8798, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_35675])

    allocate(vertices(8799)%branchCT(0:1))
    call avCT(8799, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_35766])

    call avCT(8799, 1, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_35765])

    allocate(vertices(10468)%branchCT(0:1))
    call avCT(10468, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_57185, nGC_56575])

    call avCT(10468, 1, 13, 1, 0, VS0, 0, [0, 0], [nGC_56572])

    allocate(vertices(10469)%branchCT(0:0))
    call avCT(10469, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32281])

    allocate(vertices(8630)%branchCT(0:1))
    call avCT(8630, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_36088])

    call avCT(8630, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32799])

    allocate(vertices(10470)%branchCT(0:0))
    call avCT(10470, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_33368])

    allocate(vertices(4171)%branchCT(0:0))
    call avCT(4171, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32131])

    allocate(vertices(7644)%branchCT(0:0))
    call avCT(7644, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32495])

    allocate(vertices(8805)%branchCT(0:0))
    call avCT(8805, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_35509, nGC_35508,       &
    nGC_35509])

    allocate(vertices(8807)%branchCT(0:1))
    call avCT(8807, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32910])

    call avCT(8807, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32907])

    allocate(vertices(10471)%branchCT(0:0))
    call avCT(10471, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32902])

    allocate(vertices(7555)%branchCT(0:1))
    call avCT(7555, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32676])

    call avCT(7555, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32673])

    allocate(vertices(10472)%branchCT(0:0))
    call avCT(10472, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32365])

    allocate(vertices(10473)%branchCT(0:0))
    call avCT(10473, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_33371])

    allocate(vertices(8612)%branchCT(0:0))
    call avCT(8612, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32495])

    allocate(vertices(125)%branchCT(0:1))
    call avCT(125, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_34230, nGC_34231])

    call avCT(125, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_34233, nGC_34234])

    allocate(vertices(4900)%branchCT(0:0))
    call avCT(4900, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32490])

    allocate(vertices(10474)%branchCT(0:0))
    call avCT(10474, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32190])

    allocate(vertices(3022)%branchCT(0:1))
    call avCT(3022, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32660])

    call avCT(3022, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32658])

    allocate(vertices(10475)%branchCT(0:0))
    call avCT(10475, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32281])

    allocate(vertices(8813)%branchCT(0:1))
    call avCT(8813, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_34541, nGC_34542])

    call avCT(8813, 1, 1, 1, 0, FaSF1, 0, [0, 1], [nGC_34543, nGC_34538])

    allocate(vertices(10476)%branchCT(0:0))
    call avCT(10476, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34175])

    allocate(vertices(7945)%branchCT(0:1))
    call avCT(7945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32275])

    call avCT(7945, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32270])

    allocate(vertices(4179)%branchCT(0:0))
    call avCT(4179, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_33897])

    allocate(vertices(10477)%branchCT(0:0))
    call avCT(10477, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32281])

    allocate(vertices(8815)%branchCT(0:0))
    call avCT(8815, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_33564])

    allocate(vertices(8816)%branchCT(0:1))
    call avCT(8816, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_36306])

    call avCT(8816, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_36304])

    allocate(vertices(4452)%branchCT(0:0))
    call avCT(4452, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_32465])

    allocate(vertices(4183)%branchCT(0:0))
    call avCT(4183, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_32899])

    allocate(vertices(8819)%branchCT(0:0))
    call avCT(8819, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32160])

    allocate(vertices(8506)%branchCT(0:1))
    call avCT(8506, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_22552])

    call avCT(8506, 1, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_33435])

    allocate(vertices(10478)%branchCT(0:0))
    call avCT(10478, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32365])

    allocate(vertices(8084)%branchCT(0:1))
    call avCT(8084, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33252])

    call avCT(8084, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33249])

    allocate(vertices(10479)%branchCT(0:0))
    call avCT(10479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34175])

    allocate(vertices(10480)%branchCT(0:0))
    call avCT(10480, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33061])

    allocate(vertices(10481)%branchCT(0:0))
    call avCT(10481, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32365])

    allocate(vertices(3535)%branchCT(0:1))
    call avCT(3535, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_22502])

    call avCT(3535, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_33206])

    allocate(vertices(10482)%branchCT(0:0))
    call avCT(10482, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_34276])

    allocate(vertices(7216)%branchCT(0:1))
    call avCT(7216, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_22552])

    call avCT(7216, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_33435])

    allocate(vertices(10483)%branchCT(0:0))
    call avCT(10483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32902])

    allocate(vertices(10484)%branchCT(0:0))
    call avCT(10484, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_57295, nGC_57294])

    allocate(vertices(8654)%branchCT(0:1))
    call avCT(8654, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32254])

    call avCT(8654, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32250])

    allocate(vertices(4190)%branchCT(0:1))
    call avCT(4190, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32622])

    call avCT(4190, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32619])

    allocate(vertices(10485)%branchCT(0:0))
    call avCT(10485, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32478])

    allocate(vertices(8828)%branchCT(0:1))
    call avCT(8828, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_35353, nGC_35353])

    call avCT(8828, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_35355, nGC_35355])

    allocate(vertices(2108)%branchCT(0:0))
    call avCT(2108, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_35022])

    allocate(vertices(4192)%branchCT(0:1))
    call avCT(4192, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32871])

    call avCT(4192, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32867])

    allocate(vertices(8809)%branchCT(0:1))
    call avCT(8809, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_34603, nGC_34604])

    call avCT(8809, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_34601, nGC_34602])

    allocate(vertices(131)%branchCT(0:0))
    call avCT(131, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32720])

    allocate(vertices(4193)%branchCT(0:0))
    call avCT(4193, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32460])

    allocate(vertices(4194)%branchCT(0:0))
    call avCT(4194, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_34883])

    allocate(vertices(10486)%branchCT(0:0))
    call avCT(10486, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_34271])

    allocate(vertices(8801)%branchCT(0:0))
    call avCT(8801, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_33897])

    allocate(vertices(1661)%branchCT(0:0))
    call avCT(1661, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_35204])

    allocate(vertices(1586)%branchR2(0:0))
    call avR2(1586, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(7852)%branchR2(0:0))
    call avR2(7852, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(147)%branchR2(0:0))
    call avR2(147, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(10487)%branchR2(0:0))
    call avR2(10487, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22318])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(2025)%branchR2(0:0))
    call avR2(2025, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22144])

    allocate(vertices(10451)%branchR2(0:0))
    call avR2(10451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(7033)%branchR2(0:0))
    call avR2(7033, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(9915)%branchR2(0:0))
    call avR2(9915, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(1593)%branchR2(0:1))
    call avR2(1593, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22136, nGC_22134])

    call avR2(1593, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22137, nGC_22135])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3085)%branchR2(0:0))
    call avR2(3085, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(9919)%branchR2(0:0))
    call avR2(9919, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2489)%branchR2(0:3))
    call avR2(2489, 0, 116, 1, 0, VFFa0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(2489, 1, 116, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(2489, 2, 117, 1, 0, VFFa0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(2489, 3, 117, 1, 0, VFFa0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(8139)%branchR2(0:0))
    call avR2(8139, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(4235)%branchR2(0:0))
    call avR2(4235, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(4891)%branchR2(0:3))
    call avR2(4891, 0, 114, 1, 0, FaFV0, 0, [1, 2], [nGC_22297, nGC_22296])

    call avR2(4891, 1, 114, 1, 0, FaFV0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(4891, 2, 115, 1, 0, FaFV0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(4891, 3, 115, 1, 0, FaFV0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(174)%branchR2(0:0))
    call avR2(174, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22257])

    allocate(vertices(3419)%branchR2(0:0))
    call avR2(3419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(5274)%branchR2(0:0))
    call avR2(5274, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22054])

    allocate(vertices(10488)%branchR2(0:1))
    call avR2(10488, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22378])

    call avR2(10488, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22377])

    allocate(vertices(8856)%branchR2(0:0))
    call avR2(8856, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(10489)%branchR2(0:0))
    call avR2(10489, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22320])

    allocate(vertices(9023)%branchR2(0:0))
    call avR2(9023, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(4378)%branchR2(0:0))
    call avR2(4378, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(2053)%branchR2(0:0))
    call avR2(2053, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22271, nGC_22272])

    allocate(vertices(8692)%branchR2(0:0))
    call avR2(8692, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(3942)%branchR2(0:0))
    call avR2(3942, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8591)%branchR2(0:0))
    call avR2(8591, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(7259)%branchR2(0:0))
    call avR2(7259, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(1553)%branchR2(0:0))
    call avR2(1553, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(534)%branchR2(0:0))
    call avR2(534, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22038, nGC_22039])

    allocate(vertices(5279)%branchR2(0:0))
    call avR2(5279, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(10490)%branchR2(0:1))
    call avR2(10490, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22377])

    call avR2(10490, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22378])

    allocate(vertices(8353)%branchR2(0:0))
    call avR2(8353, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7896)%branchR2(0:0))
    call avR2(7896, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22148])

    allocate(vertices(9758)%branchR2(0:0))
    call avR2(9758, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(2926)%branchR2(0:0))
    call avR2(2926, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(53)%branchR2(0:0))
    call avR2(53, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57407])

    allocate(vertices(6137)%branchR2(0:0))
    call avR2(6137, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10322)%branchR2(0:0))
    call avR2(10322, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21968, nGC_21967])

    allocate(vertices(2665)%branchR2(0:0))
    call avR2(2665, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(277)%branchR2(0:0))
    call avR2(277, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(7927)%branchR2(0:0))
    call avR2(7927, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(8968)%branchR2(0:0))
    call avR2(8968, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(10491)%branchR2(0:5))
    call avR2(10491, 0, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10491, 1, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10491, 2, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10491, 3, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    call avR2(10491, 4, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,    &
    nGC_22488])

    call avR2(10491, 5, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    allocate(vertices(2728)%branchR2(0:0))
    call avR2(2728, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5001)%branchR2(0:0))
    call avR2(5001, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(2735)%branchR2(0:1))
    call avR2(2735, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22199, nGC_22199])

    call avR2(2735, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22197, nGC_22198])

    allocate(vertices(2603)%branchR2(0:0))
    call avR2(2603, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(3515)%branchR2(0:0))
    call avR2(3515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4500)%branchR2(0:0))
    call avR2(4500, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(3789)%branchR2(0:1))
    call avR2(3789, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(3789, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22268, nGC_22267])

    allocate(vertices(6486)%branchR2(0:0))
    call avR2(6486, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(3196)%branchR2(0:0))
    call avR2(3196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10492)%branchR2(0:0))
    call avR2(10492, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22337, nGC_22336,      &
    nGC_22337])

    allocate(vertices(9867)%branchR2(0:0))
    call avR2(9867, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

    allocate(vertices(5346)%branchR2(0:0))
    call avR2(5346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(10493)%branchR2(0:0))
    call avR2(10493, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22318])

    allocate(vertices(8097)%branchR2(0:0))
    call avR2(8097, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(4420)%branchR2(0:0))
    call avR2(4420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(6200)%branchR2(0:0))
    call avR2(6200, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22323, nGC_22322,       &
    nGC_22321])

    allocate(vertices(10044)%branchR2(0:0))
    call avR2(10044, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57446])

    allocate(vertices(9394)%branchR2(0:0))
    call avR2(9394, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(7076)%branchR2(0:0))
    call avR2(7076, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(7017)%branchR2(0:0))
    call avR2(7017, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(2850)%branchR2(0:0))
    call avR2(2850, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10201)%branchR2(0:0))
    call avR2(10201, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(10494)%branchR2(0:0))
    call avR2(10494, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(987)%branchR2(0:0))
    call avR2(987, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57454])

    allocate(vertices(9911)%branchR2(0:0))
    call avR2(9911, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(6706)%branchR2(0:0))
    call avR2(6706, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22052])

    allocate(vertices(6067)%branchR2(0:0))
    call avR2(6067, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(7306)%branchR2(0:1))
    call avR2(7306, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22159, nGC_22161])

    call avR2(7306, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22160, nGC_22162])

    allocate(vertices(9448)%branchR2(0:0))
    call avR2(9448, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22007])

    allocate(vertices(940)%branchR2(0:0))
    call avR2(940, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(8358)%branchR2(0:0))
    call avR2(8358, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5169)%branchR2(0:0))
    call avR2(5169, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22054])

    allocate(vertices(6608)%branchR2(0:0))
    call avR2(6608, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22144])

    allocate(vertices(3815)%branchR2(0:0))
    call avR2(3815, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(5244)%branchR2(0:0))
    call avR2(5244, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10495)%branchR2(0:0))
    call avR2(10495, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(3631)%branchR2(0:0))
    call avR2(3631, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22323, nGC_22321,       &
    nGC_22322])

    allocate(vertices(8780)%branchR2(0:0))
    call avR2(8780, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22472])

    allocate(vertices(2879)%branchR2(0:3))
    call avR2(2879, 0, 116, 1, 0, VFFa0, 0, [1, 2], [nGC_22297, nGC_22296])

    call avR2(2879, 1, 116, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(2879, 2, 117, 1, 0, VFFa0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(2879, 3, 117, 1, 0, VFFa0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(908)%branchR2(0:0))
    call avR2(908, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(9385)%branchR2(0:0))
    call avR2(9385, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5697)%branchR2(0:0))
    call avR2(5697, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(8568)%branchR2(0:0))
    call avR2(8568, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22322,       &
    nGC_22323])

    allocate(vertices(3223)%branchR2(0:1))
    call avR2(3223, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22063, nGC_22065])

    call avR2(3223, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22064, nGC_22066])

    allocate(vertices(9000)%branchR2(0:0))
    call avR2(9000, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22016])

    allocate(vertices(4078)%branchR2(0:1))
    call avR2(4078, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22063, nGC_22065])

    call avR2(4078, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22064, nGC_22066])

    allocate(vertices(9608)%branchR2(0:0))
    call avR2(9608, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(3062)%branchR2(0:3))
    call avR2(3062, 0, 118, 1, 0, VFaF0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(3062, 1, 118, 1, 0, VFaF0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(3062, 2, 119, 1, 0, VFaF0, 0, [1, 2], [nGC_22305, nGC_22304])

    call avR2(3062, 3, 119, 1, 0, VFaF0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(9367)%branchR2(0:0))
    call avR2(9367, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(3749)%branchR2(0:1))
    call avR2(3749, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(3749, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22035, nGC_22034])

    allocate(vertices(10496)%branchR2(0:1))
    call avR2(10496, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22484, nGC_22484,    &
    nGC_22484])

    call avR2(10496, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,    &
    nGC_22485])

    allocate(vertices(6588)%branchR2(0:0))
    call avR2(6588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10128)%branchR2(0:0))
    call avR2(10128, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(7513)%branchR2(0:0))
    call avR2(7513, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(4510)%branchR2(0:0))
    call avR2(4510, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22148])

    allocate(vertices(10235)%branchR2(0:0))
    call avR2(10235, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(313)%branchR2(0:0))
    call avR2(313, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(6042)%branchR2(0:0))
    call avR2(6042, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(9838)%branchR2(0:0))
    call avR2(9838, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1620)%branchR2(0:0))
    call avR2(1620, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9331)%branchR2(0:0))
    call avR2(9331, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22016])

    allocate(vertices(5574)%branchR2(0:0))
    call avR2(5574, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2737)%branchR2(0:0))
    call avR2(2737, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(8077)%branchR2(0:0))
    call avR2(8077, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22174, nGC_22173])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(7321)%branchR2(0:0))
    call avR2(7321, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(8863)%branchR2(0:0))
    call avR2(8863, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21960, nGC_21959])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(638)%branchR2(0:1))
    call avR2(638, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22217, nGC_22218])

    call avR2(638, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22219, nGC_22219])

    allocate(vertices(9156)%branchR2(0:0))
    call avR2(9156, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(10497)%branchR2(0:0))
    call avR2(10497, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(2077)%branchR2(0:0))
    call avR2(2077, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(6730)%branchR2(0:0))
    call avR2(6730, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(7257)%branchR2(0:0))
    call avR2(7257, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(6185)%branchR2(0:0))
    call avR2(6185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(1179)%branchR2(0:0))
    call avR2(1179, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(8993)%branchR2(0:0))
    call avR2(8993, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5170)%branchR2(0:0))
    call avR2(5170, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3764)%branchR2(0:0))
    call avR2(3764, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3562)%branchR2(0:0))
    call avR2(3562, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(2507)%branchR2(0:0))
    call avR2(2507, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57545])

    allocate(vertices(5495)%branchR2(0:0))
    call avR2(5495, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(10498)%branchR2(0:0))
    call avR2(10498, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(6837)%branchR2(0:0))
    call avR2(6837, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22027, nGC_22028])

    allocate(vertices(2233)%branchR2(0:0))
    call avR2(2233, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(3331)%branchR2(0:0))
    call avR2(3331, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22477, nGC_22478,       &
    nGC_22478])

    allocate(vertices(7612)%branchR2(0:0))
    call avR2(7612, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(4338)%branchR2(0:1))
    call avR2(4338, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(4338, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22026, nGC_22025])

    allocate(vertices(3426)%branchR2(0:0))
    call avR2(3426, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22274])

    allocate(vertices(3392)%branchR2(0:1))
    call avR2(3392, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22265, nGC_22263])

    call avR2(3392, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22266, nGC_22264])

    allocate(vertices(8250)%branchR2(0:0))
    call avR2(8250, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(2838)%branchR2(0:0))
    call avR2(2838, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(6016)%branchR2(0:0))
    call avR2(6016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(10499)%branchR2(0:1))
    call avR2(10499, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22480])

    call avR2(10499, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22479])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22216, nGC_22215])

    allocate(vertices(8461)%branchR2(0:0))
    call avR2(8461, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22323, nGC_22321,       &
    nGC_22322])

    allocate(vertices(2278)%branchR2(0:0))
    call avR2(2278, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(4413)%branchR2(0:0))
    call avR2(4413, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(504)%branchR2(0:1))
    call avR2(504, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22265, nGC_22263])

    call avR2(504, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22266, nGC_22264])

    allocate(vertices(4839)%branchR2(0:0))
    call avR2(4839, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(5696)%branchR2(0:0))
    call avR2(5696, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22477,       &
    nGC_22478])

    allocate(vertices(2051)%branchR2(0:0))
    call avR2(2051, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(7086)%branchR2(0:1))
    call avR2(7086, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22251])

    call avR2(7086, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22256])

    allocate(vertices(9972)%branchR2(0:0))
    call avR2(9972, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5193)%branchR2(0:0))
    call avR2(5193, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22068])

    allocate(vertices(9031)%branchR2(0:0))
    call avR2(9031, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22359])

    allocate(vertices(3794)%branchR2(0:0))
    call avR2(3794, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(7822)%branchR2(0:0))
    call avR2(7822, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22126])

    allocate(vertices(8206)%branchR2(0:0))
    call avR2(8206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(1701)%branchR2(0:0))
    call avR2(1701, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22273])

    allocate(vertices(10500)%branchR2(0:1))
    call avR2(10500, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22430])

    call avR2(10500, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22429])

    allocate(vertices(10067)%branchR2(0:0))
    call avR2(10067, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(10501)%branchR2(0:0))
    call avR2(10501, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(6336)%branchR2(0:0))
    call avR2(6336, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(10502)%branchR2(0:1))
    call avR2(10502, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    call avR2(10502, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    allocate(vertices(9756)%branchR2(0:0))
    call avR2(9756, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(3287)%branchR2(0:1))
    call avR2(3287, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22055, nGC_22057])

    call avR2(3287, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22056, nGC_22058])

    allocate(vertices(2296)%branchR2(0:0))
    call avR2(2296, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22069])

    allocate(vertices(8308)%branchR2(0:0))
    call avR2(8308, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(2520)%branchR2(0:0))
    call avR2(2520, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10187)%branchR2(0:0))
    call avR2(10187, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(10015)%branchR2(0:0))
    call avR2(10015, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22432])

    allocate(vertices(4156)%branchR2(0:0))
    call avR2(4156, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(4183)%branchR2(0:0))
    call avR2(4183, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22143])

    allocate(vertices(1869)%branchR2(0:0))
    call avR2(1869, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(8362)%branchR2(0:0))
    call avR2(8362, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(6840)%branchR2(0:0))
    call avR2(6840, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(7310)%branchR2(0:0))
    call avR2(7310, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(493)%branchR2(0:0))
    call avR2(493, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(10503)%branchR2(0:0))
    call avR2(10503, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22431])

    allocate(vertices(3086)%branchR2(0:0))
    call avR2(3086, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(6233)%branchR2(0:0))
    call avR2(6233, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(2055)%branchR2(0:1))
    call avR2(2055, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22226, nGC_22227])

    call avR2(2055, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22228, nGC_22228])

    allocate(vertices(8862)%branchR2(0:0))
    call avR2(8862, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(6188)%branchR2(0:0))
    call avR2(6188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(9340)%branchR2(0:0))
    call avR2(9340, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

    allocate(vertices(2274)%branchR2(0:1))
    call avR2(2274, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22058, nGC_22056])

    call avR2(2274, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(7387)%branchR2(0:0))
    call avR2(7387, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(10414)%branchR2(0:0))
    call avR2(10414, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(3550)%branchR2(0:0))
    call avR2(3550, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(6069)%branchR2(0:0))
    call avR2(6069, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(8732)%branchR2(0:1))
    call avR2(8732, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22141, nGC_22139])

    call avR2(8732, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22154, nGC_22153])

    allocate(vertices(2752)%branchR2(0:0))
    call avR2(2752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(2566)%branchR2(0:0))
    call avR2(2566, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3325)%branchR2(0:0))
    call avR2(3325, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(1033)%branchR2(0:1))
    call avR2(1033, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22265, nGC_22263])

    call avR2(1033, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22266, nGC_22264])

    allocate(vertices(3433)%branchR2(0:1))
    call avR2(3433, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(3433, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22268, nGC_22267])

    allocate(vertices(2389)%branchR2(0:0))
    call avR2(2389, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9262)%branchR2(0:0))
    call avR2(9262, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(4577)%branchR2(0:0))
    call avR2(4577, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22108, nGC_22107])

    allocate(vertices(7855)%branchR2(0:0))
    call avR2(7855, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(1721)%branchR2(0:1))
    call avR2(1721, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22243, nGC_22243])

    call avR2(1721, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22241, nGC_22242])

    allocate(vertices(4720)%branchR2(0:0))
    call avR2(4720, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(6903)%branchR2(0:0))
    call avR2(6903, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(6680)%branchR2(0:0))
    call avR2(6680, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(5948)%branchR2(0:0))
    call avR2(5948, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57545])

    allocate(vertices(4821)%branchR2(0:0))
    call avR2(4821, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(9286)%branchR2(0:0))
    call avR2(9286, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(9993)%branchR2(0:0))
    call avR2(9993, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(259)%branchR2(0:0))
    call avR2(259, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(8124)%branchR2(0:0))
    call avR2(8124, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22067])

    allocate(vertices(9864)%branchR2(0:0))
    call avR2(9864, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(10450)%branchR2(0:0))
    call avR2(10450, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(8357)%branchR2(0:0))
    call avR2(8357, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22357,       &
    nGC_22358])

    allocate(vertices(3590)%branchR2(0:0))
    call avR2(3590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10504)%branchR2(0:0))
    call avR2(10504, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(8520)%branchR2(0:0))
    call avR2(8520, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3842)%branchR2(0:0))
    call avR2(3842, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(6891)%branchR2(0:0))
    call avR2(6891, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(2845)%branchR2(0:0))
    call avR2(2845, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(7318)%branchR2(0:0))
    call avR2(7318, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(1656)%branchR2(0:0))
    call avR2(1656, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22271, nGC_22272])

    allocate(vertices(10505)%branchR2(0:1))
    call avR2(10505, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22441])

    call avR2(10505, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22440])

    allocate(vertices(4531)%branchR2(0:0))
    call avR2(4531, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9792)%branchR2(0:0))
    call avR2(9792, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

    allocate(vertices(6805)%branchR2(0:0))
    call avR2(6805, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22142])

    allocate(vertices(5142)%branchR2(0:0))
    call avR2(5142, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(8178)%branchR2(0:0))
    call avR2(8178, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22465])

    allocate(vertices(6619)%branchR2(0:1))
    call avR2(6619, 0, 2, 1, 0, VVV1, 0, [3, 0], [nGC_57692])

    call avR2(6619, 1, 3, 1, 0, VVV1, 0, [3, 0], [nGC_57690])

    allocate(vertices(10506)%branchR2(0:1))
    call avR2(10506, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22394])

    call avR2(10506, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(10507)%branchR2(0:1))
    call avR2(10507, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22394])

    call avR2(10507, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(5921)%branchR2(0:0))
    call avR2(5921, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9013)%branchR2(0:0))
    call avR2(9013, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(4496)%branchR2(0:0))
    call avR2(4496, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(8219)%branchR2(0:0))
    call avR2(8219, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(255)%branchR2(0:1))
    call avR2(255, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22136, nGC_22134])

    call avR2(255, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22137, nGC_22135])

    allocate(vertices(4570)%branchR2(0:0))
    call avR2(4570, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10508)%branchR2(0:1))
    call avR2(10508, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22350, nGC_22350,    &
    nGC_22350])

    call avR2(10508, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22351, nGC_22351,    &
    nGC_22351])

    allocate(vertices(4796)%branchR2(0:0))
    call avR2(4796, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(1676)%branchR2(0:0))
    call avR2(1676, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22018])

    allocate(vertices(10509)%branchR2(0:0))
    call avR2(10509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(9633)%branchR2(0:0))
    call avR2(9633, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(712)%branchR2(0:3))
    call avR2(712, 0, 114, 1, 0, FaFV0, 0, [1, 2], [nGC_22302, nGC_22301])

    call avR2(712, 1, 114, 1, 0, FaFV0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(712, 2, 115, 1, 0, FaFV0, 0, [1, 2], [nGC_22299, nGC_22298])

    call avR2(712, 3, 115, 1, 0, FaFV0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(10510)%branchR2(0:0))
    call avR2(10510, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(8628)%branchR2(0:0))
    call avR2(8628, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(10511)%branchR2(0:0))
    call avR2(10511, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(6050)%branchR2(0:0))
    call avR2(6050, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10156)%branchR2(0:0))
    call avR2(10156, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1937)%branchR2(0:0))
    call avR2(1937, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(10512)%branchR2(0:0))
    call avR2(10512, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(3417)%branchR2(0:0))
    call avR2(3417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(6534)%branchR2(0:1))
    call avR2(6534, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22101, nGC_22103])

    call avR2(6534, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22102, nGC_22104])

    allocate(vertices(7268)%branchR2(0:0))
    call avR2(7268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(8153)%branchR2(0:0))
    call avR2(8153, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(5838)%branchR2(0:0))
    call avR2(5838, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(7651)%branchR2(0:0))
    call avR2(7651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(2985)%branchR2(0:0))
    call avR2(2985, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22274])

    allocate(vertices(8956)%branchR2(0:0))
    call avR2(8956, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22468])

    allocate(vertices(2283)%branchR2(0:0))
    call avR2(2283, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(998)%branchR2(0:0))
    call avR2(998, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(10513)%branchR2(0:1))
    call avR2(10513, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22464])

    call avR2(10513, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22463])

    allocate(vertices(5073)%branchR2(0:0))
    call avR2(5073, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(9619)%branchR2(0:0))
    call avR2(9619, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22432])

    allocate(vertices(9415)%branchR2(0:0))
    call avR2(9415, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7458)%branchR2(0:1))
    call avR2(7458, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(7458, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(8917)%branchR2(0:0))
    call avR2(8917, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(5412)%branchR2(0:0))
    call avR2(5412, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(7573)%branchR2(0:0))
    call avR2(7573, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(10338)%branchR2(0:0))
    call avR2(10338, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(9853)%branchR2(0:0))
    call avR2(9853, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(8227)%branchR2(0:0))
    call avR2(8227, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(8462)%branchR2(0:0))
    call avR2(8462, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(10334)%branchR2(0:0))
    call avR2(10334, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7197)%branchR2(0:0))
    call avR2(7197, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(373)%branchR2(0:0))
    call avR2(373, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22029, nGC_22030])

    allocate(vertices(5312)%branchR2(0:0))
    call avR2(5312, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22357,       &
    nGC_22356])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(7755)%branchR2(0:0))
    call avR2(7755, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2616)%branchR2(0:0))
    call avR2(2616, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(8563)%branchR2(0:1))
    call avR2(8563, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(8563, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(10514)%branchR2(0:0))
    call avR2(10514, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(10515)%branchR2(0:0))
    call avR2(10515, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22326,      &
    nGC_22326])

    allocate(vertices(2423)%branchR2(0:0))
    call avR2(2423, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10516)%branchR2(0:0))
    call avR2(10516, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(9778)%branchR2(0:0))
    call avR2(9778, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57774])

    allocate(vertices(7377)%branchR2(0:0))
    call avR2(7377, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(6165)%branchR2(0:0))
    call avR2(6165, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5913)%branchR2(0:0))
    call avR2(5913, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22257])

    allocate(vertices(10330)%branchR2(0:0))
    call avR2(10330, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2525)%branchR2(0:0))
    call avR2(2525, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22274])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(10394)%branchR2(0:0))
    call avR2(10394, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_21998])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57783])

    allocate(vertices(10449)%branchR2(0:0))
    call avR2(10449, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(5042)%branchR2(0:0))
    call avR2(5042, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22142])

    allocate(vertices(9524)%branchR2(0:0))
    call avR2(9524, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(10517)%branchR2(0:0))
    call avR2(10517, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(10518)%branchR2(0:1))
    call avR2(10518, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22351, nGC_22351,    &
    nGC_22351])

    call avR2(10518, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22350, nGC_22350,    &
    nGC_22350])

    allocate(vertices(9717)%branchR2(0:0))
    call avR2(9717, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(9667)%branchR2(0:0))
    call avR2(9667, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(9465)%branchR2(0:0))
    call avR2(9465, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_21952, nGC_21951,        &
    nGC_21953])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57796])

    allocate(vertices(7252)%branchR2(0:0))
    call avR2(7252, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(4132)%branchR2(0:0))
    call avR2(4132, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(7656)%branchR2(0:1))
    call avR2(7656, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22138, nGC_22140])

    call avR2(7656, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22139, nGC_22141])

    allocate(vertices(2877)%branchR2(0:0))
    call avR2(2877, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22458])

    allocate(vertices(9827)%branchR2(0:0))
    call avR2(9827, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(5275)%branchR2(0:0))
    call avR2(5275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(1154)%branchR2(0:0))
    call avR2(1154, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(7577)%branchR2(0:0))
    call avR2(7577, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(6029)%branchR2(0:0))
    call avR2(6029, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

    allocate(vertices(1933)%branchR2(0:1))
    call avR2(1933, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22246, nGC_22247])

    call avR2(1933, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22248, nGC_22248])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(8269)%branchR2(0:0))
    call avR2(8269, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(4237)%branchR2(0:0))
    call avR2(4237, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(7595)%branchR2(0:0))
    call avR2(7595, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(5322)%branchR2(0:0))
    call avR2(5322, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(8846)%branchR2(0:0))
    call avR2(8846, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22468])

    allocate(vertices(1554)%branchR2(0:1))
    call avR2(1554, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(1554, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(7385)%branchR2(0:0))
    call avR2(7385, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22193])

    allocate(vertices(8518)%branchR2(0:0))
    call avR2(8518, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22316])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(5920)%branchR2(0:0))
    call avR2(5920, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22067])

    allocate(vertices(2254)%branchR2(0:1))
    call avR2(2254, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22133, nGC_22131])

    call avR2(2254, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22152, nGC_22151])

    allocate(vertices(8603)%branchR2(0:1))
    call avR2(8603, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22231, nGC_22231])

    call avR2(8603, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22229, nGC_22230])

    allocate(vertices(4467)%branchR2(0:0))
    call avR2(4467, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10519)%branchR2(0:1))
    call avR2(10519, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22378])

    call avR2(10519, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22377])

    allocate(vertices(2843)%branchR2(0:0))
    call avR2(2843, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(5534)%branchR2(0:1))
    call avR2(5534, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22135, nGC_22137])

    call avR2(5534, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22149, nGC_22150])

    allocate(vertices(5833)%branchR2(0:0))
    call avR2(5833, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(495)%branchR2(0:0))
    call avR2(495, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22274])

    allocate(vertices(4010)%branchR2(0:0))
    call avR2(4010, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(1682)%branchR2(0:0))
    call avR2(1682, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(5909)%branchR2(0:1))
    call avR2(5909, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22035, nGC_22034])

    call avR2(5909, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(10520)%branchR2(0:1))
    call avR2(10520, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22441])

    call avR2(10520, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22440])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57852])

    allocate(vertices(8665)%branchR2(0:0))
    call avR2(8665, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(10521)%branchR2(0:0))
    call avR2(10521, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(3822)%branchR2(0:1))
    call avR2(3822, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(3822, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(2598)%branchR2(0:0))
    call avR2(2598, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(10522)%branchR2(0:1))
    call avR2(10522, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10522, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(2890)%branchR2(0:0))
    call avR2(2890, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(10523)%branchR2(0:0))
    call avR2(10523, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(4221)%branchR2(0:0))
    call avR2(4221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(2321)%branchR2(0:0))
    call avR2(2321, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1611)%branchR2(0:0))
    call avR2(1611, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(3267)%branchR2(0:0))
    call avR2(3267, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(6024)%branchR2(0:1))
    call avR2(6024, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(6024, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(9595)%branchR2(0:0))
    call avR2(9595, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22050])

    allocate(vertices(9424)%branchR2(0:0))
    call avR2(9424, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(6049)%branchR2(0:0))
    call avR2(6049, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(6045)%branchR2(0:0))
    call avR2(6045, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(6205)%branchR2(0:0))
    call avR2(6205, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10524)%branchR2(0:1))
    call avR2(10524, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22430])

    call avR2(10524, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22429])

    allocate(vertices(2945)%branchR2(0:0))
    call avR2(2945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10525)%branchR2(0:1))
    call avR2(10525, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22471])

    call avR2(10525, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22470])

    allocate(vertices(7902)%branchR2(0:0))
    call avR2(7902, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(4757)%branchR2(0:0))
    call avR2(4757, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9542)%branchR2(0:0))
    call avR2(9542, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2208)%branchR2(0:1))
    call avR2(2208, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22250])

    call avR2(2208, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22251])

    allocate(vertices(10526)%branchR2(0:0))
    call avR2(10526, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(1849)%branchR2(0:0))
    call avR2(1849, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(7203)%branchR2(0:0))
    call avR2(7203, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57890])

    allocate(vertices(3106)%branchR2(0:0))
    call avR2(3106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(10252)%branchR2(0:0))
    call avR2(10252, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22432])

    allocate(vertices(5069)%branchR2(0:1))
    call avR2(5069, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(5069, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(8000)%branchR2(0:0))
    call avR2(8000, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(1478)%branchR2(0:0))
    call avR2(1478, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22067])

    allocate(vertices(9985)%branchR2(0:0))
    call avR2(9985, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(1857)%branchR2(0:1))
    call avR2(1857, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22214, nGC_22214])

    call avR2(1857, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22212, nGC_22213])

    allocate(vertices(9899)%branchR2(0:0))
    call avR2(9899, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(9249)%branchR2(0:0))
    call avR2(9249, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(2269)%branchR2(0:0))
    call avR2(2269, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1823)%branchR2(0:0))
    call avR2(1823, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1279)%branchR2(0:0))
    call avR2(1279, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22143])

    allocate(vertices(1858)%branchR2(0:0))
    call avR2(1858, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(8561)%branchR2(0:0))
    call avR2(8561, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7119)%branchR2(0:0))
    call avR2(7119, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22091])

    allocate(vertices(4057)%branchR2(0:0))
    call avR2(4057, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22275])

    allocate(vertices(10434)%branchR2(0:0))
    call avR2(10434, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1048)%branchR2(0:1))
    call avR2(1048, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(1048, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22279, nGC_22278])

    allocate(vertices(8072)%branchR2(0:0))
    call avR2(8072, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(10527)%branchR2(0:0))
    call avR2(10527, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(8210)%branchR2(0:0))
    call avR2(8210, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(8217)%branchR2(0:0))
    call avR2(8217, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(1232)%branchR2(0:0))
    call avR2(1232, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22221])

    allocate(vertices(3722)%branchR2(0:0))
    call avR2(3722, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4529)%branchR2(0:0))
    call avR2(4529, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(9122)%branchR2(0:0))
    call avR2(9122, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(10400)%branchR2(0:0))
    call avR2(10400, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(10528)%branchR2(0:0))
    call avR2(10528, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22258])

    allocate(vertices(7223)%branchR2(0:0))
    call avR2(7223, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(7694)%branchR2(0:0))
    call avR2(7694, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(8426)%branchR2(0:0))
    call avR2(8426, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22233, nGC_22232])

    allocate(vertices(9176)%branchR2(0:0))
    call avR2(9176, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8975)%branchR2(0:0))
    call avR2(8975, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(2856)%branchR2(0:0))
    call avR2(2856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(2480)%branchR2(0:0))
    call avR2(2480, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22046])

    allocate(vertices(9788)%branchR2(0:0))
    call avR2(9788, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(6507)%branchR2(0:0))
    call avR2(6507, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(3909)%branchR2(0:0))
    call avR2(3909, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(3588)%branchR2(0:1))
    call avR2(3588, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(3588, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22277, nGC_22276])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(7737)%branchR2(0:0))
    call avR2(7737, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22106, nGC_22105])

    allocate(vertices(5477)%branchR2(0:0))
    call avR2(5477, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(3756)%branchR2(0:0))
    call avR2(3756, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2316)%branchR2(0:0))
    call avR2(2316, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(10529)%branchR2(0:1))
    call avR2(10529, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_22207])

    call avR2(10529, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_22208])

    allocate(vertices(1212)%branchR2(0:0))
    call avR2(1212, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3299)%branchR2(0:0))
    call avR2(3299, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(2930)%branchR2(0:1))
    call avR2(2930, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(2930, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22041, nGC_22040])

    allocate(vertices(9017)%branchR2(0:0))
    call avR2(9017, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(8084)%branchR2(0:0))
    call avR2(8084, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(5891)%branchR2(0:0))
    call avR2(5891, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1252)%branchR2(0:0))
    call avR2(1252, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(9049)%branchR2(0:0))
    call avR2(9049, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57962])

    allocate(vertices(6989)%branchR2(0:1))
    call avR2(6989, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22020, nGC_22019])

    call avR2(6989, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(2806)%branchR2(0:0))
    call avR2(2806, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(9425)%branchR2(0:0))
    call avR2(9425, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10036)%branchR2(0:0))
    call avR2(10036, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(5988)%branchR2(0:0))
    call avR2(5988, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(949)%branchR2(0:0))
    call avR2(949, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(10329)%branchR2(0:0))
    call avR2(10329, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(5075)%branchR2(0:0))
    call avR2(5075, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22191])

    allocate(vertices(7240)%branchR2(0:0))
    call avR2(7240, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(1571)%branchR2(0:0))
    call avR2(1571, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22147])

    allocate(vertices(3270)%branchR2(0:0))
    call avR2(3270, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(4258)%branchR2(0:0))
    call avR2(4258, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(4557)%branchR2(0:0))
    call avR2(4557, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(983)%branchR2(0:0))
    call avR2(983, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(9237)%branchR2(0:0))
    call avR2(9237, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57981])

    allocate(vertices(9041)%branchR2(0:0))
    call avR2(9041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(338)%branchR2(0:1))
    call avR2(338, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22179, nGC_22181])

    call avR2(338, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22180, nGC_22182])

    allocate(vertices(5351)%branchR2(0:0))
    call avR2(5351, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(59)%branchR2(0:0))
    call avR2(59, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22460])

    allocate(vertices(1490)%branchR2(0:0))
    call avR2(1490, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

    allocate(vertices(7425)%branchR2(0:0))
    call avR2(7425, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(3215)%branchR2(0:0))
    call avR2(3215, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10530)%branchR2(0:5))
    call avR2(10530, 0, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10530, 1, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10530, 2, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10530, 3, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    call avR2(10530, 4, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,    &
    nGC_22488])

    call avR2(10530, 5, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    allocate(vertices(6935)%branchR2(0:1))
    call avR2(6935, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22185, nGC_22187])

    call avR2(6935, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22186, nGC_22188])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(5862)%branchR2(0:0))
    call avR2(5862, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1086)%branchR2(0:0))
    call avR2(1086, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22157])

    allocate(vertices(5762)%branchR2(0:0))
    call avR2(5762, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(7130)%branchR2(0:0))
    call avR2(7130, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(3614)%branchR2(0:0))
    call avR2(3614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3378)%branchR2(0:0))
    call avR2(3378, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22068])

    allocate(vertices(8615)%branchR2(0:0))
    call avR2(8615, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(6142)%branchR2(0:0))
    call avR2(6142, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(9399)%branchR2(0:0))
    call avR2(9399, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(5510)%branchR2(0:0))
    call avR2(5510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(5763)%branchR2(0:0))
    call avR2(5763, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(2205)%branchR2(0:0))
    call avR2(2205, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9255)%branchR2(0:0))
    call avR2(9255, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(9398)%branchR2(0:0))
    call avR2(9398, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58018])

    allocate(vertices(6010)%branchR2(0:0))
    call avR2(6010, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22014])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22465])

    allocate(vertices(6630)%branchR2(0:0))
    call avR2(6630, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(9698)%branchR2(0:0))
    call avR2(9698, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57774])

    allocate(vertices(6814)%branchR2(0:0))
    call avR2(6814, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22077])

    allocate(vertices(10531)%branchR2(0:0))
    call avR2(10531, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22319])

    allocate(vertices(3244)%branchR2(0:0))
    call avR2(3244, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(582)%branchR2(0:1))
    call avR2(582, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(582, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(8546)%branchR2(0:1))
    call avR2(8546, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22185, nGC_22187])

    call avR2(8546, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22186, nGC_22188])

    allocate(vertices(9745)%branchR2(0:0))
    call avR2(9745, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22468])

    allocate(vertices(10532)%branchR2(0:0))
    call avR2(10532, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(9368)%branchR2(0:0))
    call avR2(9368, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22031])

    allocate(vertices(1453)%branchR2(0:1))
    call avR2(1453, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22238, nGC_22239])

    call avR2(1453, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22240, nGC_22240])

    allocate(vertices(5523)%branchR2(0:1))
    call avR2(5523, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22199, nGC_22199])

    call avR2(5523, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22197, nGC_22198])

    allocate(vertices(2882)%branchR2(0:0))
    call avR2(2882, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(5765)%branchR2(0:0))
    call avR2(5765, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22067])

    allocate(vertices(9278)%branchR2(0:0))
    call avR2(9278, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22359])

    allocate(vertices(6986)%branchR2(0:0))
    call avR2(6986, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(1058)%branchR2(0:1))
    call avR2(1058, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22061, nGC_22059])

    call avR2(1058, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22062, nGC_22060])

    allocate(vertices(5678)%branchR2(0:0))
    call avR2(5678, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9900)%branchR2(0:0))
    call avR2(9900, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22432])

    allocate(vertices(10248)%branchR2(0:0))
    call avR2(10248, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2668)%branchR2(0:0))
    call avR2(2668, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22077])

    allocate(vertices(8906)%branchR2(0:1))
    call avR2(8906, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21981, nGC_21980,      &
    nGC_21977, nGC_21977])

    call avR2(8906, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21979, nGC_21979,      &
    nGC_21978, nGC_21978])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(6454)%branchR2(0:0))
    call avR2(6454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(4292)%branchR2(0:0))
    call avR2(4292, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22472])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(10007)%branchR2(0:0))
    call avR2(10007, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(7779)%branchR2(0:0))
    call avR2(7779, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22069])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22192])

    allocate(vertices(10311)%branchR2(0:0))
    call avR2(10311, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(5485)%branchR2(0:0))
    call avR2(5485, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(2518)%branchR2(0:0))
    call avR2(2518, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(8342)%branchR2(0:0))
    call avR2(8342, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(5116)%branchR2(0:0))
    call avR2(5116, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(10251)%branchR2(0:0))
    call avR2(10251, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(4602)%branchR2(0:0))
    call avR2(4602, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22235, nGC_22234])

    allocate(vertices(10367)%branchR2(0:0))
    call avR2(10367, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(1561)%branchR2(0:0))
    call avR2(1561, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(5637)%branchR2(0:1))
    call avR2(5637, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22214, nGC_22214])

    call avR2(5637, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22212, nGC_22213])

    allocate(vertices(9159)%branchR2(0:0))
    call avR2(9159, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22468])

    allocate(vertices(3142)%branchR2(0:0))
    call avR2(3142, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(10533)%branchR2(0:0))
    call avR2(10533, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22337, nGC_22337,      &
    nGC_22336])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(3233)%branchR2(0:1))
    call avR2(3233, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22119, nGC_22121])

    call avR2(3233, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22120, nGC_22122])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(3913)%branchR2(0:0))
    call avR2(3913, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(9992)%branchR2(0:0))
    call avR2(9992, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4200)%branchR2(0:0))
    call avR2(4200, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

  end subroutine fill_vertices_mdl20
end module vertices_info20
