!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  implicit none
  contains
  subroutine fill_vertices_mdl21()
    use class_vertices
    use class_couplings
    allocate(vertices(10534)%branchR2(0:0))
    call avR2(10534, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22318])

    allocate(vertices(872)%branchR2(0:0))
    call avR2(872, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(1902)%branchR2(0:0))
    call avR2(1902, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22254])

    allocate(vertices(1517)%branchR2(0:0))
    call avR2(1517, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(545)%branchR2(0:0))
    call avR2(545, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22467])

    allocate(vertices(2410)%branchR2(0:0))
    call avR2(2410, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22222])

    allocate(vertices(5511)%branchR2(0:1))
    call avR2(5511, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22185, nGC_22187])

    call avR2(5511, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22186, nGC_22188])

    allocate(vertices(9754)%branchR2(0:0))
    call avR2(9754, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22432])

    allocate(vertices(9381)%branchR2(0:0))
    call avR2(9381, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(7693)%branchR2(0:0))
    call avR2(7693, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22069])

    allocate(vertices(4065)%branchR2(0:0))
    call avR2(4065, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22323,       &
    nGC_22322])

    allocate(vertices(3118)%branchR2(0:3))
    call avR2(3118, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22302, nGC_22301])

    call avR2(3118, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(3118, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22299, nGC_22298])

    call avR2(3118, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(8028)%branchR2(0:0))
    call avR2(8028, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(5733)%branchR2(0:0))
    call avR2(5733, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(5498)%branchR2(0:0))
    call avR2(5498, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(353)%branchR2(0:0))
    call avR2(353, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(4617)%branchR2(0:1))
    call avR2(4617, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22060, nGC_22062])

    call avR2(4617, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22080, nGC_22081])

    allocate(vertices(3210)%branchR2(0:1))
    call avR2(3210, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22138, nGC_22140])

    call avR2(3210, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22139, nGC_22141])

    allocate(vertices(2185)%branchR2(0:0))
    call avR2(2185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(5035)%branchR2(0:0))
    call avR2(5035, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5210)%branchR2(0:0))
    call avR2(5210, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22044])

    allocate(vertices(10281)%branchR2(0:0))
    call avR2(10281, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21988, nGC_21989,      &
    nGC_22003, nGC_22003])

    allocate(vertices(7533)%branchR2(0:0))
    call avR2(7533, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6382)%branchR2(0:0))
    call avR2(6382, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3027)%branchR2(0:0))
    call avR2(3027, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22254])

    allocate(vertices(1378)%branchR2(0:0))
    call avR2(1378, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22374])

    allocate(vertices(1827)%branchR2(0:0))
    call avR2(1827, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(7539)%branchR2(0:0))
    call avR2(7539, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(2546)%branchR2(0:0))
    call avR2(2546, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58143])

    allocate(vertices(3438)%branchR2(0:0))
    call avR2(3438, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9671)%branchR2(0:0))
    call avR2(9671, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(3293)%branchR2(0:0))
    call avR2(3293, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22482,       &
    nGC_22483])

    allocate(vertices(5617)%branchR2(0:0))
    call avR2(5617, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(10535)%branchR2(0:0))
    call avR2(10535, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22320])

    allocate(vertices(2408)%branchR2(0:0))
    call avR2(2408, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10107)%branchR2(0:0))
    call avR2(10107, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(2064)%branchR2(0:0))
    call avR2(2064, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22090])

    allocate(vertices(6095)%branchR2(0:0))
    call avR2(6095, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(10459)%branchR2(0:0))
    call avR2(10459, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(3024)%branchR2(0:0))
    call avR2(3024, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22357,       &
    nGC_22356])

    allocate(vertices(3863)%branchR2(0:0))
    call avR2(3863, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(1475)%branchR2(0:0))
    call avR2(1475, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(2524)%branchR2(0:0))
    call avR2(2524, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22069])

    allocate(vertices(5877)%branchR2(0:0))
    call avR2(5877, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(10536)%branchR2(0:1))
    call avR2(10536, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10536, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(4768)%branchR2(0:0))
    call avR2(4768, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(6613)%branchR2(0:0))
    call avR2(6613, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(6472)%branchR2(0:0))
    call avR2(6472, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3800)%branchR2(0:0))
    call avR2(3800, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(9751)%branchR2(0:0))
    call avR2(9751, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22031])

    allocate(vertices(9334)%branchR2(0:0))
    call avR2(9334, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10537)%branchR2(0:1))
    call avR2(10537, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22394])

    call avR2(10537, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(9011)%branchR2(0:0))
    call avR2(9011, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(9809)%branchR2(0:0))
    call avR2(9809, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21988, nGC_21989,       &
    nGC_21990, nGC_21990])

    allocate(vertices(9868)%branchR2(0:0))
    call avR2(9868, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_21998])

    allocate(vertices(7839)%branchR2(0:0))
    call avR2(7839, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22010])

    allocate(vertices(4573)%branchR2(0:1))
    call avR2(4573, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22133, nGC_22131])

    call avR2(4573, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22152, nGC_22151])

    allocate(vertices(7398)%branchR2(0:0))
    call avR2(7398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6320)%branchR2(0:0))
    call avR2(6320, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58184])

    allocate(vertices(6604)%branchR2(0:0))
    call avR2(6604, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(9003)%branchR2(0:0))
    call avR2(9003, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(8023)%branchR2(0:0))
    call avR2(8023, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(1391)%branchR2(0:1))
    call avR2(1391, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22250])

    call avR2(1391, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22251])

    allocate(vertices(2857)%branchR2(0:0))
    call avR2(2857, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(6794)%branchR2(0:0))
    call avR2(6794, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(9846)%branchR2(0:0))
    call avR2(9846, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58018])

    allocate(vertices(3079)%branchR2(0:0))
    call avR2(3079, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(6022)%branchR2(0:1))
    call avR2(6022, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(6022, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(1978)%branchR2(0:0))
    call avR2(1978, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1661)%branchR2(0:0))
    call avR2(1661, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22158])

    allocate(vertices(653)%branchR2(0:0))
    call avR2(653, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(9410)%branchR2(0:0))
    call avR2(9410, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(4457)%branchR2(0:0))
    call avR2(4457, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1466)%branchR2(0:0))
    call avR2(1466, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(7290)%branchR2(0:0))
    call avR2(7290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(3429)%branchR2(0:0))
    call avR2(3429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(3594)%branchR2(0:0))
    call avR2(3594, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(3198)%branchR2(0:0))
    call avR2(3198, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58208])

    allocate(vertices(4560)%branchR2(0:0))
    call avR2(4560, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(9525)%branchR2(0:0))
    call avR2(9525, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(2533)%branchR2(0:1))
    call avR2(2533, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(2533, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22279, nGC_22278])

    allocate(vertices(7500)%branchR2(0:0))
    call avR2(7500, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(10538)%branchR2(0:1))
    call avR2(10538, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22447])

    call avR2(10538, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22446])

    allocate(vertices(7443)%branchR2(0:0))
    call avR2(7443, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(10539)%branchR2(0:1))
    call avR2(10539, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22447])

    call avR2(10539, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22446])

    allocate(vertices(5917)%branchR2(0:0))
    call avR2(5917, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4449)%branchR2(0:0))
    call avR2(4449, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22221])

    allocate(vertices(3290)%branchR2(0:0))
    call avR2(3290, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(10540)%branchR2(0:0))
    call avR2(10540, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22368, nGC_22368,      &
    nGC_22368])

    allocate(vertices(7432)%branchR2(0:0))
    call avR2(7432, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9086)%branchR2(0:0))
    call avR2(9086, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(1110)%branchR2(0:0))
    call avR2(1110, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(7967)%branchR2(0:0))
    call avR2(7967, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22068])

    allocate(vertices(9404)%branchR2(0:0))
    call avR2(9404, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21964, nGC_21963])

    allocate(vertices(5516)%branchR2(0:0))
    call avR2(5516, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22478,       &
    nGC_22477])

    allocate(vertices(6248)%branchR2(0:1))
    call avR2(6248, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22179, nGC_22181])

    call avR2(6248, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22180, nGC_22182])

    allocate(vertices(7850)%branchR2(0:0))
    call avR2(7850, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58239])

    allocate(vertices(7192)%branchR2(0:0))
    call avR2(7192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(6106)%branchR2(0:1))
    call avR2(6106, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22023, nGC_22022])

    call avR2(6106, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(10403)%branchR2(0:0))
    call avR2(10403, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_21998])

    allocate(vertices(4269)%branchR2(0:0))
    call avR2(4269, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22222])

    allocate(vertices(8729)%branchR2(0:0))
    call avR2(8729, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22257])

    allocate(vertices(189)%branchR2(0:0))
    call avR2(189, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22027, nGC_22028])

    allocate(vertices(9445)%branchR2(0:0))
    call avR2(9445, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(4991)%branchR2(0:0))
    call avR2(4991, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22077])

    allocate(vertices(5557)%branchR2(0:0))
    call avR2(5557, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10541)%branchR2(0:0))
    call avR2(10541, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(1345)%branchR2(0:0))
    call avR2(1345, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10542)%branchR2(0:1))
    call avR2(10542, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,    &
    nGC_22485])

    call avR2(10542, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22484, nGC_22484,    &
    nGC_22484])

    allocate(vertices(5607)%branchR2(0:0))
    call avR2(5607, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(7179)%branchR2(0:0))
    call avR2(7179, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22148])

    allocate(vertices(6052)%branchR2(0:0))
    call avR2(6052, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(475)%branchR2(0:0))
    call avR2(475, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(7696)%branchR2(0:0))
    call avR2(7696, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4400)%branchR2(0:0))
    call avR2(4400, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(2344)%branchR2(0:0))
    call avR2(2344, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22275])

    allocate(vertices(1632)%branchR2(0:1))
    call avR2(1632, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22066, nGC_22064])

    call avR2(1632, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22083, nGC_22082])

    allocate(vertices(1710)%branchR2(0:0))
    call avR2(1710, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(8235)%branchR2(0:1))
    call avR2(8235, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22130, nGC_22132])

    call avR2(8235, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22131, nGC_22133])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(7036)%branchR2(0:0))
    call avR2(7036, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(9932)%branchR2(0:0))
    call avR2(9932, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(9691)%branchR2(0:0))
    call avR2(9691, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(10543)%branchR2(0:0))
    call avR2(10543, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(7473)%branchR2(0:0))
    call avR2(7473, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10544)%branchR2(0:1))
    call avR2(10544, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10544, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(4475)%branchR2(0:0))
    call avR2(4475, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(516)%branchR2(0:1))
    call avR2(516, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(516, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22283, nGC_22282])

    allocate(vertices(10101)%branchR2(0:0))
    call avR2(10101, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(3725)%branchR2(0:0))
    call avR2(3725, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(1050)%branchR2(0:0))
    call avR2(1050, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22257])

    allocate(vertices(3058)%branchR2(0:1))
    call avR2(3058, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22133, nGC_22131])

    call avR2(3058, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22152, nGC_22151])

    allocate(vertices(3235)%branchR2(0:0))
    call avR2(3235, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58143])

    allocate(vertices(5198)%branchR2(0:0))
    call avR2(5198, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(5293)%branchR2(0:0))
    call avR2(5293, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(5786)%branchR2(0:0))
    call avR2(5786, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22106, nGC_22105])

    allocate(vertices(7444)%branchR2(0:0))
    call avR2(7444, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(8991)%branchR2(0:0))
    call avR2(8991, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22432])

    allocate(vertices(3467)%branchR2(0:0))
    call avR2(3467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(9587)%branchR2(0:0))
    call avR2(9587, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(9125)%branchR2(0:0))
    call avR2(9125, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21960, nGC_21959])

    allocate(vertices(9611)%branchR2(0:0))
    call avR2(9611, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(2433)%branchR2(0:0))
    call avR2(2433, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4377)%branchR2(0:0))
    call avR2(4377, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(9207)%branchR2(0:0))
    call avR2(9207, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(9050)%branchR2(0:0))
    call avR2(9050, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8364)%branchR2(0:0))
    call avR2(8364, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(7506)%branchR2(0:0))
    call avR2(7506, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1485)%branchR2(0:0))
    call avR2(1485, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(3708)%branchR2(0:0))
    call avR2(3708, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22477,       &
    nGC_22478])

    allocate(vertices(1770)%branchR2(0:0))
    call avR2(1770, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(10545)%branchR2(0:0))
    call avR2(10545, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22326,      &
    nGC_22326])

    allocate(vertices(1057)%branchR2(0:0))
    call avR2(1057, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(5157)%branchR2(0:0))
    call avR2(5157, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22067])

    allocate(vertices(1240)%branchR2(0:0))
    call avR2(1240, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(483)%branchR2(0:1))
    call avR2(483, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22130, nGC_22132])

    call avR2(483, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22131, nGC_22133])

    allocate(vertices(9022)%branchR2(0:0))
    call avR2(9022, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7301)%branchR2(0:1))
    call avR2(7301, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(7301, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22037, nGC_22036])

    allocate(vertices(9400)%branchR2(0:0))
    call avR2(9400, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21966, nGC_21965])

    allocate(vertices(2182)%branchR2(0:0))
    call avR2(2182, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22271, nGC_22272])

    allocate(vertices(667)%branchR2(0:0))
    call avR2(667, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(6496)%branchR2(0:0))
    call avR2(6496, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(2811)%branchR2(0:1))
    call avR2(2811, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(2811, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22035, nGC_22034])

    allocate(vertices(2120)%branchR2(0:0))
    call avR2(2120, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(10546)%branchR2(0:1))
    call avR2(10546, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22476])

    call avR2(10546, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22475])

    allocate(vertices(5858)%branchR2(0:0))
    call avR2(5858, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(283)%branchR2(0:0))
    call avR2(283, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22191])

    allocate(vertices(10547)%branchR2(0:0))
    call avR2(10547, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(525)%branchR2(0:0))
    call avR2(525, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22245, nGC_22244])

    allocate(vertices(4257)%branchR2(0:0))
    call avR2(4257, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(735)%branchR2(0:0))
    call avR2(735, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(5894)%branchR2(0:0))
    call avR2(5894, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(4174)%branchR2(0:0))
    call avR2(4174, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(1647)%branchR2(0:1))
    call avR2(1647, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22250])

    call avR2(1647, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22251])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(10548)%branchR2(0:1))
    call avR2(10548, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    call avR2(10548, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    allocate(vertices(1957)%branchR2(0:0))
    call avR2(1957, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(9687)%branchR2(0:0))
    call avR2(9687, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(8183)%branchR2(0:0))
    call avR2(8183, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(10200)%branchR2(0:0))
    call avR2(10200, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22051])

    allocate(vertices(5339)%branchR2(0:1))
    call avR2(5339, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22020, nGC_22019])

    call avR2(5339, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(9136)%branchR2(0:0))
    call avR2(9136, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2469)%branchR2(0:0))
    call avR2(2469, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22321, nGC_22323,       &
    nGC_22322])

    allocate(vertices(2044)%branchR2(0:0))
    call avR2(2044, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(4845)%branchR2(0:0))
    call avR2(4845, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(3126)%branchR2(0:1))
    call avR2(3126, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(3126, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22283, nGC_22282])

    allocate(vertices(4494)%branchR2(0:0))
    call avR2(4494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(2045)%branchR2(0:0))
    call avR2(2045, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22482,       &
    nGC_22483])

    allocate(vertices(10460)%branchR2(0:0))
    call avR2(10460, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22088])

    allocate(vertices(10549)%branchR2(0:0))
    call avR2(10549, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(7454)%branchR2(0:1))
    call avR2(7454, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22209, nGC_22210])

    call avR2(7454, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22211, nGC_22211])

    allocate(vertices(3834)%branchR2(0:0))
    call avR2(3834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10550)%branchR2(0:1))
    call avR2(10550, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10550, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(4017)%branchR2(0:0))
    call avR2(4017, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7591)%branchR2(0:0))
    call avR2(7591, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(2862)%branchR2(0:0))
    call avR2(2862, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(4082)%branchR2(0:0))
    call avR2(4082, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(6449)%branchR2(0:0))
    call avR2(6449, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9357)%branchR2(0:0))
    call avR2(9357, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(5267)%branchR2(0:0))
    call avR2(5267, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(9734)%branchR2(0:0))
    call avR2(9734, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(5013)%branchR2(0:0))
    call avR2(5013, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22067])

    allocate(vertices(8814)%branchR2(0:0))
    call avR2(8814, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(3454)%branchR2(0:1))
    call avR2(3454, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22251])

    call avR2(3454, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22256])

    allocate(vertices(6107)%branchR2(0:0))
    call avR2(6107, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(9793)%branchR2(0:0))
    call avR2(9793, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(6459)%branchR2(0:0))
    call avR2(6459, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(8427)%branchR2(0:0))
    call avR2(8427, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(544)%branchR2(0:0))
    call avR2(544, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(3945)%branchR2(0:1))
    call avR2(3945, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22130, nGC_22132])

    call avR2(3945, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22131, nGC_22133])

    allocate(vertices(9335)%branchR2(0:0))
    call avR2(9335, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(10409)%branchR2(0:0))
    call avR2(10409, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(7129)%branchR2(0:1))
    call avR2(7129, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22055, nGC_22057])

    call avR2(7129, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22056, nGC_22058])

    allocate(vertices(3595)%branchR2(0:0))
    call avR2(3595, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22358,       &
    nGC_22356])

    allocate(vertices(7868)%branchR2(0:0))
    call avR2(7868, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22142])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(9308)%branchR2(0:1))
    call avR2(9308, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21984,       &
    nGC_21982, nGC_21982])

    call avR2(9308, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21979, nGC_21979,       &
    nGC_21983, nGC_21983])

    allocate(vertices(2605)%branchR2(0:0))
    call avR2(2605, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1848)%branchR2(0:0))
    call avR2(1848, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(2396)%branchR2(0:1))
    call avR2(2396, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22251])

    call avR2(2396, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22255])

    allocate(vertices(1144)%branchR2(0:0))
    call avR2(1144, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10241)%branchR2(0:1))
    call avR2(10241, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21981, nGC_21980,      &
    nGC_21999, nGC_21999])

    call avR2(10241, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21979, nGC_21979,      &
    nGC_22000, nGC_22000])

    allocate(vertices(5520)%branchR2(0:0))
    call avR2(5520, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22053])

    allocate(vertices(4591)%branchR2(0:1))
    call avR2(4591, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22066, nGC_22064])

    call avR2(4591, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22083, nGC_22082])

    allocate(vertices(6181)%branchR2(0:0))
    call avR2(6181, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(8440)%branchR2(0:0))
    call avR2(8440, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22015])

    allocate(vertices(9037)%branchR2(0:0))
    call avR2(9037, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(4675)%branchR2(0:0))
    call avR2(4675, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22356,       &
    nGC_22357])

    allocate(vertices(4165)%branchR2(0:0))
    call avR2(4165, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(8360)%branchR2(0:0))
    call avR2(8360, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(9988)%branchR2(0:0))
    call avR2(9988, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(4582)%branchR2(0:0))
    call avR2(4582, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22009])

    allocate(vertices(10195)%branchR2(0:0))
    call avR2(10195, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(9103)%branchR2(0:0))
    call avR2(9103, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(4384)%branchR2(0:0))
    call avR2(4384, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(2215)%branchR2(0:0))
    call avR2(2215, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(782)%branchR2(0:1))
    call avR2(782, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22229, nGC_22230])

    call avR2(782, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22231, nGC_22231])

    allocate(vertices(6673)%branchR2(0:0))
    call avR2(6673, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22357,       &
    nGC_22356])

    allocate(vertices(1507)%branchR2(0:0))
    call avR2(1507, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(8381)%branchR2(0:0))
    call avR2(8381, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22143])

    allocate(vertices(3546)%branchR2(0:0))
    call avR2(3546, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22356,       &
    nGC_22357])

    allocate(vertices(2194)%branchR2(0:0))
    call avR2(2194, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22206, nGC_22205])

    allocate(vertices(7265)%branchR2(0:0))
    call avR2(7265, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(9099)%branchR2(0:0))
    call avR2(9099, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22468])

    allocate(vertices(7198)%branchR2(0:0))
    call avR2(7198, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22206, nGC_22205])

    allocate(vertices(4271)%branchR2(0:0))
    call avR2(4271, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(6717)%branchR2(0:0))
    call avR2(6717, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(5906)%branchR2(0:0))
    call avR2(5906, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(3228)%branchR2(0:0))
    call avR2(3228, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(5825)%branchR2(0:0))
    call avR2(5825, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(4888)%branchR2(0:0))
    call avR2(4888, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22009])

    allocate(vertices(6580)%branchR2(0:0))
    call avR2(6580, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(8452)%branchR2(0:0))
    call avR2(8452, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(7581)%branchR2(0:0))
    call avR2(7581, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(2119)%branchR2(0:0))
    call avR2(2119, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22245, nGC_22244])

    allocate(vertices(7709)%branchR2(0:0))
    call avR2(7709, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(5946)%branchR2(0:1))
    call avR2(5946, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22251])

    call avR2(5946, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22252])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(4867)%branchR2(0:0))
    call avR2(4867, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(9898)%branchR2(0:0))
    call avR2(9898, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(1374)%branchR2(0:0))
    call avR2(1374, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22273])

    allocate(vertices(9951)%branchR2(0:0))
    call avR2(9951, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(9761)%branchR2(0:0))
    call avR2(9761, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6917)%branchR2(0:0))
    call avR2(6917, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(2271)%branchR2(0:0))
    call avR2(2271, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22009])

    allocate(vertices(5809)%branchR2(0:0))
    call avR2(5809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(3970)%branchR2(0:0))
    call avR2(3970, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(5177)%branchR2(0:3))
    call avR2(5177, 0, 122, 1, 0, FaVF1, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(5177, 1, 122, 1, 0, FaVF1, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(5177, 2, 123, 1, 0, FaVF1, 0, [1, 2], [nGC_22305, nGC_22304])

    call avR2(5177, 3, 123, 1, 0, FaVF1, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(4547)%branchR2(0:0))
    call avR2(4547, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2819)%branchR2(0:0))
    call avR2(2819, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22108, nGC_22107])

    allocate(vertices(3503)%branchR2(0:1))
    call avR2(3503, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22055, nGC_22057])

    call avR2(3503, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22056, nGC_22058])

    allocate(vertices(4265)%branchR2(0:0))
    call avR2(4265, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(6155)%branchR2(0:0))
    call avR2(6155, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(1350)%branchR2(0:0))
    call avR2(1350, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5616)%branchR2(0:1))
    call avR2(5616, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22061, nGC_22059])

    call avR2(5616, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22062, nGC_22060])

    allocate(vertices(1835)%branchR2(0:0))
    call avR2(1835, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(5895)%branchR2(0:0))
    call avR2(5895, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(6910)%branchR2(0:0))
    call avR2(6910, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(8548)%branchR2(0:0))
    call avR2(8548, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(1455)%branchR2(0:0))
    call avR2(1455, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22254])

    allocate(vertices(7045)%branchR2(0:0))
    call avR2(7045, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(8587)%branchR2(0:0))
    call avR2(8587, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22145])

    allocate(vertices(74)%branchR2(0:0))
    call avR2(74, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(7924)%branchR2(0:0))
    call avR2(7924, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10303)%branchR2(0:0))
    call avR2(10303, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(4164)%branchR2(0:1))
    call avR2(4164, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(4164, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(1276)%branchR2(0:0))
    call avR2(1276, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9142)%branchR2(0:0))
    call avR2(9142, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(5300)%branchR2(0:0))
    call avR2(5300, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22482, nGC_22483,       &
    nGC_22483])

    allocate(vertices(6637)%branchR2(0:0))
    call avR2(6637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(1769)%branchR2(0:0))
    call avR2(1769, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(8752)%branchR2(0:0))
    call avR2(8752, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(1555)%branchR2(0:0))
    call avR2(1555, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(8908)%branchR2(0:0))
    call avR2(8908, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22033])

    allocate(vertices(2612)%branchR2(0:0))
    call avR2(2612, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22472])

    allocate(vertices(2132)%branchR2(0:0))
    call avR2(2132, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(8583)%branchR2(0:0))
    call avR2(8583, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(7954)%branchR2(0:1))
    call avR2(7954, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22251])

    call avR2(7954, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22255])

    allocate(vertices(8245)%branchR2(0:0))
    call avR2(8245, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(5682)%branchR2(0:1))
    call avR2(5682, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22026, nGC_22025])

    call avR2(5682, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(10216)%branchR2(0:0))
    call avR2(10216, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1208)%branchR2(0:0))
    call avR2(1208, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(1074)%branchR2(0:0))
    call avR2(1074, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(1171)%branchR2(0:0))
    call avR2(1171, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22156])

    allocate(vertices(10383)%branchR2(0:0))
    call avR2(10383, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(3011)%branchR2(0:0))
    call avR2(3011, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6291)%branchR2(0:1))
    call avR2(6291, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22026, nGC_22025])

    call avR2(6291, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(3977)%branchR2(0:0))
    call avR2(3977, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(3305)%branchR2(0:0))
    call avR2(3305, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10551)%branchR2(0:1))
    call avR2(10551, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22351, nGC_22351,    &
    nGC_22351])

    call avR2(10551, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22350, nGC_22350,    &
    nGC_22350])

    allocate(vertices(2749)%branchR2(0:0))
    call avR2(2749, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(6085)%branchR2(0:1))
    call avR2(6085, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22211, nGC_22211])

    call avR2(6085, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22209, nGC_22210])

    allocate(vertices(6353)%branchR2(0:0))
    call avR2(6353, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(9043)%branchR2(0:0))
    call avR2(9043, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21968, nGC_21967])

    allocate(vertices(1132)%branchR2(0:0))
    call avR2(1132, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22174, nGC_22173])

    allocate(vertices(7759)%branchR2(0:0))
    call avR2(7759, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(5320)%branchR2(0:0))
    call avR2(5320, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(4194)%branchR2(0:0))
    call avR2(4194, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10008)%branchR2(0:0))
    call avR2(10008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2922)%branchR2(0:0))
    call avR2(2922, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(1341)%branchR2(0:0))
    call avR2(1341, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

    allocate(vertices(355)%branchR2(0:0))
    call avR2(355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10140)%branchR2(0:0))
    call avR2(10140, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22033])

    allocate(vertices(1513)%branchR2(0:0))
    call avR2(1513, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(6184)%branchR2(0:0))
    call avR2(6184, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(2082)%branchR2(0:0))
    call avR2(2082, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22467])

    allocate(vertices(5859)%branchR2(0:1))
    call avR2(5859, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22101, nGC_22103])

    call avR2(5859, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22102, nGC_22104])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22316])

    allocate(vertices(7009)%branchR2(0:0))
    call avR2(7009, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(6696)%branchR2(0:0))
    call avR2(6696, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(8027)%branchR2(0:0))
    call avR2(8027, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(10552)%branchR2(0:0))
    call avR2(10552, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(9873)%branchR2(0:0))
    call avR2(9873, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(9822)%branchR2(0:1))
    call avR2(9822, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21984,       &
    nGC_22004, nGC_22004])

    call avR2(9822, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21979, nGC_21979,       &
    nGC_22005, nGC_22005])

    allocate(vertices(9529)%branchR2(0:0))
    call avR2(9529, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22016])

    allocate(vertices(6305)%branchR2(0:0))
    call avR2(6305, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(1672)%branchR2(0:0))
    call avR2(1672, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22273])

    allocate(vertices(10553)%branchR2(0:0))
    call avR2(10553, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10554)%branchR2(0:0))
    call avR2(10554, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22431])

    allocate(vertices(5506)%branchR2(0:0))
    call avR2(5506, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(5096)%branchR2(0:1))
    call avR2(5096, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22231, nGC_22231])

    call avR2(5096, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22229, nGC_22230])

    allocate(vertices(3089)%branchR2(0:1))
    call avR2(3089, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22136, nGC_22134])

    call avR2(3089, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22137, nGC_22135])

    allocate(vertices(252)%branchR2(0:0))
    call avR2(252, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(3303)%branchR2(0:0))
    call avR2(3303, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(2557)%branchR2(0:1))
    call avR2(2557, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(2557, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22283, nGC_22282])

    allocate(vertices(10555)%branchR2(0:1))
    call avR2(10555, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22471])

    call avR2(10555, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22470])

    allocate(vertices(3400)%branchR2(0:3))
    call avR2(3400, 0, 120, 1, 0, FVFa0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(3400, 1, 120, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(3400, 2, 121, 1, 0, FVFa0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(3400, 3, 121, 1, 0, FVFa0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10556)%branchR2(0:0))
    call avR2(10556, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(1943)%branchR2(0:0))
    call avR2(1943, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(7842)%branchR2(0:0))
    call avR2(7842, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1460)%branchR2(0:0))
    call avR2(1460, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22127])

    allocate(vertices(3441)%branchR2(0:0))
    call avR2(3441, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(8567)%branchR2(0:0))
    call avR2(8567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(10557)%branchR2(0:1))
    call avR2(10557, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22476])

    call avR2(10557, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22475])

    allocate(vertices(8989)%branchR2(0:0))
    call avR2(8989, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7231)%branchR2(0:0))
    call avR2(7231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22450])

    allocate(vertices(9893)%branchR2(0:0))
    call avR2(9893, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22031])

    allocate(vertices(4008)%branchR2(0:1))
    call avR2(4008, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22251])

    call avR2(4008, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22256])

    allocate(vertices(7163)%branchR2(0:0))
    call avR2(7163, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(8736)%branchR2(0:1))
    call avR2(8736, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22113, nGC_22115])

    call avR2(8736, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22114, nGC_22116])

    allocate(vertices(6446)%branchR2(0:0))
    call avR2(6446, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(5187)%branchR2(0:1))
    call avR2(5187, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(5187, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(2416)%branchR2(0:0))
    call avR2(2416, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(1145)%branchR2(0:0))
    call avR2(1145, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22322, nGC_22323,       &
    nGC_22321])

    allocate(vertices(884)%branchR2(0:0))
    call avR2(884, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(9116)%branchR2(0:0))
    call avR2(9116, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5959)%branchR2(0:1))
    call avR2(5959, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22119, nGC_22121])

    call avR2(5959, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22120, nGC_22122])

    allocate(vertices(6538)%branchR2(0:0))
    call avR2(6538, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22077])

    allocate(vertices(10030)%branchR2(0:0))
    call avR2(10030, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(2715)%branchR2(0:0))
    call avR2(2715, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22271, nGC_22272])

    allocate(vertices(6650)%branchR2(0:0))
    call avR2(6650, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(8980)%branchR2(0:0))
    call avR2(8980, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(10558)%branchR2(0:0))
    call avR2(10558, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4544)%branchR2(0:0))
    call avR2(4544, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(3905)%branchR2(0:0))
    call avR2(3905, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(4752)%branchR2(0:0))
    call avR2(4752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(7825)%branchR2(0:0))
    call avR2(7825, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(3343)%branchR2(0:0))
    call avR2(3343, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(6552)%branchR2(0:0))
    call avR2(6552, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(2987)%branchR2(0:0))
    call avR2(2987, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(282)%branchR2(0:0))
    call avR2(282, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(7194)%branchR2(0:0))
    call avR2(7194, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1567)%branchR2(0:1))
    call avR2(1567, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22251])

    call avR2(1567, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22255])

    allocate(vertices(8880)%branchR2(0:0))
    call avR2(8880, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(106)%branchR2(0:0))
    call avR2(106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(7574)%branchR2(0:0))
    call avR2(7574, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22254])

    allocate(vertices(10086)%branchR2(0:0))
    call avR2(10086, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(167)%branchR2(0:0))
    call avR2(167, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(4488)%branchR2(0:0))
    call avR2(4488, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(8268)%branchR2(0:0))
    call avR2(8268, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(7253)%branchR2(0:0))
    call avR2(7253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(372)%branchR2(0:0))
    call avR2(372, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(10559)%branchR2(0:1))
    call avR2(10559, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10559, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(5185)%branchR2(0:0))
    call avR2(5185, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22142])

    allocate(vertices(6437)%branchR2(0:0))
    call avR2(6437, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(361)%branchR2(0:0))
    call avR2(361, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22249])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(4240)%branchR2(0:1))
    call avR2(4240, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22251])

    call avR2(4240, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22255])

    allocate(vertices(9244)%branchR2(0:0))
    call avR2(9244, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(6385)%branchR2(0:0))
    call avR2(6385, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58696])

    allocate(vertices(6427)%branchR2(0:0))
    call avR2(6427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(10560)%branchR2(0:0))
    call avR2(10560, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22084])

    allocate(vertices(5341)%branchR2(0:0))
    call avR2(5341, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(8068)%branchR2(0:0))
    call avR2(8068, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(348)%branchR2(0:1))
    call avR2(348, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22200, nGC_22201])

    call avR2(348, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22202, nGC_22202])

    allocate(vertices(2202)%branchR2(0:3))
    call avR2(2202, 0, 122, 1, 0, FaVF1, 0, [1, 2], [nGC_22313, nGC_22312])

    call avR2(2202, 1, 122, 1, 0, FaVF1, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(2202, 2, 123, 1, 0, FaVF1, 0, [1, 2], [nGC_22311, nGC_22310])

    call avR2(2202, 3, 123, 1, 0, FaVF1, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(9546)%branchR2(0:0))
    call avR2(9546, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(5963)%branchR2(0:0))
    call avR2(5963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(6896)%branchR2(0:0))
    call avR2(6896, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(4030)%branchR2(0:0))
    call avR2(4030, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22008])

    allocate(vertices(7065)%branchR2(0:0))
    call avR2(7065, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1954)%branchR2(0:0))
    call avR2(1954, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22273])

    allocate(vertices(9203)%branchR2(0:0))
    call avR2(9203, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(5190)%branchR2(0:0))
    call avR2(5190, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22014])

    allocate(vertices(10561)%branchR2(0:0))
    call avR2(10561, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(286)%branchR2(0:0))
    call avR2(286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(9532)%branchR2(0:0))
    call avR2(9532, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22051])

    allocate(vertices(10461)%branchR2(0:0))
    call avR2(10461, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(6762)%branchR2(0:0))
    call avR2(6762, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(5870)%branchR2(0:0))
    call avR2(5870, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(3340)%branchR2(0:0))
    call avR2(3340, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22069])

    allocate(vertices(2345)%branchR2(0:0))
    call avR2(2345, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(1626)%branchR2(0:1))
    call avR2(1626, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22265, nGC_22263])

    call avR2(1626, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22266, nGC_22264])

    allocate(vertices(1983)%branchR2(0:0))
    call avR2(1983, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22092])

    allocate(vertices(7663)%branchR2(0:0))
    call avR2(7663, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58735])

    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(8490)%branchR2(0:0))
    call avR2(8490, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1441)%branchR2(0:1))
    call avR2(1441, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22240, nGC_22240])

    call avR2(1441, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22238, nGC_22239])

    allocate(vertices(10562)%branchR2(0:0))
    call avR2(10562, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(9878)%branchR2(0:0))
    call avR2(9878, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(8604)%branchR2(0:0))
    call avR2(8604, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(10141)%branchR2(0:0))
    call avR2(10141, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10563)%branchR2(0:1))
    call avR2(10563, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22476])

    call avR2(10563, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22475])

    allocate(vertices(1760)%branchR2(0:0))
    call avR2(1760, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(7434)%branchR2(0:0))
    call avR2(7434, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(10485)%branchR2(0:0))
    call avR2(10485, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5532)%branchR2(0:0))
    call avR2(5532, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(989)%branchR2(0:0))
    call avR2(989, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(10564)%branchR2(0:1))
    call avR2(10564, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22476])

    call avR2(10564, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22475])

    allocate(vertices(6226)%branchR2(0:0))
    call avR2(6226, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(1993)%branchR2(0:0))
    call avR2(1993, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(3881)%branchR2(0:0))
    call avR2(3881, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22271, nGC_22272])

    allocate(vertices(10565)%branchR2(0:0))
    call avR2(10565, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(3413)%branchR2(0:0))
    call avR2(3413, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(10566)%branchR2(0:1))
    call avR2(10566, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22378])

    call avR2(10566, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22377])

    allocate(vertices(9180)%branchR2(0:0))
    call avR2(9180, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57962])

    allocate(vertices(3999)%branchR2(0:0))
    call avR2(3999, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(9250)%branchR2(0:0))
    call avR2(9250, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22050])

    allocate(vertices(9380)%branchR2(0:0))
    call avR2(9380, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

    allocate(vertices(10080)%branchR2(0:0))
    call avR2(10080, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(419)%branchR2(0:0))
    call avR2(419, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10432)%branchR2(0:0))
    call avR2(10432, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10567)%branchR2(0:1))
    call avR2(10567, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22464])

    call avR2(10567, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22463])

    allocate(vertices(301)%branchR2(0:0))
    call avR2(301, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(5043)%branchR2(0:0))
    call avR2(5043, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(9066)%branchR2(0:0))
    call avR2(9066, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21950, nGC_21949])

    allocate(vertices(7821)%branchR2(0:0))
    call avR2(7821, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(10154)%branchR2(0:0))
    call avR2(10154, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22031])

    allocate(vertices(10568)%branchR2(0:1))
    call avR2(10568, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22447])

    call avR2(10568, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22446])

    allocate(vertices(6632)%branchR2(0:1))
    call avR2(6632, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(6632, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(2022)%branchR2(0:0))
    call avR2(2022, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(2620)%branchR2(0:0))
    call avR2(2620, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(7823)%branchR2(0:1))
    call avR2(7823, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22055, nGC_22057])

    call avR2(7823, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22056, nGC_22058])

    allocate(vertices(1315)%branchR2(0:0))
    call avR2(1315, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(6014)%branchR2(0:0))
    call avR2(6014, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(10002)%branchR2(0:0))
    call avR2(10002, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22033])

    allocate(vertices(6086)%branchR2(0:0))
    call avR2(6086, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(6709)%branchR2(0:0))
    call avR2(6709, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22216, nGC_22215])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(8969)%branchR2(0:0))
    call avR2(8969, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

    allocate(vertices(1881)%branchR2(0:0))
    call avR2(1881, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(4402)%branchR2(0:0))
    call avR2(4402, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22477, nGC_22478,       &
    nGC_22478])

    allocate(vertices(8983)%branchR2(0:0))
    call avR2(8983, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(1384)%branchR2(0:0))
    call avR2(1384, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22146])

    allocate(vertices(10569)%branchR2(0:1))
    call avR2(10569, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22480])

    call avR2(10569, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22479])

    allocate(vertices(10570)%branchR2(0:5))
    call avR2(10570, 0, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10570, 1, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10570, 2, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10570, 3, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    call avR2(10570, 4, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_22406, nGC_22406,    &
    nGC_22406])

    call avR2(10570, 5, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    allocate(vertices(9588)%branchR2(0:0))
    call avR2(9588, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(10571)%branchR2(0:1))
    call avR2(10571, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10571, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(10572)%branchR2(0:0))
    call avR2(10572, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(8986)%branchR2(0:0))
    call avR2(8986, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(3370)%branchR2(0:0))
    call avR2(3370, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(5038)%branchR2(0:0))
    call avR2(5038, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(3083)%branchR2(0:0))
    call avR2(3083, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5469)%branchR2(0:0))
    call avR2(5469, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(257)%branchR2(0:1))
    call avR2(257, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22250])

    call avR2(257, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22251])

    allocate(vertices(10573)%branchR2(0:1))
    call avR2(10573, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22441])

    call avR2(10573, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22440])

    allocate(vertices(9839)%branchR2(0:0))
    call avR2(9839, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(9928)%branchR2(0:0))
    call avR2(9928, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(10161)%branchR2(0:0))
    call avR2(10161, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(2046)%branchR2(0:0))
    call avR2(2046, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(2743)%branchR2(0:0))
    call avR2(2743, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(6635)%branchR2(0:0))
    call avR2(6635, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(685)%branchR2(0:1))
    call avR2(685, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22223, nGC_22224])

    call avR2(685, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22225, nGC_22225])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(1825)%branchR2(0:0))
    call avR2(1825, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(3044)%branchR2(0:0))
    call avR2(3044, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22192])

    allocate(vertices(7185)%branchR2(0:0))
    call avR2(7185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(4045)%branchR2(0:0))
    call avR2(4045, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22029, nGC_22030])

    allocate(vertices(1901)%branchR2(0:0))
    call avR2(1901, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7452)%branchR2(0:1))
    call avR2(7452, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22066, nGC_22064])

    call avR2(7452, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22083, nGC_22082])

    allocate(vertices(7585)%branchR2(0:0))
    call avR2(7585, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(8471)%branchR2(0:0))
    call avR2(8471, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(86)%branchR2(0:1))
    call avR2(86, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(86, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22268, nGC_22267])

    allocate(vertices(10480)%branchR2(0:0))
    call avR2(10480, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(9665)%branchR2(0:0))
    call avR2(9665, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22007])

    allocate(vertices(1319)%branchR2(0:0))
    call avR2(1319, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(5899)%branchR2(0:0))
    call avR2(5899, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(8306)%branchR2(0:0))
    call avR2(8306, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(10574)%branchR2(0:1))
    call avR2(10574, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22441])

    call avR2(10574, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22440])

    allocate(vertices(10327)%branchR2(0:0))
    call avR2(10327, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(9094)%branchR2(0:0))
    call avR2(9094, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58860])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(4896)%branchR2(0:0))
    call avR2(4896, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(3265)%branchR2(0:0))
    call avR2(3265, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58184])

    allocate(vertices(9163)%branchR2(0:0))
    call avR2(9163, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(7002)%branchR2(0:0))
    call avR2(7002, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(8419)%branchR2(0:0))
    call avR2(8419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

    allocate(vertices(8828)%branchR2(0:1))
    call avR2(8828, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22196, nGC_22196])

    call avR2(8828, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22194, nGC_22195])

    allocate(vertices(5573)%branchR2(0:0))
    call avR2(5573, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(10575)%branchR2(0:1))
    call avR2(10575, 0, 127, 1, 0, VSV0, 0, [2, 1], [nGC_22236])

    call avR2(10575, 1, 128, 1, 0, VSV0, 0, [2, 1], [nGC_22237])

    allocate(vertices(1039)%branchR2(0:0))
    call avR2(1039, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(3341)%branchR2(0:0))
    call avR2(3341, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(6976)%branchR2(0:0))
    call avR2(6976, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22143])

    allocate(vertices(974)%branchR2(0:0))
    call avR2(974, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(5257)%branchR2(0:0))
    call avR2(5257, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10576)%branchR2(0:0))
    call avR2(10576, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(492)%branchR2(0:0))
    call avR2(492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(2522)%branchR2(0:0))
    call avR2(2522, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(2437)%branchR2(0:0))
    call avR2(2437, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(7118)%branchR2(0:0))
    call avR2(7118, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(5335)%branchR2(0:0))
    call avR2(5335, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22280, nGC_22281])

    allocate(vertices(5113)%branchR2(0:0))
    call avR2(5113, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(2467)%branchR2(0:0))
    call avR2(2467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(5254)%branchR2(0:0))
    call avR2(5254, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22190])

    allocate(vertices(5219)%branchR2(0:0))
    call avR2(5219, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3277)%branchR2(0:0))
    call avR2(3277, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(7371)%branchR2(0:0))
    call avR2(7371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(1973)%branchR2(0:0))
    call avR2(1973, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22077])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(9537)%branchR2(0:0))
    call avR2(9537, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(6599)%branchR2(0:0))
    call avR2(6599, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22233, nGC_22232])

    allocate(vertices(6958)%branchR2(0:0))
    call avR2(6958, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22068])

    allocate(vertices(2425)%branchR2(0:0))
    call avR2(2425, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(6671)%branchR2(0:0))
    call avR2(6671, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(4148)%branchR2(0:0))
    call avR2(4148, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2959)%branchR2(0:0))
    call avR2(2959, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(7555)%branchR2(0:0))
    call avR2(7555, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(312)%branchR2(0:0))
    call avR2(312, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58903])

    allocate(vertices(2689)%branchR2(0:0))
    call avR2(2689, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8437)%branchR2(0:0))
    call avR2(8437, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(8402)%branchR2(0:0))
    call avR2(8402, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58907])

    allocate(vertices(1142)%branchR2(0:0))
    call avR2(1142, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(5623)%branchR2(0:0))
    call avR2(5623, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(2158)%branchR2(0:0))
    call avR2(2158, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22233, nGC_22232])

    allocate(vertices(6377)%branchR2(0:0))
    call avR2(6377, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(6116)%branchR2(0:0))
    call avR2(6116, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(1129)%branchR2(0:0))
    call avR2(1129, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22144])

    allocate(vertices(2571)%branchR2(0:0))
    call avR2(2571, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(3746)%branchR2(0:0))
    call avR2(3746, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(1538)%branchR2(0:0))
    call avR2(1538, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(9551)%branchR2(0:0))
    call avR2(9551, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(10577)%branchR2(0:1))
    call avR2(10577, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22441])

    call avR2(10577, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22440])

    allocate(vertices(10416)%branchR2(0:0))
    call avR2(10416, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10578)%branchR2(0:1))
    call avR2(10578, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,    &
    nGC_22485])

    call avR2(10578, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22484, nGC_22484,    &
    nGC_22484])

    allocate(vertices(4222)%branchR2(0:0))
    call avR2(4222, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(10454)%branchR2(0:0))
    call avR2(10454, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(9711)%branchR2(0:0))
    call avR2(9711, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(309)%branchR2(0:1))
    call avR2(309, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22026, nGC_22025])

    call avR2(309, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(9677)%branchR2(0:0))
    call avR2(9677, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(4343)%branchR2(0:0))
    call avR2(4343, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

    allocate(vertices(8121)%branchR2(0:0))
    call avR2(8121, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(9459)%branchR2(0:0))
    call avR2(9459, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(9622)%branchR2(0:0))
    call avR2(9622, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5987)%branchR2(0:0))
    call avR2(5987, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(1914)%branchR2(0:1))
    call avR2(1914, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22141, nGC_22139])

    call avR2(1914, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22154, nGC_22153])

    allocate(vertices(2560)%branchR2(0:0))
    call avR2(2560, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(5667)%branchR2(0:0))
    call avR2(5667, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(2643)%branchR2(0:0))
    call avR2(2643, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22258])

    allocate(vertices(9938)%branchR2(0:0))
    call avR2(9938, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(10579)%branchR2(0:1))
    call avR2(10579, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22480])

    call avR2(10579, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22479])

    allocate(vertices(3306)%branchR2(0:0))
    call avR2(3306, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57852])

    allocate(vertices(2779)%branchR2(0:0))
    call avR2(2779, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8234)%branchR2(0:0))
    call avR2(8234, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58950])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(875)%branchR2(0:0))
    call avR2(875, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22374])

    allocate(vertices(10580)%branchR2(0:5))
    call avR2(10580, 0, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10580, 1, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10580, 2, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10580, 3, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    call avR2(10580, 4, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_22406, nGC_22406,    &
    nGC_22406])

    call avR2(10580, 5, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    allocate(vertices(7549)%branchR2(0:1))
    call avR2(7549, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22251])

    call avR2(7549, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22255])

    allocate(vertices(5318)%branchR2(0:0))
    call avR2(5318, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22467])

    allocate(vertices(10314)%branchR2(0:0))
    call avR2(10314, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22090])

    allocate(vertices(9355)%branchR2(0:0))
    call avR2(9355, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(10347)%branchR2(0:0))
    call avR2(10347, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(8029)%branchR2(0:0))
    call avR2(8029, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(985)%branchR2(0:0))
    call avR2(985, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22027, nGC_22028])

    allocate(vertices(8164)%branchR2(0:0))
    call avR2(8164, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(10399)%branchR2(0:0))
    call avR2(10399, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(4418)%branchR2(0:3))
    call avR2(4418, 0, 120, 1, 0, FVFa0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(4418, 1, 120, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(4418, 2, 121, 1, 0, FVFa0, 0, [1, 2], [nGC_22305, nGC_22304])

    call avR2(4418, 3, 121, 1, 0, FVFa0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(8901)%branchR2(0:0))
    call avR2(8901, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10464)%branchR2(0:0))
    call avR2(10464, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(8792)%branchR2(0:0))
    call avR2(8792, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(10112)%branchR2(0:0))
    call avR2(10112, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(5150)%branchR2(0:1))
    call avR2(5150, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22250])

    call avR2(5150, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22251])

    allocate(vertices(2981)%branchR2(0:0))
    call avR2(2981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10581)%branchR2(0:1))
    call avR2(10581, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22394])

    call avR2(10581, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(9198)%branchR2(0:0))
    call avR2(9198, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7891)%branchR2(0:0))
    call avR2(7891, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22069])

    allocate(vertices(9821)%branchR2(0:0))
    call avR2(9821, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(8797)%branchR2(0:0))
    call avR2(8797, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(1479)%branchR2(0:0))
    call avR2(1479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6727)%branchR2(0:0))
    call avR2(6727, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22123])

    allocate(vertices(6818)%branchR2(0:0))
    call avR2(6818, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22257])

    allocate(vertices(2816)%branchR2(0:0))
    call avR2(2816, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(8477)%branchR2(0:3))
    call avR2(8477, 0, 114, 1, 0, FaFV0, 0, [1, 2], [nGC_22313, nGC_22312])

    call avR2(8477, 1, 114, 1, 0, FaFV0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(8477, 2, 115, 1, 0, FaFV0, 0, [1, 2], [nGC_22311, nGC_22310])

    call avR2(8477, 3, 115, 1, 0, FaFV0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(4943)%branchR2(0:0))
    call avR2(4943, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22482, nGC_22483,       &
    nGC_22483])

    allocate(vertices(899)%branchR2(0:0))
    call avR2(899, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(7124)%branchR2(0:0))
    call avR2(7124, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(3609)%branchR2(0:0))
    call avR2(3609, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22147])

    allocate(vertices(7084)%branchR2(0:0))
    call avR2(7084, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(9730)%branchR2(0:0))
    call avR2(9730, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22006])

    allocate(vertices(5172)%branchR2(0:0))
    call avR2(5172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(4120)%branchR2(0:0))
    call avR2(4120, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(8412)%branchR2(0:0))
    call avR2(8412, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(6008)%branchR2(0:0))
    call avR2(6008, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(4937)%branchR2(0:1))
    call avR2(4937, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(4937, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22037, nGC_22036])

    allocate(vertices(10582)%branchR2(0:0))
    call avR2(10582, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(8202)%branchR2(0:0))
    call avR2(8202, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(6565)%branchR2(0:0))
    call avR2(6565, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(10261)%branchR2(0:0))
    call avR2(10261, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

    allocate(vertices(9431)%branchR2(0:0))
    call avR2(9431, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(6030)%branchR2(0:1))
    call avR2(6030, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22113, nGC_22115])

    call avR2(6030, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22114, nGC_22116])

    allocate(vertices(10188)%branchR2(0:0))
    call avR2(10188, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(7468)%branchR2(0:0))
    call avR2(7468, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22356,       &
    nGC_22357])

    allocate(vertices(6229)%branchR2(0:0))
    call avR2(6229, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22075])

    allocate(vertices(10352)%branchR2(0:0))
    call avR2(10352, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(10583)%branchR2(0:0))
    call avR2(10583, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10247)%branchR2(0:0))
    call avR2(10247, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58018])

    allocate(vertices(2276)%branchR2(0:0))
    call avR2(2276, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(4312)%branchR2(0:0))
    call avR2(4312, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22249])

    allocate(vertices(8175)%branchR2(0:0))
    call avR2(8175, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2112)%branchR2(0:0))
    call avR2(2112, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(2595)%branchR2(0:0))
    call avR2(2595, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6436)%branchR2(0:0))
    call avR2(6436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(10584)%branchR2(0:0))
    call avR2(10584, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(2431)%branchR2(0:0))
    call avR2(2431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(6114)%branchR2(0:0))
    call avR2(6114, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10585)%branchR2(0:0))
    call avR2(10585, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(7406)%branchR2(0:0))
    call avR2(7406, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22011])

    allocate(vertices(3648)%branchR2(0:0))
    call avR2(3648, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(2904)%branchR2(0:0))
    call avR2(2904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22222])

    allocate(vertices(5841)%branchR2(0:0))
    call avR2(5841, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(4155)%branchR2(0:1))
    call avR2(4155, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22251])

    call avR2(4155, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22256])

    allocate(vertices(4918)%branchR2(0:0))
    call avR2(4918, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(3455)%branchR2(0:0))
    call avR2(3455, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1002)%branchR2(0:0))
    call avR2(1002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

    allocate(vertices(7430)%branchR2(0:0))
    call avR2(7430, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22068])

    allocate(vertices(4748)%branchR2(0:0))
    call avR2(4748, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(10586)%branchR2(0:0))
    call avR2(10586, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22368, nGC_22368,      &
    nGC_22368])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(7942)%branchR2(0:0))
    call avR2(7942, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(3606)%branchR2(0:1))
    call avR2(3606, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22219, nGC_22219])

    call avR2(3606, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22217, nGC_22218])

    allocate(vertices(6372)%branchR2(0:0))
    call avR2(6372, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22455])

    allocate(vertices(5450)%branchR2(0:0))
    call avR2(5450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(5727)%branchR2(0:0))
    call avR2(5727, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(3915)%branchR2(0:0))
    call avR2(3915, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22148])

    allocate(vertices(4372)%branchR2(0:0))
    call avR2(4372, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(5807)%branchR2(0:0))
    call avR2(5807, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(7630)%branchR2(0:0))
    call avR2(7630, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(157)%branchR2(0:1))
    call avR2(157, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22212, nGC_22213])

    call avR2(157, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22214, nGC_22214])

    allocate(vertices(3829)%branchR2(0:0))
    call avR2(3829, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(6811)%branchR2(0:0))
    call avR2(6811, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(3851)%branchR2(0:0))
    call avR2(3851, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10587)%branchR2(0:1))
    call avR2(10587, 0, 129, 1, 0, VVS0, 0, [2, 1], [nGC_22236])

    call avR2(10587, 1, 130, 1, 0, VVS0, 0, [2, 1], [nGC_22237])

    allocate(vertices(3373)%branchR2(0:0))
    call avR2(3373, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(9879)%branchR2(0:0))
    call avR2(9879, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(1370)%branchR2(0:1))
    call avR2(1370, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(1370, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22037, nGC_22036])

    allocate(vertices(643)%branchR2(0:0))
    call avR2(643, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(3281)%branchR2(0:0))
    call avR2(3281, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9874)%branchR2(0:1))
    call avR2(9874, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21985, nGC_21984,      &
    nGC_22001, nGC_22001])

    call avR2(9874, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21979, nGC_21979,      &
    nGC_22002, nGC_22002])

    allocate(vertices(1442)%branchR2(0:0))
    call avR2(1442, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8848)%branchR2(0:0))
    call avR2(8848, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(1688)%branchR2(0:0))
    call avR2(1688, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(8320)%branchR2(0:0))
    call avR2(8320, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22148])

    allocate(vertices(8996)%branchR2(0:0))
    call avR2(8996, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(5835)%branchR2(0:1))
    call avR2(5835, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22240, nGC_22240])

    call avR2(5835, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22238, nGC_22239])

    allocate(vertices(10588)%branchR2(0:1))
    call avR2(10588, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22378])

    call avR2(10588, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22377])

    allocate(vertices(9789)%branchR2(0:0))
    call avR2(9789, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(4157)%branchR2(0:0))
    call avR2(4157, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22044])

    allocate(vertices(10268)%branchR2(0:0))
    call avR2(10268, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(539)%branchR2(0:0))
    call avR2(539, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22009])

    allocate(vertices(5329)%branchR2(0:0))
    call avR2(5329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(3858)%branchR2(0:0))
    call avR2(3858, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(5046)%branchR2(0:0))
    call avR2(5046, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22125])

    allocate(vertices(10589)%branchR2(0:0))
    call avR2(10589, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(5358)%branchR2(0:0))
    call avR2(5358, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(8920)%branchR2(0:0))
    call avR2(8920, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21958, nGC_21957])

    allocate(vertices(4840)%branchR2(0:0))
    call avR2(4840, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1408)%branchR2(0:0))
    call avR2(1408, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59112])

    allocate(vertices(358)%branchR2(0:0))
    call avR2(358, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(8830)%branchR2(0:1))
    call avR2(8830, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22041, nGC_22040])

    call avR2(8830, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(1176)%branchR2(0:0))
    call avR2(1176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(6911)%branchR2(0:0))
    call avR2(6911, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(6723)%branchR2(0:0))
    call avR2(6723, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22174, nGC_22173])

    allocate(vertices(3033)%branchR2(0:0))
    call avR2(3033, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(3291)%branchR2(0:0))
    call avR2(3291, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22322, nGC_22321,       &
    nGC_22323])

    allocate(vertices(3996)%branchR2(0:0))
    call avR2(3996, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(7803)%branchR2(0:0))
    call avR2(7803, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22253])

    allocate(vertices(1638)%branchR2(0:1))
    call avR2(1638, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(1638, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(6688)%branchR2(0:0))
    call avR2(6688, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10441)%branchR2(0:0))
    call avR2(10441, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(10590)%branchR2(0:1))
    call avR2(10590, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10590, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(2859)%branchR2(0:0))
    call avR2(2859, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5849)%branchR2(0:0))
    call avR2(5849, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22129])

    allocate(vertices(4341)%branchR2(0:0))
    call avR2(4341, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(9681)%branchR2(0:0))
    call avR2(9681, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8571)%branchR2(0:0))
    call avR2(8571, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(4791)%branchR2(0:0))
    call avR2(4791, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(10591)%branchR2(0:0))
    call avR2(10591, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22326,      &
    nGC_22326])

    allocate(vertices(10592)%branchR2(0:1))
    call avR2(10592, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10592, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(3411)%branchR2(0:0))
    call avR2(3411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(4915)%branchR2(0:0))
    call avR2(4915, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(2094)%branchR2(0:0))
    call avR2(2094, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22144])

    allocate(vertices(9212)%branchR2(0:0))
    call avR2(9212, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(1934)%branchR2(0:0))
    call avR2(1934, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(7455)%branchR2(0:0))
    call avR2(7455, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(1546)%branchR2(0:0))
    call avR2(1546, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2193)%branchR2(0:0))
    call avR2(2193, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22192])

    allocate(vertices(8436)%branchR2(0:0))
    call avR2(8436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(5133)%branchR2(0:0))
    call avR2(5133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(6628)%branchR2(0:0))
    call avR2(6628, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(1686)%branchR2(0:0))
    call avR2(1686, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57407])

    allocate(vertices(421)%branchR2(0:0))
    call avR2(421, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10593)%branchR2(0:0))
    call avR2(10593, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22012])

    allocate(vertices(6638)%branchR2(0:0))
    call avR2(6638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(9155)%branchR2(0:0))
    call avR2(9155, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22050])

    allocate(vertices(4541)%branchR2(0:0))
    call avR2(4541, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10594)%branchR2(0:1))
    call avR2(10594, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22394])

    call avR2(10594, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(3294)%branchR2(0:0))
    call avR2(3294, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(4308)%branchR2(0:0))
    call avR2(4308, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(8545)%branchR2(0:0))
    call avR2(8545, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(5186)%branchR2(0:0))
    call avR2(5186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(4716)%branchR2(0:1))
    call avR2(4716, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22135, nGC_22137])

    call avR2(4716, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22149, nGC_22150])

    allocate(vertices(4311)%branchR2(0:0))
    call avR2(4311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(10595)%branchR2(0:0))
    call avR2(10595, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(8405)%branchR2(0:0))
    call avR2(8405, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(7665)%branchR2(0:0))
    call avR2(7665, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(4016)%branchR2(0:0))
    call avR2(4016, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22257])

    allocate(vertices(10596)%branchR2(0:1))
    call avR2(10596, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10596, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(2177)%branchR2(0:0))
    call avR2(2177, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22142])

    allocate(vertices(125)%branchR2(0:1))
    call avR2(125, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22179, nGC_22181])

    call avR2(125, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22180, nGC_22182])

    allocate(vertices(5278)%branchR2(0:0))
    call avR2(5278, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(7401)%branchR2(0:0))
    call avR2(7401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(8782)%branchR2(0:0))
    call avR2(8782, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22184, nGC_22183])

    allocate(vertices(1467)%branchR2(0:0))
    call avR2(1467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(5375)%branchR2(0:0))
    call avR2(5375, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(10373)%branchR2(0:0))
    call avR2(10373, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22359])

    allocate(vertices(9735)%branchR2(0:0))
    call avR2(9735, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(7447)%branchR2(0:0))
    call avR2(7447, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(10333)%branchR2(0:0))
    call avR2(10333, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(9904)%branchR2(0:0))
    call avR2(9904, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(10597)%branchR2(0:1))
    call avR2(10597, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22441])

    call avR2(10597, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22440])

    allocate(vertices(10598)%branchR2(0:1))
    call avR2(10598, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22377])

    call avR2(10598, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22378])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(757)%branchR2(0:0))
    call avR2(757, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3446)%branchR2(0:0))
    call avR2(3446, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(7708)%branchR2(0:0))
    call avR2(7708, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(8959)%branchR2(0:0))
    call avR2(8959, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21972, nGC_21971,        &
    nGC_21973])

    allocate(vertices(9109)%branchR2(0:0))
    call avR2(9109, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59206])

    allocate(vertices(3821)%branchR2(0:0))
    call avR2(3821, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(5136)%branchR2(0:0))
    call avR2(5136, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(1304)%branchR2(0:1))
    call avR2(1304, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22185, nGC_22187])

    call avR2(1304, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22186, nGC_22188])

    allocate(vertices(5686)%branchR2(0:0))
    call avR2(5686, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(8855)%branchR2(0:0))
    call avR2(8855, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(8598)%branchR2(0:1))
    call avR2(8598, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22200, nGC_22201])

    call avR2(8598, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22202, nGC_22202])

    allocate(vertices(7833)%branchR2(0:0))
    call avR2(7833, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(10259)%branchR2(0:0))
    call avR2(10259, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(606)%branchR2(0:0))
    call avR2(606, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(8409)%branchR2(0:0))
    call avR2(8409, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22409])

  end subroutine fill_vertices_mdl21
end module vertices_info21
