!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  implicit none
  contains
  subroutine fill_vertices_mdl22()
    use class_vertices
    use class_couplings
    allocate(vertices(5817)%branchR2(0:0))
    call avR2(5817, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(10599)%branchR2(0:1))
    call avR2(10599, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22394])

    call avR2(10599, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(5850)%branchR2(0:0))
    call avR2(5850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(6277)%branchR2(0:0))
    call avR2(6277, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(6125)%branchR2(0:1))
    call avR2(6125, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22063, nGC_22065])

    call avR2(6125, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22064, nGC_22066])

    allocate(vertices(5238)%branchR2(0:0))
    call avR2(5238, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(6850)%branchR2(0:0))
    call avR2(6850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(6328)%branchR2(0:1))
    call avR2(6328, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22037, nGC_22036])

    call avR2(6328, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22143])

    allocate(vertices(4646)%branchR2(0:3))
    call avR2(4646, 0, 114, 1, 0, FaFV0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(4646, 1, 114, 1, 0, FaFV0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(4646, 2, 115, 1, 0, FaFV0, 0, [1, 2], [nGC_22305, nGC_22304])

    call avR2(4646, 3, 115, 1, 0, FaFV0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(10319)%branchR2(0:0))
    call avR2(10319, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(9877)%branchR2(0:0))
    call avR2(9877, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(8939)%branchR2(0:0))
    call avR2(8939, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21970, nGC_21969])

    allocate(vertices(779)%branchR2(0:1))
    call avR2(779, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22113, nGC_22115])

    call avR2(779, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22114, nGC_22116])

    allocate(vertices(10321)%branchR2(0:0))
    call avR2(10321, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(1053)%branchR2(0:0))
    call avR2(1053, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(333)%branchR2(0:0))
    call avR2(333, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22068])

    allocate(vertices(10039)%branchR2(0:0))
    call avR2(10039, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(16)%branchR2(0:0))
    call avR2(16, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(2161)%branchR2(0:0))
    call avR2(2161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(8030)%branchR2(0:0))
    call avR2(8030, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22280, nGC_22281])

    allocate(vertices(4758)%branchR2(0:1))
    call avR2(4758, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22250])

    call avR2(4758, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22251])

    allocate(vertices(7255)%branchR2(0:0))
    call avR2(7255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(1034)%branchR2(0:0))
    call avR2(1034, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(4735)%branchR2(0:1))
    call avR2(4735, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22119, nGC_22121])

    call avR2(4735, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22120, nGC_22122])

    allocate(vertices(1534)%branchR2(0:0))
    call avR2(1534, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4862)%branchR2(0:0))
    call avR2(4862, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(7692)%branchR2(0:1))
    call avR2(7692, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22251])

    call avR2(7692, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22255])

    allocate(vertices(10186)%branchR2(0:0))
    call avR2(10186, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(597)%branchR2(0:0))
    call avR2(597, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

    allocate(vertices(1399)%branchR2(0:0))
    call avR2(1399, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(7754)%branchR2(0:0))
    call avR2(7754, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

    allocate(vertices(10600)%branchR2(0:1))
    call avR2(10600, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22351, nGC_22351,    &
    nGC_22351])

    call avR2(10600, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22350, nGC_22350,    &
    nGC_22350])

    allocate(vertices(9814)%branchR2(0:0))
    call avR2(9814, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10601)%branchR2(0:0))
    call avR2(10601, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(2773)%branchR2(0:0))
    call avR2(2773, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(10602)%branchR2(0:1))
    call avR2(10602, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22447])

    call avR2(10602, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22446])

    allocate(vertices(4444)%branchR2(0:0))
    call avR2(4444, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

    allocate(vertices(4424)%branchR2(0:0))
    call avR2(4424, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(8632)%branchR2(0:0))
    call avR2(8632, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22254])

    allocate(vertices(7362)%branchR2(0:0))
    call avR2(7362, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22067])

    allocate(vertices(10603)%branchR2(0:0))
    call avR2(10603, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22318])

    allocate(vertices(6606)%branchR2(0:0))
    call avR2(6606, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22221])

    allocate(vertices(2413)%branchR2(0:0))
    call avR2(2413, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(2294)%branchR2(0:0))
    call avR2(2294, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(6738)%branchR2(0:0))
    call avR2(6738, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(9801)%branchR2(0:0))
    call avR2(9801, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22017])

    allocate(vertices(10433)%branchR2(0:0))
    call avR2(10433, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(7056)%branchR2(0:0))
    call avR2(7056, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

    allocate(vertices(8745)%branchR2(0:0))
    call avR2(8745, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22164, nGC_22163])

    allocate(vertices(10604)%branchR2(0:0))
    call avR2(10604, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22320])

    allocate(vertices(10605)%branchR2(0:1))
    call avR2(10605, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22378])

    call avR2(10605, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22377])

    allocate(vertices(1213)%branchR2(0:0))
    call avR2(1213, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(9216)%branchR2(0:0))
    call avR2(9216, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22032])

    allocate(vertices(2662)%branchR2(0:0))
    call avR2(2662, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(7894)%branchR2(0:0))
    call avR2(7894, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(9171)%branchR2(0:0))
    call avR2(9171, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(10606)%branchR2(0:0))
    call avR2(10606, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(7040)%branchR2(0:0))
    call avR2(7040, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22143])

    allocate(vertices(10607)%branchR2(0:0))
    call avR2(10607, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22320])

    allocate(vertices(510)%branchR2(0:1))
    call avR2(510, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22251])

    call avR2(510, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22252])

    allocate(vertices(1200)%branchR2(0:0))
    call avR2(1200, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(2461)%branchR2(0:0))
    call avR2(2461, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(5975)%branchR2(0:1))
    call avR2(5975, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22135, nGC_22137])

    call avR2(5975, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22149, nGC_22150])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5559)%branchR2(0:0))
    call avR2(5559, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(4599)%branchR2(0:0))
    call avR2(4599, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(186)%branchR2(0:1))
    call avR2(186, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(186, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22279, nGC_22278])

    allocate(vertices(4121)%branchR2(0:0))
    call avR2(4121, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(9949)%branchR2(0:0))
    call avR2(9949, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7886)%branchR2(0:0))
    call avR2(7886, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(4199)%branchR2(0:1))
    call avR2(4199, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22241, nGC_22242])

    call avR2(4199, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22243, nGC_22243])

    allocate(vertices(3335)%branchR2(0:0))
    call avR2(3335, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(6873)%branchR2(0:0))
    call avR2(6873, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22374])

    allocate(vertices(7146)%branchR2(0:0))
    call avR2(7146, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(8294)%branchR2(0:1))
    call avR2(8294, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22214, nGC_22214])

    call avR2(8294, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22212, nGC_22213])

    allocate(vertices(3761)%branchR2(0:1))
    call avR2(3761, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(3761, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22026, nGC_22025])

    allocate(vertices(129)%branchR2(0:3))
    call avR2(129, 0, 120, 1, 0, FVFa0, 0, [1, 2], [nGC_22313, nGC_22312])

    call avR2(129, 1, 120, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(129, 2, 121, 1, 0, FVFa0, 0, [1, 2], [nGC_22311, nGC_22310])

    call avR2(129, 3, 121, 1, 0, FVFa0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(4180)%branchR2(0:0))
    call avR2(4180, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22118, nGC_22117])

    allocate(vertices(5644)%branchR2(0:0))
    call avR2(5644, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(2005)%branchR2(0:1))
    call avR2(2005, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22248, nGC_22248])

    call avR2(2005, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22246, nGC_22247])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5214)%branchR2(0:0))
    call avR2(5214, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22253])

    allocate(vertices(5317)%branchR2(0:0))
    call avR2(5317, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(9118)%branchR2(0:0))
    call avR2(9118, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22017])

    allocate(vertices(4708)%branchR2(0:0))
    call avR2(4708, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(2902)%branchR2(0:0))
    call avR2(2902, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(10608)%branchR2(0:1))
    call avR2(10608, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22378])

    call avR2(10608, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22377])

    allocate(vertices(3919)%branchR2(0:0))
    call avR2(3919, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(10609)%branchR2(0:0))
    call avR2(10609, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(5804)%branchR2(0:0))
    call avR2(5804, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22014])

    allocate(vertices(8046)%branchR2(0:0))
    call avR2(8046, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(8517)%branchR2(0:1))
    call avR2(8517, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22248, nGC_22248])

    call avR2(8517, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22246, nGC_22247])

    allocate(vertices(1970)%branchR2(0:0))
    call avR2(1970, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(3050)%branchR2(0:0))
    call avR2(3050, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(6331)%branchR2(0:0))
    call avR2(6331, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(2491)%branchR2(0:0))
    call avR2(2491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(2349)%branchR2(0:0))
    call avR2(2349, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(1759)%branchR2(0:0))
    call avR2(1759, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22245, nGC_22244])

    allocate(vertices(6429)%branchR2(0:0))
    call avR2(6429, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(6657)%branchR2(0:1))
    call avR2(6657, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22060, nGC_22062])

    call avR2(6657, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22080, nGC_22081])

    allocate(vertices(5635)%branchR2(0:0))
    call avR2(5635, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5283)%branchR2(0:0))
    call avR2(5283, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22253])

    allocate(vertices(10610)%branchR2(0:1))
    call avR2(10610, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22430])

    call avR2(10610, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22429])

    allocate(vertices(8842)%branchR2(0:0))
    call avR2(8842, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21988, nGC_21989,       &
    nGC_21997, nGC_21997])

    allocate(vertices(7518)%branchR2(0:0))
    call avR2(7518, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22075])

    allocate(vertices(274)%branchR2(0:1))
    call avR2(274, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22060, nGC_22062])

    call avR2(274, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22080, nGC_22081])

    allocate(vertices(3094)%branchR2(0:3))
    call avR2(3094, 0, 116, 1, 0, VFFa0, 0, [1, 2], [nGC_22302, nGC_22301])

    call avR2(3094, 1, 116, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(3094, 2, 117, 1, 0, VFFa0, 0, [1, 2], [nGC_22299, nGC_22298])

    call avR2(3094, 3, 117, 1, 0, VFFa0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(5423)%branchR2(0:0))
    call avR2(5423, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(2338)%branchR2(0:0))
    call avR2(2338, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6726)%branchR2(0:1))
    call avR2(6726, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22023, nGC_22022])

    call avR2(6726, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(3490)%branchR2(0:0))
    call avR2(3490, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(9021)%branchR2(0:0))
    call avR2(9021, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1130)%branchR2(0:0))
    call avR2(1130, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(4961)%branchR2(0:0))
    call avR2(4961, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(5507)%branchR2(0:0))
    call avR2(5507, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22108, nGC_22107])

    allocate(vertices(10611)%branchR2(0:0))
    call avR2(10611, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(2531)%branchR2(0:0))
    call avR2(2531, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6132)%branchR2(0:0))
    call avR2(6132, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(1282)%branchR2(0:0))
    call avR2(1282, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22158])

    allocate(vertices(10108)%branchR2(0:0))
    call avR2(10108, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2251)%branchR2(0:0))
    call avR2(2251, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(4455)%branchR2(0:1))
    call avR2(4455, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22200, nGC_22201])

    call avR2(4455, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22202, nGC_22202])

    allocate(vertices(7334)%branchR2(0:0))
    call avR2(7334, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22069])

    allocate(vertices(3826)%branchR2(0:0))
    call avR2(3826, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22011])

    allocate(vertices(2650)%branchR2(0:0))
    call avR2(2650, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(10612)%branchR2(0:0))
    call avR2(10612, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22319])

    allocate(vertices(6072)%branchR2(0:0))
    call avR2(6072, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22009])

    allocate(vertices(9377)%branchR2(0:0))
    call avR2(9377, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(2312)%branchR2(0:0))
    call avR2(2312, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(3803)%branchR2(0:0))
    call avR2(3803, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(5785)%branchR2(0:3))
    call avR2(5785, 0, 120, 1, 0, FVFa0, 0, [1, 2], [nGC_22297, nGC_22296])

    call avR2(5785, 1, 120, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(5785, 2, 121, 1, 0, FVFa0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(5785, 3, 121, 1, 0, FVFa0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10613)%branchR2(0:0))
    call avR2(10613, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(3164)%branchR2(0:0))
    call avR2(3164, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(7520)%branchR2(0:0))
    call avR2(7520, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(10614)%branchR2(0:0))
    call avR2(10614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(10320)%branchR2(0:0))
    call avR2(10320, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(1105)%branchR2(0:0))
    call avR2(1105, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22143])

    allocate(vertices(3301)%branchR2(0:0))
    call avR2(3301, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

    allocate(vertices(3810)%branchR2(0:0))
    call avR2(3810, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22459])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2133)%branchR2(0:0))
    call avR2(2133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(1435)%branchR2(0:1))
    call avR2(1435, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22231, nGC_22231])

    call avR2(1435, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22229, nGC_22230])

    allocate(vertices(10615)%branchR2(0:0))
    call avR2(10615, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(9731)%branchR2(0:0))
    call avR2(9731, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(7712)%branchR2(0:0))
    call avR2(7712, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(9782)%branchR2(0:0))
    call avR2(9782, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(9586)%branchR2(0:0))
    call avR2(9586, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(1716)%branchR2(0:1))
    call avR2(1716, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22251])

    call avR2(1716, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22255])

    allocate(vertices(5349)%branchR2(0:0))
    call avR2(5349, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(1518)%branchR2(0:0))
    call avR2(1518, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8630)%branchR2(0:0))
    call avR2(8630, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(9501)%branchR2(0:0))
    call avR2(9501, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(2627)%branchR2(0:0))
    call avR2(2627, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22106, nGC_22105])

    allocate(vertices(7324)%branchR2(0:0))
    call avR2(7324, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(1294)%branchR2(0:1))
    call avR2(1294, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22241, nGC_22242])

    call avR2(1294, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22243, nGC_22243])

    allocate(vertices(10616)%branchR2(0:1))
    call avR2(10616, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22394])

    call avR2(10616, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(9684)%branchR2(0:0))
    call avR2(9684, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22017])

    allocate(vertices(2980)%branchR2(0:0))
    call avR2(2980, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1031)%branchR2(0:0))
    call avR2(1031, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(4856)%branchR2(0:1))
    call avR2(4856, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22023, nGC_22022])

    call avR2(4856, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(2596)%branchR2(0:0))
    call avR2(2596, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(889)%branchR2(0:0))
    call avR2(889, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(4729)%branchR2(0:0))
    call avR2(4729, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22127])

    allocate(vertices(10617)%branchR2(0:0))
    call avR2(10617, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(4360)%branchR2(0:0))
    call avR2(4360, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(1723)%branchR2(0:1))
    call avR2(1723, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22251])

    call avR2(1723, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22252])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(5325)%branchR2(0:0))
    call avR2(5325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7782)%branchR2(0:0))
    call avR2(7782, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(413)%branchR2(0:0))
    call avR2(413, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(1417)%branchR2(0:0))
    call avR2(1417, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(10023)%branchR2(0:0))
    call avR2(10023, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2404)%branchR2(0:0))
    call avR2(2404, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(8794)%branchR2(0:1))
    call avR2(8794, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22197, nGC_22198])

    call avR2(8794, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22199, nGC_22199])

    allocate(vertices(10411)%branchR2(0:0))
    call avR2(10411, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22087])

    allocate(vertices(4946)%branchR2(0:0))
    call avR2(4946, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(7247)%branchR2(0:0))
    call avR2(7247, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(7880)%branchR2(0:0))
    call avR2(7880, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22071])

    allocate(vertices(5070)%branchR2(0:0))
    call avR2(5070, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(10448)%branchR2(0:0))
    call avR2(10448, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10618)%branchR2(0:1))
    call avR2(10618, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22441])

    call avR2(10618, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22440])

    allocate(vertices(3657)%branchR2(0:0))
    call avR2(3657, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(9701)%branchR2(0:0))
    call avR2(9701, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(5584)%branchR2(0:0))
    call avR2(5584, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(4681)%branchR2(0:0))
    call avR2(4681, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10326)%branchR2(0:0))
    call avR2(10326, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(6981)%branchR2(0:0))
    call avR2(6981, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(5235)%branchR2(0:0))
    call avR2(5235, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(8267)%branchR2(0:0))
    call avR2(8267, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22258])

    allocate(vertices(6929)%branchR2(0:0))
    call avR2(6929, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(3246)%branchR2(0:0))
    call avR2(3246, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(1866)%branchR2(0:0))
    call avR2(1866, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(4070)%branchR2(0:0))
    call avR2(4070, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(6105)%branchR2(0:0))
    call avR2(6105, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22467])

    allocate(vertices(170)%branchR2(0:0))
    call avR2(170, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22029, nGC_22030])

    allocate(vertices(8864)%branchR2(0:0))
    call avR2(8864, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22468])

    allocate(vertices(1793)%branchR2(0:0))
    call avR2(1793, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(6842)%branchR2(0:0))
    call avR2(6842, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22052])

    allocate(vertices(5338)%branchR2(0:0))
    call avR2(5338, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(10052)%branchR2(0:0))
    call avR2(10052, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(2941)%branchR2(0:0))
    call avR2(2941, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22054])

    allocate(vertices(7486)%branchR2(0:0))
    call avR2(7486, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(4895)%branchR2(0:1))
    call avR2(4895, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22251])

    call avR2(4895, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22255])

    allocate(vertices(7337)%branchR2(0:0))
    call avR2(7337, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(9370)%branchR2(0:0))
    call avR2(9370, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(2683)%branchR2(0:0))
    call avR2(2683, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22142])

    allocate(vertices(1693)%branchR2(0:1))
    call avR2(1693, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22063, nGC_22065])

    call avR2(1693, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22064, nGC_22066])

    allocate(vertices(7789)%branchR2(0:0))
    call avR2(7789, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(3372)%branchR2(0:0))
    call avR2(3372, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57454])

    allocate(vertices(2835)%branchR2(0:0))
    call avR2(2835, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22322, nGC_22323,       &
    nGC_22321])

    allocate(vertices(1863)%branchR2(0:0))
    call avR2(1863, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(10619)%branchR2(0:0))
    call avR2(10619, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22320])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22316])

    allocate(vertices(6076)%branchR2(0:0))
    call avR2(6076, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22192])

    allocate(vertices(8289)%branchR2(0:0))
    call avR2(8289, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(2143)%branchR2(0:0))
    call avR2(2143, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22143])

    allocate(vertices(9870)%branchR2(0:0))
    call avR2(9870, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(3561)%branchR2(0:0))
    call avR2(3561, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(4603)%branchR2(0:0))
    call avR2(4603, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(7963)%branchR2(0:0))
    call avR2(7963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(5345)%branchR2(0:0))
    call avR2(5345, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(7275)%branchR2(0:0))
    call avR2(7275, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22459])

    allocate(vertices(8363)%branchR2(0:0))
    call avR2(8363, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(7170)%branchR2(0:0))
    call avR2(7170, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(8042)%branchR2(0:0))
    call avR2(8042, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(7396)%branchR2(0:0))
    call avR2(7396, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(4663)%branchR2(0:0))
    call avR2(4663, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22069])

    allocate(vertices(2118)%branchR2(0:0))
    call avR2(2118, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22090])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(6293)%branchR2(0:0))
    call avR2(6293, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57796])

    allocate(vertices(1729)%branchR2(0:0))
    call avR2(1729, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(5155)%branchR2(0:0))
    call avR2(5155, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(10074)%branchR2(0:0))
    call avR2(10074, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8981)%branchR2(0:0))
    call avR2(8981, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(3651)%branchR2(0:0))
    call avR2(3651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(568)%branchR2(0:0))
    call avR2(568, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(3699)%branchR2(0:0))
    call avR2(3699, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22467])

    allocate(vertices(9267)%branchR2(0:0))
    call avR2(9267, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22051])

    allocate(vertices(10620)%branchR2(0:1))
    call avR2(10620, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10620, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(1775)%branchR2(0:0))
    call avR2(1775, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(3120)%branchR2(0:0))
    call avR2(3120, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(9220)%branchR2(0:0))
    call avR2(9220, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1235)%branchR2(0:0))
    call avR2(1235, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(4641)%branchR2(0:0))
    call avR2(4641, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(10621)%branchR2(0:0))
    call avR2(10621, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(9937)%branchR2(0:0))
    call avR2(9937, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(5399)%branchR2(0:0))
    call avR2(5399, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(1628)%branchR2(0:0))
    call avR2(1628, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(6344)%branchR2(0:0))
    call avR2(6344, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22067])

    allocate(vertices(9994)%branchR2(0:0))
    call avR2(9994, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22032])

    allocate(vertices(2659)%branchR2(0:0))
    call avR2(2659, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(3936)%branchR2(0:0))
    call avR2(3936, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(9871)%branchR2(0:0))
    call avR2(9871, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22017])

    allocate(vertices(10622)%branchR2(0:1))
    call avR2(10622, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22394])

    call avR2(10622, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(6511)%branchR2(0:0))
    call avR2(6511, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22477, nGC_22478,       &
    nGC_22478])

    allocate(vertices(3241)%branchR2(0:0))
    call avR2(3241, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22466])

    allocate(vertices(1067)%branchR2(0:0))
    call avR2(1067, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(10018)%branchR2(0:0))
    call avR2(10018, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(9661)%branchR2(0:0))
    call avR2(9661, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22031])

    allocate(vertices(9081)%branchR2(0:0))
    call avR2(9081, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

    allocate(vertices(10623)%branchR2(0:1))
    call avR2(10623, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22471])

    call avR2(10623, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22470])

    allocate(vertices(10063)%branchR2(0:0))
    call avR2(10063, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(3229)%branchR2(0:1))
    call avR2(3229, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(3229, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(10624)%branchR2(0:1))
    call avR2(10624, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,    &
    nGC_22485])

    call avR2(10624, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22484, nGC_22484,    &
    nGC_22484])

    allocate(vertices(2450)%branchR2(0:0))
    call avR2(2450, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22090])

    allocate(vertices(10625)%branchR2(0:0))
    call avR2(10625, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22336, nGC_22337,      &
    nGC_22337])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2597)%branchR2(0:1))
    call avR2(2597, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(2597, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22035, nGC_22034])

    allocate(vertices(2678)%branchR2(0:3))
    call avR2(2678, 0, 116, 1, 0, VFFa0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(2678, 1, 116, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(2678, 2, 117, 1, 0, VFFa0, 0, [1, 2], [nGC_22305, nGC_22304])

    call avR2(2678, 3, 117, 1, 0, VFFa0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(88)%branchR2(0:0))
    call avR2(88, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(1090)%branchR2(0:1))
    call avR2(1090, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22119, nGC_22121])

    call avR2(1090, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22120, nGC_22122])

    allocate(vertices(6139)%branchR2(0:0))
    call avR2(6139, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(9006)%branchR2(0:0))
    call avR2(9006, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(7648)%branchR2(0:0))
    call avR2(7648, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(9702)%branchR2(0:0))
    call avR2(9702, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22033])

    allocate(vertices(8654)%branchR2(0:0))
    call avR2(8654, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(4329)%branchR2(0:0))
    call avR2(4329, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22357,       &
    nGC_22356])

    allocate(vertices(2196)%branchR2(0:0))
    call avR2(2196, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(10233)%branchR2(0:0))
    call avR2(10233, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(293)%branchR2(0:1))
    call avR2(293, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(293, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22277, nGC_22276])

    allocate(vertices(4559)%branchR2(0:0))
    call avR2(4559, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(6660)%branchR2(0:0))
    call avR2(6660, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(3333)%branchR2(0:0))
    call avR2(3333, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22076])

    allocate(vertices(9315)%branchR2(0:1))
    call avR2(9315, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21984,       &
    nGC_22001, nGC_22001])

    call avR2(9315, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21979, nGC_21979,       &
    nGC_22002, nGC_22002])

    allocate(vertices(6384)%branchR2(0:1))
    call avR2(6384, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(6384, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(7505)%branchR2(0:0))
    call avR2(7505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(8355)%branchR2(0:0))
    call avR2(8355, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22257])

    allocate(vertices(9332)%branchR2(0:0))
    call avR2(9332, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(7788)%branchR2(0:0))
    call avR2(7788, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22155])

    allocate(vertices(5831)%branchR2(0:0))
    call avR2(5831, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22221])

    allocate(vertices(1469)%branchR2(0:0))
    call avR2(1469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10626)%branchR2(0:1))
    call avR2(10626, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10626, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(66)%branchR2(0:0))
    call avR2(66, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10627)%branchR2(0:5))
    call avR2(10627, 0, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    call avR2(10627, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10627, 2, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10627, 3, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_22406, nGC_22406,    &
    nGC_22406])

    call avR2(10627, 4, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10627, 5, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    allocate(vertices(5491)%branchR2(0:0))
    call avR2(5491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(3526)%branchR2(0:1))
    call avR2(3526, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22226, nGC_22227])

    call avR2(3526, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22228, nGC_22228])

    allocate(vertices(8976)%branchR2(0:0))
    call avR2(8976, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22468])

    allocate(vertices(3053)%branchR2(0:0))
    call avR2(3053, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(786)%branchR2(0:3))
    call avR2(786, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22307, nGC_22306])

    call avR2(786, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(786, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22305, nGC_22304])

    call avR2(786, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(6118)%branchR2(0:0))
    call avR2(6118, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(9113)%branchR2(0:0))
    call avR2(9113, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(2116)%branchR2(0:0))
    call avR2(2116, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(9590)%branchR2(0:0))
    call avR2(9590, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(6786)%branchR2(0:0))
    call avR2(6786, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22142])

    allocate(vertices(10628)%branchR2(0:0))
    call avR2(10628, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(8726)%branchR2(0:0))
    call avR2(8726, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22052])

    allocate(vertices(4665)%branchR2(0:0))
    call avR2(4665, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(9933)%branchR2(0:0))
    call avR2(9933, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(9300)%branchR2(0:0))
    call avR2(9300, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21998])

    allocate(vertices(3134)%branchR2(0:1))
    call avR2(3134, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22246, nGC_22247])

    call avR2(3134, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22248, nGC_22248])

    allocate(vertices(10629)%branchR2(0:0))
    call avR2(10629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(6610)%branchR2(0:0))
    call avR2(6610, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(860)%branchR2(0:0))
    call avR2(860, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57890])

    allocate(vertices(577)%branchR2(0:1))
    call avR2(577, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22159, nGC_22161])

    call avR2(577, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22160, nGC_22162])

    allocate(vertices(3057)%branchR2(0:0))
    call avR2(3057, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(6593)%branchR2(0:0))
    call avR2(6593, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

    allocate(vertices(3740)%branchR2(0:0))
    call avR2(3740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(1917)%branchR2(0:0))
    call avR2(1917, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(6412)%branchR2(0:0))
    call avR2(6412, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3628)%branchR2(0:0))
    call avR2(3628, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(5832)%branchR2(0:0))
    call avR2(5832, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(471)%branchR2(0:0))
    call avR2(471, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22145])

    allocate(vertices(8346)%branchR2(0:0))
    call avR2(8346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(5337)%branchR2(0:0))
    call avR2(5337, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22157])

    allocate(vertices(8123)%branchR2(0:0))
    call avR2(8123, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(5620)%branchR2(0:0))
    call avR2(5620, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(8777)%branchR2(0:1))
    call avR2(8777, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22037, nGC_22036])

    call avR2(8777, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(456)%branchR2(0:0))
    call avR2(456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22459])

    allocate(vertices(4996)%branchR2(0:0))
    call avR2(4996, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(7908)%branchR2(0:23))
    call avR2(7908, 0, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,       &
    nGC_22489])

    call avR2(7908, 1, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,       &
    nGC_22489])

    call avR2(7908, 2, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22494,       &
    nGC_22496])

    call avR2(7908, 3, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_22494, nGC_22489,       &
    nGC_22495])

    call avR2(7908, 4, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22494,       &
    nGC_22496])

    call avR2(7908, 5, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_22494, nGC_22489,       &
    nGC_22495])

    call avR2(7908, 6, 171, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,     &
    nGC_22491])

    call avR2(7908, 7, 172, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,     &
    nGC_22491])

    call avR2(7908, 8, 173, 1, 0, VVVV0, 0, [4, 0], [nGC_22493, nGC_22492,     &
    nGC_22492])

    call avR2(7908, 9, 174, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,     &
    nGC_22491])

    call avR2(7908, 10, 175, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,    &
    nGC_22493])

    call avR2(7908, 11, 176, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22493,    &
    nGC_22492])

    call avR2(7908, 12, 177, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,    &
    nGC_22491])

    call avR2(7908, 13, 178, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,    &
    nGC_22491])

    call avR2(7908, 14, 179, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,    &
    nGC_22491])

    call avR2(7908, 15, 180, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,    &
    nGC_22491])

    call avR2(7908, 16, 181, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,    &
    nGC_22491])

    call avR2(7908, 17, 182, 1, 0, VVVV0, 0, [4, 0], [nGC_22497, nGC_22497,    &
    nGC_22497])

    call avR2(7908, 18, 183, 1, 0, VVVV0, 0, [4, 0], [nGC_22497, nGC_22497,    &
    nGC_22497])

    call avR2(7908, 19, 184, 1, 0, VVVV0, 0, [4, 0], [nGC_22497, nGC_22497,    &
    nGC_22497])

    call avR2(7908, 20, 185, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,    &
    nGC_22498])

    call avR2(7908, 21, 186, 1, 0, VVVV0, 0, [4, 0], [nGC_22497, nGC_22497,    &
    nGC_22497])

    call avR2(7908, 22, 187, 1, 0, VVVV0, 0, [4, 0], [nGC_22497, nGC_22497,    &
    nGC_22497])

    call avR2(7908, 23, 188, 1, 0, VVVV0, 0, [4, 0], [nGC_22497, nGC_22497,    &
    nGC_22497])

    allocate(vertices(4968)%branchR2(0:1))
    call avR2(4968, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22248, nGC_22248])

    call avR2(4968, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22246, nGC_22247])

    allocate(vertices(4177)%branchR2(0:0))
    call avR2(4177, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(8198)%branchR2(0:0))
    call avR2(8198, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(3793)%branchR2(0:3))
    call avR2(3793, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(3793, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(3793, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(3793, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(5496)%branchR2(0:0))
    call avR2(5496, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10630)%branchR2(0:1))
    call avR2(10630, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22476])

    call avR2(10630, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22475])

    allocate(vertices(6281)%branchR2(0:0))
    call avR2(6281, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(5980)%branchR2(0:0))
    call avR2(5980, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(9193)%branchR2(0:0))
    call avR2(9193, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21962, nGC_21961])

    allocate(vertices(4917)%branchR2(0:1))
    call avR2(4917, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22251])

    call avR2(4917, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22255])

    allocate(vertices(5194)%branchR2(0:0))
    call avR2(5194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(8254)%branchR2(0:1))
    call avR2(8254, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22228, nGC_22228])

    call avR2(8254, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22226, nGC_22227])

    allocate(vertices(9471)%branchR2(0:0))
    call avR2(9471, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(9307)%branchR2(0:0))
    call avR2(9307, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4788)%branchR2(0:0))
    call avR2(4788, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(3090)%branchR2(0:1))
    call avR2(3090, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22055, nGC_22057])

    call avR2(3090, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22056, nGC_22058])

    allocate(vertices(6231)%branchR2(0:1))
    call avR2(6231, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22035, nGC_22034])

    call avR2(6231, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(2711)%branchR2(0:0))
    call avR2(2711, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(10115)%branchR2(0:0))
    call avR2(10115, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(5307)%branchR2(0:0))
    call avR2(5307, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22144])

    allocate(vertices(9336)%branchR2(0:0))
    call avR2(9336, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(4366)%branchR2(0:3))
    call avR2(4366, 0, 118, 1, 0, VFaF0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(4366, 1, 118, 1, 0, VFaF0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(4366, 2, 119, 1, 0, VFaF0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(4366, 3, 119, 1, 0, VFaF0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10631)%branchR2(0:0))
    call avR2(10631, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(10632)%branchR2(0:1))
    call avR2(10632, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    call avR2(10632, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(5753)%branchR2(0:0))
    call avR2(5753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22469])

    allocate(vertices(4597)%branchR2(0:0))
    call avR2(4597, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(2430)%branchR2(0:0))
    call avR2(2430, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(2903)%branchR2(0:0))
    call avR2(2903, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(6600)%branchR2(0:0))
    call avR2(6600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(4942)%branchR2(0:0))
    call avR2(4942, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(2885)%branchR2(0:0))
    call avR2(2885, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22015])

    allocate(vertices(3922)%branchR2(0:0))
    call avR2(3922, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(5269)%branchR2(0:0))
    call avR2(5269, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(4276)%branchR2(0:0))
    call avR2(4276, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5259)%branchR2(0:0))
    call avR2(5259, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9572)%branchR2(0:0))
    call avR2(9572, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22087])

    allocate(vertices(8965)%branchR2(0:0))
    call avR2(8965, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(7262)%branchR2(0:0))
    call avR2(7262, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4889)%branchR2(0:0))
    call avR2(4889, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57545])

    allocate(vertices(10633)%branchR2(0:0))
    call avR2(10633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22431])

    allocate(vertices(6558)%branchR2(0:1))
    call avR2(6558, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22196, nGC_22196])

    call avR2(6558, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22194, nGC_22195])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(8322)%branchR2(0:0))
    call avR2(8322, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58950])

    allocate(vertices(10634)%branchR2(0:1))
    call avR2(10634, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22429])

    call avR2(10634, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22430])

    allocate(vertices(10635)%branchR2(0:1))
    call avR2(10635, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22441])

    call avR2(10635, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22440])

    allocate(vertices(5255)%branchR2(0:1))
    call avR2(5255, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22251])

    call avR2(5255, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22252])

    allocate(vertices(2760)%branchR2(0:0))
    call avR2(2760, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(9061)%branchR2(0:0))
    call avR2(9061, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(2222)%branchR2(0:0))
    call avR2(2222, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(29)%branchR2(0:0))
    call avR2(29, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(9813)%branchR2(0:0))
    call avR2(9813, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(10636)%branchR2(0:0))
    call avR2(10636, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(3980)%branchR2(0:1))
    call avR2(3980, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22243, nGC_22243])

    call avR2(3980, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22241, nGC_22242])

    allocate(vertices(1419)%branchR2(0:0))
    call avR2(1419, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(5191)%branchR2(0:0))
    call avR2(5191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(9580)%branchR2(0:0))
    call avR2(9580, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(9288)%branchR2(0:0))
    call avR2(9288, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22073])

    allocate(vertices(10382)%branchR2(0:0))
    call avR2(10382, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5634)%branchR2(0:0))
    call avR2(5634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(6867)%branchR2(0:1))
    call avR2(6867, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22169, nGC_22171])

    call avR2(6867, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22170, nGC_22172])

    allocate(vertices(7136)%branchR2(0:0))
    call avR2(7136, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(5676)%branchR2(0:0))
    call avR2(5676, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(3622)%branchR2(0:0))
    call avR2(3622, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22076])

    allocate(vertices(8530)%branchR2(0:0))
    call avR2(8530, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10228)%branchR2(0:0))
    call avR2(10228, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(5176)%branchR2(0:0))
    call avR2(5176, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(9750)%branchR2(0:0))
    call avR2(9750, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22074])

    allocate(vertices(6675)%branchR2(0:1))
    call avR2(6675, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22159, nGC_22161])

    call avR2(6675, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22160, nGC_22162])

    allocate(vertices(10637)%branchR2(0:1))
    call avR2(10637, 0, 127, 1, 0, VSV0, 0, [2, 1], [nGC_22207])

    call avR2(10637, 1, 128, 1, 0, VSV0, 0, [2, 1], [nGC_22208])

    allocate(vertices(10638)%branchR2(0:1))
    call avR2(10638, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22447])

    call avR2(10638, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22446])

    allocate(vertices(6515)%branchR2(0:1))
    call avR2(6515, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22035, nGC_22034])

    call avR2(6515, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(2417)%branchR2(0:0))
    call avR2(2417, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22269, nGC_22270])

    allocate(vertices(10206)%branchR2(0:0))
    call avR2(10206, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(1998)%branchR2(0:0))
    call avR2(1998, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(945)%branchR2(0:1))
    call avR2(945, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(945, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(7925)%branchR2(0:0))
    call avR2(7925, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(9179)%branchR2(0:0))
    call avR2(9179, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(6330)%branchR2(0:0))
    call avR2(6330, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(10266)%branchR2(0:0))
    call avR2(10266, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(7747)%branchR2(0:0))
    call avR2(7747, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22029, nGC_22030])

    allocate(vertices(2660)%branchR2(0:0))
    call avR2(2660, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(1969)%branchR2(0:0))
    call avR2(1969, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(902)%branchR2(0:0))
    call avR2(902, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59874])

    allocate(vertices(8147)%branchR2(0:0))
    call avR2(8147, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(895)%branchR2(0:1))
    call avR2(895, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(895, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(4081)%branchR2(0:0))
    call avR2(4081, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(6484)%branchR2(0:1))
    call avR2(6484, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22250])

    call avR2(6484, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22251])

    allocate(vertices(1083)%branchR2(0:1))
    call avR2(1083, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22229, nGC_22230])

    call avR2(1083, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22231, nGC_22231])

    allocate(vertices(4086)%branchR2(0:0))
    call avR2(4086, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(3166)%branchR2(0:0))
    call avR2(3166, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22467])

    allocate(vertices(7064)%branchR2(0:0))
    call avR2(7064, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(8753)%branchR2(0:0))
    call avR2(8753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(135)%branchR2(0:0))
    call avR2(135, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(6517)%branchR2(0:0))
    call avR2(6517, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(6773)%branchR2(0:0))
    call avR2(6773, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

    allocate(vertices(4809)%branchR2(0:0))
    call avR2(4809, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(9881)%branchR2(0:0))
    call avR2(9881, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(10639)%branchR2(0:0))
    call avR2(10639, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(10381)%branchR2(0:0))
    call avR2(10381, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(4858)%branchR2(0:0))
    call avR2(4858, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(2386)%branchR2(0:0))
    call avR2(2386, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(8472)%branchR2(0:0))
    call avR2(8472, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(10005)%branchR2(0:0))
    call avR2(10005, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(3068)%branchR2(0:0))
    call avR2(3068, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59874])

    allocate(vertices(5408)%branchR2(0:0))
    call avR2(5408, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(9845)%branchR2(0:0))
    call avR2(9845, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(7270)%branchR2(0:0))
    call avR2(7270, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(4044)%branchR2(0:0))
    call avR2(4044, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(4534)%branchR2(0:0))
    call avR2(4534, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8641)%branchR2(0:0))
    call avR2(8641, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(1275)%branchR2(0:0))
    call avR2(1275, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59910])

    allocate(vertices(10180)%branchR2(0:0))
    call avR2(10180, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(4919)%branchR2(0:0))
    call avR2(4919, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22155])

    allocate(vertices(8592)%branchR2(0:0))
    call avR2(8592, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(7528)%branchR2(0:3))
    call avR2(7528, 0, 114, 1, 0, FaFV0, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(7528, 1, 114, 1, 0, FaFV0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(7528, 2, 115, 1, 0, FaFV0, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(7528, 3, 115, 1, 0, FaFV0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10640)%branchR2(0:0))
    call avR2(10640, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22319])

    allocate(vertices(10221)%branchR2(0:0))
    call avR2(10221, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22359])

    allocate(vertices(704)%branchR2(0:0))
    call avR2(704, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(536)%branchR2(0:1))
    call avR2(536, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22209, nGC_22210])

    call avR2(536, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22211, nGC_22211])

    allocate(vertices(3376)%branchR2(0:1))
    call avR2(3376, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(3376, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(8971)%branchR2(0:0))
    call avR2(8971, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(5509)%branchR2(0:0))
    call avR2(5509, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22275])

    allocate(vertices(8723)%branchR2(0:0))
    call avR2(8723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4192)%branchR2(0:0))
    call avR2(4192, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(4759)%branchR2(0:0))
    call avR2(4759, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

    allocate(vertices(8453)%branchR2(0:1))
    call avR2(8453, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22058, nGC_22056])

    call avR2(8453, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(9225)%branchR2(0:0))
    call avR2(9225, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(4490)%branchR2(0:1))
    call avR2(4490, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22159, nGC_22161])

    call avR2(4490, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22160, nGC_22162])

    allocate(vertices(320)%branchR2(0:0))
    call avR2(320, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22193])

    allocate(vertices(7978)%branchR2(0:0))
    call avR2(7978, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(3066)%branchR2(0:0))
    call avR2(3066, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(2872)%branchR2(0:0))
    call avR2(2872, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(9227)%branchR2(0:0))
    call avR2(9227, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(10641)%branchR2(0:1))
    call avR2(10641, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22440])

    call avR2(10641, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22441])

    allocate(vertices(8094)%branchR2(0:0))
    call avR2(8094, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58239])

    allocate(vertices(10642)%branchR2(0:0))
    call avR2(10642, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(9903)%branchR2(0:0))
    call avR2(9903, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(10643)%branchR2(0:1))
    call avR2(10643, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22463])

    call avR2(10643, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22464])

    allocate(vertices(3381)%branchR2(0:0))
    call avR2(3381, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9914)%branchR2(0:0))
    call avR2(9914, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22032])

    allocate(vertices(8534)%branchR2(0:0))
    call avR2(8534, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22216, nGC_22215])

    allocate(vertices(2600)%branchR2(0:0))
    call avR2(2600, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(3161)%branchR2(0:0))
    call avR2(3161, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(8809)%branchR2(0:1))
    call avR2(8809, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22141, nGC_22139])

    call avR2(8809, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22154, nGC_22153])

    allocate(vertices(7572)%branchR2(0:1))
    call avR2(7572, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22199, nGC_22199])

    call avR2(7572, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22197, nGC_22198])

    allocate(vertices(10218)%branchR2(0:0))
    call avR2(10218, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(1755)%branchR2(0:1))
    call avR2(1755, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(1755, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(2988)%branchR2(0:0))
    call avR2(2988, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(9514)%branchR2(0:0))
    call avR2(9514, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(5886)%branchR2(0:1))
    call avR2(5886, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22061, nGC_22059])

    call avR2(5886, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22062, nGC_22060])

    allocate(vertices(82)%branchR2(0:0))
    call avR2(82, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1457)%branchR2(0:0))
    call avR2(1457, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(7587)%branchR2(0:0))
    call avR2(7587, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(728)%branchR2(0:0))
    call avR2(728, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(9632)%branchR2(0:0))
    call avR2(9632, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(5657)%branchR2(0:0))
    call avR2(5657, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(8816)%branchR2(0:0))
    call avR2(8816, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(6566)%branchR2(0:0))
    call avR2(6566, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(10205)%branchR2(0:0))
    call avR2(10205, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(3398)%branchR2(0:0))
    call avR2(3398, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(6179)%branchR2(0:0))
    call avR2(6179, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22190])

    allocate(vertices(248)%branchR2(0:0))
    call avR2(248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(5188)%branchR2(0:3))
    call avR2(5188, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22297, nGC_22296])

    call avR2(5188, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(5188, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(5188, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(8051)%branchR2(0:0))
    call avR2(8051, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22472])

    allocate(vertices(4499)%branchR2(0:0))
    call avR2(4499, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22460])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(10644)%branchR2(0:1))
    call avR2(10644, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10644, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(79)%branchR2(0:0))
    call avR2(79, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(1368)%branchR2(0:0))
    call avR2(1368, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9541)%branchR2(0:0))
    call avR2(9541, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(9197)%branchR2(0:0))
    call avR2(9197, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(3754)%branchR2(0:0))
    call avR2(3754, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(6970)%branchR2(0:0))
    call avR2(6970, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2485)%branchR2(0:0))
    call avR2(2485, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(5396)%branchR2(0:0))
    call avR2(5396, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(7019)%branchR2(0:0))
    call avR2(7019, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22316])

    allocate(vertices(9063)%branchR2(0:0))
    call avR2(9063, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58860])

    allocate(vertices(3801)%branchR2(0:0))
    call avR2(3801, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(5405)%branchR2(0:0))
    call avR2(5405, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(249)%branchR2(0:0))
    call avR2(249, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(4339)%branchR2(0:0))
    call avR2(4339, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(3565)%branchR2(0:1))
    call avR2(3565, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(3565, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22026, nGC_22025])

    allocate(vertices(7740)%branchR2(0:0))
    call avR2(7740, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(5566)%branchR2(0:0))
    call avR2(5566, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22155])

    allocate(vertices(5112)%branchR2(0:0))
    call avR2(5112, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(6494)%branchR2(0:0))
    call avR2(6494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(10645)%branchR2(0:0))
    call avR2(10645, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22084])

    allocate(vertices(7073)%branchR2(0:0))
    call avR2(7073, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(3837)%branchR2(0:1))
    call avR2(3837, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22058, nGC_22056])

    call avR2(3837, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(10646)%branchR2(0:0))
    call avR2(10646, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(5883)%branchR2(0:0))
    call avR2(5883, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(1894)%branchR2(0:0))
    call avR2(1894, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22164, nGC_22163])

    allocate(vertices(7451)%branchR2(0:0))
    call avR2(7451, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22156])

    allocate(vertices(4608)%branchR2(0:0))
    call avR2(4608, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(8047)%branchR2(0:0))
    call avR2(8047, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(6859)%branchR2(0:1))
    call avR2(6859, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(6859, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22277, nGC_22276])

    allocate(vertices(4147)%branchR2(0:0))
    call avR2(4147, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(8511)%branchR2(0:0))
    call avR2(8511, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22126])

    allocate(vertices(8071)%branchR2(0:0))
    call avR2(8071, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(5388)%branchR2(0:0))
    call avR2(5388, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(4781)%branchR2(0:0))
    call avR2(4781, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(1900)%branchR2(0:3))
    call avR2(1900, 0, 122, 1, 0, FaVF1, 0, [1, 2], [nGC_22302, nGC_22301])

    call avR2(1900, 1, 122, 1, 0, FaVF1, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(1900, 2, 123, 1, 0, FaVF1, 0, [1, 2], [nGC_22299, nGC_22298])

    call avR2(1900, 3, 123, 1, 0, FaVF1, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(4284)%branchR2(0:0))
    call avR2(4284, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3464)%branchR2(0:0))
    call avR2(3464, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(9313)%branchR2(0:0))
    call avR2(9313, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(6037)%branchR2(0:0))
    call avR2(6037, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60058])

    allocate(vertices(10647)%branchR2(0:0))
    call avR2(10647, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(340)%branchR2(0:0))
    call avR2(340, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(2363)%branchR2(0:1))
    call avR2(2363, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22225, nGC_22225])

    call avR2(2363, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22223, nGC_22224])

    allocate(vertices(9284)%branchR2(0:0))
    call avR2(9284, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(10648)%branchR2(0:0))
    call avR2(10648, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22336, nGC_22337,      &
    nGC_22337])

    allocate(vertices(9917)%branchR2(0:0))
    call avR2(9917, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(3978)%branchR2(0:0))
    call avR2(3978, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59112])

    allocate(vertices(2092)%branchR2(0:0))
    call avR2(2092, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1549)%branchR2(0:0))
    call avR2(1549, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22257])

    allocate(vertices(7537)%branchR2(0:0))
    call avR2(7537, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60072])

    allocate(vertices(8634)%branchR2(0:0))
    call avR2(8634, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22027, nGC_22028])

    allocate(vertices(7134)%branchR2(0:0))
    call avR2(7134, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    allocate(vertices(5904)%branchR2(0:0))
    call avR2(5904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(10649)%branchR2(0:0))
    call avR2(10649, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22325])

    allocate(vertices(923)%branchR2(0:0))
    call avR2(923, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22143])

    allocate(vertices(6756)%branchR2(0:0))
    call avR2(6756, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(9014)%branchR2(0:0))
    call avR2(9014, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(3034)%branchR2(0:0))
    call avR2(3034, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22118, nGC_22117])

    allocate(vertices(5368)%branchR2(0:0))
    call avR2(5368, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10413)%branchR2(0:0))
    call avR2(10413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(3405)%branchR2(0:0))
    call avR2(3405, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22108, nGC_22107])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(6677)%branchR2(0:0))
    call avR2(6677, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(6732)%branchR2(0:0))
    call avR2(6732, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(2401)%branchR2(0:0))
    call avR2(2401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(2630)%branchR2(0:0))
    call avR2(2630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22459])

    allocate(vertices(1648)%branchR2(0:0))
    call avR2(1648, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22253])

    allocate(vertices(6885)%branchR2(0:0))
    call avR2(6885, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(926)%branchR2(0:1))
    call avR2(926, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22138, nGC_22140])

    call avR2(926, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22139, nGC_22141])

    allocate(vertices(8839)%branchR2(0:0))
    call avR2(8839, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(4041)%branchR2(0:0))
    call avR2(4041, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(10105)%branchR2(0:0))
    call avR2(10105, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(7304)%branchR2(0:0))
    call avR2(7304, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(3804)%branchR2(0:0))
    call avR2(3804, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22184, nGC_22183])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9722)%branchR2(0:0))
    call avR2(9722, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1037)%branchR2(0:0))
    call avR2(1037, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(5695)%branchR2(0:0))
    call avR2(5695, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22483,       &
    nGC_22482])

    allocate(vertices(9505)%branchR2(0:0))
    call avR2(9505, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22432])

    allocate(vertices(1794)%branchR2(0:0))
    call avR2(1794, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(1060)%branchR2(0:0))
    call avR2(1060, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(7662)%branchR2(0:0))
    call avR2(7662, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(2290)%branchR2(0:0))
    call avR2(2290, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(9130)%branchR2(0:1))
    call avR2(9130, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21985, nGC_21984,      &
    nGC_22004, nGC_22004])

    call avR2(9130, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21979, nGC_21979,      &
    nGC_22005, nGC_22005])

    allocate(vertices(5801)%branchR2(0:0))
    call avR2(5801, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(6615)%branchR2(0:0))
    call avR2(6615, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22067])

    allocate(vertices(3253)%branchR2(0:0))
    call avR2(3253, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(10650)%branchR2(0:0))
    call avR2(10650, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(3420)%branchR2(0:0))
    call avR2(3420, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60125])

    allocate(vertices(9804)%branchR2(0:0))
    call avR2(9804, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22432])

    allocate(vertices(10102)%branchR2(0:0))
    call avR2(10102, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(10651)%branchR2(0:1))
    call avR2(10651, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22464])

    call avR2(10651, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22463])

    allocate(vertices(6450)%branchR2(0:0))
    call avR2(6450, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(4932)%branchR2(0:0))
    call avR2(4932, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57407])

    allocate(vertices(4450)%branchR2(0:0))
    call avR2(4450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(10059)%branchR2(0:0))
    call avR2(10059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(3316)%branchR2(0:0))
    call avR2(3316, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(8952)%branchR2(0:0))
    call avR2(8952, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(10652)%branchR2(0:0))
    call avR2(10652, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(2847)%branchR2(0:0))
    call avR2(2847, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22038, nGC_22039])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(6883)%branchR2(0:0))
    call avR2(6883, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(1574)%branchR2(0:1))
    call avR2(1574, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(1574, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22020, nGC_22019])

    allocate(vertices(10653)%branchR2(0:0))
    call avR2(10653, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(6368)%branchR2(0:0))
    call avR2(6368, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(4478)%branchR2(0:0))
    call avR2(4478, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22245, nGC_22244])

    allocate(vertices(5517)%branchR2(0:0))
    call avR2(5517, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(1544)%branchR2(0:0))
    call avR2(1544, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

    allocate(vertices(3074)%branchR2(0:0))
    call avR2(3074, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(3047)%branchR2(0:0))
    call avR2(3047, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(6898)%branchR2(0:0))
    call avR2(6898, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57783])

    allocate(vertices(6126)%branchR2(0:0))
    call avR2(6126, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(1722)%branchR2(0:0))
    call avR2(1722, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22316])

    allocate(vertices(318)%branchR2(0:0))
    call avR2(318, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22184, nGC_22183])

    allocate(vertices(7834)%branchR2(0:0))
    call avR2(7834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(1820)%branchR2(0:0))
    call avR2(1820, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22274])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(1889)%branchR2(0:0))
    call avR2(1889, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(977)%branchR2(0:1))
    call avR2(977, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22101, nGC_22103])

    call avR2(977, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22102, nGC_22104])

    allocate(vertices(6301)%branchR2(0:0))
    call avR2(6301, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5563)%branchR2(0:0))
    call avR2(5563, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(9438)%branchR2(0:0))
    call avR2(9438, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22073])

    allocate(vertices(1043)%branchR2(0:0))
    call avR2(1043, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(10654)%branchR2(0:0))
    call avR2(10654, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(6549)%branchR2(0:0))
    call avR2(6549, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(8140)%branchR2(0:0))
    call avR2(8140, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(5761)%branchR2(0:3))
    call avR2(5761, 0, 116, 1, 0, VFFa0, 0, [1, 2], [nGC_22313, nGC_22312])

    call avR2(5761, 1, 116, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(5761, 2, 117, 1, 0, VFFa0, 0, [1, 2], [nGC_22311, nGC_22310])

    call avR2(5761, 3, 117, 1, 0, VFFa0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(9088)%branchR2(0:0))
    call avR2(9088, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(7718)%branchR2(0:0))
    call avR2(7718, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(1379)%branchR2(0:0))
    call avR2(1379, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22190])

    allocate(vertices(5286)%branchR2(0:0))
    call avR2(5286, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22046])

    allocate(vertices(4885)%branchR2(0:0))
    call avR2(4885, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22142])

    allocate(vertices(6734)%branchR2(0:0))
    call avR2(6734, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(6800)%branchR2(0:0))
    call avR2(6800, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22455])

    allocate(vertices(906)%branchR2(0:1))
    call avR2(906, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(906, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(4346)%branchR2(0:0))
    call avR2(4346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(7590)%branchR2(0:0))
    call avR2(7590, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(3625)%branchR2(0:0))
    call avR2(3625, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(3186)%branchR2(0:0))
    call avR2(3186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(10655)%branchR2(0:1))
    call avR2(10655, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22464])

    call avR2(10655, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22463])

    allocate(vertices(9635)%branchR2(0:0))
    call avR2(9635, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(10110)%branchR2(0:0))
    call avR2(10110, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21988, nGC_21989,      &
    nGC_21990, nGC_21990])

    allocate(vertices(5814)%branchR2(0:0))
    call avR2(5814, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22466])

    allocate(vertices(10238)%branchR2(0:0))
    call avR2(10238, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(3465)%branchR2(0:3))
    call avR2(3465, 0, 118, 1, 0, VFaF0, 0, [1, 2], [nGC_22302, nGC_22301])

    call avR2(3465, 1, 118, 1, 0, VFaF0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(3465, 2, 119, 1, 0, VFaF0, 0, [1, 2], [nGC_22299, nGC_22298])

    call avR2(3465, 3, 119, 1, 0, VFaF0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(10296)%branchR2(0:0))
    call avR2(10296, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(10656)%branchR2(0:1))
    call avR2(10656, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22394])

    call avR2(10656, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(7140)%branchR2(0:0))
    call avR2(7140, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22454])

    allocate(vertices(10071)%branchR2(0:0))
    call avR2(10071, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22032])

    allocate(vertices(9936)%branchR2(0:0))
    call avR2(9936, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(10053)%branchR2(0:0))
    call avR2(10053, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8868)%branchR2(0:0))
    call avR2(8868, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(5600)%branchR2(0:0))
    call avR2(5600, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22038, nGC_22039])

    allocate(vertices(4696)%branchR2(0:0))
    call avR2(4696, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22316])

    allocate(vertices(8843)%branchR2(0:0))
    call avR2(8843, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(1635)%branchR2(0:1))
    call avR2(1635, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(1635, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(1763)%branchR2(0:0))
    call avR2(1763, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22467])

    allocate(vertices(4911)%branchR2(0:0))
    call avR2(4911, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9350)%branchR2(0:0))
    call avR2(9350, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(881)%branchR2(0:1))
    call avR2(881, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22238, nGC_22239])

    call avR2(881, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22240, nGC_22240])

    allocate(vertices(4816)%branchR2(0:0))
    call avR2(4816, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22164, nGC_22163])

    allocate(vertices(1229)%branchR2(0:0))
    call avR2(1229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(8602)%branchR2(0:0))
    call avR2(8602, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(6598)%branchR2(0:0))
    call avR2(6598, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(451)%branchR2(0:0))
    call avR2(451, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22358,        &
    nGC_22356])

    allocate(vertices(10339)%branchR2(0:0))
    call avR2(10339, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(1015)%branchR2(0:0))
    call avR2(1015, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22216, nGC_22215])

    allocate(vertices(1511)%branchR2(0:0))
    call avR2(1511, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(10109)%branchR2(0:0))
    call avR2(10109, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2667)%branchR2(0:0))
    call avR2(2667, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

    allocate(vertices(3954)%branchR2(0:0))
    call avR2(3954, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(4369)%branchR2(0:0))
    call avR2(4369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(8838)%branchR2(0:0))
    call avR2(8838, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(9187)%branchR2(0:1))
    call avR2(9187, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21981, nGC_21980,       &
    nGC_21986, nGC_21986])

    call avR2(9187, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21979, nGC_21979,       &
    nGC_21987, nGC_21987])

    allocate(vertices(5153)%branchR2(0:1))
    call avR2(5153, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22133, nGC_22131])

    call avR2(5153, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22152, nGC_22151])

    allocate(vertices(4196)%branchR2(0:0))
    call avR2(4196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7836)%branchR2(0:0))
    call avR2(7836, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22008])

    allocate(vertices(1427)%branchR2(0:0))
    call avR2(1427, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(2552)%branchR2(0:0))
    call avR2(2552, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(9753)%branchR2(0:0))
    call avR2(9753, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(10139)%branchR2(0:0))
    call avR2(10139, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(6556)%branchR2(0:0))
    call avR2(6556, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(10657)%branchR2(0:1))
    call avR2(10657, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22471])

    call avR2(10657, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22470])

    allocate(vertices(2991)%branchR2(0:0))
    call avR2(2991, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22316])

    allocate(vertices(8575)%branchR2(0:0))
    call avR2(8575, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(943)%branchR2(0:0))
    call avR2(943, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22206, nGC_22205])

    allocate(vertices(10658)%branchR2(0:0))
    call avR2(10658, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22319])

    allocate(vertices(1780)%branchR2(0:0))
    call avR2(1780, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(5433)%branchR2(0:0))
    call avR2(5433, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(4406)%branchR2(0:0))
    call avR2(4406, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22146])

    allocate(vertices(7658)%branchR2(0:1))
    call avR2(7658, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(7658, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22277, nGC_22276])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(3289)%branchR2(0:0))
    call avR2(3289, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(2071)%branchR2(0:0))
    call avR2(2071, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(2305)%branchR2(0:0))
    call avR2(2305, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22014])

    allocate(vertices(4405)%branchR2(0:0))
    call avR2(4405, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22483,       &
    nGC_22482])

    allocate(vertices(4118)%branchR2(0:0))
    call avR2(4118, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(3109)%branchR2(0:0))
    call avR2(3109, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22275])

    allocate(vertices(7175)%branchR2(0:0))
    call avR2(7175, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(1929)%branchR2(0:0))
    call avR2(1929, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(4166)%branchR2(0:0))
    call avR2(4166, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22126])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22408])

    allocate(vertices(9723)%branchR2(0:0))
    call avR2(9723, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59206])

    allocate(vertices(6161)%branchR2(0:1))
    call avR2(6161, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(6161, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22283, nGC_22282])

    allocate(vertices(5205)%branchR2(0:0))
    call avR2(5205, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(8185)%branchR2(0:0))
    call avR2(8185, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22068])

    allocate(vertices(10659)%branchR2(0:0))
    call avR2(10659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(6897)%branchR2(0:0))
    call avR2(6897, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(9497)%branchR2(0:0))
    call avR2(9497, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3698)%branchR2(0:0))
    call avR2(3698, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22315])

    allocate(vertices(6968)%branchR2(0:0))
    call avR2(6968, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22253])

    allocate(vertices(10484)%branchR2(0:0))
    call avR2(10484, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_21955, nGC_21954,       &
    nGC_21956])

    allocate(vertices(2675)%branchR2(0:0))
    call avR2(2675, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(8560)%branchR2(0:0))
    call avR2(8560, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(3311)%branchR2(0:1))
    call avR2(3311, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22060, nGC_22062])

    call avR2(3311, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22080, nGC_22081])

    allocate(vertices(8337)%branchR2(0:0))
    call avR2(8337, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(9808)%branchR2(0:0))
    call avR2(9808, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(5771)%branchR2(0:1))
    call avR2(5771, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22061, nGC_22059])

    call avR2(5771, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22062, nGC_22060])

    allocate(vertices(5896)%branchR2(0:0))
    call avR2(5896, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(2867)%branchR2(0:0))
    call avR2(2867, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22245, nGC_22244])

    allocate(vertices(4746)%branchR2(0:0))
    call avR2(4746, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(9954)%branchR2(0:0))
    call avR2(9954, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22468])

    allocate(vertices(1738)%branchR2(0:3))
    call avR2(1738, 0, 122, 1, 0, FaVF1, 0, [1, 2], [nGC_22293, nGC_22292])

    call avR2(1738, 1, 122, 1, 0, FaVF1, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(1738, 2, 123, 1, 0, FaVF1, 0, [1, 2], [nGC_22291, nGC_22290])

    call avR2(1738, 3, 123, 1, 0, FaVF1, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(960)%branchR2(0:0))
    call avR2(960, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(9346)%branchR2(0:0))
    call avR2(9346, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22088])

    allocate(vertices(10127)%branchR2(0:0))
    call avR2(10127, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(7899)%branchR2(0:0))
    call avR2(7899, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(3844)%branchR2(0:0))
    call avR2(3844, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22472])

    allocate(vertices(10660)%branchR2(0:0))
    call avR2(10660, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(9234)%branchR2(0:0))
    call avR2(9234, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(6930)%branchR2(0:1))
    call avR2(6930, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22066, nGC_22064])

    call avR2(6930, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22083, nGC_22082])

    allocate(vertices(9374)%branchR2(0:0))
    call avR2(9374, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21988, nGC_21989,       &
    nGC_21997, nGC_21997])

    allocate(vertices(4433)%branchR2(0:0))
    call avR2(4433, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(4102)%branchR2(0:0))
    call avR2(4102, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

    allocate(vertices(8858)%branchR2(0:0))
    call avR2(8858, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22087])

    allocate(vertices(10661)%branchR2(0:1))
    call avR2(10661, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10661, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(6355)%branchR2(0:1))
    call avR2(6355, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22159, nGC_22161])

    call avR2(6355, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22160, nGC_22162])

    allocate(vertices(8785)%branchR2(0:0))
    call avR2(8785, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22235, nGC_22234])

    allocate(vertices(8557)%branchR2(0:0))
    call avR2(8557, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(8501)%branchR2(0:0))
    call avR2(8501, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(10662)%branchR2(0:1))
    call avR2(10662, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22447])

    call avR2(10662, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22446])

    allocate(vertices(9437)%branchR2(0:0))
    call avR2(9437, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22017])

    allocate(vertices(5818)%branchR2(0:0))
    call avR2(5818, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(9405)%branchR2(0:0))
    call avR2(9405, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(7135)%branchR2(0:0))
    call avR2(7135, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22068])

    allocate(vertices(9658)%branchR2(0:0))
    call avR2(9658, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60371])

    allocate(vertices(8057)%branchR2(0:0))
    call avR2(8057, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22357,       &
    nGC_22358])

    allocate(vertices(7584)%branchR2(0:0))
    call avR2(7584, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22273])

    allocate(vertices(9819)%branchR2(0:0))
    call avR2(9819, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(9856)%branchR2(0:0))
    call avR2(9856, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(7393)%branchR2(0:0))
    call avR2(7393, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(7813)%branchR2(0:0))
    call avR2(7813, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58208])

    allocate(vertices(9945)%branchR2(0:0))
    call avR2(9945, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22468])

    allocate(vertices(5744)%branchR2(0:0))
    call avR2(5744, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22358, nGC_22356,       &
    nGC_22357])

    allocate(vertices(8193)%branchR2(0:0))
    call avR2(8193, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22174, nGC_22173])

    allocate(vertices(1465)%branchR2(0:0))
    call avR2(1465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(6290)%branchR2(0:0))
    call avR2(6290, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22258])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(4210)%branchR2(0:0))
    call avR2(4210, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22027, nGC_22028])

    allocate(vertices(4605)%branchR2(0:0))
    call avR2(4605, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22038, nGC_22039])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(10663)%branchR2(0:1))
    call avR2(10663, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22394])

    call avR2(10663, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(4528)%branchR2(0:0))
    call avR2(4528, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(2936)%branchR2(0:0))
    call avR2(2936, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22144])

    allocate(vertices(386)%branchR2(0:1))
    call avR2(386, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22138, nGC_22140])

    call avR2(386, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22139, nGC_22141])

    allocate(vertices(9669)%branchR2(0:0))
    call avR2(9669, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(4161)%branchR2(0:0))
    call avR2(4161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4209)%branchR2(0:0))
    call avR2(4209, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(9414)%branchR2(0:0))
    call avR2(9414, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(10664)%branchR2(0:0))
    call avR2(10664, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(1121)%branchR2(0:1))
    call avR2(1121, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(1121, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22268, nGC_22267])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(8187)%branchR2(0:0))
    call avR2(8187, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(10119)%branchR2(0:0))
    call avR2(10119, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(5361)%branchR2(0:0))
    call avR2(5361, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(4226)%branchR2(0:1))
    call avR2(4226, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22055, nGC_22057])

    call avR2(4226, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22056, nGC_22058])

    allocate(vertices(132)%branchR2(0:0))
    call avR2(132, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22044])

    allocate(vertices(3629)%branchR2(0:0))
    call avR2(3629, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22253])

    allocate(vertices(4505)%branchR2(0:0))
    call avR2(4505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(8115)%branchR2(0:0))
    call avR2(8115, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22374])

  end subroutine fill_vertices_mdl22
end module vertices_info22
