!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  implicit none
  contains
  subroutine fill_vertices_mdl23()
    use class_vertices
    use class_couplings
    allocate(vertices(1438)%branchR2(0:0))
    call avR2(1438, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(5331)%branchR2(0:0))
    call avR2(5331, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(1305)%branchR2(0:0))
    call avR2(1305, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(7976)%branchR2(0:0))
    call avR2(7976, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(5582)%branchR2(0:3))
    call avR2(5582, 0, 118, 1, 0, VFaF0, 0, [1, 2], [nGC_22313, nGC_22312])

    call avR2(5582, 1, 118, 1, 0, VFaF0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(5582, 2, 119, 1, 0, VFaF0, 0, [1, 2], [nGC_22311, nGC_22310])

    call avR2(5582, 3, 119, 1, 0, VFaF0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(9127)%branchR2(0:0))
    call avR2(9127, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(4051)%branchR2(0:0))
    call avR2(4051, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(7655)%branchR2(0:0))
    call avR2(7655, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(732)%branchR2(0:0))
    call avR2(732, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(7217)%branchR2(0:0))
    call avR2(7217, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(2907)%branchR2(0:0))
    call avR2(2907, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22466])

    allocate(vertices(136)%branchR2(0:0))
    call avR2(136, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(8205)%branchR2(0:0))
    call avR2(8205, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22164, nGC_22163])

    allocate(vertices(10350)%branchR2(0:0))
    call avR2(10350, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(10665)%branchR2(0:1))
    call avR2(10665, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22464])

    call avR2(10665, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22463])

    allocate(vertices(2162)%branchR2(0:0))
    call avR2(2162, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(6937)%branchR2(0:0))
    call avR2(6937, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(9719)%branchR2(0:0))
    call avR2(9719, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21950, nGC_21949])

    allocate(vertices(8935)%branchR2(0:0))
    call avR2(8935, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57981])

    allocate(vertices(6542)%branchR2(0:0))
    call avR2(6542, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(4721)%branchR2(0:1))
    call avR2(4721, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22194, nGC_22195])

    call avR2(4721, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22196, nGC_22196])

    allocate(vertices(3585)%branchR2(0:0))
    call avR2(3585, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(4614)%branchR2(0:1))
    call avR2(4614, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22141, nGC_22139])

    call avR2(4614, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22154, nGC_22153])

    allocate(vertices(8169)%branchR2(0:0))
    call avR2(8169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(3218)%branchR2(0:1))
    call avR2(3218, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(3218, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22277, nGC_22276])

    allocate(vertices(1009)%branchR2(0:1))
    call avR2(1009, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22217, nGC_22218])

    call avR2(1009, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22219, nGC_22219])

    allocate(vertices(5591)%branchR2(0:0))
    call avR2(5591, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1369)%branchR2(0:1))
    call avR2(1369, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22250])

    call avR2(1369, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22251])

    allocate(vertices(10666)%branchR2(0:0))
    call avR2(10666, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(3986)%branchR2(0:0))
    call avR2(3986, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(2844)%branchR2(0:0))
    call avR2(2844, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(1782)%branchR2(0:0))
    call avR2(1782, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(10667)%branchR2(0:0))
    call avR2(10667, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4408)%branchR2(0:0))
    call avR2(4408, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(2915)%branchR2(0:0))
    call avR2(2915, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(8463)%branchR2(0:0))
    call avR2(8463, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4739)%branchR2(0:0))
    call avR2(4739, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(8188)%branchR2(0:0))
    call avR2(8188, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22090])

    allocate(vertices(331)%branchR2(0:0))
    call avR2(331, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

    allocate(vertices(5467)%branchR2(0:1))
    call avR2(5467, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22250])

    call avR2(5467, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22251])

    allocate(vertices(7569)%branchR2(0:0))
    call avR2(7569, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

    allocate(vertices(1985)%branchR2(0:0))
    call avR2(1985, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(10668)%branchR2(0:0))
    call avR2(10668, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22431])

    allocate(vertices(10669)%branchR2(0:0))
    call avR2(10669, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(729)%branchR2(0:0))
    call avR2(729, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58903])

    allocate(vertices(9693)%branchR2(0:0))
    call avR2(9693, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

    allocate(vertices(5729)%branchR2(0:0))
    call avR2(5729, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(5270)%branchR2(0:0))
    call avR2(5270, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22191])

    allocate(vertices(8787)%branchR2(0:0))
    call avR2(8787, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(10199)%branchR2(0:0))
    call avR2(10199, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(5568)%branchR2(0:0))
    call avR2(5568, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22144])

    allocate(vertices(4912)%branchR2(0:0))
    call avR2(4912, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(5297)%branchR2(0:0))
    call avR2(5297, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(6513)%branchR2(0:1))
    call avR2(6513, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22041, nGC_22040])

    call avR2(6513, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22024, nGC_22024])

    allocate(vertices(7567)%branchR2(0:0))
    call avR2(7567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2499)%branchR2(0:0))
    call avR2(2499, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22379])

    allocate(vertices(1215)%branchR2(0:0))
    call avR2(1215, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(7912)%branchR2(0:0))
    call avR2(7912, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60125])

    allocate(vertices(1951)%branchR2(0:0))
    call avR2(1951, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(5881)%branchR2(0:1))
    call avR2(5881, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(5881, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22277, nGC_22276])

    allocate(vertices(10670)%branchR2(0:1))
    call avR2(10670, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22430])

    call avR2(10670, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22429])

    allocate(vertices(9837)%branchR2(0:0))
    call avR2(9837, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8366)%branchR2(0:0))
    call avR2(8366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(10671)%branchR2(0:1))
    call avR2(10671, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22471])

    call avR2(10671, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22470])

    allocate(vertices(3839)%branchR2(0:0))
    call avR2(3839, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58735])

    allocate(vertices(10672)%branchR2(0:1))
    call avR2(10672, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22394])

    call avR2(10672, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(10673)%branchR2(0:1))
    call avR2(10673, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22394])

    call avR2(10673, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(841)%branchR2(0:1))
    call avR2(841, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22141, nGC_22139])

    call avR2(841, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22154, nGC_22153])

    allocate(vertices(7419)%branchR2(0:0))
    call avR2(7419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(10674)%branchR2(0:1))
    call avR2(10674, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10674, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(6775)%branchR2(0:0))
    call avR2(6775, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(8765)%branchR2(0:0))
    call avR2(8765, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22142])

    allocate(vertices(1855)%branchR2(0:0))
    call avR2(1855, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(9442)%branchR2(0:0))
    call avR2(9442, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22468])

    allocate(vertices(7678)%branchR2(0:0))
    call avR2(7678, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(5524)%branchR2(0:1))
    call avR2(5524, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(5524, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22023, nGC_22022])

    allocate(vertices(4518)%branchR2(0:0))
    call avR2(4518, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(3742)%branchR2(0:0))
    call avR2(3742, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(9848)%branchR2(0:0))
    call avR2(9848, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(10426)%branchR2(0:0))
    call avR2(10426, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22359])

    allocate(vertices(1390)%branchR2(0:0))
    call avR2(1390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(4359)%branchR2(0:0))
    call avR2(4359, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22258])

    allocate(vertices(5629)%branchR2(0:0))
    call avR2(5629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(10675)%branchR2(0:5))
    call avR2(10675, 0, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    call avR2(10675, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10675, 2, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10675, 3, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,    &
    nGC_22488])

    call avR2(10675, 4, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10675, 5, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    allocate(vertices(7594)%branchR2(0:0))
    call avR2(7594, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(8404)%branchR2(0:0))
    call avR2(8404, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(2238)%branchR2(0:0))
    call avR2(2238, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(6760)%branchR2(0:1))
    call avR2(6760, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22250])

    call avR2(6760, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22251])

    allocate(vertices(5642)%branchR2(0:0))
    call avR2(5642, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58696])

    allocate(vertices(4217)%branchR2(0:0))
    call avR2(4217, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(2002)%branchR2(0:0))
    call avR2(2002, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(4874)%branchR2(0:0))
    call avR2(4874, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(8413)%branchR2(0:0))
    call avR2(8413, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58907])

    allocate(vertices(3138)%branchR2(0:0))
    call avR2(3138, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(10676)%branchR2(0:0))
    call avR2(10676, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22318])

    allocate(vertices(4291)%branchR2(0:0))
    call avR2(4291, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(4638)%branchR2(0:0))
    call avR2(4638, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(9924)%branchR2(0:0))
    call avR2(9924, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22006])

    allocate(vertices(3144)%branchR2(0:0))
    call avR2(3144, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(1343)%branchR2(0:0))
    call avR2(1343, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

    allocate(vertices(7392)%branchR2(0:0))
    call avR2(7392, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22043])

    allocate(vertices(5512)%branchR2(0:0))
    call avR2(5512, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(4514)%branchR2(0:0))
    call avR2(4514, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(1266)%branchR2(0:0))
    call avR2(1266, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(8299)%branchR2(0:0))
    call avR2(8299, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(1433)%branchR2(0:1))
    call avR2(1433, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22169, nGC_22171])

    call avR2(1433, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22170, nGC_22172])

    allocate(vertices(3022)%branchR2(0:0))
    call avR2(3022, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(3960)%branchR2(0:0))
    call avR2(3960, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(8835)%branchR2(0:1))
    call avR2(8835, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22209, nGC_22210])

    call avR2(8835, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22211, nGC_22211])

    allocate(vertices(1506)%branchR2(0:0))
    call avR2(1506, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(7498)%branchR2(0:0))
    call avR2(7498, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(4319)%branchR2(0:0))
    call avR2(4319, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(10677)%branchR2(0:1))
    call avR2(10677, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_22236])

    call avR2(10677, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_22237])

    allocate(vertices(7707)%branchR2(0:0))
    call avR2(7707, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(9568)%branchR2(0:0))
    call avR2(9568, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(8620)%branchR2(0:0))
    call avR2(8620, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(8418)%branchR2(0:0))
    call avR2(8418, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22184, nGC_22183])

    allocate(vertices(6053)%branchR2(0:0))
    call avR2(6053, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22008])

    allocate(vertices(5047)%branchR2(0:0))
    call avR2(5047, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22045])

    allocate(vertices(1136)%branchR2(0:0))
    call avR2(1136, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(2256)%branchR2(0:0))
    call avR2(2256, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(3009)%branchR2(0:0))
    call avR2(3009, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

    allocate(vertices(3921)%branchR2(0:0))
    call avR2(3921, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22092])

    allocate(vertices(10678)%branchR2(0:1))
    call avR2(10678, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22394])

    call avR2(10678, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(4186)%branchR2(0:0))
    call avR2(4186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(870)%branchR2(0:0))
    call avR2(870, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(1598)%branchR2(0:0))
    call avR2(1598, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(6832)%branchR2(0:0))
    call avR2(6832, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(10679)%branchR2(0:0))
    call avR2(10679, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22325])

    allocate(vertices(10680)%branchR2(0:1))
    call avR2(10680, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22447])

    call avR2(10680, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22446])

    allocate(vertices(10289)%branchR2(0:0))
    call avR2(10289, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(7957)%branchR2(0:0))
    call avR2(7957, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(1669)%branchR2(0:0))
    call avR2(1669, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(1431)%branchR2(0:0))
    call avR2(1431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22014])

    allocate(vertices(7599)%branchR2(0:0))
    call avR2(7599, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22459])

    allocate(vertices(5687)%branchR2(0:0))
    call avR2(5687, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(9832)%branchR2(0:0))
    call avR2(9832, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22073])

    allocate(vertices(6348)%branchR2(0:0))
    call avR2(6348, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(2129)%branchR2(0:0))
    call avR2(2129, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(5265)%branchR2(0:1))
    call avR2(5265, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22101, nGC_22103])

    call avR2(5265, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22102, nGC_22104])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(9649)%branchR2(0:0))
    call avR2(9649, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(4604)%branchR2(0:1))
    call avR2(4604, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22251])

    call avR2(4604, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22255])

    allocate(vertices(4429)%branchR2(0:0))
    call avR2(4429, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(1141)%branchR2(0:1))
    call avR2(1141, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22113, nGC_22115])

    call avR2(1141, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22114, nGC_22116])

    allocate(vertices(7106)%branchR2(0:0))
    call avR2(7106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(7668)%branchR2(0:1))
    call avR2(7668, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22262, nGC_22260])

    call avR2(7668, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22268, nGC_22267])

    allocate(vertices(9543)%branchR2(0:0))
    call avR2(9543, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(10681)%branchR2(0:1))
    call avR2(10681, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    call avR2(10681, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    allocate(vertices(4073)%branchR2(0:0))
    call avR2(4073, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(6294)%branchR2(0:0))
    call avR2(6294, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(3025)%branchR2(0:1))
    call avR2(3025, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22265, nGC_22263])

    call avR2(3025, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22266, nGC_22264])

    allocate(vertices(9604)%branchR2(0:0))
    call avR2(9604, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(3653)%branchR2(0:0))
    call avR2(3653, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4456)%branchR2(0:0))
    call avR2(4456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2535)%branchR2(0:1))
    call avR2(2535, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22135, nGC_22137])

    call avR2(2535, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22149, nGC_22150])

    allocate(vertices(1959)%branchR2(0:0))
    call avR2(1959, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(4034)%branchR2(0:0))
    call avR2(4034, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(5464)%branchR2(0:0))
    call avR2(5464, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(4684)%branchR2(0:0))
    call avR2(4684, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(6210)%branchR2(0:1))
    call avR2(6210, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22179, nGC_22181])

    call avR2(6210, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22180, nGC_22182])

    allocate(vertices(2142)%branchR2(0:0))
    call avR2(2142, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(4600)%branchR2(0:0))
    call avR2(4600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(4014)%branchR2(0:0))
    call avR2(4014, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(8033)%branchR2(0:0))
    call avR2(8033, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(3203)%branchR2(0:0))
    call avR2(3203, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(3897)%branchR2(0:0))
    call avR2(3897, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(3955)%branchR2(0:0))
    call avR2(3955, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(1989)%branchR2(0:0))
    call avR2(1989, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(1658)%branchR2(0:1))
    call avR2(1658, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22229, nGC_22230])

    call avR2(1658, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22231, nGC_22231])

    allocate(vertices(10682)%branchR2(0:1))
    call avR2(10682, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22480])

    call avR2(10682, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22479])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(4718)%branchR2(0:0))
    call avR2(4718, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

    allocate(vertices(7608)%branchR2(0:1))
    call avR2(7608, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22020, nGC_22019])

    call avR2(7608, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22021, nGC_22021])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(7021)%branchR2(0:0))
    call avR2(7021, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(2848)%branchR2(0:0))
    call avR2(2848, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22357,       &
    nGC_22358])

    allocate(vertices(5860)%branchR2(0:0))
    call avR2(5860, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22315])

    allocate(vertices(2459)%branchR2(0:0))
    call avR2(2459, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(10077)%branchR2(0:0))
    call avR2(10077, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(5403)%branchR2(0:0))
    call avR2(5403, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3987)%branchR2(0:0))
    call avR2(3987, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58184])

    allocate(vertices(10203)%branchR2(0:0))
    call avR2(10203, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22109, nGC_22111])

    call avR2(1195, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22110, nGC_22112])

    allocate(vertices(10037)%branchR2(0:0))
    call avR2(10037, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(3907)%branchR2(0:1))
    call avR2(3907, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22250])

    call avR2(3907, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22251])

    allocate(vertices(8999)%branchR2(0:0))
    call avR2(8999, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_21972, nGC_21971,        &
    nGC_21973])

    allocate(vertices(8547)%branchR2(0:0))
    call avR2(8547, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(5486)%branchR2(0:1))
    call avR2(5486, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22243, nGC_22243])

    call avR2(5486, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22241, nGC_22242])

    allocate(vertices(10683)%branchR2(0:0))
    call avR2(10683, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22337, nGC_22337,      &
    nGC_22336])

    allocate(vertices(3938)%branchR2(0:0))
    call avR2(3938, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22143])

    allocate(vertices(9421)%branchR2(0:0))
    call avR2(9421, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(10684)%branchR2(0:1))
    call avR2(10684, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22394])

    call avR2(10684, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(10685)%branchR2(0:1))
    call avR2(10685, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22394])

    call avR2(10685, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(2039)%branchR2(0:1))
    call avR2(2039, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22058, nGC_22056])

    call avR2(2039, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(2336)%branchR2(0:0))
    call avR2(2336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

    allocate(vertices(10258)%branchR2(0:0))
    call avR2(10258, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22006])

    allocate(vertices(6144)%branchR2(0:0))
    call avR2(6144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(3067)%branchR2(0:0))
    call avR2(3067, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(7482)%branchR2(0:0))
    call avR2(7482, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22358,       &
    nGC_22356])

    allocate(vertices(10425)%branchR2(0:0))
    call avR2(10425, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(2741)%branchR2(0:0))
    call avR2(2741, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(8657)%branchR2(0:0))
    call avR2(8657, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22124])

    allocate(vertices(4036)%branchR2(0:0))
    call avR2(4036, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(6625)%branchR2(0:0))
    call avR2(6625, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22018])

    allocate(vertices(10686)%branchR2(0:5))
    call avR2(10686, 0, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10686, 1, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10686, 2, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,    &
    nGC_22487])

    call avR2(10686, 3, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    call avR2(10686, 4, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,    &
    nGC_22488])

    call avR2(10686, 5, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,    &
    nGC_22486])

    allocate(vertices(7840)%branchR2(0:0))
    call avR2(7840, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(1569)%branchR2(0:0))
    call avR2(1569, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22206, nGC_22205])

    allocate(vertices(3717)%branchR2(0:1))
    call avR2(3717, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22251])

    call avR2(3717, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22256])

    allocate(vertices(7909)%branchR2(0:0))
    call avR2(7909, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(4493)%branchR2(0:0))
    call avR2(4493, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22206, nGC_22205])

    allocate(vertices(7874)%branchR2(0:1))
    call avR2(7874, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22194, nGC_22195])

    call avR2(7874, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22196, nGC_22196])

    allocate(vertices(4253)%branchR2(0:0))
    call avR2(4253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(10134)%branchR2(0:0))
    call avR2(10134, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(113)%branchR2(0:1))
    call avR2(113, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22185, nGC_22187])

    call avR2(113, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22186, nGC_22188])

    allocate(vertices(1499)%branchR2(0:1))
    call avR2(1499, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22063, nGC_22065])

    call avR2(1499, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22064, nGC_22066])

    allocate(vertices(6267)%branchR2(0:0))
    call avR2(6267, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22459])

    allocate(vertices(8438)%branchR2(0:0))
    call avR2(8438, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22029, nGC_22030])

    allocate(vertices(10175)%branchR2(0:0))
    call avR2(10175, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(7583)%branchR2(0:0))
    call avR2(7583, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(10687)%branchR2(0:0))
    call avR2(10687, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

    allocate(vertices(6586)%branchR2(0:0))
    call avR2(6586, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22374])

    allocate(vertices(2701)%branchR2(0:0))
    call avR2(2701, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(9443)%branchR2(0:0))
    call avR2(9443, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22432])

    allocate(vertices(9888)%branchR2(0:0))
    call avR2(9888, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(1359)%branchR2(0:0))
    call avR2(1359, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(7795)%branchR2(0:1))
    call avR2(7795, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22136, nGC_22134])

    call avR2(7795, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22137, nGC_22135])

    allocate(vertices(6752)%branchR2(0:0))
    call avR2(6752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(10688)%branchR2(0:0))
    call avR2(10688, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4160)%branchR2(0:0))
    call avR2(4160, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3599)%branchR2(0:0))
    call avR2(3599, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(9996)%branchR2(0:0))
    call avR2(9996, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57774])

    allocate(vertices(5918)%branchR2(0:0))
    call avR2(5918, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(7232)%branchR2(0:0))
    call avR2(7232, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22360])

    allocate(vertices(6339)%branchR2(0:0))
    call avR2(6339, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60058])

    allocate(vertices(6285)%branchR2(0:0))
    call avR2(6285, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(9029)%branchR2(0:0))
    call avR2(9029, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21948, nGC_21947])

    allocate(vertices(4178)%branchR2(0:0))
    call avR2(4178, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(10689)%branchR2(0:5))
    call avR2(10689, 0, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10689, 1, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10689, 2, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_22405, nGC_22405,    &
    nGC_22405])

    call avR2(10689, 3, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    call avR2(10689, 4, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_22406, nGC_22406,    &
    nGC_22406])

    call avR2(10689, 5, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_22404, nGC_22404,    &
    nGC_22404])

    allocate(vertices(6851)%branchR2(0:3))
    call avR2(6851, 0, 122, 1, 0, FaVF1, 0, [1, 2], [nGC_22289, nGC_22287])

    call avR2(6851, 1, 122, 1, 0, FaVF1, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(6851, 2, 123, 1, 0, FaVF1, 0, [1, 2], [nGC_22286, nGC_22284])

    call avR2(6851, 3, 123, 1, 0, FaVF1, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10348)%branchR2(0:0))
    call avR2(10348, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57981])

    allocate(vertices(2273)%branchR2(0:0))
    call avR2(2273, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(10295)%branchR2(0:0))
    call avR2(10295, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(6433)%branchR2(0:1))
    call avR2(6433, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(6433, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(3254)%branchR2(0:0))
    call avR2(3254, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(913)%branchR2(0:0))
    call avR2(913, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(10690)%branchR2(0:0))
    call avR2(10690, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

    allocate(vertices(7609)%branchR2(0:0))
    call avR2(7609, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(10378)%branchR2(0:0))
    call avR2(10378, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(5871)%branchR2(0:0))
    call avR2(5871, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

    allocate(vertices(8505)%branchR2(0:0))
    call avR2(8505, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22174, nGC_22173])

    allocate(vertices(10691)%branchR2(0:1))
    call avR2(10691, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22480])

    call avR2(10691, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22479])

    allocate(vertices(8257)%branchR2(0:0))
    call avR2(8257, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(6201)%branchR2(0:0))
    call avR2(6201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(7640)%branchR2(0:0))
    call avR2(7640, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(8201)%branchR2(0:0))
    call avR2(8201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

    allocate(vertices(8576)%branchR2(0:0))
    call avR2(8576, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(524)%branchR2(0:1))
    call avR2(524, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22097, nGC_22099])

    call avR2(524, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22098, nGC_22100])

    allocate(vertices(1968)%branchR2(0:1))
    call avR2(1968, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22136, nGC_22134])

    call avR2(1968, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22137, nGC_22135])

    allocate(vertices(1525)%branchR2(0:0))
    call avR2(1525, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(7345)%branchR2(0:0))
    call avR2(7345, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(9522)%branchR2(0:0))
    call avR2(9522, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(10692)%branchR2(0:1))
    call avR2(10692, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22440])

    call avR2(10692, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22441])

    allocate(vertices(6087)%branchR2(0:0))
    call avR2(6087, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(9506)%branchR2(0:0))
    call avR2(9506, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(10315)%branchR2(0:0))
    call avR2(10315, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22017])

    allocate(vertices(2446)%branchR2(0:0))
    call avR2(2446, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22075])

    allocate(vertices(9309)%branchR2(0:0))
    call avR2(9309, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(8955)%branchR2(0:0))
    call avR2(8955, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21988, nGC_21989,       &
    nGC_22003, nGC_22003])

    allocate(vertices(4317)%branchR2(0:0))
    call avR2(4317, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(7515)%branchR2(0:0))
    call avR2(7515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(2868)%branchR2(0:1))
    call avR2(2868, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(2868, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22041, nGC_22040])

    allocate(vertices(2912)%branchR2(0:0))
    call avR2(2912, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22067])

    allocate(vertices(8408)%branchR2(0:0))
    call avR2(8408, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(1813)%branchR2(0:0))
    call avR2(1813, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(7981)%branchR2(0:0))
    call avR2(7981, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(4589)%branchR2(0:0))
    call avR2(4589, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(2996)%branchR2(0:0))
    call avR2(2996, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(6946)%branchR2(0:0))
    call avR2(6946, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22221])

    allocate(vertices(7898)%branchR2(0:0))
    call avR2(7898, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(6744)%branchR2(0:0))
    call avR2(6744, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(1032)%branchR2(0:1))
    call avR2(1032, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(1032, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22279, nGC_22278])

    allocate(vertices(9536)%branchR2(0:0))
    call avR2(9536, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22432])

    allocate(vertices(4584)%branchR2(0:0))
    call avR2(4584, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(263)%branchR2(0:1))
    call avR2(263, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(263, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(3128)%branchR2(0:3))
    call avR2(3128, 0, 122, 1, 0, FaVF1, 0, [1, 2], [nGC_22297, nGC_22296])

    call avR2(3128, 1, 122, 1, 0, FaVF1, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(3128, 2, 123, 1, 0, FaVF1, 0, [1, 2], [nGC_22295, nGC_22294])

    call avR2(3128, 3, 123, 1, 0, FaVF1, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(10693)%branchR2(0:1))
    call avR2(10693, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22394])

    call avR2(10693, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22393])

    allocate(vertices(7958)%branchR2(0:1))
    call avR2(7958, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22063, nGC_22065])

    call avR2(7958, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22064, nGC_22066])

    allocate(vertices(7895)%branchR2(0:0))
    call avR2(7895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(5691)%branchR2(0:0))
    call avR2(5691, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22467])

    allocate(vertices(10694)%branchR2(0:0))
    call avR2(10694, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(10695)%branchR2(0:0))
    call avR2(10695, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22368, nGC_22368,      &
    nGC_22368])

    allocate(vertices(10696)%branchR2(0:0))
    call avR2(10696, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22127])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(10697)%branchR2(0:1))
    call avR2(10697, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22393])

    call avR2(10697, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22394])

    allocate(vertices(10698)%branchR2(0:1))
    call avR2(10698, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22393])

    call avR2(10698, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22394])

    allocate(vertices(8889)%branchR2(0:0))
    call avR2(8889, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(10699)%branchR2(0:0))
    call avR2(10699, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22013])

    allocate(vertices(10700)%branchR2(0:0))
    call avR2(10700, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(8974)%branchR2(0:0))
    call avR2(8974, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22427])

    allocate(vertices(1325)%branchR2(0:1))
    call avR2(1325, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22251])

    call avR2(1325, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22256])

    allocate(vertices(10701)%branchR2(0:1))
    call avR2(10701, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22378])

    call avR2(10701, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22377])

    allocate(vertices(9468)%branchR2(0:0))
    call avR2(9468, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(2228)%branchR2(0:1))
    call avR2(2228, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22066, nGC_22064])

    call avR2(2228, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22083, nGC_22082])

    allocate(vertices(95)%branchR2(0:0))
    call avR2(95, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7394)%branchR2(0:0))
    call avR2(7394, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

    allocate(vertices(383)%branchR2(0:0))
    call avR2(383, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(8652)%branchR2(0:0))
    call avR2(8652, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(3453)%branchR2(0:0))
    call avR2(3453, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(9564)%branchR2(0:0))
    call avR2(9564, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

    allocate(vertices(4298)%branchR2(0:0))
    call avR2(4298, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(10702)%branchR2(0:1))
    call avR2(10702, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22430])

    call avR2(10702, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22429])

    allocate(vertices(9144)%branchR2(0:0))
    call avR2(9144, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

    allocate(vertices(3680)%branchR2(0:0))
    call avR2(3680, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(5683)%branchR2(0:0))
    call avR2(5683, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(10703)%branchR2(0:0))
    call avR2(10703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(8483)%branchR2(0:0))
    call avR2(8483, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(2341)%branchR2(0:0))
    call avR2(2341, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22144])

    allocate(vertices(10172)%branchR2(0:0))
    call avR2(10172, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(9816)%branchR2(0:0))
    call avR2(9816, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(6505)%branchR2(0:0))
    call avR2(6505, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

    allocate(vertices(8208)%branchR2(0:1))
    call avR2(8208, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22212, nGC_22213])

    call avR2(8208, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22214, nGC_22214])

    allocate(vertices(7929)%branchR2(0:0))
    call avR2(7929, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(813)%branchR2(0:1))
    call avR2(813, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22058, nGC_22056])

    call avR2(813, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(1731)%branchR2(0:0))
    call avR2(1731, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

    allocate(vertices(3167)%branchR2(0:0))
    call avR2(3167, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(3770)%branchR2(0:0))
    call avR2(3770, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60072])

    allocate(vertices(3318)%branchR2(0:0))
    call avR2(3318, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5504)%branchR2(0:0))
    call avR2(5504, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6764)%branchR2(0:1))
    call avR2(6764, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(6764, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22283, nGC_22282])

    allocate(vertices(10704)%branchR2(0:1))
    call avR2(10704, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22446])

    call avR2(10704, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22447])

    allocate(vertices(3529)%branchR2(0:0))
    call avR2(3529, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57454])

    allocate(vertices(10360)%branchR2(0:0))
    call avR2(10360, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(4331)%branchR2(0:1))
    call avR2(4331, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22251])

    call avR2(4331, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22252])

    allocate(vertices(9953)%branchR2(0:0))
    call avR2(9953, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21948, nGC_21947])

    allocate(vertices(7353)%branchR2(0:0))
    call avR2(7353, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(10705)%branchR2(0:1))
    call avR2(10705, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22476])

    call avR2(10705, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22475])

    allocate(vertices(5502)%branchR2(0:0))
    call avR2(5502, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22233, nGC_22232])

    allocate(vertices(4105)%branchR2(0:0))
    call avR2(4105, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(6163)%branchR2(0:0))
    call avR2(6163, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1523)%branchR2(0:0))
    call avR2(1523, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(10706)%branchR2(0:0))
    call avR2(10706, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(2041)%branchR2(0:0))
    call avR2(2041, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(3141)%branchR2(0:0))
    call avR2(3141, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22129])

    allocate(vertices(9855)%branchR2(0:0))
    call avR2(9855, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(2464)%branchR2(0:0))
    call avR2(2464, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22258])

    allocate(vertices(6171)%branchR2(0:1))
    call avR2(6171, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22130, nGC_22132])

    call avR2(6171, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22131, nGC_22133])

    allocate(vertices(6451)%branchR2(0:0))
    call avR2(6451, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22146])

    allocate(vertices(967)%branchR2(0:0))
    call avR2(967, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(9223)%branchR2(0:0))
    call avR2(9223, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(7410)%branchR2(0:1))
    call avR2(7410, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22197, nGC_22198])

    call avR2(7410, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22199, nGC_22199])

    allocate(vertices(9570)%branchR2(0:0))
    call avR2(9570, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

    allocate(vertices(9629)%branchR2(0:0))
    call avR2(9629, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(3738)%branchR2(0:1))
    call avR2(3738, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22169, nGC_22171])

    call avR2(3738, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22170, nGC_22172])

    allocate(vertices(7945)%branchR2(0:0))
    call avR2(7945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(9222)%branchR2(0:0))
    call avR2(9222, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22016])

    allocate(vertices(5983)%branchR2(0:0))
    call avR2(5983, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(8559)%branchR2(0:0))
    call avR2(8559, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(10380)%branchR2(0:0))
    call avR2(10380, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22421])

    allocate(vertices(5820)%branchR2(0:1))
    call avR2(5820, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(5820, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(10707)%branchR2(0:1))
    call avR2(10707, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10707, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(9710)%branchR2(0:0))
    call avR2(9710, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(1313)%branchR2(0:0))
    call avR2(1313, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22275])

    allocate(vertices(7276)%branchR2(0:0))
    call avR2(7276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22397])

    allocate(vertices(1807)%branchR2(0:0))
    call avR2(1807, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(10708)%branchR2(0:0))
    call avR2(10708, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(10038)%branchR2(0:0))
    call avR2(10038, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2014)%branchR2(0:0))
    call avR2(2014, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(10709)%branchR2(0:1))
    call avR2(10709, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22394])

    call avR2(10709, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(6564)%branchR2(0:0))
    call avR2(6564, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

    allocate(vertices(3988)%branchR2(0:1))
    call avR2(3988, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22211, nGC_22211])

    call avR2(3988, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22209, nGC_22210])

    allocate(vertices(6481)%branchR2(0:0))
    call avR2(6481, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22193])

    allocate(vertices(8972)%branchR2(0:0))
    call avR2(8972, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(6695)%branchR2(0:0))
    call avR2(6695, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(4445)%branchR2(0:0))
    call avR2(4445, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22106, nGC_22105])

    allocate(vertices(10710)%branchR2(0:0))
    call avR2(10710, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(10711)%branchR2(0:0))
    call avR2(10711, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(961)%branchR2(0:0))
    call avR2(961, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

    allocate(vertices(10712)%branchR2(0:0))
    call avR2(10712, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22054])

    allocate(vertices(2927)%branchR2(0:0))
    call avR2(2927, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22316])

    allocate(vertices(8292)%branchR2(0:0))
    call avR2(8292, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59112])

    allocate(vertices(4976)%branchR2(0:0))
    call avR2(4976, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(6172)%branchR2(0:0))
    call avR2(6172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(4762)%branchR2(0:0))
    call avR2(4762, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22010])

    allocate(vertices(8756)%branchR2(0:0))
    call avR2(8756, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

    allocate(vertices(4571)%branchR2(0:0))
    call avR2(4571, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59874])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(1861)%branchR2(0:0))
    call avR2(1861, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22323, nGC_22322,       &
    nGC_22321])

    allocate(vertices(6251)%branchR2(0:0))
    call avR2(6251, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58208])

    allocate(vertices(4024)%branchR2(0:0))
    call avR2(4024, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

    allocate(vertices(7715)%branchR2(0:1))
    call avR2(7715, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22179, nGC_22181])

    call avR2(7715, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22180, nGC_22182])

    allocate(vertices(10113)%branchR2(0:0))
    call avR2(10113, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22432])

    allocate(vertices(8973)%branchR2(0:0))
    call avR2(8973, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22359])

    allocate(vertices(10016)%branchR2(0:0))
    call avR2(10016, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(2124)%branchR2(0:1))
    call avR2(2124, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(2124, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22023, nGC_22022])

    allocate(vertices(10713)%branchR2(0:1))
    call avR2(10713, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22475])

    call avR2(10713, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22476])

    allocate(vertices(6300)%branchR2(0:1))
    call avR2(6300, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22202, nGC_22202])

    call avR2(6300, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22200, nGC_22201])

    allocate(vertices(6002)%branchR2(0:0))
    call avR2(6002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(6074)%branchR2(0:0))
    call avR2(6074, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(2324)%branchR2(0:0))
    call avR2(2324, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22459])

    allocate(vertices(9547)%branchR2(0:0))
    call avR2(9547, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22468])

    allocate(vertices(6940)%branchR2(0:0))
    call avR2(6940, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22086])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

    allocate(vertices(10714)%branchR2(0:0))
    call avR2(10714, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22337, nGC_22336,      &
    nGC_22337])

    allocate(vertices(10715)%branchR2(0:1))
    call avR2(10715, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22441])

    call avR2(10715, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22440])

    allocate(vertices(5910)%branchR2(0:0))
    call avR2(5910, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22054])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57783])

    allocate(vertices(6591)%branchR2(0:1))
    call avR2(6591, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22066, nGC_22064])

    call avR2(6591, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22083, nGC_22082])

    allocate(vertices(7667)%branchR2(0:0))
    call avR2(7667, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

    allocate(vertices(4090)%branchR2(0:0))
    call avR2(4090, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(4125)%branchR2(0:0))
    call avR2(4125, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22413])

    allocate(vertices(1745)%branchR2(0:0))
    call avR2(1745, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

    allocate(vertices(10054)%branchR2(0:0))
    call avR2(10054, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(4754)%branchR2(0:0))
    call avR2(4754, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(3551)%branchR2(0:1))
    call avR2(3551, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22060, nGC_22062])

    call avR2(3551, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22080, nGC_22081])

    allocate(vertices(6809)%branchR2(0:0))
    call avR2(6809, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10716)%branchR2(0:0))
    call avR2(10716, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

    allocate(vertices(10717)%branchR2(0:1))
    call avR2(10717, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22476])

    call avR2(10717, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22475])

    allocate(vertices(1883)%branchR2(0:0))
    call avR2(1883, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(10718)%branchR2(0:1))
    call avR2(10718, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22476])

    call avR2(10718, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22475])

    allocate(vertices(9493)%branchR2(0:0))
    call avR2(9493, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(1351)%branchR2(0:1))
    call avR2(1351, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22101, nGC_22103])

    call avR2(1351, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22102, nGC_22104])

    allocate(vertices(6844)%branchR2(0:0))
    call avR2(6844, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

    allocate(vertices(8085)%branchR2(0:0))
    call avR2(8085, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(6059)%branchR2(0:1))
    call avR2(6059, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22169, nGC_22171])

    call avR2(6059, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22170, nGC_22172])

    allocate(vertices(4536)%branchR2(0:0))
    call avR2(4536, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(8435)%branchR2(0:0))
    call avR2(8435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(6804)%branchR2(0:0))
    call avR2(6804, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(5055)%branchR2(0:0))
    call avR2(5055, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(9261)%branchR2(0:0))
    call avR2(9261, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21948, nGC_21947])

    allocate(vertices(2176)%branchR2(0:0))
    call avR2(2176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(6882)%branchR2(0:0))
    call avR2(6882, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

    allocate(vertices(5603)%branchR2(0:1))
    call avR2(5603, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22179, nGC_22181])

    call avR2(5603, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22180, nGC_22182])

    allocate(vertices(8099)%branchR2(0:0))
    call avR2(8099, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(2801)%branchR2(0:0))
    call avR2(2801, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(271)%branchR2(0:1))
    call avR2(271, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(271, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22020, nGC_22019])

    allocate(vertices(10719)%branchR2(0:1))
    call avR2(10719, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22476])

    call avR2(10719, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22475])

    allocate(vertices(9794)%branchR2(0:0))
    call avR2(9794, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(6474)%branchR2(0:0))
    call avR2(6474, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22371])

    allocate(vertices(3758)%branchR2(0:0))
    call avR2(3758, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(7060)%branchR2(0:0))
    call avR2(7060, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22455])

    allocate(vertices(2538)%branchR2(0:0))
    call avR2(2538, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(9563)%branchR2(0:0))
    call avR2(9563, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(1786)%branchR2(0:0))
    call avR2(1786, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22275])

    allocate(vertices(10020)%branchR2(0:0))
    call avR2(10020, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(9126)%branchR2(0:0))
    call avR2(9126, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22342])

    allocate(vertices(6759)%branchR2(0:0))
    call avR2(6759, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(6317)%branchR2(0:0))
    call avR2(6317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(10720)%branchR2(0:0))
    call avR2(10720, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(5777)%branchR2(0:1))
    call avR2(5777, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22141, nGC_22139])

    call avR2(5777, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22154, nGC_22153])

    allocate(vertices(2608)%branchR2(0:0))
    call avR2(2608, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

    allocate(vertices(3773)%branchR2(0:0))
    call avR2(3773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7793)%branchR2(0:0))
    call avR2(7793, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22381])

    allocate(vertices(9123)%branchR2(0:0))
    call avR2(9123, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(8459)%branchR2(0:0))
    call avR2(8459, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(9456)%branchR2(0:0))
    call avR2(9456, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22389])

    allocate(vertices(7641)%branchR2(0:0))
    call avR2(7641, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22125])

    allocate(vertices(10158)%branchR2(0:0))
    call avR2(10158, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(2994)%branchR2(0:1))
    call avR2(2994, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22133, nGC_22131])

    call avR2(2994, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22152, nGC_22151])

    allocate(vertices(4660)%branchR2(0:1))
    call avR2(4660, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22169, nGC_22171])

    call avR2(4660, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22170, nGC_22172])

    allocate(vertices(7706)%branchR2(0:0))
    call avR2(7706, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(8213)%branchR2(0:0))
    call avR2(8213, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(756)%branchR2(0:0))
    call avR2(756, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(1815)%branchR2(0:1))
    call avR2(1815, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22138, nGC_22140])

    call avR2(1815, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22139, nGC_22141])

    allocate(vertices(1923)%branchR2(0:0))
    call avR2(1923, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

    allocate(vertices(8719)%branchR2(0:0))
    call avR2(8719, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4886)%branchR2(0:0))
    call avR2(4886, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(10153)%branchR2(0:0))
    call avR2(10153, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2440)%branchR2(0:0))
    call avR2(2440, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22460])

    allocate(vertices(3846)%branchR2(0:0))
    call avR2(3846, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(1787)%branchR2(0:0))
    call avR2(1787, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22233, nGC_22232])

    allocate(vertices(9657)%branchR2(0:0))
    call avR2(9657, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22390])

    allocate(vertices(3705)%branchR2(0:0))
    call avR2(3705, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(3670)%branchR2(0:0))
    call avR2(3670, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(7326)%branchR2(0:0))
    call avR2(7326, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22424])

    allocate(vertices(5800)%branchR2(0:0))
    call avR2(5800, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

    allocate(vertices(5977)%branchR2(0:0))
    call avR2(5977, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5026)%branchR2(0:0))
    call avR2(5026, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22204, nGC_22203])

    allocate(vertices(8912)%branchR2(0:0))
    call avR2(8912, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(8645)%branchR2(0:0))
    call avR2(8645, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22417])

    allocate(vertices(8724)%branchR2(0:0))
    call avR2(8724, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(2381)%branchR2(0:1))
    call avR2(2381, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22228, nGC_22228])

    call avR2(2381, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22226, nGC_22227])

    allocate(vertices(5684)%branchR2(0:0))
    call avR2(5684, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(3608)%branchR2(0:0))
    call avR2(3608, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(3903)%branchR2(0:0))
    call avR2(3903, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22125])

    allocate(vertices(9759)%branchR2(0:0))
    call avR2(9759, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(4170)%branchR2(0:0))
    call avR2(4170, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(10196)%branchR2(0:0))
    call avR2(10196, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

    allocate(vertices(9968)%branchR2(0:0))
    call avR2(9968, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22342])

    allocate(vertices(3935)%branchR2(0:0))
    call avR2(3935, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

    allocate(vertices(10721)%branchR2(0:1))
    call avR2(10721, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,    &
    nGC_22474])

    call avR2(10721, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,    &
    nGC_22473])

    allocate(vertices(10273)%branchR2(0:0))
    call avR2(10273, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

    allocate(vertices(6152)%branchR2(0:0))
    call avR2(6152, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22048])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22467])

    allocate(vertices(9260)%branchR2(0:0))
    call avR2(9260, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(10305)%branchR2(0:0))
    call avR2(10305, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22031])

    allocate(vertices(10278)%branchR2(0:0))
    call avR2(10278, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21998])

    allocate(vertices(5137)%branchR2(0:0))
    call avR2(5137, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22257])

    allocate(vertices(6739)%branchR2(0:1))
    call avR2(6739, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22133, nGC_22131])

    call avR2(6739, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22152, nGC_22151])

    allocate(vertices(1041)%branchR2(0:0))
    call avR2(1041, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(866)%branchR2(0:0))
    call avR2(866, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(8174)%branchR2(0:0))
    call avR2(8174, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22038, nGC_22039])

    allocate(vertices(10722)%branchR2(0:1))
    call avR2(10722, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22479])

    call avR2(10722, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22480])

    allocate(vertices(10092)%branchR2(0:0))
    call avR2(10092, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22265, nGC_22263])

    call avR2(1184, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22266, nGC_22264])

    allocate(vertices(7416)%branchR2(0:0))
    call avR2(7416, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10723)%branchR2(0:0))
    call avR2(10723, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

    allocate(vertices(11)%branchR2(0:1))
    call avR2(11, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22061, nGC_22059])

    call avR2(11, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22062, nGC_22060])

    allocate(vertices(8287)%branchR2(0:0))
    call avR2(8287, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(7437)%branchR2(0:0))
    call avR2(7437, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

    allocate(vertices(10724)%branchR2(0:0))
    call avR2(10724, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22355])

    allocate(vertices(6774)%branchR2(0:0))
    call avR2(6774, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

    allocate(vertices(4727)%branchR2(0:0))
    call avR2(4727, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57852])

    allocate(vertices(4997)%branchR2(0:0))
    call avR2(4997, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

    allocate(vertices(6475)%branchR2(0:0))
    call avR2(6475, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

    allocate(vertices(3507)%branchR2(0:1))
    call avR2(3507, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22119, nGC_22121])

    call avR2(3507, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22120, nGC_22122])

    allocate(vertices(10263)%branchR2(0:0))
    call avR2(10263, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(8526)%branchR2(0:1))
    call avR2(8526, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22093, nGC_22095])

    call avR2(8526, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22094, nGC_22096])

    allocate(vertices(3399)%branchR2(0:0))
    call avR2(3399, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(10725)%branchR2(0:0))
    call avR2(10725, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(7550)%branchR2(0:0))
    call avR2(7550, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22356,       &
    nGC_22358])

    allocate(vertices(10272)%branchR2(0:1))
    call avR2(10272, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21981, nGC_21980,     &
    nGC_21999, nGC_21999])

    call avR2(10272, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21979, nGC_21979,     &
    nGC_22000, nGC_22000])

    allocate(vertices(4439)%branchR2(0:1))
    call avR2(4439, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22238, nGC_22239])

    call avR2(4439, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22240, nGC_22240])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(21)%branchR2(0:0))
    call avR2(21, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22274])

    allocate(vertices(10387)%branchR2(0:0))
    call avR2(10387, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22390])

    allocate(vertices(438)%branchR2(0:0))
    call avR2(438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(10726)%branchR2(0:1))
    call avR2(10726, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22351, nGC_22351,    &
    nGC_22351])

    call avR2(10726, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22350, nGC_22350,    &
    nGC_22350])

    allocate(vertices(5864)%branchR2(0:1))
    call avR2(5864, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22130, nGC_22132])

    call avR2(5864, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22131, nGC_22133])

    allocate(vertices(10727)%branchR2(0:0))
    call avR2(10727, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(1812)%branchR2(0:0))
    call avR2(1812, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22015])

    allocate(vertices(3191)%branchR2(0:0))
    call avR2(3191, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22106, nGC_22105])

    allocate(vertices(8915)%branchR2(0:0))
    call avR2(8915, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(1285)%branchR2(0:0))
    call avR2(1285, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(1556)%branchR2(0:0))
    call avR2(1556, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60058])

    allocate(vertices(3292)%branchR2(0:0))
    call avR2(3292, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22380])

    allocate(vertices(5011)%branchR2(0:0))
    call avR2(5011, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

    allocate(vertices(7619)%branchR2(0:0))
    call avR2(7619, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22038, nGC_22039])

    allocate(vertices(10421)%branchR2(0:0))
    call avR2(10421, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

    allocate(vertices(3129)%branchR2(0:0))
    call avR2(3129, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(3048)%branchR2(0:1))
    call avR2(3048, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22165, nGC_22167])

    call avR2(3048, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22166, nGC_22168])

    allocate(vertices(7629)%branchR2(0:0))
    call avR2(7629, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22068])

    allocate(vertices(10728)%branchR2(0:0))
    call avR2(10728, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(4633)%branchR2(0:0))
    call avR2(4633, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22053])

    allocate(vertices(10097)%branchR2(0:0))
    call avR2(10097, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22391])

    allocate(vertices(1094)%branchR2(0:0))
    call avR2(1094, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22069])

    allocate(vertices(5499)%branchR2(0:0))
    call avR2(5499, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(8593)%branchR2(0:0))
    call avR2(8593, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58239])

    allocate(vertices(9795)%branchR2(0:0))
    call avR2(9795, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21998])

    allocate(vertices(3733)%branchR2(0:1))
    call avR2(3733, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22135, nGC_22137])

    call avR2(3733, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22149, nGC_22150])

    allocate(vertices(2299)%branchR2(0:0))
    call avR2(2299, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

    allocate(vertices(1512)%branchR2(0:1))
    call avR2(1512, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22021, nGC_22021])

    call avR2(1512, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22020, nGC_22019])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(104)%branchR2(0:1))
    call avR2(104, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22240, nGC_22240])

    call avR2(104, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22238, nGC_22239])

    allocate(vertices(7313)%branchR2(0:0))
    call avR2(7313, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(3598)%branchR2(0:0))
    call avR2(3598, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22118, nGC_22117])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(7439)%branchR2(0:0))
    call avR2(7439, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22385])

    allocate(vertices(7944)%branchR2(0:0))
    call avR2(7944, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(5391)%branchR2(0:0))
    call avR2(5391, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22071])

    allocate(vertices(4936)%branchR2(0:0))
    call avR2(4936, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(10729)%branchR2(0:0))
    call avR2(10729, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(3432)%branchR2(0:0))
    call avR2(3432, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7876)%branchR2(0:1))
    call avR2(7876, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(7876, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(9678)%branchR2(0:0))
    call avR2(9678, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57446])

    allocate(vertices(9577)%branchR2(0:0))
    call avR2(9577, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

    allocate(vertices(9417)%branchR2(0:0))
    call avR2(9417, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

    allocate(vertices(4249)%branchR2(0:0))
    call avR2(4249, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

    allocate(vertices(3327)%branchR2(0:0))
    call avR2(3327, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22235, nGC_22234])

    allocate(vertices(10730)%branchR2(0:1))
    call avR2(10730, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22470])

    call avR2(10730, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22471])

    allocate(vertices(9783)%branchR2(0:0))
    call avR2(9783, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(9363)%branchR2(0:0))
    call avR2(9363, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22007])

    allocate(vertices(1773)%branchR2(0:0))
    call avR2(1773, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22356, nGC_22358,       &
    nGC_22357])

    allocate(vertices(3825)%branchR2(0:0))
    call avR2(3825, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22465])

    allocate(vertices(6361)%branchR2(0:0))
    call avR2(6361, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(2747)%branchR2(0:0))
    call avR2(2747, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22280, nGC_22281])

    allocate(vertices(2304)%branchR2(0:0))
    call avR2(2304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(9135)%branchR2(0:0))
    call avR2(9135, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22391])

    allocate(vertices(5525)%branchR2(0:0))
    call avR2(5525, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22142])

    allocate(vertices(4519)%branchR2(0:0))
    call avR2(4519, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

    allocate(vertices(1026)%branchR2(0:0))
    call avR2(1026, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(10731)%branchR2(0:0))
    call avR2(10731, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(5242)%branchR2(0:1))
    call avR2(5242, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(5242, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(1605)%branchR2(0:0))
    call avR2(1605, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(8218)%branchR2(0:1))
    call avR2(8218, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(8218, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22283, nGC_22282])

    allocate(vertices(2073)%branchR2(0:0))
    call avR2(2073, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22454])

    allocate(vertices(10732)%branchR2(0:0))
    call avR2(10732, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4254)%branchR2(0:0))
    call avR2(4254, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(3088)%branchR2(0:0))
    call avR2(3088, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(4136)%branchR2(0:0))
    call avR2(4136, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(7675)%branchR2(0:0))
    call avR2(7675, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58735])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

    allocate(vertices(10733)%branchR2(0:0))
    call avR2(10733, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

    allocate(vertices(144)%branchR2(0:0))
    call avR2(144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(9466)%branchR2(0:0))
    call avR2(9466, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

    allocate(vertices(6115)%branchR2(0:0))
    call avR2(6115, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22253])

    allocate(vertices(4506)%branchR2(0:0))
    call avR2(4506, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

    allocate(vertices(5248)%branchR2(0:0))
    call avR2(5248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(7077)%branchR2(0:1))
    call avR2(7077, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22251])

    call avR2(7077, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22252])

    allocate(vertices(1724)%branchR2(0:0))
    call avR2(1724, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22362])

    allocate(vertices(110)%branchR2(0:0))
    call avR2(110, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

    allocate(vertices(9648)%branchR2(0:0))
    call avR2(9648, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(1644)%branchR2(0:1))
    call avR2(1644, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22261, nGC_22259])

    call avR2(1644, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22262, nGC_22260])

    allocate(vertices(3661)%branchR2(0:3))
    call avR2(3661, 0, 118, 1, 0, VFaF0, 0, [1, 2], [nGC_22289, nGC_22287])

    call avR2(3661, 1, 118, 1, 0, VFaF0, 0, [3, 0], [nGC_22288, nGC_22288])

    call avR2(3661, 2, 119, 1, 0, VFaF0, 0, [1, 2], [nGC_22286, nGC_22284])

    call avR2(3661, 3, 119, 1, 0, VFaF0, 0, [3, 0], [nGC_22285, nGC_22285])

    allocate(vertices(5326)%branchR2(0:0))
    call avR2(5326, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

    allocate(vertices(5301)%branchR2(0:0))
    call avR2(5301, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

    allocate(vertices(10734)%branchR2(0:0))
    call avR2(10734, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

    allocate(vertices(10353)%branchR2(0:0))
    call avR2(10353, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

    allocate(vertices(2263)%branchR2(0:0))
    call avR2(2263, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22371])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(6338)%branchR2(0:0))
    call avR2(6338, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(6629)%branchR2(0:0))
    call avR2(6629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(2089)%branchR2(0:1))
    call avR2(2089, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22211, nGC_22211])

    call avR2(2089, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22209, nGC_22210])

    allocate(vertices(740)%branchR2(0:0))
    call avR2(740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(4501)%branchR2(0:0))
    call avR2(4501, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

    allocate(vertices(5441)%branchR2(0:0))
    call avR2(5441, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

    allocate(vertices(9289)%branchR2(0:0))
    call avR2(9289, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22331])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

    allocate(vertices(6502)%branchR2(0:0))
    call avR2(6502, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(4848)%branchR2(0:0))
    call avR2(4848, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(2234)%branchR2(0:0))
    call avR2(2234, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22280, nGC_22281])

    allocate(vertices(10735)%branchR2(0:1))
    call avR2(10735, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22378])

    call avR2(10735, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22377])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(5462)%branchR2(0:0))
    call avR2(5462, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22184, nGC_22183])

    allocate(vertices(4799)%branchR2(0:0))
    call avR2(4799, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(2530)%branchR2(0:0))
    call avR2(2530, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22118, nGC_22117])

    allocate(vertices(5848)%branchR2(0:0))
    call avR2(5848, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(6304)%branchR2(0:0))
    call avR2(6304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22460])

    allocate(vertices(9865)%branchR2(0:0))
    call avR2(9865, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(7428)%branchR2(0:0))
    call avR2(7428, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

    allocate(vertices(9175)%branchR2(0:0))
    call avR2(9175, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22427])

    allocate(vertices(10736)%branchR2(0:1))
    call avR2(10736, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10736, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(1296)%branchR2(0:0))
    call avR2(1296, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

    allocate(vertices(2456)%branchR2(0:0))
    call avR2(2456, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

    allocate(vertices(8285)%branchR2(0:0))
    call avR2(8285, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22322, nGC_22321,       &
    nGC_22323])

    allocate(vertices(9413)%branchR2(0:0))
    call avR2(9413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(10737)%branchR2(0:1))
    call avR2(10737, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22446])

    call avR2(10737, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22447])

    allocate(vertices(6388)%branchR2(0:0))
    call avR2(6388, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22428])

    allocate(vertices(4093)%branchR2(0:0))
    call avR2(4093, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22249])

    allocate(vertices(9285)%branchR2(0:0))
    call avR2(9285, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22314])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22068])

    allocate(vertices(10738)%branchR2(0:1))
    call avR2(10738, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22476])

    call avR2(10738, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22475])

    allocate(vertices(8447)%branchR2(0:0))
    call avR2(8447, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(3428)%branchR2(0:0))
    call avR2(3428, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(3374)%branchR2(0:0))
    call avR2(3374, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

    allocate(vertices(4611)%branchR2(0:0))
    call avR2(4611, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22379])

    allocate(vertices(5440)%branchR2(0:0))
    call avR2(5440, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22106, nGC_22105])

    allocate(vertices(9279)%branchR2(0:0))
    call avR2(9279, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22331])

    allocate(vertices(3635)%branchR2(0:1))
    call avR2(3635, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22058, nGC_22056])

    call avR2(3635, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22079, nGC_22078])

    allocate(vertices(5160)%branchR2(0:0))
    call avR2(5160, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(4753)%branchR2(0:0))
    call avR2(4753, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

    allocate(vertices(2703)%branchR2(0:0))
    call avR2(2703, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22070])

    allocate(vertices(7858)%branchR2(0:0))
    call avR2(7858, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22410])

    allocate(vertices(8977)%branchR2(0:0))
    call avR2(8977, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(10739)%branchR2(0:0))
    call avR2(10739, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22355])

    allocate(vertices(8978)%branchR2(0:0))
    call avR2(8978, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21952, nGC_21951,        &
    nGC_21953])

    allocate(vertices(7990)%branchR2(0:0))
    call avR2(7990, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

    allocate(vertices(6570)%branchR2(0:0))
    call avR2(6570, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

    allocate(vertices(5061)%branchR2(0:0))
    call avR2(5061, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

    allocate(vertices(4910)%branchR2(0:0))
    call avR2(4910, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22118, nGC_22117])

    allocate(vertices(3214)%branchR2(0:0))
    call avR2(3214, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

    allocate(vertices(9548)%branchR2(0:0))
    call avR2(9548, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22421])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

    allocate(vertices(5281)%branchR2(0:0))
    call avR2(5281, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

    allocate(vertices(5579)%branchR2(0:0))
    call avR2(5579, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(10265)%branchR2(0:0))
    call avR2(10265, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

    allocate(vertices(1698)%branchR2(0:0))
    call avR2(1698, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

    allocate(vertices(6905)%branchR2(0:0))
    call avR2(6905, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(8211)%branchR2(0:0))
    call avR2(8211, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22011])

    allocate(vertices(10740)%branchR2(0:0))
    call avR2(10740, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

    allocate(vertices(4650)%branchR2(0:1))
    call avR2(4650, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22175, nGC_22177])

    call avR2(4650, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22176, nGC_22178])

    allocate(vertices(612)%branchR2(0:0))
    call avR2(612, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22408])

    allocate(vertices(6278)%branchR2(0:0))
    call avR2(6278, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(4233)%branchR2(0:0))
    call avR2(4233, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22253])

    allocate(vertices(3783)%branchR2(0:0))
    call avR2(3783, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

    allocate(vertices(5125)%branchR2(0:0))
    call avR2(5125, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(952)%branchR2(0:0))
    call avR2(952, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22467])

    allocate(vertices(10741)%branchR2(0:0))
    call avR2(10741, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

    allocate(vertices(5159)%branchR2(0:0))
    call avR2(5159, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58143])

    allocate(vertices(2411)%branchR2(0:0))
    call avR2(2411, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22144])

    allocate(vertices(10742)%branchR2(0:0))
    call avR2(10742, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

    allocate(vertices(8466)%branchR2(0:0))
    call avR2(8466, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22027, nGC_22028])

    allocate(vertices(10090)%branchR2(0:0))
    call avR2(10090, 0, 13, 1, 0, SS4, 0, [0, 2], [nGC_21948, nGC_21947])

    allocate(vertices(4612)%branchR2(0:0))
    call avR2(4612, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

    allocate(vertices(1496)%branchR2(0:1))
    call avR2(1496, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22226, nGC_22227])

    call avR2(1496, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22228, nGC_22228])

    allocate(vertices(5764)%branchR2(0:0))
    call avR2(5764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

    allocate(vertices(6878)%branchR2(0:0))
    call avR2(6878, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(3183)%branchR2(0:1))
    call avR2(3183, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(3183, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22279, nGC_22278])

    allocate(vertices(10743)%branchR2(0:1))
    call avR2(10743, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22447])

    call avR2(10743, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22446])

    allocate(vertices(10744)%branchR2(0:0))
    call avR2(10744, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

    allocate(vertices(10745)%branchR2(0:1))
    call avR2(10745, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22394])

    call avR2(10745, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22393])

    allocate(vertices(5117)%branchR2(0:1))
    call avR2(5117, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22024, nGC_22024])

    call avR2(5117, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22023, nGC_22022])

    allocate(vertices(1570)%branchR2(0:0))
    call avR2(1570, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(4967)%branchR2(0:0))
    call avR2(4967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

    allocate(vertices(8762)%branchR2(0:0))
    call avR2(8762, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(10142)%branchR2(0:0))
    call avR2(10142, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22033])

    allocate(vertices(7492)%branchR2(0:0))
    call avR2(7492, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22316])

    allocate(vertices(5390)%branchR2(0:0))
    call avR2(5390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

    allocate(vertices(10746)%branchR2(0:1))
    call avR2(10746, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,    &
    nGC_22485])

    call avR2(10746, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22484, nGC_22484,    &
    nGC_22484])

    allocate(vertices(6421)%branchR2(0:0))
    call avR2(6421, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22466])

    allocate(vertices(3397)%branchR2(0:0))
    call avR2(3397, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22455])

    allocate(vertices(1684)%branchR2(0:1))
    call avR2(1684, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22225, nGC_22225])

    call avR2(1684, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22223, nGC_22224])

    allocate(vertices(6767)%branchR2(0:0))
    call avR2(6767, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22257])

    allocate(vertices(1035)%branchR2(0:0))
    call avR2(1035, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22085])

    allocate(vertices(10747)%branchR2(0:1))
    call avR2(10747, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22383, nGC_22383,    &
    nGC_22383])

    call avR2(10747, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22382, nGC_22382,    &
    nGC_22382])

    allocate(vertices(2958)%branchR2(0:0))
    call avR2(2958, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

    allocate(vertices(8469)%branchR2(0:0))
    call avR2(8469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

    allocate(vertices(8109)%branchR2(0:0))
    call avR2(8109, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22356,       &
    nGC_22358])

    allocate(vertices(4692)%branchR2(0:0))
    call avR2(4692, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22409])

    allocate(vertices(6568)%branchR2(0:0))
    call avR2(6568, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(7411)%branchR2(0:0))
    call avR2(7411, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(4651)%branchR2(0:0))
    call avR2(4651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

    allocate(vertices(9655)%branchR2(0:0))
    call avR2(9655, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

    allocate(vertices(3199)%branchR2(0:0))
    call avR2(3199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

    allocate(vertices(3097)%branchR2(0:0))
    call avR2(3097, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    allocate(vertices(5421)%branchR2(0:0))
    call avR2(5421, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

    allocate(vertices(9566)%branchR2(0:0))
    call avR2(9566, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(6224)%branchR2(0:0))
    call avR2(6224, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22235, nGC_22234])

    allocate(vertices(4928)%branchR2(0:0))
    call avR2(4928, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

    allocate(vertices(114)%branchR2(0:0))
    call avR2(114, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22143])

    allocate(vertices(7151)%branchR2(0:0))
    call avR2(7151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22399])

    allocate(vertices(9637)%branchR2(0:0))
    call avR2(9637, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22314])

    allocate(vertices(3046)%branchR2(0:0))
    call avR2(3046, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22417])

    allocate(vertices(6220)%branchR2(0:0))
    call avR2(6220, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

    allocate(vertices(6983)%branchR2(0:0))
    call avR2(6983, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

    allocate(vertices(9880)%branchR2(0:0))
    call avR2(9880, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60371])

    allocate(vertices(9129)%branchR2(0:0))
    call avR2(9129, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22462])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

    allocate(vertices(4473)%branchR2(0:0))
    call avR2(4473, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

    allocate(vertices(2661)%branchR2(0:0))
    call avR2(2661, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

    allocate(vertices(7973)%branchR2(0:0))
    call avR2(7973, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22357, nGC_22356,       &
    nGC_22358])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

    allocate(vertices(1602)%branchR2(0:0))
    call avR2(1602, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

    allocate(vertices(2097)%branchR2(0:1))
    call avR2(2097, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22159, nGC_22161])

    call avR2(2097, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22160, nGC_22162])

    allocate(vertices(3497)%branchR2(0:0))
    call avR2(3497, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22400])

    allocate(vertices(5605)%branchR2(0:0))
    call avR2(5605, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22076])

    allocate(vertices(8911)%branchR2(0:0))
    call avR2(8911, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22389])

    allocate(vertices(6678)%branchR2(0:0))
    call avR2(6678, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22280, nGC_22281])

    allocate(vertices(4979)%branchR2(0:1))
    call avR2(4979, 0, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22130, nGC_22132])

    call avR2(4979, 1, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22131, nGC_22133])

    allocate(vertices(8854)%branchR2(0:0))
    call avR2(8854, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(8142)%branchR2(0:1))
    call avR2(8142, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22197, nGC_22198])

    call avR2(8142, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22199, nGC_22199])

    allocate(vertices(2813)%branchR2(0:1))
    call avR2(2813, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22266, nGC_22264])

    call avR2(2813, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22279, nGC_22278])

    allocate(vertices(8369)%branchR2(0:1))
    call avR2(8369, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_22212, nGC_22213])

    call avR2(8369, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_22214, nGC_22214])

    allocate(vertices(9989)%branchR2(0:0))
    call avR2(9989, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22462])

    allocate(vertices(2828)%branchR2(0:0))
    call avR2(2828, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

    allocate(vertices(8805)%branchR2(0:0))
    call avR2(8805, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22477,       &
    nGC_22478])

    allocate(vertices(10748)%branchR2(0:1))
    call avR2(10748, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22378])

    call avR2(10748, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22377])

    allocate(vertices(4019)%branchR2(0:0))
    call avR2(4019, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22046])

    allocate(vertices(2651)%branchR2(0:0))
    call avR2(2651, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22409])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

    allocate(vertices(10749)%branchR2(0:0))
    call avR2(10749, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22012])

    allocate(vertices(7471)%branchR2(0:0))
    call avR2(7471, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22042])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

    allocate(vertices(6819)%branchR2(0:0))
    call avR2(6819, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

    allocate(vertices(3320)%branchR2(0:0))
    call avR2(3320, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22280, nGC_22281])

    allocate(vertices(1966)%branchR2(0:0))
    call avR2(1966, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22235, nGC_22234])

    allocate(vertices(8019)%branchR2(0:0))
    call avR2(8019, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22374])

    allocate(vertices(9620)%branchR2(0:1))
    call avR2(9620, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21981, nGC_21980,      &
    nGC_21986, nGC_21986])

    call avR2(9620, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21979, nGC_21979,      &
    nGC_21987, nGC_21987])

    allocate(vertices(2012)%branchR2(0:1))
    call avR2(2012, 0, 20, 1, 0, FSFa1, 0, [2, 1], [nGC_22228, nGC_22228])

    call avR2(2012, 1, 20, 1, 0, FSFa1, 0, [0, 3], [nGC_22226, nGC_22227])

    allocate(vertices(10750)%branchR2(0:1))
    call avR2(10750, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22378])

    call avR2(10750, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22377])

    allocate(vertices(3099)%branchR2(0:0))
    call avR2(3099, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22400])

    allocate(vertices(2579)%branchR2(0:3))
    call avR2(2579, 0, 120, 1, 0, FVFa0, 0, [1, 2], [nGC_22302, nGC_22301])

    call avR2(2579, 1, 120, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

    call avR2(2579, 2, 121, 1, 0, FVFa0, 0, [1, 2], [nGC_22299, nGC_22298])

    call avR2(2579, 3, 121, 1, 0, FVFa0, 0, [3, 0], [nGC_22300, nGC_22300])

    allocate(vertices(7728)%branchR2(0:0))
    call avR2(7728, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

    allocate(vertices(7995)%branchR2(0:0))
    call avR2(7995, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22376])

    allocate(vertices(10397)%branchR2(0:0))
    call avR2(10397, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

    allocate(vertices(4689)%branchR2(0:0))
    call avR2(4689, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57796])

    allocate(vertices(1383)%branchR2(0:0))
    call avR2(1383, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

    allocate(vertices(5208)%branchR2(0:0))
    call avR2(5208, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22072])

    allocate(vertices(8746)%branchR2(0:0))
    call avR2(8746, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

    allocate(vertices(724)%branchR2(0:0))
    call avR2(724, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

    allocate(vertices(2505)%branchR2(0:0))
    call avR2(2505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22361])

    allocate(vertices(4294)%branchR2(0:0))
    call avR2(4294, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22015])

    allocate(vertices(9256)%branchR2(0:1))
    call avR2(9256, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21981, nGC_21980,       &
    nGC_21977, nGC_21977])

    call avR2(9256, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21979, nGC_21979,       &
    nGC_21978, nGC_21978])

    allocate(vertices(2040)%branchR2(0:0))
    call avR2(2040, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22143])

    allocate(vertices(179)%branchR2(0:0))
    call avR2(179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

  end subroutine fill_vertices_mdl23
end module vertices_info23
