!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  implicit none
  contains
  subroutine fill_vertices_mdl8()
    use class_vertices
    use class_couplings
    allocate(vertices(5600)%branch(0:0))
    call av(5600, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(5601)%branch(0:0))
    call av(5601, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_186])

    allocate(vertices(5602)%branch(0:0))
    call av(5602, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_205])

    allocate(vertices(5603)%branch(0:0))
    call av(5603, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_1185, nGC_371])

    allocate(vertices(5604)%branch(0:0))
    call av(5604, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_95])

    allocate(vertices(5605)%branch(0:0))
    call av(5605, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_173])

    allocate(vertices(5606)%branch(0:0))
    call av(5606, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5607)%branch(0:0))
    call av(5607, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35])

    allocate(vertices(5608)%branch(0:0))
    call av(5608, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(5609)%branch(0:0))
    call av(5609, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_247])

    allocate(vertices(5610)%branch(0:0))
    call av(5610, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(5611)%branch(0:0))
    call av(5611, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_230])

    allocate(vertices(5612)%branch(0:0))
    call av(5612, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(5613)%branch(0:0))
    call av(5613, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5614)%branch(0:0))
    call av(5614, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(5615)%branch(0:0))
    call av(5615, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_327])

    allocate(vertices(5616)%branch(0:0))
    call av(5616, 0, 20, 1, 0, FSFa1, 0, [0, 1], [nGC_367, nGC_337])

    allocate(vertices(5617)%branch(0:0))
    call av(5617, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_100])

    allocate(vertices(5618)%branch(0:0))
    call av(5618, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_85])

    allocate(vertices(5619)%branch(0:0))
    call av(5619, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_95])

    allocate(vertices(5620)%branch(0:0))
    call av(5620, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_180])

    allocate(vertices(5621)%branch(0:0))
    call av(5621, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_191])

    allocate(vertices(5622)%branch(0:0))
    call av(5622, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_82])

    allocate(vertices(5623)%branch(0:0))
    call av(5623, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5624)%branch(0:0))
    call av(5624, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_322])

    allocate(vertices(5625)%branch(0:0))
    call av(5625, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_291])

    allocate(vertices(5626)%branch(0:0))
    call av(5626, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_791, nGC_338])

    allocate(vertices(5627)%branch(0:0))
    call av(5627, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5628)%branch(0:0))
    call av(5628, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_98])

    allocate(vertices(5629)%branch(0:0))
    call av(5629, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(5630)%branch(0:0))
    call av(5630, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5631)%branch(0:0))
    call av(5631, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_325])

    allocate(vertices(5632)%branch(0:0))
    call av(5632, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_164])

    allocate(vertices(5633)%branch(0:0))
    call av(5633, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(5634)%branch(0:0))
    call av(5634, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(5635)%branch(0:0))
    call av(5635, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_30])

    allocate(vertices(5636)%branch(0:0))
    call av(5636, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_77])

    allocate(vertices(5637)%branch(0:0))
    call av(5637, 0, 20, 1, 0, FSFa1, 0, [0, 1], [nGC_372, nGC_372])

    allocate(vertices(5638)%branch(0:0))
    call av(5638, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5639)%branch(0:0))
    call av(5639, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_6])

    allocate(vertices(5640)%branch(0:0))
    call av(5640, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_30])

    allocate(vertices(5641)%branch(0:0))
    call av(5641, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_220])

    allocate(vertices(5642)%branch(0:0))
    call av(5642, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_1583])

    allocate(vertices(5643)%branch(0:0))
    call av(5643, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_30])

    allocate(vertices(5644)%branch(0:0))
    call av(5644, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(5645)%branch(0:0))
    call av(5645, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_92])

    allocate(vertices(5646)%branch(0:0))
    call av(5646, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(5647)%branch(0:0))
    call av(5647, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_220])

    allocate(vertices(5648)%branch(0:0))
    call av(5648, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_30])

    allocate(vertices(5649)%branch(0:0))
    call av(5649, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_10])

    allocate(vertices(5650)%branch(0:0))
    call av(5650, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(5651)%branch(0:0))
    call av(5651, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_225])

    allocate(vertices(5652)%branch(0:0))
    call av(5652, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_25])

    allocate(vertices(5653)%branch(0:0))
    call av(5653, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_329])

    allocate(vertices(5654)%branch(0:0))
    call av(5654, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_204])

    allocate(vertices(5655)%branch(0:0))
    call av(5655, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_124])

    allocate(vertices(5656)%branch(0:0))
    call av(5656, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_172])

    allocate(vertices(5657)%branch(0:0))
    call av(5657, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(5658)%branch(0:0))
    call av(5658, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_175])

    allocate(vertices(5659)%branch(0:0))
    call av(5659, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_182])

    allocate(vertices(5660)%branch(0:0))
    call av(5660, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_97])

    allocate(vertices(5661)%branch(0:0))
    call av(5661, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_187])

    allocate(vertices(5662)%branch(0:0))
    call av(5662, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(5663)%branch(0:0))
    call av(5663, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_1033, nGC_350])

    allocate(vertices(5664)%branch(0:0))
    call av(5664, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_116])

    allocate(vertices(5665)%branch(0:0))
    call av(5665, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(5666)%branch(0:0))
    call av(5666, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_76])

    allocate(vertices(5667)%branch(0:0))
    call av(5667, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(5668)%branch(0:0))
    call av(5668, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_357, nGC_357])

    allocate(vertices(5669)%branch(0:0))
    call av(5669, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_196])

    allocate(vertices(5670)%branch(0:0))
    call av(5670, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_179])

    allocate(vertices(5671)%branch(0:0))
    call av(5671, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(5672)%branch(0:0))
    call av(5672, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_136])

    allocate(vertices(5673)%branch(0:0))
    call av(5673, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(5674)%branch(0:0))
    call av(5674, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_131])

    allocate(vertices(5675)%branch(0:0))
    call av(5675, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_226])

    allocate(vertices(5676)%branch(0:0))
    call av(5676, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_30])

    allocate(vertices(5677)%branch(0:0))
    call av(5677, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(5678)%branch(0:0))
    call av(5678, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_30])

    allocate(vertices(5679)%branch(0:0))
    call av(5679, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(5680)%branch(0:1))
    call av(5680, 0, 11, 2, 0, FFaV0, 0, [1, 0], [nGC_13, nGC_13])

    call av(5680, 1, 12, 3, 0, FFaV0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(5681)%branch(0:0))
    call av(5681, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_97])

    allocate(vertices(5682)%branch(0:0))
    call av(5682, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(5683)%branch(0:0))
    call av(5683, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(5684)%branch(0:0))
    call av(5684, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_244])

    allocate(vertices(5685)%branch(0:0))
    call av(5685, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_88])

    allocate(vertices(5686)%branch(0:0))
    call av(5686, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(5687)%branch(0:0))
    call av(5687, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_100])

    allocate(vertices(5688)%branch(0:0))
    call av(5688, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5689)%branch(0:0))
    call av(5689, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_21])

    allocate(vertices(5690)%branch(0:0))
    call av(5690, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_1233, nGC_377])

    allocate(vertices(5691)%branch(0:0))
    call av(5691, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_77])

    allocate(vertices(5692)%branch(0:0))
    call av(5692, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_232])

    allocate(vertices(5693)%branch(0:0))
    call av(5693, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(5694)%branch(0:0))
    call av(5694, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(5695)%branch(0:0))
    call av(5695, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_189, nGC_189, nGC_1539])

    allocate(vertices(5696)%branch(0:0))
    call av(5696, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_194, nGC_1913, nGC_194])

    allocate(vertices(5697)%branch(0:0))
    call av(5697, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(5698)%branch(0:0))
    call av(5698, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_117])

    allocate(vertices(5699)%branch(0:0))
    call av(5699, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5700)%branch(0:0))
    call av(5700, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_187])

    allocate(vertices(5701)%branch(0:0))
    call av(5701, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_118])

    allocate(vertices(5702)%branch(0:0))
    call av(5702, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_31])

    allocate(vertices(5703)%branch(0:0))
    call av(5703, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_381, nGC_381])

    allocate(vertices(5704)%branch(0:0))
    call av(5704, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(5705)%branch(0:0))
    call av(5705, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_97])

    allocate(vertices(5706)%branch(0:0))
    call av(5706, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(5707)%branch(0:0))
    call av(5707, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_202, nGC_205, nGC_204])

    allocate(vertices(5708)%branch(0:0))
    call av(5708, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_102])

    allocate(vertices(5709)%branch(0:0))
    call av(5709, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_31])

    allocate(vertices(5710)%branch(0:0))
    call av(5710, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_284])

    allocate(vertices(5711)%branch(0:0))
    call av(5711, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_124])

    allocate(vertices(5712)%branch(0:0))
    call av(5712, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(5713)%branch(0:0))
    call av(5713, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(5714)%branch(0:0))
    call av(5714, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_80])

    allocate(vertices(5715)%branch(0:0))
    call av(5715, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(5716)%branch(0:0))
    call av(5716, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(5717)%branch(0:0))
    call av(5717, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_30])

    allocate(vertices(5718)%branch(0:0))
    call av(5718, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_208, nGC_211])

    allocate(vertices(5719)%branch(0:0))
    call av(5719, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(5720)%branch(0:0))
    call av(5720, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_224])

    allocate(vertices(5721)%branch(0:0))
    call av(5721, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5722)%branch(0:0))
    call av(5722, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_27])

    allocate(vertices(5723)%branch(0:0))
    call av(5723, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_4267])

    allocate(vertices(5724)%branch(0:0))
    call av(5724, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5725)%branch(0:0))
    call av(5725, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_337, nGC_367])

    allocate(vertices(5726)%branch(0:0))
    call av(5726, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_28])

    allocate(vertices(5727)%branch(0:0))
    call av(5727, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5728)%branch(0:0))
    call av(5728, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5729)%branch(0:0))
    call av(5729, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(5730)%branch(0:0))
    call av(5730, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_111])

    allocate(vertices(5731)%branch(0:0))
    call av(5731, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(5732)%branch(0:0))
    call av(5732, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_21])

    allocate(vertices(5733)%branch(0:0))
    call av(5733, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_30])

    allocate(vertices(5734)%branch(0:0))
    call av(5734, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_24])

    allocate(vertices(5735)%branch(0:0))
    call av(5735, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_142])

    allocate(vertices(5736)%branch(0:0))
    call av(5736, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(5737)%branch(0:0))
    call av(5737, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_97])

    allocate(vertices(5738)%branch(0:0))
    call av(5738, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_226])

    allocate(vertices(5739)%branch(0:0))
    call av(5739, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_280])

    allocate(vertices(5740)%branch(0:0))
    call av(5740, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_219])

    allocate(vertices(5741)%branch(0:0))
    call av(5741, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_197])

    allocate(vertices(5742)%branch(0:0))
    call av(5742, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_91])

    allocate(vertices(5743)%branch(0:0))
    call av(5743, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_22])

    allocate(vertices(5744)%branch(0:0))
    call av(5744, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1213, nGC_205, nGC_1213])

    allocate(vertices(5745)%branch(0:0))
    call av(5745, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_99])

    allocate(vertices(5746)%branch(0:0))
    call av(5746, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_80])

    allocate(vertices(5747)%branch(0:0))
    call av(5747, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5748)%branch(0:0))
    call av(5748, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_175])

    allocate(vertices(5749)%branch(0:0))
    call av(5749, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_220])

    allocate(vertices(5750)%branch(0:0))
    call av(5750, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(5751)%branch(0:0))
    call av(5751, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(5752)%branch(0:0))
    call av(5752, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_293])

    allocate(vertices(5753)%branch(0:0))
    call av(5753, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_18])

    allocate(vertices(5754)%branch(0:0))
    call av(5754, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(5755)%branch(0:0))
    call av(5755, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(5756)%branch(0:0))
    call av(5756, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(5757)%branch(0:0))
    call av(5757, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_358])

    allocate(vertices(5758)%branch(0:0))
    call av(5758, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_112])

    allocate(vertices(5759)%branch(0:0))
    call av(5759, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5760)%branch(0:0))
    call av(5760, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(5761)%branch(0:1))
    call av(5761, 0, 116, 2, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    call av(5761, 1, 117, 3, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(5762)%branch(0:0))
    call av(5762, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_30])

    allocate(vertices(5763)%branch(0:0))
    call av(5763, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5764)%branch(0:0))
    call av(5764, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(5765)%branch(0:0))
    call av(5765, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_355])

    allocate(vertices(5766)%branch(0:0))
    call av(5766, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_152])

    allocate(vertices(5767)%branch(0:0))
    call av(5767, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_1201])

    allocate(vertices(5768)%branch(0:0))
    call av(5768, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_80])

    allocate(vertices(5769)%branch(0:0))
    call av(5769, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_194, nGC_194, nGC_1913])

    allocate(vertices(5770)%branch(0:0))
    call av(5770, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_327])

    allocate(vertices(5771)%branch(0:0))
    call av(5771, 0, 21, 1, 0, FaSF1, 0, [0, 1], [nGC_367, nGC_337])

    allocate(vertices(5772)%branch(0:0))
    call av(5772, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(5773)%branch(0:0))
    call av(5773, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_31])

    allocate(vertices(5774)%branch(0:0))
    call av(5774, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_232])

    allocate(vertices(5775)%branch(0:0))
    call av(5775, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5776)%branch(0:0))
    call av(5776, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_222])

    allocate(vertices(5777)%branch(0:0))
    call av(5777, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_382, nGC_346])

    allocate(vertices(5778)%branch(0:0))
    call av(5778, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(5779)%branch(0:0))
    call av(5779, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(5780)%branch(0:0))
    call av(5780, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(5781)%branch(0:0))
    call av(5781, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(5782)%branch(0:0))
    call av(5782, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(5783)%branch(0:0))
    call av(5783, 0, 1, 1, 0, FaFS1, 0, [0, 1], [nGC_358])

    allocate(vertices(5784)%branch(0:0))
    call av(5784, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_369, nGC_369])

    allocate(vertices(5785)%branch(0:1))
    call av(5785, 0, 120, 2, 0, FVFa0, 0, [1, 0], [nGC_13, nGC_13])

    call av(5785, 1, 121, 3, 0, FVFa0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(5786)%branch(0:0))
    call av(5786, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_1313, nGC_356])

    allocate(vertices(5787)%branch(0:0))
    call av(5787, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_22])

    allocate(vertices(5788)%branch(0:0))
    call av(5788, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(5789)%branch(0:0))
    call av(5789, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

    allocate(vertices(5790)%branch(0:0))
    call av(5790, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_174])

    allocate(vertices(5791)%branch(0:0))
    call av(5791, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(5792)%branch(0:0))
    call av(5792, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5793)%branch(0:0))
    call av(5793, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_247])

    allocate(vertices(5794)%branch(0:0))
    call av(5794, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_30])

    allocate(vertices(5795)%branch(0:0))
    call av(5795, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_275])

    allocate(vertices(5796)%branch(0:0))
    call av(5796, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(5797)%branch(0:0))
    call av(5797, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_24])

    allocate(vertices(5798)%branch(0:0))
    call av(5798, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(5799)%branch(0:0))
    call av(5799, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_182])

    allocate(vertices(5800)%branch(0:0))
    call av(5800, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(5801)%branch(0:0))
    call av(5801, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(5802)%branch(0:0))
    call av(5802, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5803)%branch(0:0))
    call av(5803, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_7])

    allocate(vertices(5804)%branch(0:0))
    call av(5804, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_321])

    allocate(vertices(5805)%branch(0:0))
    call av(5805, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(5806)%branch(0:0))
    call av(5806, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_115])

    allocate(vertices(5807)%branch(0:0))
    call av(5807, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_250])

    allocate(vertices(5808)%branch(0:0))
    call av(5808, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(5809)%branch(0:0))
    call av(5809, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(5810)%branch(0:0))
    call av(5810, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_30])

    allocate(vertices(5811)%branch(0:0))
    call av(5811, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_325])

    allocate(vertices(5812)%branch(0:0))
    call av(5812, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_186])

    allocate(vertices(5813)%branch(0:0))
    call av(5813, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_195])

    allocate(vertices(5814)%branch(0:0))
    call av(5814, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_224])

    allocate(vertices(5815)%branch(0:0))
    call av(5815, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_187])

    allocate(vertices(5816)%branch(0:0))
    call av(5816, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_193])

    allocate(vertices(5817)%branch(0:0))
    call av(5817, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_252])

    allocate(vertices(5818)%branch(0:0))
    call av(5818, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_175])

    allocate(vertices(5819)%branch(0:0))
    call av(5819, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5820)%branch(0:0))
    call av(5820, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_849, nGC_335])

    allocate(vertices(5821)%branch(0:0))
    call av(5821, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5822)%branch(0:0))
    call av(5822, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_154])

    allocate(vertices(5823)%branch(0:0))
    call av(5823, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

    allocate(vertices(5824)%branch(0:0))
    call av(5824, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_175])

    allocate(vertices(5825)%branch(0:0))
    call av(5825, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_68])

    allocate(vertices(5826)%branch(0:0))
    call av(5826, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_183])

    allocate(vertices(5827)%branch(0:0))
    call av(5827, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(5828)%branch(0:0))
    call av(5828, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(5829)%branch(0:0))
    call av(5829, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_155])

    allocate(vertices(5830)%branch(0:0))
    call av(5830, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_208, nGC_211])

    allocate(vertices(5831)%branch(0:0))
    call av(5831, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_261])

    allocate(vertices(5832)%branch(0:0))
    call av(5832, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5833)%branch(0:0))
    call av(5833, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(5834)%branch(0:0))
    call av(5834, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_167])

    allocate(vertices(5835)%branch(0:0))
    call av(5835, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_363, nGC_363])

    allocate(vertices(5836)%branch(0:0))
    call av(5836, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5837)%branch(0:0))
    call av(5837, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(5838)%branch(0:0))
    call av(5838, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_38])

    allocate(vertices(5839)%branch(0:0))
    call av(5839, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_22])

    allocate(vertices(5840)%branch(0:0))
    call av(5840, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_261])

    allocate(vertices(5841)%branch(0:0))
    call av(5841, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(5842)%branch(0:0))
    call av(5842, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_316])

    allocate(vertices(5843)%branch(0:0))
    call av(5843, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(5844)%branch(0:0))
    call av(5844, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(5845)%branch(0:0))
    call av(5845, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_24])

    allocate(vertices(5846)%branch(0:0))
    call av(5846, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_175])

    allocate(vertices(5847)%branch(0:0))
    call av(5847, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(5848)%branch(0:0))
    call av(5848, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(5849)%branch(0:0))
    call av(5849, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_231])

    allocate(vertices(5850)%branch(0:0))
    call av(5850, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(5851)%branch(0:0))
    call av(5851, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_4113, nGC_368])

    allocate(vertices(5852)%branch(0:0))
    call av(5852, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_2053, nGC_2055, nGC_10])

    allocate(vertices(5853)%branch(0:0))
    call av(5853, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_222])

    allocate(vertices(5854)%branch(0:0))
    call av(5854, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(5855)%branch(0:0))
    call av(5855, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_125])

    allocate(vertices(5856)%branch(0:0))
    call av(5856, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_215])

    allocate(vertices(5857)%branch(0:0))
    call av(5857, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_186])

    allocate(vertices(5858)%branch(0:0))
    call av(5858, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(5859)%branch(0:0))
    call av(5859, 0, 20, 1, 0, FSFa1, 0, [0, 1], [nGC_1033, nGC_350])

    allocate(vertices(5860)%branch(0:0))
    call av(5860, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_29])

    allocate(vertices(5861)%branch(0:0))
    call av(5861, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_139])

    allocate(vertices(5862)%branch(0:0))
    call av(5862, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(5863)%branch(0:0))
    call av(5863, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_28])

    allocate(vertices(5864)%branch(0:0))
    call av(5864, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_343, nGC_370])

    allocate(vertices(5865)%branch(0:0))
    call av(5865, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_175])

    allocate(vertices(5866)%branch(0:0))
    call av(5866, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5867)%branch(0:0))
    call av(5867, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_190])

    allocate(vertices(5868)%branch(0:0))
    call av(5868, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5869)%branch(0:0))
    call av(5869, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_99])

    allocate(vertices(5870)%branch(0:0))
    call av(5870, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_354, nGC_354])

    allocate(vertices(5871)%branch(0:0))
    call av(5871, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_180])

    allocate(vertices(5872)%branch(0:0))
    call av(5872, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(5873)%branch(0:5))
    call av(5873, 0, 28, 6, 0, UaVUV0, 0, [2, 0], [nGC_15])

    call av(5873, 1, 29, 6, 0, UaVUV0, 0, [2, 0], [nGC_15])

    call av(5873, 2, 30, 6, 0, UaVUV0, 0, [2, 0], [nGC_15])

    call av(5873, 3, 31, 6, 0, UaVUV0, 0, [2, 0], [nGC_15])

    call av(5873, 4, 32, 7, 0, UaVUV0, 0, [2, 0], [nGC_1353])

    call av(5873, 5, 33, 7, 0, UaVUV0, 0, [2, 0], [nGC_1353])

    allocate(vertices(5874)%branch(0:0))
    call av(5874, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_248])

    allocate(vertices(5875)%branch(0:0))
    call av(5875, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5876)%branch(0:0))
    call av(5876, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_324])

    allocate(vertices(5877)%branch(0:0))
    call av(5877, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_65])

    allocate(vertices(5878)%branch(0:0))
    call av(5878, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_176])

    allocate(vertices(5879)%branch(0:0))
    call av(5879, 0, 20, 1, 0, FSFa1, 0, [0, 1], [nGC_1467, nGC_374])

    allocate(vertices(5880)%branch(0:0))
    call av(5880, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_196])

    allocate(vertices(5881)%branch(0:0))
    call av(5881, 0, 20, 1, 0, FVFa0, 0, [0, 1], [nGC_206, nGC_209])

    allocate(vertices(5882)%branch(0:0))
    call av(5882, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_138])

    allocate(vertices(5883)%branch(0:0))
    call av(5883, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(5884)%branch(0:0))
    call av(5884, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_370, nGC_343])

    allocate(vertices(5885)%branch(0:0))
    call av(5885, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_185])

    allocate(vertices(5886)%branch(0:0))
    call av(5886, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_367, nGC_337])

    allocate(vertices(5887)%branch(0:0))
    call av(5887, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_27])

    allocate(vertices(5888)%branch(0:0))
    call av(5888, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_200])

    allocate(vertices(5889)%branch(0:0))
    call av(5889, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(5890)%branch(0:0))
    call av(5890, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_94])

    allocate(vertices(5891)%branch(0:0))
    call av(5891, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_30])

    allocate(vertices(5892)%branch(0:0))
    call av(5892, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_27])

    allocate(vertices(5893)%branch(0:0))
    call av(5893, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_202])

    allocate(vertices(5894)%branch(0:0))
    call av(5894, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(5895)%branch(0:0))
    call av(5895, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_31])

    allocate(vertices(5896)%branch(0:0))
    call av(5896, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(5897)%branch(0:0))
    call av(5897, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_24])

    allocate(vertices(5898)%branch(0:0))
    call av(5898, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_375, nGC_375])

    allocate(vertices(5899)%branch(0:0))
    call av(5899, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(5900)%branch(0:0))
    call av(5900, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(5901)%branch(0:0))
    call av(5901, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_87])

    allocate(vertices(5902)%branch(0:0))
    call av(5902, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_328])

    allocate(vertices(5903)%branch(0:0))
    call av(5903, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_92])

    allocate(vertices(5904)%branch(0:0))
    call av(5904, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(5905)%branch(0:0))
    call av(5905, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_220])

    allocate(vertices(5906)%branch(0:0))
    call av(5906, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_22])

    allocate(vertices(5907)%branch(0:0))
    call av(5907, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_218])

    allocate(vertices(5908)%branch(0:0))
    call av(5908, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_94])

    allocate(vertices(5909)%branch(0:0))
    call av(5909, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(5910)%branch(0:0))
    call av(5910, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_237])

    allocate(vertices(5911)%branch(0:0))
    call av(5911, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_31])

    allocate(vertices(5912)%branch(0:0))
    call av(5912, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(5913)%branch(0:0))
    call av(5913, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_197])

    allocate(vertices(5914)%branch(0:0))
    call av(5914, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_5])

    allocate(vertices(5915)%branch(0:5))
    call av(5915, 0, 64, 6, 0, VVUaU0, 0, [2, 0], [nGC_15])

    call av(5915, 1, 65, 6, 0, VVUaU0, 0, [2, 0], [nGC_15])

    call av(5915, 2, 66, 6, 0, VVUaU0, 0, [2, 0], [nGC_15])

    call av(5915, 3, 67, 6, 0, VVUaU0, 0, [2, 0], [nGC_15])

    call av(5915, 4, 68, 7, 0, VVUaU0, 0, [2, 0], [nGC_1353])

    call av(5915, 5, 69, 7, 0, VVUaU0, 0, [2, 0], [nGC_1353])

    allocate(vertices(5916)%branch(0:0))
    call av(5916, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_101])

    allocate(vertices(5917)%branch(0:0))
    call av(5917, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_231])

    allocate(vertices(5918)%branch(0:0))
    call av(5918, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(5919)%branch(0:0))
    call av(5919, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_80])

    allocate(vertices(5920)%branch(0:0))
    call av(5920, 0, 1, 1, 0, SFaF1, 0, [0, 1], [nGC_355])

    allocate(vertices(5921)%branch(0:0))
    call av(5921, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(5922)%branch(0:0))
    call av(5922, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_29])

    allocate(vertices(5923)%branch(0:0))
    call av(5923, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(5924)%branch(0:1))
    call av(5924, 0, 118, 2, 0, VFaF0, 0, [1, 0], [nGC_13, nGC_13])

    call av(5924, 1, 119, 3, 0, VFaF0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(5925)%branch(0:0))
    call av(5925, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(5926)%branch(0:0))
    call av(5926, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(5927)%branch(0:0))
    call av(5927, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_187])

    allocate(vertices(5928)%branch(0:0))
    call av(5928, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5929)%branch(0:0))
    call av(5929, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_130])

    allocate(vertices(5930)%branch(0:0))
    call av(5930, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_28])

    allocate(vertices(5931)%branch(0:0))
    call av(5931, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_94])

    allocate(vertices(5932)%branch(0:0))
    call av(5932, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_119])

    allocate(vertices(5933)%branch(0:0))
    call av(5933, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(5934)%branch(0:0))
    call av(5934, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(5935)%branch(0:0))
    call av(5935, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_4113, nGC_368])

    allocate(vertices(5936)%branch(0:0))
    call av(5936, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_175])

    allocate(vertices(5937)%branch(0:0))
    call av(5937, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_193])

    allocate(vertices(5938)%branch(0:0))
    call av(5938, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_164])

    allocate(vertices(5939)%branch(0:0))
    call av(5939, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_166])

    allocate(vertices(5940)%branch(0:0))
    call av(5940, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_10])

    allocate(vertices(5941)%branch(0:0))
    call av(5941, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_192])

    allocate(vertices(5942)%branch(0:0))
    call av(5942, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5943)%branch(0:0))
    call av(5943, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_30])

    allocate(vertices(5944)%branch(0:0))
    call av(5944, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_91])

    allocate(vertices(5945)%branch(0:0))
    call av(5945, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(5946)%branch(0:0))
    call av(5946, 0, 20, 1, 0, FVFa1, 0, [0, 1], [nGC_197])

    allocate(vertices(5947)%branch(0:0))
    call av(5947, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_180])

    allocate(vertices(5948)%branch(0:0))
    call av(5948, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_3309])

    allocate(vertices(5949)%branch(0:0))
    call av(5949, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_322])

    allocate(vertices(5950)%branch(0:0))
    call av(5950, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5951)%branch(0:0))
    call av(5951, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_148])

    allocate(vertices(5952)%branch(0:0))
    call av(5952, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5953)%branch(0:0))
    call av(5953, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5954)%branch(0:0))
    call av(5954, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_182])

    allocate(vertices(5955)%branch(0:0))
    call av(5955, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_223])

    allocate(vertices(5956)%branch(0:0))
    call av(5956, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(5957)%branch(0:0))
    call av(5957, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5958)%branch(0:0))
    call av(5958, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_104])

    allocate(vertices(5959)%branch(0:0))
    call av(5959, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_2147, nGC_386])

    allocate(vertices(5960)%branch(0:0))
    call av(5960, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(5961)%branch(0:0))
    call av(5961, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5962)%branch(0:0))
    call av(5962, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(5963)%branch(0:0))
    call av(5963, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_71])

    allocate(vertices(5964)%branch(0:0))
    call av(5964, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_214])

    allocate(vertices(5965)%branch(0:0))
    call av(5965, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(5966)%branch(0:0))
    call av(5966, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_230])

    allocate(vertices(5967)%branch(0:0))
    call av(5967, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_204])

    allocate(vertices(5968)%branch(0:0))
    call av(5968, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5969)%branch(0:0))
    call av(5969, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(5970)%branch(0:0))
    call av(5970, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(5971)%branch(0:0))
    call av(5971, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_2585])

    allocate(vertices(5972)%branch(0:0))
    call av(5972, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(5973)%branch(0:0))
    call av(5973, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_196])

    allocate(vertices(5974)%branch(0:0))
    call av(5974, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_99])

    allocate(vertices(5975)%branch(0:0))
    call av(5975, 0, 21, 1, 0, FaSF1, 0, [0, 1], [nGC_334, nGC_364])

    allocate(vertices(5976)%branch(0:0))
    call av(5976, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_30])

    allocate(vertices(5977)%branch(0:0))
    call av(5977, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(5978)%branch(0:0))
    call av(5978, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_172])

    allocate(vertices(5979)%branch(0:0))
    call av(5979, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_102])

    allocate(vertices(5980)%branch(0:0))
    call av(5980, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(5981)%branch(0:0))
    call av(5981, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(5982)%branch(0:0))
    call av(5982, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(5983)%branch(0:0))
    call av(5983, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_258])

    allocate(vertices(5984)%branch(0:0))
    call av(5984, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_122])

    allocate(vertices(5985)%branch(0:0))
    call av(5985, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_345, nGC_345])

    allocate(vertices(5986)%branch(0:0))
    call av(5986, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_98])

    allocate(vertices(5987)%branch(0:0))
    call av(5987, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(5988)%branch(0:0))
    call av(5988, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

    allocate(vertices(5989)%branch(0:0))
    call av(5989, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_83])

    allocate(vertices(5990)%branch(0:0))
    call av(5990, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_187])

    allocate(vertices(5991)%branch(0:0))
    call av(5991, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(5992)%branch(0:0))
    call av(5992, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_202])

    allocate(vertices(5993)%branch(0:0))
    call av(5993, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_175])

    allocate(vertices(5994)%branch(0:0))
    call av(5994, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(5995)%branch(0:0))
    call av(5995, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_325])

    allocate(vertices(5996)%branch(0:0))
    call av(5996, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_30])

    allocate(vertices(5997)%branch(0:0))
    call av(5997, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_76])

    allocate(vertices(5998)%branch(0:0))
    call av(5998, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_92])

    allocate(vertices(5999)%branch(0:0))
    call av(5999, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_185])

    allocate(vertices(6000)%branch(0:0))
    call av(6000, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(6001)%branch(0:0))
    call av(6001, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_219])

    allocate(vertices(6002)%branch(0:0))
    call av(6002, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(6003)%branch(0:0))
    call av(6003, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_231])

    allocate(vertices(6004)%branch(0:0))
    call av(6004, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_21])

    allocate(vertices(6005)%branch(0:0))
    call av(6005, 0, 18, 1, 0, VFFa1, 0, [0, 1], [nGC_197])

    allocate(vertices(6006)%branch(0:0))
    call av(6006, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_226])

    allocate(vertices(6007)%branch(0:0))
    call av(6007, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6008)%branch(0:0))
    call av(6008, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_174])

    allocate(vertices(6009)%branch(0:0))
    call av(6009, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_7])

    allocate(vertices(6010)%branch(0:0))
    call av(6010, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_321])

    allocate(vertices(6011)%branch(0:0))
    call av(6011, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_167])

    allocate(vertices(6012)%branch(0:0))
    call av(6012, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_113])

    allocate(vertices(6013)%branch(0:0))
    call av(6013, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_181])

    allocate(vertices(6014)%branch(0:0))
    call av(6014, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(6015)%branch(0:0))
    call av(6015, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(6016)%branch(0:0))
    call av(6016, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_100])

    allocate(vertices(6017)%branch(0:0))
    call av(6017, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_95])

    allocate(vertices(6018)%branch(0:0))
    call av(6018, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_193])

    allocate(vertices(6019)%branch(0:0))
    call av(6019, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_31])

    allocate(vertices(6020)%branch(0:0))
    call av(6020, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_220])

    allocate(vertices(6021)%branch(0:0))
    call av(6021, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_219])

    allocate(vertices(6022)%branch(0:0))
    call av(6022, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_1711, nGC_341])

    allocate(vertices(6023)%branch(0:0))
    call av(6023, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

    allocate(vertices(6024)%branch(0:0))
    call av(6024, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_1449, nGC_365])

    allocate(vertices(6025)%branch(0:0))
    call av(6025, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_187])

    allocate(vertices(6026)%branch(0:0))
    call av(6026, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(6027)%branch(0:0))
    call av(6027, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_200])

    allocate(vertices(6028)%branch(0:0))
    call av(6028, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_174])

    allocate(vertices(6029)%branch(0:0))
    call av(6029, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_230])

    allocate(vertices(6030)%branch(0:0))
    call av(6030, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_1467, nGC_374])

    allocate(vertices(6031)%branch(0:0))
    call av(6031, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_89])

    allocate(vertices(6032)%branch(0:0))
    call av(6032, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(6033)%branch(0:0))
    call av(6033, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_229])

    allocate(vertices(6034)%branch(0:0))
    call av(6034, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6035)%branch(0:0))
    call av(6035, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_244])

    allocate(vertices(6036)%branch(0:0))
    call av(6036, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_10])

    allocate(vertices(6037)%branch(0:0))
    call av(6037, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_173])

    allocate(vertices(6038)%branch(0:0))
    call av(6038, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_167])

    allocate(vertices(6039)%branch(0:0))
    call av(6039, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(6040)%branch(0:0))
    call av(6040, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_333, nGC_333])

    allocate(vertices(6041)%branch(0:0))
    call av(6041, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_82])

    allocate(vertices(6042)%branch(0:0))
    call av(6042, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6043)%branch(0:0))
    call av(6043, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_71])

    allocate(vertices(6044)%branch(0:0))
    call av(6044, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_22])

    allocate(vertices(6045)%branch(0:0))
    call av(6045, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(6046)%branch(0:0))
    call av(6046, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(6047)%branch(0:0))
    call av(6047, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_22])

    allocate(vertices(6048)%branch(0:0))
    call av(6048, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_1033, nGC_350])

    allocate(vertices(6049)%branch(0:0))
    call av(6049, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(6050)%branch(0:0))
    call av(6050, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(6051)%branch(0:0))
    call av(6051, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_120])

    allocate(vertices(6052)%branch(0:0))
    call av(6052, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(6053)%branch(0:0))
    call av(6053, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_26])

    allocate(vertices(6054)%branch(0:0))
    call av(6054, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_204])

    allocate(vertices(6055)%branch(0:0))
    call av(6055, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_204])

    allocate(vertices(6056)%branch(0:0))
    call av(6056, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_10])

    allocate(vertices(6057)%branch(0:0))
    call av(6057, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_131])

    allocate(vertices(6058)%branch(0:0))
    call av(6058, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_204])

    allocate(vertices(6059)%branch(0:0))
    call av(6059, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_2573, nGC_347])

    allocate(vertices(6060)%branch(0:0))
    call av(6060, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_266])

    allocate(vertices(6061)%branch(0:0))
    call av(6061, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_91])

    allocate(vertices(6062)%branch(0:0))
    call av(6062, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(6063)%branch(0:0))
    call av(6063, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6064)%branch(0:0))
    call av(6064, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_149])

    allocate(vertices(6065)%branch(0:0))
    call av(6065, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_136])

    allocate(vertices(6066)%branch(0:0))
    call av(6066, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_99])

    allocate(vertices(6067)%branch(0:0))
    call av(6067, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_187])

    allocate(vertices(6068)%branch(0:0))
    call av(6068, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_228])

    allocate(vertices(6069)%branch(0:0))
    call av(6069, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(6070)%branch(0:0))
    call av(6070, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(6071)%branch(0:0))
    call av(6071, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_149])

    allocate(vertices(6072)%branch(0:0))
    call av(6072, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_324])

    allocate(vertices(6073)%branch(0:0))
    call av(6073, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(6074)%branch(0:0))
    call av(6074, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_174])

    allocate(vertices(6075)%branch(0:0))
    call av(6075, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_186])

    allocate(vertices(6076)%branch(0:0))
    call av(6076, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_272])

    allocate(vertices(6077)%branch(0:0))
    call av(6077, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_156])

    allocate(vertices(6078)%branch(0:0))
    call av(6078, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_124])

    allocate(vertices(6079)%branch(0:0))
    call av(6079, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_220])

    allocate(vertices(6080)%branch(0:0))
    call av(6080, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_295])

    allocate(vertices(6081)%branch(0:0))
    call av(6081, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_175])

    allocate(vertices(6082)%branch(0:0))
    call av(6082, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_219])

    allocate(vertices(6083)%branch(0:0))
    call av(6083, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_143])

    allocate(vertices(6084)%branch(0:0))
    call av(6084, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6085)%branch(0:0))
    call av(6085, 0, 21, 1, 0, FaSF1, 0, [0, 1], [nGC_366, nGC_366])

    allocate(vertices(6086)%branch(0:0))
    call av(6086, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_31])

    allocate(vertices(6087)%branch(0:0))
    call av(6087, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(6088)%branch(0:0))
    call av(6088, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_1711, nGC_341])

    allocate(vertices(6089)%branch(0:0))
    call av(6089, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_142])

    allocate(vertices(6090)%branch(0:0))
    call av(6090, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_260])

    allocate(vertices(6091)%branch(0:0))
    call av(6091, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_99])

    allocate(vertices(6092)%branch(0:0))
    call av(6092, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_381, nGC_381])

    allocate(vertices(6093)%branch(0:0))
    call av(6093, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_175])

    allocate(vertices(6094)%branch(0:0))
    call av(6094, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_167])

    allocate(vertices(6095)%branch(0:0))
    call av(6095, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

    allocate(vertices(6096)%branch(0:0))
    call av(6096, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_1213, nGC_1213, nGC_205])

    allocate(vertices(6097)%branch(0:0))
    call av(6097, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_311])

    allocate(vertices(6098)%branch(0:0))
    call av(6098, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_133])

    allocate(vertices(6099)%branch(0:0))
    call av(6099, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_384, nGC_384])

    allocate(vertices(6100)%branch(0:0))
    call av(6100, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_202])

    allocate(vertices(6101)%branch(0:0))
    call av(6101, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_202])

    allocate(vertices(6102)%branch(0:0))
    call av(6102, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_95])

    allocate(vertices(6103)%branch(0:0))
    call av(6103, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_79])

    allocate(vertices(6104)%branch(0:0))
    call av(6104, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(6105)%branch(0:0))
    call av(6105, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_77])

    allocate(vertices(6106)%branch(0:0))
    call av(6106, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(6107)%branch(0:0))
    call av(6107, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(6108)%branch(0:0))
    call av(6108, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_271])

    allocate(vertices(6109)%branch(0:0))
    call av(6109, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_157])

    allocate(vertices(6110)%branch(0:0))
    call av(6110, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_101])

    allocate(vertices(6111)%branch(0:0))
    call av(6111, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_85])

    allocate(vertices(6112)%branch(0:0))
    call av(6112, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_153])

    allocate(vertices(6113)%branch(0:0))
    call av(6113, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_203])

    allocate(vertices(6114)%branch(0:0))
    call av(6114, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(6115)%branch(0:0))
    call av(6115, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_197])

    allocate(vertices(6116)%branch(0:0))
    call av(6116, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_65])

    allocate(vertices(6117)%branch(0:0))
    call av(6117, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(6118)%branch(0:0))
    call av(6118, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(6119)%branch(0:0))
    call av(6119, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

    allocate(vertices(6120)%branch(0:0))
    call av(6120, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_95])

    allocate(vertices(6121)%branch(0:0))
    call av(6121, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_95])

    allocate(vertices(6122)%branch(0:0))
    call av(6122, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_24])

    allocate(vertices(6123)%branch(0:0))
    call av(6123, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_146])

    allocate(vertices(6124)%branch(0:0))
    call av(6124, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(6125)%branch(0:0))
    call av(6125, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_349, nGC_385])

    allocate(vertices(6126)%branch(0:0))
    call av(6126, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_29])

    allocate(vertices(6127)%branch(0:0))
    call av(6127, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_175])

    allocate(vertices(6128)%branch(0:0))
    call av(6128, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_3141])

    allocate(vertices(6129)%branch(0:0))
    call av(6129, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_87])

    allocate(vertices(6130)%branch(0:0))
    call av(6130, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_84])

    allocate(vertices(6131)%branch(0:0))
    call av(6131, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_220])

    allocate(vertices(6132)%branch(0:0))
    call av(6132, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_29])

    allocate(vertices(6133)%branch(0:0))
    call av(6133, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(6134)%branch(0:0))
    call av(6134, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_220])

    allocate(vertices(6135)%branch(0:0))
    call av(6135, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_193])

    allocate(vertices(6136)%branch(0:0))
    call av(6136, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(6137)%branch(0:0))
    call av(6137, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_30])

    allocate(vertices(6138)%branch(0:0))
    call av(6138, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_272])

    allocate(vertices(6139)%branch(0:0))
    call av(6139, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(6140)%branch(0:0))
    call av(6140, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_167])

    allocate(vertices(6141)%branch(0:0))
    call av(6141, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_177])

    allocate(vertices(6142)%branch(0:0))
    call av(6142, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(6143)%branch(0:0))
    call av(6143, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6144)%branch(0:0))
    call av(6144, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_64])

    allocate(vertices(6145)%branch(0:0))
    call av(6145, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_369, nGC_369])

    allocate(vertices(6146)%branch(0:0))
    call av(6146, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_92])

    allocate(vertices(6147)%branch(0:0))
    call av(6147, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_90])

    allocate(vertices(6148)%branch(0:0))
    call av(6148, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_181])

    allocate(vertices(6149)%branch(0:0))
    call av(6149, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(6150)%branch(0:0))
    call av(6150, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_28])

    allocate(vertices(6151)%branch(0:0))
    call av(6151, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(6152)%branch(0:0))
    call av(6152, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_244])

    allocate(vertices(6153)%branch(0:0))
    call av(6153, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(6154)%branch(0:0))
    call av(6154, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(6155)%branch(0:0))
    call av(6155, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(6156)%branch(0:0))
    call av(6156, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(6157)%branch(0:0))
    call av(6157, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_221])

    allocate(vertices(6158)%branch(0:0))
    call av(6158, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_28])

    allocate(vertices(6159)%branch(0:0))
    call av(6159, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_187])

    allocate(vertices(6160)%branch(0:0))
    call av(6160, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_186])

    allocate(vertices(6161)%branch(0:0))
    call av(6161, 0, 20, 1, 0, FVFa0, 0, [0, 1], [nGC_207, nGC_210])

    allocate(vertices(6162)%branch(0:0))
    call av(6162, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_202])

    allocate(vertices(6163)%branch(0:0))
    call av(6163, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(6164)%branch(0:0))
    call av(6164, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_220])

    allocate(vertices(6165)%branch(0:0))
    call av(6165, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_221])

    allocate(vertices(6166)%branch(0:0))
    call av(6166, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(6167)%branch(0:0))
    call av(6167, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_1055])

    allocate(vertices(6168)%branch(0:0))
    call av(6168, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_178])

    allocate(vertices(6169)%branch(0:0))
    call av(6169, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_204])

    allocate(vertices(6170)%branch(0:0))
    call av(6170, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_20])

    allocate(vertices(6171)%branch(0:0))
    call av(6171, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_343, nGC_370])

    allocate(vertices(6172)%branch(0:0))
    call av(6172, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(6173)%branch(0:0))
    call av(6173, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_76])

    allocate(vertices(6174)%branch(0:0))
    call av(6174, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_197])

    allocate(vertices(6175)%branch(0:0))
    call av(6175, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6176)%branch(0:0))
    call av(6176, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_79])

    allocate(vertices(6177)%branch(0:0))
    call av(6177, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6178)%branch(0:0))
    call av(6178, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_22])

    allocate(vertices(6179)%branch(0:0))
    call av(6179, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_233])

    allocate(vertices(6180)%branch(0:0))
    call av(6180, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(6181)%branch(0:0))
    call av(6181, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6182)%branch(0:0))
    call av(6182, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_229])

    allocate(vertices(6183)%branch(0:0))
    call av(6183, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(6184)%branch(0:0))
    call av(6184, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_186])

    allocate(vertices(6185)%branch(0:0))
    call av(6185, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_67])

    allocate(vertices(6186)%branch(0:0))
    call av(6186, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_187])

    allocate(vertices(6187)%branch(0:0))
    call av(6187, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_159])

    allocate(vertices(6188)%branch(0:0))
    call av(6188, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(6189)%branch(0:0))
    call av(6189, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_156])

    allocate(vertices(6190)%branch(0:0))
    call av(6190, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_1033, nGC_350])

    allocate(vertices(6191)%branch(0:0))
    call av(6191, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_21])

    allocate(vertices(6192)%branch(0:0))
    call av(6192, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_193])

    allocate(vertices(6193)%branch(0:0))
    call av(6193, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_367, nGC_337])

    allocate(vertices(6194)%branch(0:0))
    call av(6194, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_75])

    allocate(vertices(6195)%branch(0:0))
    call av(6195, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_181])

    allocate(vertices(6196)%branch(0:0))
    call av(6196, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_5])

    allocate(vertices(6197)%branch(0:0))
    call av(6197, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_186])

    allocate(vertices(6198)%branch(0:0))
    call av(6198, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_91])

    allocate(vertices(6199)%branch(0:0))
    call av(6199, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_238])

    allocate(vertices(6200)%branch(0:0))
    call av(6200, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_8, nGC_1579, nGC_8])

    allocate(vertices(6201)%branch(0:0))
    call av(6201, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(6202)%branch(0:0))
    call av(6202, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_363, nGC_363])

    allocate(vertices(6203)%branch(0:0))
    call av(6203, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(6204)%branch(0:0))
    call av(6204, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_217])

    allocate(vertices(6205)%branch(0:0))
    call av(6205, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(6206)%branch(0:0))
    call av(6206, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6207)%branch(0:0))
    call av(6207, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(6208)%branch(0:0))
    call av(6208, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6209)%branch(0:0))
    call av(6209, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_190])

    allocate(vertices(6210)%branch(0:0))
    call av(6210, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_1185, nGC_371])

    allocate(vertices(6211)%branch(0:0))
    call av(6211, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6212)%branch(0:0))
    call av(6212, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_148])

    allocate(vertices(6213)%branch(0:0))
    call av(6213, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(6214)%branch(0:0))
    call av(6214, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_77])

    allocate(vertices(6215)%branch(0:0))
    call av(6215, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_112])

    allocate(vertices(6216)%branch(0:0))
    call av(6216, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_220])

    allocate(vertices(6217)%branch(0:0))
    call av(6217, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_174])

    allocate(vertices(6218)%branch(0:0))
    call av(6218, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(6219)%branch(0:0))
    call av(6219, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_187])

    allocate(vertices(6220)%branch(0:0))
    call av(6220, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6221)%branch(0:0))
    call av(6221, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6222)%branch(0:0))
    call av(6222, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_238])

    allocate(vertices(6223)%branch(0:0))
    call av(6223, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(6224)%branch(0:0))
    call av(6224, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_357, nGC_357])

    allocate(vertices(6225)%branch(0:0))
    call av(6225, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(6226)%branch(0:0))
    call av(6226, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(6227)%branch(0:0))
    call av(6227, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_141])

    allocate(vertices(6228)%branch(0:0))
    call av(6228, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_195])

    allocate(vertices(6229)%branch(0:0))
    call av(6229, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_179])

    allocate(vertices(6230)%branch(0:0))
    call av(6230, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_95])

    allocate(vertices(6231)%branch(0:0))
    call av(6231, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(6232)%branch(0:0))
    call av(6232, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(6233)%branch(0:0))
    call av(6233, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33])

    allocate(vertices(6234)%branch(0:0))
    call av(6234, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_185])

    allocate(vertices(6235)%branch(0:0))
    call av(6235, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_4267])

    allocate(vertices(6236)%branch(0:0))
    call av(6236, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_172])

    allocate(vertices(6237)%branch(0:0))
    call av(6237, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_186])

    allocate(vertices(6238)%branch(0:0))
    call av(6238, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(6239)%branch(0:0))
    call av(6239, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_91])

    allocate(vertices(6240)%branch(0:0))
    call av(6240, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_193])

    allocate(vertices(6241)%branch(0:0))
    call av(6241, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_95])

    allocate(vertices(6242)%branch(0:0))
    call av(6242, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

    allocate(vertices(6243)%branch(0:0))
    call av(6243, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(6244)%branch(0:0))
    call av(6244, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_2573, nGC_347])

    allocate(vertices(6245)%branch(0:0))
    call av(6245, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_21])

    allocate(vertices(6246)%branch(0:0))
    call av(6246, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_76])

    allocate(vertices(6247)%branch(0:0))
    call av(6247, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_84])

    allocate(vertices(6248)%branch(0:0))
    call av(6248, 0, 20, 1, 0, FSFa1, 0, [0, 1], [nGC_1185, nGC_371])

    allocate(vertices(6249)%branch(0:0))
    call av(6249, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

    allocate(vertices(6250)%branch(0:0))
    call av(6250, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_174])

    allocate(vertices(6251)%branch(0:0))
    call av(6251, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_3])

    allocate(vertices(6252)%branch(0:0))
    call av(6252, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_186])

    allocate(vertices(6253)%branch(0:0))
    call av(6253, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_174])

    allocate(vertices(6254)%branch(0:0))
    call av(6254, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_24])

    allocate(vertices(6255)%branch(0:0))
    call av(6255, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_159])

    allocate(vertices(6256)%branch(0:0))
    call av(6256, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6257)%branch(0:0))
    call av(6257, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_137])

    allocate(vertices(6258)%branch(0:0))
    call av(6258, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_219])

    allocate(vertices(6259)%branch(0:0))
    call av(6259, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(6260)%branch(0:0))
    call av(6260, 0, 17, 1, 0, FaFV1, 0, [0, 1], [nGC_197])

    allocate(vertices(6261)%branch(0:0))
    call av(6261, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_156])

    allocate(vertices(6262)%branch(0:0))
    call av(6262, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_99])

    allocate(vertices(6263)%branch(0:0))
    call av(6263, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_187])

    allocate(vertices(6264)%branch(0:0))
    call av(6264, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_167])

    allocate(vertices(6265)%branch(0:0))
    call av(6265, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(6266)%branch(0:0))
    call av(6266, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_228])

    allocate(vertices(6267)%branch(0:0))
    call av(6267, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_38])

    allocate(vertices(6268)%branch(0:0))
    call av(6268, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_127])

    allocate(vertices(6269)%branch(0:0))
    call av(6269, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(6270)%branch(0:0))
    call av(6270, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_51])

    allocate(vertices(6271)%branch(0:0))
    call av(6271, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_206, nGC_209])

    allocate(vertices(6272)%branch(0:0))
    call av(6272, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(6273)%branch(0:0))
    call av(6273, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(6274)%branch(0:0))
    call av(6274, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_264])

    allocate(vertices(6275)%branch(0:0))
    call av(6275, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_202])

    allocate(vertices(6276)%branch(0:0))
    call av(6276, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_181])

    allocate(vertices(6277)%branch(0:0))
    call av(6277, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(6278)%branch(0:0))
    call av(6278, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(6279)%branch(0:0))
    call av(6279, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_121])

    allocate(vertices(6280)%branch(0:0))
    call av(6280, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_229])

    allocate(vertices(6281)%branch(0:0))
    call av(6281, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6282)%branch(0:0))
    call av(6282, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_120])

    allocate(vertices(6283)%branch(0:0))
    call av(6283, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(6284)%branch(0:0))
    call av(6284, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(6285)%branch(0:0))
    call av(6285, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_67])

    allocate(vertices(6286)%branch(0:0))
    call av(6286, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6287)%branch(0:0))
    call av(6287, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_95])

    allocate(vertices(6288)%branch(0:0))
    call av(6288, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_217])

    allocate(vertices(6289)%branch(0:0))
    call av(6289, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_151])

    allocate(vertices(6290)%branch(0:0))
    call av(6290, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(6291)%branch(0:0))
    call av(6291, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(6292)%branch(0:0))
    call av(6292, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_113])

    allocate(vertices(6293)%branch(0:0))
    call av(6293, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_3617])

    allocate(vertices(6294)%branch(0:0))
    call av(6294, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_63])

    allocate(vertices(6295)%branch(0:0))
    call av(6295, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(6296)%branch(0:0))
    call av(6296, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_116])

    allocate(vertices(6297)%branch(0:0))
    call av(6297, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_175])

    allocate(vertices(6298)%branch(0:0))
    call av(6298, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_219])

    allocate(vertices(6299)%branch(0:0))
    call av(6299, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_282])

    allocate(vertices(6300)%branch(0:0))
    call av(6300, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_348, nGC_348])

    allocate(vertices(6301)%branch(0:0))
    call av(6301, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_174])

    allocate(vertices(6302)%branch(0:0))
    call av(6302, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6303)%branch(0:0))
    call av(6303, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_203])

    allocate(vertices(6304)%branch(0:0))
    call av(6304, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(6305)%branch(0:0))
    call av(6305, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_174])

    allocate(vertices(6306)%branch(0:0))
    call av(6306, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_187])

    allocate(vertices(6307)%branch(0:0))
    call av(6307, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_202])

    allocate(vertices(6308)%branch(0:0))
    call av(6308, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(6309)%branch(0:0))
    call av(6309, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_150])

    allocate(vertices(6310)%branch(0:1))
    call av(6310, 0, 116, 2, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    call av(6310, 1, 117, 3, 0, VFFa0, 0, [1, 0], [nGC_13, nGC_13])

    allocate(vertices(6311)%branch(0:0))
    call av(6311, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_227])

    allocate(vertices(6312)%branch(0:0))
    call av(6312, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_226])

    allocate(vertices(6313)%branch(0:0))
    call av(6313, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_92])

    allocate(vertices(6314)%branch(0:0))
    call av(6314, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_22])

    allocate(vertices(6315)%branch(0:0))
    call av(6315, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_204])

    allocate(vertices(6316)%branch(0:0))
    call av(6316, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_202])

    allocate(vertices(6317)%branch(0:0))
    call av(6317, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_74])

    allocate(vertices(6318)%branch(0:0))
    call av(6318, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_180])

    allocate(vertices(6319)%branch(0:0))
    call av(6319, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(6320)%branch(0:0))
    call av(6320, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_4595])

    allocate(vertices(6321)%branch(0:0))
    call av(6321, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_268])

    allocate(vertices(6322)%branch(0:0))
    call av(6322, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_21])

    allocate(vertices(6323)%branch(0:0))
    call av(6323, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(6324)%branch(0:0))
    call av(6324, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_31])

    allocate(vertices(6325)%branch(0:0))
    call av(6325, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_31])

    allocate(vertices(6326)%branch(0:0))
    call av(6326, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_99])

    allocate(vertices(6327)%branch(0:0))
    call av(6327, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_20])

    allocate(vertices(6328)%branch(0:0))
    call av(6328, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(6329)%branch(0:0))
    call av(6329, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_99])

    allocate(vertices(6330)%branch(0:0))
    call av(6330, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(6331)%branch(0:0))
    call av(6331, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_244])

    allocate(vertices(6332)%branch(0:0))
    call av(6332, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_373, nGC_340])

    allocate(vertices(6333)%branch(0:0))
    call av(6333, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_84])

    allocate(vertices(6334)%branch(0:0))
    call av(6334, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_95])

    allocate(vertices(6335)%branch(0:0))
    call av(6335, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_117])

    allocate(vertices(6336)%branch(0:0))
    call av(6336, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_257])

    allocate(vertices(6337)%branch(0:0))
    call av(6337, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(6338)%branch(0:0))
    call av(6338, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(6339)%branch(0:0))
    call av(6339, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_173])

    allocate(vertices(6340)%branch(0:0))
    call av(6340, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_186])

    allocate(vertices(6341)%branch(0:0))
    call av(6341, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(6342)%branch(0:0))
    call av(6342, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_116])

    allocate(vertices(6343)%branch(0:0))
    call av(6343, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_21])

    allocate(vertices(6344)%branch(0:0))
    call av(6344, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_355])

    allocate(vertices(6345)%branch(0:0))
    call av(6345, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_95])

    allocate(vertices(6346)%branch(0:0))
    call av(6346, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_158])

    allocate(vertices(6347)%branch(0:0))
    call av(6347, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_181])

    allocate(vertices(6348)%branch(0:0))
    call av(6348, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(6349)%branch(0:0))
    call av(6349, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_118])

    allocate(vertices(6350)%branch(0:0))
    call av(6350, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(6351)%branch(0:0))
    call av(6351, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_266])

    allocate(vertices(6352)%branch(0:0))
    call av(6352, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_221])

    allocate(vertices(6353)%branch(0:0))
    call av(6353, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_55])

    allocate(vertices(6354)%branch(0:0))
    call av(6354, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(6355)%branch(0:0))
    call av(6355, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_1415, nGC_344])

    allocate(vertices(6356)%branch(0:0))
    call av(6356, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6357)%branch(0:0))
    call av(6357, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_186])

    allocate(vertices(6358)%branch(0:0))
    call av(6358, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_322])

    allocate(vertices(6359)%branch(0:0))
    call av(6359, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_185])

    allocate(vertices(6360)%branch(0:0))
    call av(6360, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_187])

    allocate(vertices(6361)%branch(0:0))
    call av(6361, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(6362)%branch(0:0))
    call av(6362, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_186])

    allocate(vertices(6363)%branch(0:0))
    call av(6363, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_293])

    allocate(vertices(6364)%branch(0:0))
    call av(6364, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_29])

    allocate(vertices(6365)%branch(0:0))
    call av(6365, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(6366)%branch(0:0))
    call av(6366, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(6367)%branch(0:0))
    call av(6367, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_204])

    allocate(vertices(6368)%branch(0:0))
    call av(6368, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_71])

    allocate(vertices(6369)%branch(0:0))
    call av(6369, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_79])

    allocate(vertices(6370)%branch(0:0))
    call av(6370, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_20])

    allocate(vertices(6371)%branch(0:0))
    call av(6371, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_203])

    allocate(vertices(6372)%branch(0:0))
    call av(6372, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_230])

    allocate(vertices(6373)%branch(0:0))
    call av(6373, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_31])

    allocate(vertices(6374)%branch(0:0))
    call av(6374, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_220])

    allocate(vertices(6375)%branch(0:0))
    call av(6375, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_181])

    allocate(vertices(6376)%branch(0:0))
    call av(6376, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_89])

    allocate(vertices(6377)%branch(0:0))
    call av(6377, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_180])

    allocate(vertices(6378)%branch(0:0))
    call av(6378, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_172])

    allocate(vertices(6379)%branch(0:0))
    call av(6379, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6380)%branch(0:0))
    call av(6380, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_102])

    allocate(vertices(6381)%branch(0:0))
    call av(6381, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_369, nGC_369])

    allocate(vertices(6382)%branch(0:0))
    call av(6382, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(6383)%branch(0:0))
    call av(6383, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_238])

    allocate(vertices(6384)%branch(0:0))
    call av(6384, 0, 20, 1, 0, FSFa1, 0, [0, 1], [nGC_1449, nGC_365])

    allocate(vertices(6385)%branch(0:0))
    call av(6385, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_1583])

    allocate(vertices(6386)%branch(0:0))
    call av(6386, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_187])

    allocate(vertices(6387)%branch(0:0))
    call av(6387, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_322])

    allocate(vertices(6388)%branch(0:0))
    call av(6388, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_38])

    allocate(vertices(6389)%branch(0:0))
    call av(6389, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_228])

    allocate(vertices(6390)%branch(0:0))
    call av(6390, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_98])

    allocate(vertices(6391)%branch(0:0))
    call av(6391, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_24])

    allocate(vertices(6392)%branch(0:0))
    call av(6392, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_186])

    allocate(vertices(6393)%branch(0:0))
    call av(6393, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_22])

    allocate(vertices(6394)%branch(0:0))
    call av(6394, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_203])

    allocate(vertices(6395)%branch(0:0))
    call av(6395, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_24])

    allocate(vertices(6396)%branch(0:0))
    call av(6396, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_187])

    allocate(vertices(6397)%branch(0:0))
    call av(6397, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_186])

    allocate(vertices(6398)%branch(0:0))
    call av(6398, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_99])

    allocate(vertices(6399)%branch(0:0))
    call av(6399, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_220])

  end subroutine fill_vertices_mdl8
end module vertices_info8
